/*
 * Creata Pentaho sample database and insert data for the pentaho sampledata database
 * Gaspard.Duquesnoy 
 * 09/18/2009 
 * http://osbi.nl
 * http://euclides.nl
 *
*/ 


CREATE DATABASE  IF NOT EXISTS sampledata<%= name %>;
grant all on sampledata<%= name %>.* to pentaho_user identified by 'password';
grant all on sampledata<%= name %>.* to pentaho_admin identified by 'password';

USE sampledata<%= name %>;


-- Create tables

-- CUSTOMER

DROP TABLE IF EXISTS CUSTOMERS;
CREATE TABLE CUSTOMERS (
  CUSTOMERNUMBER int(11) NOT NULL default '0',
  CUSTOMERNAME varchar(50) collate latin1_general_cs NOT NULL default '',
  CONTACTLASTNAME varchar(50) collate latin1_general_cs NOT NULL default '',
  CONTACTFIRSTNAME varchar(50) collate latin1_general_cs NOT NULL default '',
  PHONE varchar(50) collate latin1_general_cs NOT NULL default '',
  ADDRESSLINE1 varchar(50) collate latin1_general_cs NOT NULL default '',
  ADDRESSLINE2 varchar(50) collate latin1_general_cs default NULL,
  CITY varchar(50) collate latin1_general_cs NOT NULL default '',
  STATE varchar(50) collate latin1_general_cs default NULL,
  POSTALCODE varchar(15) collate latin1_general_cs default NULL,
  COUNTRY varchar(50) collate latin1_general_cs NOT NULL default '',
  SALESREPEMPLOYEENUMBER int(11) default NULL,
  CREDITLIMIT decimal(17,0) default NULL,
  PRIMARY KEY  (CUSTOMERNUMBER)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- CUSTOMER_W_TER

DROP TABLE IF EXISTS CUSTOMER_W_TER;
CREATE TABLE CUSTOMER_W_TER (
  CUSTOMERNUMBER int(11) default NULL,
  CUSTOMERNAME varchar(50) collate latin1_general_cs default NULL,
  CONTACTLASTNAME varchar(50) collate latin1_general_cs default NULL,
  CONTACTFIRSTNAME varchar(50) collate latin1_general_cs default NULL,
  PHONE varchar(50) collate latin1_general_cs default NULL,
  ADDRESSLINE1 varchar(50) collate latin1_general_cs default NULL,
  ADDRESSLINE2 varchar(50) collate latin1_general_cs default NULL,
  CITY varchar(50) collate latin1_general_cs default NULL,
  STATE varchar(50) collate latin1_general_cs default NULL,
  POSTALCODE varchar(15) collate latin1_general_cs default NULL,
  COUNTRY varchar(50) collate latin1_general_cs default NULL,
  EMPLOYEENUMBER int(11) default NULL,
  CREDITLIMIT decimal(31,10) default NULL,
  TERRITORY varchar(10) collate latin1_general_cs default NULL,
  UNIQUE KEY index1 (CUSTOMERNUMBER)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- DIM_TIME

DROP TABLE IF EXISTS DIM_TIME;
CREATE TABLE DIM_TIME (
  TIME_ID varchar(10) collate latin1_general_cs default NULL,
  MONTH_ID int(11) default NULL,
  QTR_ID int(11) default NULL,
  YEAR_ID int(11) default NULL,
  MONTH_NAME char(3) collate latin1_general_cs default NULL,
  MONTH_DESC varchar(9) collate latin1_general_cs default NULL,
  QTR_NAME varchar(4) collate latin1_general_cs default NULL,
  QTR_DESC varchar(9) collate latin1_general_cs default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- DEPARTMENT_MANAGERS

DROP TABLE IF EXISTS DEPARTMENT_MANAGERS;
CREATE TABLE DEPARTMENT_MANAGERS (
  REGION varchar(50) collate latin1_general_cs NOT NULL default '',
  MANAGER_NAME varchar(50) collate latin1_general_cs NOT NULL default '',
  EMAIL varchar(50) collate latin1_general_cs default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- EMPLOYEES

DROP TABLE IF EXISTS EMPLOYEES;
CREATE TABLE EMPLOYEES (
  EMPLOYEENUMBER int(11) NOT NULL default '0',
  LASTNAME varchar(50) collate latin1_general_cs NOT NULL default '',
  FIRSTNAME varchar(50) collate latin1_general_cs NOT NULL default '',
  EXTENSION varchar(10) collate latin1_general_cs NOT NULL default '',
  EMAIL varchar(100) collate latin1_general_cs NOT NULL default '',
  OFFICECODE varchar(20) collate latin1_general_cs NOT NULL default '',
  REPORTSTO int(11) default NULL,
  JOBTITLE varchar(50) collate latin1_general_cs NOT NULL default '',
  PRIMARY KEY  (EMPLOYEENUMBER)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- OFFICES

DROP TABLE IF EXISTS OFFICES;
CREATE TABLE OFFICES (
  OFFICECODE varchar(50) collate latin1_general_cs NOT NULL default '',
  CITY varchar(50) collate latin1_general_cs NOT NULL default '',
  PHONE varchar(50) collate latin1_general_cs NOT NULL default '',
  ADDRESSLINE1 varchar(50) collate latin1_general_cs NOT NULL default '',
  ADDRESSLINE2 varchar(50) collate latin1_general_cs default NULL,
  STATE varchar(50) collate latin1_general_cs default NULL,
  COUNTRY varchar(50) collate latin1_general_cs NOT NULL default '',
  POSTALCODE varchar(10) collate latin1_general_cs NOT NULL default '',
  TERRITORY varchar(10) collate latin1_general_cs NOT NULL default '',
  PRIMARY KEY  (OFFICECODE)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- ORDERDETAILS

DROP TABLE IF EXISTS ORDERDETAILS;
CREATE TABLE ORDERDETAILS (
  ORDERNUMBER int(11) NOT NULL default '0',
  PRODUCTCODE varchar(50) collate latin1_general_cs NOT NULL default '',
  QUANTITYORDERED int(11) NOT NULL default '0',
  PRICEEACH decimal(17,0) NOT NULL default '0',
  ORDERLINENUMBER smallint(6) NOT NULL default '0',
  PRIMARY KEY  (ORDERNUMBER,PRODUCTCODE)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- PRODUCTS

DROP TABLE IF EXISTS ORDERFACT;
DROP TABLE IF EXISTS PRODUCTS;
CREATE TABLE PRODUCTS (
  PRODUCTCODE varchar(50) collate latin1_general_cs NOT NULL default '',
  PRODUCTNAME varchar(70) collate latin1_general_cs NOT NULL default '',
  PRODUCTLINE varchar(50) collate latin1_general_cs NOT NULL default '',
  PRODUCTSCALE varchar(10) collate latin1_general_cs NOT NULL default '',
  PRODUCTVENDOR varchar(50) collate latin1_general_cs NOT NULL default '',
  PRODUCTDESCRIPTION mediumtext collate latin1_general_cs NOT NULL,
  QUANTITYINSTOCK smallint(6) NOT NULL default '0',
  BUYPRICE decimal(17,0) NOT NULL default '0',
  MSRP decimal(17,0) NOT NULL default '0',
  PRIMARY KEY  (PRODUCTCODE)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- ORDERFACT

DROP TABLE IF EXISTS ORDERFACT;
CREATE TABLE ORDERFACT (
  ORDERNUMBER int(11) default NULL,
  PRODUCTCODE varchar(50) collate latin1_general_cs default NULL,
  QUANTITYORDERED int(11) default NULL,
  PRICEEACH decimal(31,7) default NULL,
  ORDERLINENUMBER int(11) default NULL,
  TOTALPRICE double default NULL,
  ORDERDATE timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  REQUIREDDATE timestamp NOT NULL default '0000-00-00 00:00:00',
  SHIPPEDDATE timestamp NOT NULL default '0000-00-00 00:00:00',
  STATUS varchar(15) collate latin1_general_cs default NULL,
  COMMENTS mediumtext collate latin1_general_cs,
  CUSTOMERNUMBER int(11) default NULL,
  TIME_ID varchar(10) collate latin1_general_cs default NULL,
  QTR_ID bigint(20) default NULL,
  MONTH_ID bigint(20) default NULL,
  YEAR_ID bigint(20) default NULL,
  KEY SYS_FK_1 (PRODUCTCODE),
  CONSTRAINT SYS_FK_1 FOREIGN KEY (PRODUCTCODE) REFERENCES PRODUCTS (PRODUCTCODE)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- ORDERS

DROP TABLE IF EXISTS ORDERS;
CREATE TABLE ORDERS (
  ORDERNUMBER int(11) NOT NULL default '0',
  ORDERDATE timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  REQUIREDDATE timestamp NOT NULL default '0000-00-00 00:00:00',
  SHIPPEDDATE timestamp NOT NULL default '0000-00-00 00:00:00',
  STATUS varchar(15) collate latin1_general_cs NOT NULL default '',
  COMMENTS mediumtext collate latin1_general_cs,
  CUSTOMERNUMBER int(11) NOT NULL default '0',
  PRIMARY KEY  (ORDERNUMBER)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- PAYMENTS

DROP TABLE IF EXISTS PAYMENTS;
CREATE TABLE PAYMENTS (
  CUSTOMERNUMBER int(11) NOT NULL default '0',
  CHECKNUMBER varchar(50) collate latin1_general_cs NOT NULL default '',
  PAYMENTDATE timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  AMOUNT decimal(17,0) NOT NULL default '0',
  PRIMARY KEY  (CUSTOMERNUMBER,CHECKNUMBER)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- QUADRANT_ACTUALS

DROP TABLE IF EXISTS QUADRANT_ACTUALS;
CREATE TABLE QUADRANT_ACTUALS (
  REGION varchar(50) collate latin1_general_cs NOT NULL default '',
  DEPARTMENT varchar(50) collate latin1_general_cs NOT NULL default '',
  POSITIONTITLE varchar(50) collate latin1_general_cs NOT NULL default '',
  ACTUAL decimal(18,4) default NULL,
  BUDGET decimal(18,4) default NULL,
  VARIANCE decimal(18,4) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- TRIAL_BALANCE

DROP TABLE IF EXISTS TRIAL_BALANCE;
CREATE TABLE TRIAL_BALANCE (
  Type char(1) collate latin1_general_cs default NULL,
  Account_Num int(11) default NULL,
  Category varchar(57) collate latin1_general_cs default NULL,
  Category2 varchar(57) collate latin1_general_cs default NULL,
  Detail varchar(57) collate latin1_general_cs default NULL,
  Amount int(11) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;

-- LOAD DATA

-- CUSTOMERS

INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (103,'Atelier graphique','Schmitt','Carine','40.32.2555','54, rue Royale',null,'Nantes',null,'44000','France',1370,21000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (112,'Signal Gift Stores','King','Sue','7025551838','8489 Strong St.',null,'Las Vegas','NV','83030','USA',1166,71800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (114,'Australian Collectors, Co.','Ferguson','Peter','03 9520 4555','636 St Kilda Road','Level 3','Melbourne','Victoria','3004','Australia',1611,117300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (119,'La Rochelle Gifts','Labrune','Janine','40.67.8555','67, rue des Cinquante Otages',null,'Nantes',null,'44000','France',1370,118200.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (121,'Baane Mini Imports','Bergulfsen','Jonas','07-98 9555','Erling Skakkes gate 78',null,'Stavern',null,'4110','Norway',1504,81700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (124,'Mini Gifts Distributors Ltd.','Nelson','Valarie','4155551450','5677 Strong St.',null,'San Rafael','CA','97562','USA',1165,210500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (125,'Havel & Zbyszek Co','Piestrzeniewicz','Zbyszek','(26) 642-7555','ul. Filtrowa 68',null,'Warszawa',null,'01-012','Poland',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (128,'Blauer See Auto, Co.','Keitel','Roland','+49 69 66 90 2555','Lyonerstr. 34',null,'Frankfurt',null,'60528','Germany',1504,59700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (129,'Mini Wheels Co.','Murphy','Julie','6505555787','5557 North Pendale Street',null,'San Francisco','CA','94217','USA',1165,64600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (131,'Land of Toys Inc.','Yu','Kwai','2125557818','897 Long Airport Avenue',null,'NYC','NY','10022','USA',1323,114900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (141,'Euro+ Shopping Channel','Freyre','Diego','(91) 555 94 44','C/ Moralzarzal, 86',null,'Madrid',null,'28034','Spain',1370,227600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (144,'Volvo Model Replicas, Co','Berglund','Christina','0921-12 3555','Berguvsvägen  8',null,'Luleå',null,'S-958 22','Sweden',1504,53100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (145,'Danish Wholesale Imports','Petersen','Jytte','31 12 3555','Vinbæltet 34',null,'Kobenhavn',null,'1734','Denmark',1401,83400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (146,'Saveley & Henriot, Co.','Saveley','Mary','78.32.5555','2, rue du Commerce',null,'Lyon',null,'69004','France',1337,123900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (148,'Dragon Souveniers, Ltd.','Natividad','Eric','+65 221 7555','Bronz Sok., Bronz Apt. 3/6 Tesvikiye',null,'Singapore',null,'079903','Singapore',1621,103800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (151,'Muscle Machine Inc','Young','Jeff','2125557413','4092 Furth Circle','Suite 400','NYC','NY','10022','USA',1286,138500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (157,'Diecast Classics Inc.','Yu','Kyung','2155551555','7586 Pompton St.',null,'Allentown','PA','70267','USA',1216,100600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (161,'Technics Stores Inc.','Hirano','Juri','6505556809','9408 Furth Circle',null,'Burlingame','CA','94217','USA',1165,84600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (166,'Handji Gifts& Co','Victorino','Wendy','+65 224 1555','Village Close - 106 Linden Road Sandown','2nd Floor','Singapore',null,'069045','Singapore',1612,97900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (167,'Herkku Gifts','Oeztan','Veysel','+47 2267 3215','Drammen 121, PR 744 Sentrum',null,'Bergen',null,'N 5804','Norway',1504,96800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (168,'American Souvenirs Inc','Franco','Sue','2035557845','149 Spinnaker Dr.','Suite 101','New Haven','CT','97823','USA',1286,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (169,'Porto Imports Co.','de Castro','Isabel','(1) 356-5555','Estrada da saúde n. 58',null,'Lisboa',null,'1756','Portugal',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (171,'Daedalus Designs Imports','Rancé','Martine','20.16.1555','184, chaussée de Tournai',null,'Lille',null,'59000','France',1370,82900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (172,'La Corne D''abondance, Co.','Bertrand','Marie','(1) 42.34.2555','265, boulevard Charonne',null,'Paris',null,'75012','France',1337,84300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (173,'Cambridge Collectables Co.','Tseng','Kyung','6175555555','4658 Baden Av.',null,'Cambridge','MA','51247','USA',1188,43400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (175,'Gift Depot Inc.','King','Julie','2035552570','25593 South Bay Ln.',null,'Bridgewater','CT','97562','USA',1323,84300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (177,'Osaka Souveniers Co.','Kentary','Mory','+81 06 6342 5555','Dojima Avanza 4F, 1-6-20 Dojima, Kita-ku',null,'Osaka','Osaka',' 530-0003','Japan',1621,81200.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (181,'Vitachrome Inc.','Frick','Michael','2125551500','2678 Kingston Rd.','Suite 101','NYC','NY','10022','USA',1286,76400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (186,'Toys of Finland, Co.','Karttunen','Matti','90-224 8555','Keskuskatu 45',null,'Helsinki',null,'21240','Finland',1501,96500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (187,'AV Stores, Co.','Ashworth','Victoria','(171) 555-1555','Fauntleroy Circus',null,'Manchester',null,'EC2 5NT','UK',1501,136800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (189,'Clover Collections, Co.','Cassidy','Dean','+353 1862 1555','25 Maiden Lane','Floor No. 4','Dublin',null,'2','Ireland',1504,69400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (198,'Auto-Moto Classics Inc.','Taylor','Leslie','6175558428','16780 Pompton St.',null,'Brickhaven','MA','58339','USA',1216,23000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (201,'UK Collectables, Ltd.','Devon','Elizabeth','(171) 555-2282','Berkeley Gardens 12  Brewery',null,'Liverpool',null,'WX1 6LT','UK',1501,92700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (202,'Canadian Gift Exchange Network','Tannamuri','Yoshi','(604) 555-3392','1900 Oak St.',null,'Vancouver','BC','V3F 2K1','Canada',1323,90300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (204,'Online Mini Collectables','Barajas','Miguel','6175557555','7635 Spinnaker Dr.',null,'Brickhaven','MA','58339','USA',1188,68700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (205,'Toys4GrownUps.com','Young','Julie','6265557265','78934 Hillside Dr.',null,'Pasadena','CA','90003','USA',1166,90700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (206,'Asian Shopping Network, Co','Walker','Brydey','+612 9411 1555','Penthouse Level, Suntec Tower Three, 8 Temasek',null,'Singapore',null,'038988','Singapore',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (209,'Mini Caravy','Citeaux','Frédérique','88.60.1555','24, place Kléber',null,'Strasbourg',null,'67000','France',1370,53800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (211,'King Kong Collectables, Co.','Sunwoo','Michael','+852 2251 1555','Bank of China Tower, 1 Garden Road','Level 25','Central Hong Kong',null,'','Hong Kong',1621,58600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (216,'Enaco Distributors','Saavedra','Eduardo','(93) 203 4555','Rambla de Cataluña, 23',null,'Barcelona',null,'08022','Spain',1702,60300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (219,'Boards & Toys Co.','Young','Leslie','3105552373','4097 Douglas Av.',null,'Glendale','CA','92561','USA',1166,11000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (223,'Natürlich Autos','Kloss','Horst','0372-555188','Taucherstraße 10',null,'Cunewalde',null,'01307','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (227,'Heintze Collectables','Ibsen','Palle','86 21 3555','Smagsloget 45',null,'Århus',null,'8200','Denmark',1401,120800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (233,'Québec Home Shopping Network','Fresnière','Jean','(514) 555-8054','43 rue St. Laurent',null,'Montréal','Québec','H1J 1C3','Canada',1286,48700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (237,'ANG Resellers','Camino','Alejandra','(91) 745 6555','Gran Vía, 1',null,'Madrid',null,'28001','Spain',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (239,'Collectable Mini Designs Co.','Thompson','Valarie','7605558146','361 Furth Circle',null,'San Diego','CA','91217','USA',1166,105000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (240,'giftsbymail.co.uk','Bennett','Helen','(198) 555-8888','Garden House Crowther Way',null,'Cowes','Isle of Wight','PO31 7PJ','UK',1501,93900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (242,'Alpha Cognac','Roulet','Annette','61.77.6555','1 rue Alsace-Lorraine',null,'Toulouse',null,'31000','France',1370,61100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (247,'Messner Shopping Network','Messner','Renate','069-0555984','Magazinweg 7',null,'Frankfurt',null,'60528','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (249,'Amica Models & Co.','Accorti','Paolo','011-4988555','Via Monte Bianco 34',null,'Torino',null,'10100','Italy',1401,113000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (250,'Lyon Souveniers','Da Cunha','Daniel','+33 1 46 62 7555','27 rue du Colonel Pierre Avia',null,'Paris',null,'75508','France',1337,68100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (256,'Auto Associés & Cie.','Tonini','Daniel','30.59.8555','67, avenue de l''Europe',null,'Versailles',null,'78000','France',1370,77900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (259,'Toms Spezialitäten, Ltd','Pfalzheim','Henriette','0221-5554327','Mehrheimerstr. 369',null,'Köln',null,'50739','Germany',1504,120400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (260,'Royal Canadian Collectables, Ltd.','Lincoln','Elizabeth','(604) 555-4555','23 Tsawassen Blvd.',null,'Tsawassen','BC','T2F 8M4','Canada',1323,89600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (273,'Franken Gifts, Co','Franken','Peter','089-0877555','Berliner Platz 43',null,'München',null,'80805','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (276,'Anna''s Decorations, Ltd','O''Hara','Anna','02 9936 8555','201 Miller Street','Level 15','North Sydney','NSW','2060','Australia',1611,107800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (278,'Rovelli Gifts','Rovelli','Giovanni','035-640555','Via Ludovico il Moro 22',null,'Bergamo',null,'24100','Italy',1401,119600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (282,'Souveniers And Things Co.','Huxley','Adrian','+61 2 9495 8555','Monitor Money Building, 815 Pacific Hwy','Level 6','Chatswood','NSW','2067','Australia',1611,93300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (286,'Marta''s Replicas Co.','Hernandez','Marta','6175558555','39323 Spinnaker Dr.',null,'Cambridge','MA','51247','USA',1216,123700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (293,'BG&E Collectables','Pon','Ed','+41 26 425 50 01','Rte des Arsenaux 41',null,'Fribourg',null,'1700','Switzerland',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (298,'Vida Sport, Ltd','Holz','Michael','0897-034555','Grenzacherweg 237',null,'Genève',null,'1203','Switzerland',1702,141300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (299,'Norway Gifts By Mail, Co.','Klaeboe','Jan','+47 2212 1555','Drammensveien 126 A, PB 744 Sentrum',null,'Oslo',null,'N 0106','Norway',1504,95100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (303,'Schuyler Imports','Schuyler','Bradley','+31 20 491 9555','Kingsfordweg 151',null,'Amsterdam',null,'1043 GR','Netherlands',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (307,'Der Hund Imports','Anders','Maria','030-0074555','Obere Str. 57',null,'Berlin',null,'12209','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (311,'Oulu Toy Supplies, Inc.','Koskitalo','Pirkko','981-443655','Torikatu 38',null,'Oulu',null,'90110','Finland',1501,90500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (314,'Petit Auto','Dewey','Catherine','(02) 5554 67','Rue Joseph-Bens 532',null,'Bruxelles',null,'B-1180','Belgium',1401,79900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (319,'Mini Classics','Frick','Steve','9145554562','3758 North Pendale Street',null,'White Plains','NY','24067','USA',1323,102700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (320,'Mini Creations Ltd.','Tam','Wing C','5085559555','4575 Hillside Dr.',null,'New Bedford','MA','50553','USA',1188,94500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (321,'Corporate Gift Ideas Co.','Brown','Julie','6505551386','7734 Strong St.',null,'San Francisco','CA','94217','USA',1165,105000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (323,'Down Under Souveniers, Inc','Graham','Mike','+64 9 312 5555','162-164 Grafton Road','Level 2','Auckland',null,'','New Zealand',1612,88000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (324,'Stylish Desk Decors, Co.','Brown','Ann','(171) 555-0297','35 King George',null,'London',null,'WX3 6FW','UK',1501,77000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (328,'Tekni Collectables Inc.','Brown','William','2015559350','7476 Moss Rd.',null,'Newark','NJ','94019','USA',1323,44100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (333,'Australian Gift Network, Co','Calaghan','Tony','61-7-3844-6555','31 Duncan St. West End',null,'South Brisbane','Queensland','4101','Australia',1611,51600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (334,'Suominen Souveniers','Suominen','Kalle','+358 9 8045 555','Software Engineering Center, SEC Oy',null,'Espoo',null,'FIN-02271','Finland',1501,98800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (335,'Cramer Spezialitäten, Ltd','Cramer','Philip','0555-09555','Maubelstr. 90',null,'Brandenburg',null,'14776','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (339,'Classic Gift Ideas, Inc','Cervantes','Francisca','2155554695','782 First Street',null,'Philadelphia','PA','71270','USA',1188,81100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (344,'CAF Imports','Fernandez','Jesus','+34 913 728 555','Merchants House, 27-30 Merchant''s Quay',null,'Madrid',null,'28023','Spain',1702,59600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (347,'Men ''R'' US Retailers, Ltd.','Chandler','Michael','2155554369','6047 Douglas Av.',null,'Los Angeles','CA','91003','USA',1166,57700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (348,'Asian Treasures, Inc.','McKenna','Patricia','2967 555','8 Johnstown Road',null,'Cork','Co. Cork',null,'Ireland',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (350,'Marseille Mini Autos','Lebihan','Laurence','91.24.4555','12, rue des Bouchers',null,'Marseille',null,'13008','France',1337,65000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (353,'Reims Collectables','Henriot','Paul','26.47.1555','59 rue de l''Abbaye',null,'Reims',null,'51100','France',1337,81100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (356,'SAR Distributors, Co','Kuger','Armand','+27 21 550 3555','Century City-Montague Gardens PO Box 37177',null,'Chempet',null,' 7442','South Africa',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (357,'GiftsForHim.com','MacKinlay','Wales','64-9-3763555','199 Great North Road',null,'Auckland',null,'','New Zealand',1612,77700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (361,'Kommission Auto','Josephs','Karin','0251-555259','Luisenstr. 48',null,'Münster',null,'44087','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (362,'Gifts4AllAges.com','Yoshido','Juri','6175559555','8616 Spinnaker Dr.',null,'Boston','MA','51003','USA',1216,41900.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (363,'Online Diecast Creations Co.','Young','Valarie','6035558647','2304 Long Airport Avenue',null,'Nashua','NH','62005','USA',1216,114200.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (369,'Lisboa Souveniers, Inc','Rodriguez','Lino','(1) 354-2555','Jardim das rosas n. 32',null,'Lisboa',null,'1675','Portugal',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (376,'Precious Collectables','Wang','Yang','0452-076555','Hauptstr. 29',null,'Bern',null,'3012','Switzerland',1702,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (379,'Collectables For Less Inc.','Nelson','Allen','6175558555','7825 Douglas Av.',null,'Brickhaven','MA','58339','USA',1188,70700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (381,'Royale Belge','Cartrain','Pascale','(071) 23 67 2555','Boulevard Tirou, 255',null,'Charleroi',null,'B-6000','Belgium',1401,23500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (382,'Salzburg Collectables','Pipps','Georg','6562-9555','Geislweg 14',null,'Salzburg',null,'5020','Austria',1401,71700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (385,'Cruz & Sons Co.','Cruz','Arnold','+63 2 555 3587','15 McCallum Street - NatWest Center #13-03',null,'Makati City',null,'1227 MM','Philippines',1621,81500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (386,'L''ordine Souveniers','Moroni','Maurizio','0522-556555','Strada Provinciale 124',null,'Reggio Emilia',null,'42100','Italy',1401,121400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (398,'Tokyo Collectables, Ltd','Shimamura','Akiko','+81 3 3584 0555','2-2-8 Roppongi',null,'Minato-ku','Tokyo','106-0032','Japan',1621,94400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (406,'Auto Canal+ Petit','Perrier','Dominique','(1) 47.55.6555','25, rue Lauriston',null,'Paris',null,'75016','France',1337,95000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (409,'Stuttgart Collectable Exchange','Müller','Rita','0711-555361','Adenauerallee 900',null,'Stuttgart',null,'70563','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (412,'Extreme Desk Decorations, Ltd','McRoy','Sarah','04 499 9555','101 Lambton Quay','Level 11','Wellington',null,'','New Zealand',1612,86800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (415,'Bavarian Collectables Imports, Co.','Donnermeyer','Michael',' +49 89 61 08 9555','Hansastr. 15',null,'Munich',null,'80686','Germany',1504,77000.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (424,'Classic Legends Inc.','Hernandez','Maria','2125558493','5905 Pompton St.','Suite 750','NYC','NY','10022','USA',1286,67500.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (443,'Feuer Online Stores, Inc','Feuer','Alexander','0342-555176','Heerstr. 22',null,'Leipzig',null,'04179','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (447,'Gift Ideas Corp.','Lewis','Dan','2035554407','2440 Pompton St.',null,'Glendale','CT','97561','USA',1323,49700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (448,'Scandinavian Gift Ideas','Larsson','Maria','0695-34 6555','Åkergatan 24',null,'Bräcke',null,'S-844 67','Sweden',1504,116400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (450,'The Sharp Gifts Warehouse','Frick','Sue','4085553659','3086 Ingle Ln.',null,'San Jose','CA','94217','USA',1165,77600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (452,'Mini Auto Werke','Mendel','Roland','7675-3555','Kirchgasse 6',null,'Graz',null,'8010','Austria',1401,45300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (455,'Super Scale Inc.','Murphy','Leslie','2035559545','567 North Pendale Street',null,'New Haven','CT','97823','USA',1286,95400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (456,'Microscale Inc.','Kuo','Kee','2125551957','5290 North Pendale Street','Suite 200','NYC','NY','10022','USA',1286,39800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (458,'Corrida Auto Replicas, Ltd','Sommer','Martín','(91) 555 22 82','C/ Araquil, 67',null,'Madrid',null,'28023','Spain',1702,104600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (459,'Warburg Exchange','Ottlieb','Sven','0241-039123','Walserweg 21',null,'Aachen',null,'52066','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (462,'FunGiftIdeas.com','Benitez','Violeta','5085552555','1785 First Street',null,'New Bedford','MA','50553','USA',1216,85800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (465,'Anton Designs, Ltd.','Anton','Carmen','+34 913 728555','c/ Gobelas, 19-1 Urb. La Florida',null,'Madrid',null,'28023','Spain',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (471,'Australian Collectables, Ltd','Connery','Sean','61-9-3844-6555','7 Allen Street',null,'Glen Waverly','Victoria','3150','Australia',1611,60300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (473,'Frau da Collezione','Ricotti','Franco','+39 022515555','20093 Cologno Monzese, via Alessandro Volta 16',null,'Milan',null,'','Italy',1401,34800.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (475,'West Coast Collectables Co.','Thompson','Steve','3105553722','3675 Furth Circle',null,'Burbank','CA','94019','USA',1166,55400.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (477,'Mit Vergnügen & Co.','Moos','Hanna','0621-08555','Forsterstr. 57',null,'Mannheim',null,'68306','Germany',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (480,'Kremlin Collectables, Co.','Semenov','Alexander','+7 812 293 0521','2 Pobedy Square',null,'Saint Petersburg',null,'196143','Russia',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (481,'Raanan Stores, Inc','Altagar,G M','Raanan','+ 972 9 959 8555','3 Hagalim Blv.,',null,'Herzlia',null,'47625','Israel',null,0.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (484,'Iberia Gift Imports, Corp.','Roel','José Pedro','(95) 555 82 82','C/ Romero, 33',null,'Sevilla',null,'41101','Spain',1702,65700.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (486,'Motor Mint Distributors Inc.','Hernandez','Rosa','2155559857','11328 Douglas Av.',null,'Philadelphia','PA','71270','USA',1323,72600.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (487,'Signal Collectibles Ltd.','Taylor','Sue','4155554312','2793 Furth Circle',null,'Brisbane','CA','94217','USA',1165,60300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (489,'Double Decker Gift Stores, Ltd','Hardy','Thomas','(171) 555-7555','120 Hanover Sq.',null,'London',null,'WA1 1DP','UK',1501,43300.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (495,'Diecast Collectables','Franco','Valarie','6175552555','6251 Ingle Ln.',null,'Boston','MA','51003','USA',1188,85100.0);
INSERT INTO CUSTOMERS (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,SALESREPEMPLOYEENUMBER,CREDITLIMIT) VALUES (496,'Kelly''s Gift Shop','Snowden','Tony','+64 9 5555500','Arenales 1938 3''A''',null,'Auckland',null,'','New Zealand',1612,110000.0);

-- CUSTOMER_W_TER


INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (103,'Atelier graphique','Schmitt','Carine','40.32.2555','54, rue Royale',null,'Nantes',null,'44000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (112,'Signal Gift Stores','King','Sue','7025551838','8489 Strong St.',null,'Las Vegas','NV','83030','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (114,'Australian Collectors, Co.','Ferguson','Peter','03 9520 4555','636 St Kilda Road','Level 3','Melbourne','Victoria','3004','Australia',1611,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (119,'La Rochelle Gifts','Labrune','Janine','40.67.8555','67, rue des Cinquante Otages',null,'Nantes',null,'44000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (121,'Baane Mini Imports','Bergulfsen','Jonas','07-98 9555','Erling Skakkes gate 78',null,'Stavern',null,'4110','Norway',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (124,'Mini Gifts Distributors Ltd.','Nelson','Valarie','4155551450','5677 Strong St.',null,'San Rafael','CA','97562','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (125,'Havel & Zbyszek Co','Piestrzeniewicz','Zbyszek','(26) 642-7555','ul. Filtrowa 68',null,'Warszawa',null,'01-012','Poland',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (128,'Blauer See Auto, Co.','Keitel','Roland','+49 69 66 90 2555','Lyonerstr. 34',null,'Frankfurt',null,'60528','Germany',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (129,'Mini Wheels Co.','Murphy','Julie','6505555787','5557 North Pendale Street',null,'San Francisco','CA','94217','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (131,'Land of Toys Inc.','Yu','Kwai','2125557818','897 Long Airport Avenue',null,'NYC','NY','10022','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (141,'Euro+ Shopping Channel','Freyre','Diego','(91) 555 94 44','C/ Moralzarzal, 86',null,'Madrid',null,'28034','Spain',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (144,'Volvo Model Replicas, Co','Berglund','Christina','0921-12 3555','Berguvsvägen  8',null,'Luleå',null,'S-958 22','Sweden',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (145,'Danish Wholesale Imports','Petersen','Jytte','31 12 3555','Vinbæltet 34',null,'Kobenhavn',null,'1734','Denmark',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (146,'Saveley & Henriot, Co.','Saveley','Mary','78.32.5555','2, rue du Commerce',null,'Lyon',null,'69004','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (148,'Dragon Souveniers, Ltd.','Natividad','Eric','+65 221 7555','Bronz Sok., Bronz Apt. 3/6 Tesvikiye',null,'Singapore',null,'079903','Singapore',1621,100.0,'Japan');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (151,'Muscle Machine Inc','Young','Jeff','2125557413','4092 Furth Circle','Suite 400','NYC','NY','10022','USA',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (157,'Diecast Classics Inc.','Yu','Kyung','2155551555','7586 Pompton St.',null,'Allentown','PA','70267','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (161,'Technics Stores Inc.','Hirano','Juri','6505556809','9408 Furth Circle',null,'Burlingame','CA','94217','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (166,'Handji Gifts& Co','Victorino','Wendy','+65 224 1555','Village Close - 106 Linden Road Sandown','2nd Floor','Singapore',null,'069045','Singapore',1612,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (167,'Herkku Gifts','Oeztan','Veysel','+47 2267 3215','Drammen 121, PR 744 Sentrum',null,'Bergen',null,'N 5804','Norway',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (168,'American Souvenirs Inc','Franco','Sue','2035557845','149 Spinnaker Dr.','Suite 101','New Haven','CT','97823','USA',1286,0.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (169,'Porto Imports Co.','de Castro','Isabel','(1) 356-5555','Estrada da saúde n. 58',null,'Lisboa',null,'1756','Portugal',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (171,'Daedalus Designs Imports','Rancé','Martine','20.16.1555','184, chaussée de Tournai',null,'Lille',null,'59000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (172,'La Corne D''abondance, Co.','Bertrand','Marie','(1) 42.34.2555','265, boulevard Charonne',null,'Paris',null,'75012','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (173,'Cambridge Collectables Co.','Tseng','Kyung','6175555555','4658 Baden Av.',null,'Cambridge','MA','51247','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (175,'Gift Depot Inc.','King','Julie','2035552570','25593 South Bay Ln.',null,'Bridgewater','CT','97562','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (177,'Osaka Souveniers Co.','Kentary','Mory','+81 06 6342 5555','Dojima Avanza 4F, 1-6-20 Dojima, Kita-ku',null,'Osaka','Osaka',' 530-0003','Japan',1621,100.0,'Japan');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (181,'Vitachrome Inc.','Frick','Michael','2125551500','2678 Kingston Rd.','Suite 101','NYC','NY','10022','USA',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (186,'Toys of Finland, Co.','Karttunen','Matti','90-224 8555','Keskuskatu 45',null,'Helsinki',null,'21240','Finland',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (187,'AV Stores, Co.','Ashworth','Victoria','(171) 555-1555','Fauntleroy Circus',null,'Manchester',null,'EC2 5NT','UK',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (189,'Clover Collections, Co.','Cassidy','Dean','+353 1862 1555','25 Maiden Lane','Floor No. 4','Dublin',null,'2','Ireland',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (198,'Auto-Moto Classics Inc.','Taylor','Leslie','6175558428','16780 Pompton St.',null,'Brickhaven','MA','58339','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (201,'UK Collectables, Ltd.','Devon','Elizabeth','(171) 555-2282','Berkeley Gardens 12  Brewery',null,'Liverpool',null,'WX1 6LT','UK',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (202,'Canadian Gift Exchange Network','Tannamuri','Yoshi','(604) 555-3392','1900 Oak St.',null,'Vancouver','BC','V3F 2K1','Canada',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (204,'Online Mini Collectables','Barajas','Miguel','6175557555','7635 Spinnaker Dr.',null,'Brickhaven','MA','58339','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (205,'Toys4GrownUps.com','Young','Julie','6265557265','78934 Hillside Dr.',null,'Pasadena','CA','90003','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (206,'Asian Shopping Network, Co','Walker','Brydey','+612 9411 1555','Penthouse Level, Suntec Tower Three, 8 Temasek',null,'Singapore',null,'038988','Singapore',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (209,'Mini Caravy','Citeaux','Frédérique','88.60.1555','24, place Kléber',null,'Strasbourg',null,'67000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (211,'King Kong Collectables, Co.','Sunwoo','Michael','+852 2251 1555','Bank of China Tower, 1 Garden Road','Level 25','Central Hong Kong',null,'','Hong Kong',1621,100.0,'Japan');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (216,'Enaco Distributors','Saavedra','Eduardo','(93) 203 4555','Rambla de Cataluña, 23',null,'Barcelona',null,'08022','Spain',1702,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (219,'Boards & Toys Co.','Young','Leslie','3105552373','4097 Douglas Av.',null,'Glendale','CA','92561','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (223,'Natürlich Autos','Kloss','Horst','0372-555188','Taucherstraße 10',null,'Cunewalde',null,'01307','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (227,'Heintze Collectables','Ibsen','Palle','86 21 3555','Smagsloget 45',null,'Århus',null,'8200','Denmark',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (233,'Québec Home Shopping Network','Fresnière','Jean','(514) 555-8054','43 rue St. Laurent',null,'Montréal','Québec','H1J 1C3','Canada',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (237,'ANG Resellers','Camino','Alejandra','(91) 745 6555','Gran Vía, 1',null,'Madrid',null,'28001','Spain',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (239,'Collectable Mini Designs Co.','Thompson','Valarie','7605558146','361 Furth Circle',null,'San Diego','CA','91217','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (240,'giftsbymail.co.uk','Bennett','Helen','(198) 555-8888','Garden House Crowther Way',null,'Cowes','Isle of Wight','PO31 7PJ','UK',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (242,'Alpha Cognac','Roulet','Annette','61.77.6555','1 rue Alsace-Lorraine',null,'Toulouse',null,'31000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (247,'Messner Shopping Network','Messner','Renate','069-0555984','Magazinweg 7',null,'Frankfurt',null,'60528','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (249,'Amica Models & Co.','Accorti','Paolo','011-4988555','Via Monte Bianco 34',null,'Torino',null,'10100','Italy',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (250,'Lyon Souveniers','Da Cunha','Daniel','+33 1 46 62 7555','27 rue du Colonel Pierre Avia',null,'Paris',null,'75508','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (256,'Auto Associés & Cie.','Tonini','Daniel','30.59.8555','67, avenue de l''Europe',null,'Versailles',null,'78000','France',1370,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (259,'Toms Spezialitäten, Ltd','Pfalzheim','Henriette','0221-5554327','Mehrheimerstr. 369',null,'Köln',null,'50739','Germany',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (260,'Royal Canadian Collectables, Ltd.','Lincoln','Elizabeth','(604) 555-4555','23 Tsawassen Blvd.',null,'Tsawassen','BC','T2F 8M4','Canada',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (273,'Franken Gifts, Co','Franken','Peter','089-0877555','Berliner Platz 43',null,'München',null,'80805','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (276,'Anna''s Decorations, Ltd','O''Hara','Anna','02 9936 8555','201 Miller Street','Level 15','North Sydney','NSW','2060','Australia',1611,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (278,'Rovelli Gifts','Rovelli','Giovanni','035-640555','Via Ludovico il Moro 22',null,'Bergamo',null,'24100','Italy',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (282,'Souveniers And Things Co.','Huxley','Adrian','+61 2 9495 8555','Monitor Money Building, 815 Pacific Hwy','Level 6','Chatswood','NSW','2067','Australia',1611,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (286,'Marta''s Replicas Co.','Hernandez','Marta','6175558555','39323 Spinnaker Dr.',null,'Cambridge','MA','51247','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (293,'BG&E Collectables','Pon','Ed','+41 26 425 50 01','Rte des Arsenaux 41',null,'Fribourg',null,'1700','Switzerland',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (298,'Vida Sport, Ltd','Holz','Michael','0897-034555','Grenzacherweg 237',null,'Genève',null,'1203','Switzerland',1702,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (299,'Norway Gifts By Mail, Co.','Klaeboe','Jan','+47 2212 1555','Drammensveien 126 A, PB 744 Sentrum',null,'Oslo',null,'N 0106','Norway',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (303,'Schuyler Imports','Schuyler','Bradley','+31 20 491 9555','Kingsfordweg 151',null,'Amsterdam',null,'1043 GR','Netherlands',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (307,'Der Hund Imports','Anders','Maria','030-0074555','Obere Str. 57',null,'Berlin',null,'12209','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (311,'Oulu Toy Supplies, Inc.','Koskitalo','Pirkko','981-443655','Torikatu 38',null,'Oulu',null,'90110','Finland',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (314,'Petit Auto','Dewey','Catherine','(02) 5554 67','Rue Joseph-Bens 532',null,'Bruxelles',null,'B-1180','Belgium',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (319,'Mini Classics','Frick','Steve','9145554562','3758 North Pendale Street',null,'White Plains','NY','24067','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (320,'Mini Creations Ltd.','Tam','Wing C','5085559555','4575 Hillside Dr.',null,'New Bedford','MA','50553','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (321,'Corporate Gift Ideas Co.','Brown','Julie','6505551386','7734 Strong St.',null,'San Francisco','CA','94217','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (323,'Down Under Souveniers, Inc','Graham','Mike','+64 9 312 5555','162-164 Grafton Road','Level 2','Auckland',null,'','New Zealand',1612,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (324,'Stylish Desk Decors, Co.','Brown','Ann','(171) 555-0297','35 King George',null,'London',null,'WX3 6FW','UK',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (328,'Tekni Collectables Inc.','Brown','William','2015559350','7476 Moss Rd.',null,'Newark','NJ','94019','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (333,'Australian Gift Network, Co','Calaghan','Tony','61-7-3844-6555','31 Duncan St. West End',null,'South Brisbane','Queensland','4101','Australia',1611,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (334,'Suominen Souveniers','Suominen','Kalle','+358 9 8045 555','Software Engineering Center, SEC Oy',null,'Espoo',null,'FIN-02271','Finland',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (335,'Cramer Spezialitäten, Ltd','Cramer','Philip','0555-09555','Maubelstr. 90',null,'Brandenburg',null,'14776','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (339,'Classic Gift Ideas, Inc','Cervantes','Francisca','2155554695','782 First Street',null,'Philadelphia','PA','71270','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (344,'CAF Imports','Fernandez','Jesus','+34 913 728 555','Merchants House, 27-30 Merchant''s Quay',null,'Madrid',null,'28023','Spain',1702,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (347,'Men ''R'' US Retailers, Ltd.','Chandler','Michael','2155554369','6047 Douglas Av.',null,'Los Angeles','CA','91003','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (348,'Asian Treasures, Inc.','McKenna','Patricia','2967 555','8 Johnstown Road',null,'Cork','Co. Cork',null,'Ireland',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (350,'Marseille Mini Autos','Lebihan','Laurence','91.24.4555','12, rue des Bouchers',null,'Marseille',null,'13008','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (353,'Reims Collectables','Henriot','Paul','26.47.1555','59 rue de l''Abbaye',null,'Reims',null,'51100','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (356,'SAR Distributors, Co','Kuger','Armand','+27 21 550 3555','Century City-Montague Gardens PO Box 37177',null,'Chempet',null,' 7442','South Africa',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (357,'GiftsForHim.com','MacKinlay','Wales','64-9-3763555','199 Great North Road',null,'Auckland',null,'','New Zealand',1612,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (361,'Kommission Auto','Josephs','Karin','0251-555259','Luisenstr. 48',null,'Münster',null,'44087','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (362,'Gifts4AllAges.com','Yoshido','Juri','6175559555','8616 Spinnaker Dr.',null,'Boston','MA','51003','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (363,'Online Diecast Creations Co.','Young','Valarie','6035558647','2304 Long Airport Avenue',null,'Nashua','NH','62005','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (369,'Lisboa Souveniers, Inc','Rodriguez','Lino','(1) 354-2555','Jardim das rosas n. 32',null,'Lisboa',null,'1675','Portugal',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (376,'Precious Collectables','Wang','Yang','0452-076555','Hauptstr. 29',null,'Bern',null,'3012','Switzerland',1702,0.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (379,'Collectables For Less Inc.','Nelson','Allen','6175558555','7825 Douglas Av.',null,'Brickhaven','MA','58339','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (381,'Royale Belge','Cartrain','Pascale','(071) 23 67 2555','Boulevard Tirou, 255',null,'Charleroi',null,'B-6000','Belgium',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (382,'Salzburg Collectables','Pipps','Georg','6562-9555','Geislweg 14',null,'Salzburg',null,'5020','Austria',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (385,'Cruz & Sons Co.','Cruz','Arnold','+63 2 555 3587','15 McCallum Street - NatWest Center #13-03',null,'Makati City',null,'1227 MM','Philippines',1621,100.0,'Japan');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (386,'L''ordine Souveniers','Moroni','Maurizio','0522-556555','Strada Provinciale 124',null,'Reggio Emilia',null,'42100','Italy',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (398,'Tokyo Collectables, Ltd','Shimamura','Akiko','+81 3 3584 0555','2-2-8 Roppongi',null,'Minato-ku','Tokyo','106-0032','Japan',1621,100.0,'Japan');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (406,'Auto Canal+ Petit','Perrier','Dominique','(1) 47.55.6555','25, rue Lauriston',null,'Paris',null,'75016','France',1337,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (409,'Stuttgart Collectable Exchange','Müller','Rita','0711-555361','Adenauerallee 900',null,'Stuttgart',null,'70563','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (412,'Extreme Desk Decorations, Ltd','McRoy','Sarah','04 499 9555','101 Lambton Quay','Level 11','Wellington',null,'','New Zealand',1612,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (415,'Bavarian Collectables Imports, Co.','Donnermeyer','Michael',' +49 89 61 08 9555','Hansastr. 15',null,'Munich',null,'80686','Germany',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (424,'Classic Legends Inc.','Hernandez','Maria','2125558493','5905 Pompton St.','Suite 750','NYC','NY','10022','USA',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (443,'Feuer Online Stores, Inc','Feuer','Alexander','0342-555176','Heerstr. 22',null,'Leipzig',null,'04179','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (447,'Gift Ideas Corp.','Lewis','Dan','2035554407','2440 Pompton St.',null,'Glendale','CT','97561','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (448,'Scandinavian Gift Ideas','Larsson','Maria','0695-34 6555','Åkergatan 24',null,'Bräcke',null,'S-844 67','Sweden',1504,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (450,'The Sharp Gifts Warehouse','Frick','Sue','4085553659','3086 Ingle Ln.',null,'San Jose','CA','94217','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (452,'Mini Auto Werke','Mendel','Roland','7675-3555','Kirchgasse 6',null,'Graz',null,'8010','Austria',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (455,'Super Scale Inc.','Murphy','Leslie','2035559545','567 North Pendale Street',null,'New Haven','CT','97823','USA',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (456,'Microscale Inc.','Kuo','Kee','2125551957','5290 North Pendale Street','Suite 200','NYC','NY','10022','USA',1286,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (458,'Corrida Auto Replicas, Ltd','Sommer','Martín','(91) 555 22 82','C/ Araquil, 67',null,'Madrid',null,'28023','Spain',1702,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (459,'Warburg Exchange','Ottlieb','Sven','0241-039123','Walserweg 21',null,'Aachen',null,'52066','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (462,'FunGiftIdeas.com','Benitez','Violeta','5085552555','1785 First Street',null,'New Bedford','MA','50553','USA',1216,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (465,'Anton Designs, Ltd.','Anton','Carmen','+34 913 728555','c/ Gobelas, 19-1 Urb. La Florida',null,'Madrid',null,'28023','Spain',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (471,'Australian Collectables, Ltd','Connery','Sean','61-9-3844-6555','7 Allen Street',null,'Glen Waverly','Victoria','3150','Australia',1611,100.0,'APAC');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (473,'Frau da Collezione','Ricotti','Franco','+39 022515555','20093 Cologno Monzese, via Alessandro Volta 16',null,'Milan',null,'','Italy',1401,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (475,'West Coast Collectables Co.','Thompson','Steve','3105553722','3675 Furth Circle',null,'Burbank','CA','94019','USA',1166,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (477,'Mit Vergnügen & Co.','Moos','Hanna','0621-08555','Forsterstr. 57',null,'Mannheim',null,'68306','Germany',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (480,'Kremlin Collectables, Co.','Semenov','Alexander','+7 812 293 0521','2 Pobedy Square',null,'Saint Petersburg',null,'196143','Russia',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (481,'Raanan Stores, Inc','Altagar,G M','Raanan','+ 972 9 959 8555','3 Hagalim Blv.,',null,'Herzlia',null,'47625','Israel',null,0.0,null);
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (484,'Iberia Gift Imports, Corp.','Roel','José Pedro','(95) 555 82 82','C/ Romero, 33',null,'Sevilla',null,'41101','Spain',1702,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (486,'Motor Mint Distributors Inc.','Hernandez','Rosa','2155559857','11328 Douglas Av.',null,'Philadelphia','PA','71270','USA',1323,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (487,'Signal Collectibles Ltd.','Taylor','Sue','4155554312','2793 Furth Circle',null,'Brisbane','CA','94217','USA',1165,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (489,'Double Decker Gift Stores, Ltd','Hardy','Thomas','(171) 555-7555','120 Hanover Sq.',null,'London',null,'WA1 1DP','UK',1501,100.0,'EMEA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (495,'Diecast Collectables','Franco','Valarie','6175552555','6251 Ingle Ln.',null,'Boston','MA','51003','USA',1188,100.0,'NA');
INSERT INTO CUSTOMER_W_TER (CUSTOMERNUMBER,CUSTOMERNAME,CONTACTLASTNAME,CONTACTFIRSTNAME,PHONE,ADDRESSLINE1,ADDRESSLINE2,CITY,STATE,POSTALCODE,COUNTRY,EMPLOYEENUMBER,CREDITLIMIT,TERRITORY) VALUES (496,'Kelly''s Gift Shop','Snowden','Tony','+64 9 5555500','Arenales 1938 3''A''',null,'Auckland',null,'','New Zealand',1612,100.0,'APAC');

-- DEPARTMENT_MANAGERS

INSERT INTO DEPARTMENT_MANAGERS (REGION,MANAGER_NAME,EMAIL) VALUES ('Central','Joe Pentaho','joe@pentaho.org');
INSERT INTO DEPARTMENT_MANAGERS (REGION,MANAGER_NAME,EMAIL) VALUES ('Eastern','Suzy Pentaho','suzy@pentaho.org');
INSERT INTO DEPARTMENT_MANAGERS (REGION,MANAGER_NAME,EMAIL) VALUES ('Southern','Tiffany Pentaho','tiffany@pentaho.org');
INSERT INTO DEPARTMENT_MANAGERS (REGION,MANAGER_NAME,EMAIL) VALUES ('Western','Pat Pentaho','pat@pentaho.org');

-- DIM_TIME


INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-01-06',1,1,2003,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-01-09',1,1,2003,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-01-10',1,1,2003,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-01-29',1,1,2003,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-01-31',1,1,2003,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-02-11',2,1,2003,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-02-17',2,1,2003,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-02-24',2,1,2003,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-03',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-10',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-18',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-24',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-25',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-03-26',3,1,2003,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-01',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-04',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-11',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-16',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-21',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-28',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-04-29',4,2,2003,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-05-07',5,2,2003,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-05-08',5,2,2003,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-05-20',5,2,2003,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-05-21',5,2,2003,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-05-28',5,2,2003,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-03',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-06',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-12',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-16',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-25',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-06-27',6,2,2003,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-01',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-02',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-04',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-07',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-10',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-16',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-07-24',7,3,2003,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-08-01',8,3,2003,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-08-08',8,3,2003,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-08-10',8,3,2003,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-08-13',8,3,2003,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-08-25',8,3,2003,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-03',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-05',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-11',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-12',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-19',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-21',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-25',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-09-28',9,3,2003,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-02',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-04',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-05',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-06',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-08',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-09',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-10',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-11',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-17',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-18',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-20',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-21',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-22',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-23',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-10-28',10,4,2003,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-04',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-05',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-06',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-07',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-08',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-11',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-12',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-13',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-14',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-15',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-18',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-19',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-20',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-21',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-25',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-26',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-11-27',11,4,2003,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-12-01',12,4,2003,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-12-02',12,4,2003,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-12-03',12,4,2003,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-12-05',12,4,2003,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2003-12-09',12,4,2003,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-02',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-09',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-12',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-15',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-16',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-22',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-26',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-01-29',1,1,2004,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-02',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-04',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-09',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-10',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-12',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-18',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-19',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-20',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-21',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-22',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-02-26',2,1,2004,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-02',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-10',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-11',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-15',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-19',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-20',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-29',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-03-30',3,1,2004,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-02',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-03',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-05',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-09',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-12',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-13',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-20',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-26',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-04-29',4,2,2004,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-04',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-05',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-07',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-08',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-11',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-18',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-05-26',5,2,2004,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-01',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-03',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-04',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-08',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-14',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-15',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-16',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-17',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-24',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-28',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-06-30',6,2,2004,'Jun','June','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-02',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-06',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-07',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-12',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-16',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-19',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-20',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-21',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-07-23',7,3,2004,'Jul','July','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-02',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-04',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-06',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-09',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-17',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-19',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-20',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-21',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-27',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-28',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-08-30',8,3,2004,'Aug','August','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-01',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-03',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-07',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-08',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-09',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-10',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-15',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-16',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-27',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-09-30',9,3,2004,'Sep','September','QTR3','Quarter 3');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-06',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-11',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-13',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-14',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-15',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-16',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-21',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-22',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-10-29',10,4,2004,'Oct','October','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-01',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-02',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-03',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-04',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-05',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-09',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-10',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-12',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-15',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-16',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-17',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-18',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-19',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-20',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-21',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-22',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-23',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-24',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-25',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-11-29',11,4,2004,'Nov','November','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-01',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-02',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-03',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-04',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-07',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-09',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-10',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-15',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-16',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2004-12-17',12,4,2004,'Dec','December','QTR4','Quarter 4');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-05',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-06',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-07',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-10',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-12',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-19',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-20',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-23',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-26',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-01-31',1,1,2005,'Jan','January','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-02',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-03',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-08',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-09',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-10',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-16',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-17',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-22',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-23',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-02-28',2,1,2005,'Feb','February','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-01',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-02',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-03',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-04',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-09',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-10',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-11',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-15',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-17',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-23',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-28',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-03-30',3,1,2005,'Mar','March','QTR1','Quarter 1');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-01',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-03',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-07',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-08',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-14',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-15',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-22',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-23',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-04-29',4,2,2005,'Apr','April','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-01',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-03',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-05',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-06',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-09',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-10',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-13',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-16',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-17',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-29',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-30',5,2,2005,'May','May','QTR2','Quarter 2');
INSERT INTO DIM_TIME (TIME_ID,MONTH_ID,QTR_ID,YEAR_ID,MONTH_NAME,MONTH_DESC,QTR_NAME,QTR_DESC) VALUES ('2005-05-31',5,2,2005,'May','May','QTR2','Quarter 2');

-- EMPLOYEES

INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1002,'Murphy','Diane','x5800','dmurphy@classicmodelcars.com','1',null,'President');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1056,'Patterson','Mary','x4611','mpatterso@classicmodelcars.com','1',1002,'VP Sales');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1076,'Firrelli','Jeff','x9273','jfirrelli@classicmodelcars.com','1',1002,'VP Marketing');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1088,'Patterson','William','x4871','wpatterson@classicmodelcars.com','6',1056,'Sales Manager (JAPAN, APAC)');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1102,'Bondur','Gerard','x5408','athompson@classicmodelcars.com','4',1056,'Sale Manager (EMEA)');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1143,'Bow','Anthony','x5428','bhoward@classicmodelcars.com','1',1056,'Sales Manager (NA)');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1165,'Jennings','Leslie','x3291','ljennings@classicmodelcars.com','1',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1166,'Thompson','Leslie','x4065','lthompson@classicmodelcars.com','1',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1188,'Firrelli','Julie','x2173','jfirrelli@classicmodelcars.com','2',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1216,'Patterson','Steve','x4334','spatterso@classicmodelcars.com','2',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1286,'Tseng','Foon Yue','x2248','ftseng@classicmodelcars.com','3',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1323,'Vanauf','George','x4102','gvanauf@classicmodelcars.com','3',1143,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1337,'Bondur','Loui','x6493','lbondur@classicmodelcars.com','4',1102,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1370,'Hernandez','Gerard','x2028','ghernande@classicmodelcars.com','4',1102,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1401,'Castillo','Pamela','x2759','pcastillo@classicmodelcars.com','4',1102,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1501,'Bott','Larry','x2311','lbott@classicmodelcars.com','7',1102,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1504,'Jones','Barry','x102','bjones@classicmodelcars.com','7',1102,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1611,'Fixter','Andy','x101','afixter@classicmodelcars.com','6',1088,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1612,'Marsh','Peter','x102','pmarsh@classicmodelcars.com','6',1088,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1619,'King','Tom','x103','tking@classicmodelcars.com','6',1088,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1621,'Nishi','Mami','x101','mnishi@classicmodelcars.com','5',1088,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1625,'Kato','Yoshimi','x102','ekato@classicmodelcars.com','5',1088,'Sales Rep');
INSERT INTO EMPLOYEES (EMPLOYEENUMBER,LASTNAME,FIRSTNAME,EXTENSION,EMAIL,OFFICECODE,REPORTSTO,JOBTITLE) VALUES (1702,'Gerard','Martin','x2312','gmartin@classicmodelcars.com','4',1102,'Sales Rep');

-- OFFICES 

INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('1','San Francisco','+1 650 219 4782','100 Market Street','Suite 300','CA','USA','94080','NA');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('2','Boston','+1 215 837 0825','1550 Court Place','Suite 102','MA','USA','02107','NA');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('3','NYC','+1 212 555 3000','523 East 53rd Street','apt. 5A','NY','USA','10022','NA');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('4','Paris','+33 14 723 4404','43 Rue Jouffroy D''abbans',null,'','France','75017','EMEA');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('5','Tokyo','+81 33 224 5000','4-1 Kioicho',null,'Chiyoda-Ku','Japan','102-8578','Japan');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('6','Sydney','+61 2 9264 2451','5-11 Wentworth Avenue','Floor #2',null,'Australia','NSW 2010','APAC');
INSERT INTO OFFICES (OFFICECODE,CITY,PHONE,ADDRESSLINE1,ADDRESSLINE2,STATE,COUNTRY,POSTALCODE,TERRITORY) VALUES ('7','London','+44 20 7877 2041','25 Old Broad Street','Level 7',null,'UK','EC2N 1HN','EMEA');

-- PRODUCTS

INSERT INTO PRODUCTS VALUES('S10_1678','1969 Harley Davidson Ultimate Chopper','Motorcycles','1:10','Min Lin Diecast','This replica features working kickstand, front suspension, gear-shift lever, footbrake lever, drive chain, wheels and steering. All parts are particularly delicate due to their precise scale and require special care and attention.',7933,48.81,95.7);
INSERT INTO PRODUCTS VALUES('S10_1949','1952 Alpine Renault 1300','Classic Cars','1:10','Classic Metal Creations','Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',7305,98.58,214.3);
INSERT INTO PRODUCTS VALUES('S10_2016','1996 Moto Guzzi 1100i','Motorcycles','1:10','Highway 66 Mini Classics','Official Moto Guzzi logos and insignias, saddle bags located on side of motorcycle, detailed engine, working steering, working suspension, two leather seats, luggage rack, dual exhaust pipes, small saddle bag located on handle bars, two-tone paint with chrome accents, superior die-cast detail , rotating wheels , working kick stand, diecast metal with plastic parts and baked enamel finish.',6625,68.99,118.94);
INSERT INTO PRODUCTS VALUES('S10_4698','2003 Harley-Davidson Eagle Drag Bike','Motorcycles','1:10','Red Start Diecast','Model features, official Harley Davidson logos and insignias, detachable rear wheelie bar, heavy diecast metal with resin parts, authentic multi-color tampo-printed graphics, separate engine drive belts, free-turning front fork, rotating tires and rear racing slick, certificate of authenticity, detailed engine, display stand\u000d\u000a, precision diecast replica, baked enamel finish, 1:10 scale model, removable fender, seat and tank cover piece for displaying the superior detail of the v-twin engine',5582,91.02,193.66);
INSERT INTO PRODUCTS VALUES('S10_4757','1972 Alfa Romeo GTA','Classic Cars','1:10','Motor City Art Classics','Features include: Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',3252,85.68,136.0);
INSERT INTO PRODUCTS VALUES('S10_4962','1962 LanciaA Delta 16V','Classic Cars','1:10','Second Gear Diecast','Features include: Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',6791,103.42,147.74);
INSERT INTO PRODUCTS VALUES('S12_1099','1968 Ford Mustang','Classic Cars','1:12','Autoart Studio Design','Hood, doors and trunk all open to reveal highly detailed interior features. Steering wheel actually turns the front wheels. Color dark green.',68,95.34,194.57);
INSERT INTO PRODUCTS VALUES('S12_1108','2001 Ferrari Enzo','Classic Cars','1:12','Second Gear Diecast','Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',3619,95.59,207.8);
INSERT INTO PRODUCTS VALUES('S12_1666','1958 Setra Bus','Trucks and Buses','1:12','Welly Diecast Productions','Model features 30 windows, skylights & glare resistant glass, working steering system, original logos',1579,77.9,136.67);
INSERT INTO PRODUCTS VALUES('S12_2823','2002 Suzuki XREO','Motorcycles','1:12','Unimax Art Galleries','Official logos and insignias, saddle bags located on side of motorcycle, detailed engine, working steering, working suspension, two leather seats, luggage rack, dual exhaust pipes, small saddle bag located on handle bars, two-tone paint with chrome accents, superior die-cast detail , rotating wheels , working kick stand, diecast metal with plastic parts and baked enamel finish.',9997,66.27,150.62);
INSERT INTO PRODUCTS VALUES('S12_3148','1969 Corvair Monza','Classic Cars','1:18','Welly Diecast Productions','1:18 scale die-cast about 10 long doors open, hood opens, trunk opens and wheels roll',6906,89.14,151.08);
INSERT INTO PRODUCTS VALUES('S12_3380','1968 Dodge Charger','Classic Cars','1:12','Welly Diecast Productions','1:12 scale model of a 1968 Dodge Charger. Hood, doors and trunk all open to reveal highly detailed interior features. Steering wheel actually turns the front wheels. Color black',9123,75.16,117.44);
INSERT INTO PRODUCTS VALUES('S12_3891','1969 Ford Falcon','Classic Cars','1:12','Second Gear Diecast','Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',1049,83.05,173.02);
INSERT INTO PRODUCTS VALUES('S12_3990','1970 Plymouth Hemi Cuda','Classic Cars','1:12','Studio M Art Models','Very detailed 1970 Plymouth Cuda model in 1:12 scale. The Cuda is generally accepted as one of the fastest original muscle cars from the 1970s. This model is a reproduction of one of the orginal 652 cars built in 1970. Red color.',5663,31.92,79.8);
INSERT INTO PRODUCTS VALUES('S12_4473','1957 Chevy Pickup','Trucks and Buses','1:12','Exoto Designs','1:12 scale die-cast about 20 long Hood opens, Rubber wheels',6125,55.7,118.5);
INSERT INTO PRODUCTS VALUES('S12_4675','1969 Dodge Charger','Classic Cars','1:12','Welly Diecast Productions','Detailed model of the 1969 Dodge Charger. This model includes finely detailed interior and exterior features. Painted in red and white.',7323,58.73,115.16);
INSERT INTO PRODUCTS VALUES('S18_1097','1940 Ford Pickup Truck','Trucks and Buses','1:18','Studio M Art Models','This model features soft rubber tires, working steering, rubber mud guards, authentic Ford logos, detailed undercarriage, opening doors and hood,  removable split rear gate, full size spare mounted in bed, detailed interior with opening glove box',2613,58.33,116.67);
INSERT INTO PRODUCTS VALUES('S18_1129','1993 Mazda RX-7','Classic Cars','1:18','Highway 66 Mini Classics','This model features, opening hood, opening doors, detailed engine, rear spoiler, opening trunk, working steering, tinted windows, baked enamel finish. Color red.',3975,83.51,141.54);
INSERT INTO PRODUCTS VALUES('S18_1342','1937 Lincoln Berline','Vintage Cars','1:18','Motor City Art Classics','Features opening engine cover, doors, trunk, and fuel filler cap. Color black',8693,60.62,102.74);
INSERT INTO PRODUCTS VALUES('S18_1367','1936 Mercedes-Benz 500K Special Roadster','Vintage Cars','1:18','Studio M Art Models','This 1:18 scale replica is constructed of heavy die-cast metal and has all the features of the original: working doors and rumble seat, independent spring suspension, detailed interior, working steering system, and a bifold hood that reveals an engine so accurate that it even includes the wiring. All this is topped off with a baked enamel finish. Color white.',8635,24.26,53.91);
INSERT INTO PRODUCTS VALUES('S18_1589','1965 Aston Martin DB5','Classic Cars','1:18','Classic Metal Creations','Die-cast model of the silver 1965 Aston Martin DB5 in silver. This model includes full wire wheels and doors that open with fully detailed passenger compartment. In 1:18 scale, this model measures approximately 10 inches/20 cm long.',9042,65.96,124.44);
INSERT INTO PRODUCTS VALUES('S18_1662','1980s Black Hawk Helicopter','Planes','1:18','Red Start Diecast','1:18 scale replica of actual Army''s UH-60L BLACK HAWK Helicopter. 100% hand-assembled. Features rotating rotor blades, propeller blades and rubber wheels.',5330,77.27,157.69);
INSERT INTO PRODUCTS VALUES('S18_1749','1917 Grand Touring Sedan','Vintage Cars','1:18','Welly Diecast Productions','This 1:18 scale replica of the 1917 Grand Touring car has all the features you would expect from museum quality reproductions: all four doors and bi-fold hood opening, detailed engine and instrument panel, chrome-look trim, and tufted upholstery, all topped off with a factory baked-enamel finish.',2724,86.7,170.0);
INSERT INTO PRODUCTS VALUES('S18_1889','1948 Porsche 356-A Roadster','Classic Cars','1:18','Gearbox Collectibles','This precision die-cast replica features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',8826,53.9,77.0);
INSERT INTO PRODUCTS VALUES('S18_1984','1995 Honda Civic','Classic Cars','1:18','Min Lin Diecast','This model features, opening hood, opening doors, detailed engine, rear spoiler, opening trunk, working steering, tinted windows, baked enamel finish. Color yellow.',9772,93.89,142.25);
INSERT INTO PRODUCTS VALUES('S18_2238','1998 Chrysler Plymouth Prowler','Classic Cars','1:18','Gearbox Collectibles','Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',4724,101.51,163.73);
INSERT INTO PRODUCTS VALUES('S18_2248','1911 Ford Town Car','Vintage Cars','1:18','Motor City Art Classics','Features opening hood, opening doors, opening trunk, wide white wall tires, front door arm rests, working steering system',540,33.3,60.54);
INSERT INTO PRODUCTS VALUES('S18_2319','1964 Mercedec Tour Bus','Trucks and Buses','1:18','Unimax Art Galleries','Exact replica. 100+ parts. working steering system, original logos',8258,74.86,122.73);
INSERT INTO PRODUCTS VALUES('S18_2325','1932 Model A Ford J-Coupe','Vintage Cars','1:18','Autoart Studio Design','This model features grille-mounted chrome horn, lift-up louvered hood, fold-down rumble seat, working steering system, chrome-covered spare, opening doors, detailed and wired engine',9354,58.48,127.13);
INSERT INTO PRODUCTS VALUES('S18_2432','1926 Ford Fire Engine','Trucks and Buses','1:18','Carousel DieCast Legends','Gleaming red handsome appearance. Everything is here the fire hoses, ladder, axes, bells, lanterns, ready to fight any inferno.',2018,24.92,60.77);
INSERT INTO PRODUCTS VALUES('S18_2581','P-51-D Mustang','Planes','1:72','Gearbox Collectibles','Has retractable wheels and comes with a stand',992,49.0,84.48);
INSERT INTO PRODUCTS VALUES('S18_2625','1936 Harley Davidson El Knucklehead','Motorcycles','1:18','Welly Diecast Productions','Intricately detailed with chrome accents and trim, official die-struck logos and baked enamel finish.',4357,24.23,60.57);
INSERT INTO PRODUCTS VALUES('S18_2795','1928 Mercedes-Benz SSK','Vintage Cars','1:18','Gearbox Collectibles','This 1:18 replica features grille-mounted chrome horn, lift-up louvered hood, fold-down rumble seat, working steering system, chrome-covered spare, opening doors, detailed and wired engine. Color black.',548,72.56,168.75);
INSERT INTO PRODUCTS VALUES('S18_2870','1999 Indy 500 Monte Carlo SS','Classic Cars','1:18','Red Start Diecast','Features include opening and closing doors. Color: Red',8164,56.76,132.0);
INSERT INTO PRODUCTS VALUES('S18_2949','1913 Ford Model T Speedster','Vintage Cars','1:18','Carousel DieCast Legends','This 250 part reproduction includes moving handbrakes, clutch, throttle and foot pedals, squeezable horn, detailed wired engine, removable water, gas, and oil cans, pivoting monocle windshield, all topped with a baked enamel red finish. Each replica comes with an Owners Title and Certificate of Authenticity. Color red.',4189,60.78,101.31);
INSERT INTO PRODUCTS VALUES('S18_2957','1934 Ford V8 Coupe','Vintage Cars','1:18','Min Lin Diecast','Chrome Trim, Chrome Grille, Opening Hood, Opening Doors, Opening Trunk, Detailed Engine, Working Steering System',5649,34.35,62.46);
INSERT INTO PRODUCTS VALUES('S18_3029','1999 Yamaha Speed Boat','Ships','1:18','Min Lin Diecast','Exact replica. Wood and Metal. Many extras including rigging, long boats, pilot house, anchors, etc. Comes with three masts, all square-rigged.',4259,51.61,86.02);
INSERT INTO PRODUCTS VALUES('S18_3136','18th Century Vintage Horse Carriage','Vintage Cars','1:18','Red Start Diecast','Hand crafted diecast-like metal horse carriage is re-created in about 1:18 scale of antique horse carriage. This antique style metal Stagecoach is all hand-assembled with many different parts.\u000d\u000a\u000d\u000aThis collectible metal horse carriage is painted in classic Red, and features turning steering wheel and is entirely hand-finished.',5992,60.74,104.72);
INSERT INTO PRODUCTS VALUES('S18_3140','1903 Ford Model A','Vintage Cars','1:18','Unimax Art Galleries','Features opening trunk,  working steering system',3913,68.3,136.59);
INSERT INTO PRODUCTS VALUES('S18_3232','1992 Ferrari 360 Spider red','Classic Cars','1:18','Unimax Art Galleries','his replica features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',8347,77.9,169.34);
INSERT INTO PRODUCTS VALUES('S18_3233','1985 Toyota Supra','Classic Cars','1:18','Highway 66 Mini Classics','This model features soft rubber tires, working steering, rubber mud guards, authentic Ford logos, detailed undercarriage, opening doors and hood, removable split rear gate, full size spare mounted in bed, detailed interior with opening glove box',7733,57.01,107.57);
INSERT INTO PRODUCTS VALUES('S18_3259','Collectable Wooden Train','Trains','1:18','Carousel DieCast Legends','Hand crafted wooden toy train set is in about 1:18 scale, 25 inches in total length including 2 additional carts, of actual vintage train. This antique style wooden toy train model set is all hand-assembled with 100% wood.',6450,67.56,100.84);
INSERT INTO PRODUCTS VALUES('S18_3278','1969 Dodge Super Bee','Classic Cars','1:18','Min Lin Diecast','This replica features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',1917,49.05,80.41);
INSERT INTO PRODUCTS VALUES('S18_3320','1917 Maxwell Touring Car','Vintage Cars','1:18','Exoto Designs','Features Gold Trim, Full Size Spare Tire, Chrome Trim, Chrome Grille, Opening Hood, Opening Doors, Opening Trunk, Detailed Engine, Working Steering System',7913,57.54,99.21);
INSERT INTO PRODUCTS VALUES('S18_3482','1976 Ford Gran Torino','Classic Cars','1:18','Gearbox Collectibles','Highly detailed 1976 Ford Gran Torino Starsky and Hutch diecast model. Very well constructed and painted in red and white patterns.',9127,73.49,146.99);
INSERT INTO PRODUCTS VALUES('S18_3685','1948 Porsche Type 356 Roadster','Classic Cars','1:18','Gearbox Collectibles','This model features working front and rear suspension on accurately replicated and actuating shock absorbers as well as opening engine cover, rear stabilizer flap,  and 4 opening doors.',8990,62.16,141.28);
INSERT INTO PRODUCTS VALUES('S18_3782','1957 Vespa GS150','Motorcycles','1:18','Studio M Art Models','Features rotating wheels , working kick stand. Comes with stand.',7689,32.95,62.17);
INSERT INTO PRODUCTS VALUES('S18_3856','1941 Chevrolet Special Deluxe Cabriolet','Vintage Cars','1:18','Exoto Designs','Features opening hood, opening doors, opening trunk, wide white wall tires, front door arm rests, working steering system, leather upholstery. Color black.',2378,64.58,105.87);
INSERT INTO PRODUCTS VALUES('S18_4027','1970 Triumph Spitfire','Classic Cars','1:18','Min Lin Diecast','Features include opening and closing doors. Color: White.',5545,91.92,143.62);
INSERT INTO PRODUCTS VALUES('S18_4409','1932 Alfa Romeo 8C2300 Spider Sport','Vintage Cars','1:18','Exoto Designs','This 1:18 scale precision die cast replica features the 6 front headlights of the original, plus a detailed version of the 142 horsepower straight 8 engine, dual spares and their famous comprehensive dashboard. Color black.',6553,43.26,92.03);
INSERT INTO PRODUCTS VALUES('S18_4522','1904 Buick Runabout','Vintage Cars','1:18','Exoto Designs','Features opening trunk,  working steering system',8290,52.66,87.77);
INSERT INTO PRODUCTS VALUES('S18_4600','1940s Ford truck','Trucks and Buses','1:18','Motor City Art Classics','This 1940s Ford Pick-Up truck is re-created in 1:18 scale of original 1940s Ford truck. This antique style metal 1940s Ford Flatbed truck is all hand-assembled. This collectible 1940''s Pick-Up truck is painted in classic dark green color, and features rotating wheels.',3128,84.76,121.08);
INSERT INTO PRODUCTS VALUES('S18_4668','1939 Cadillac Limousine','Vintage Cars','1:18','Studio M Art Models','Features completely detailed interior including Velvet flocked drapes,deluxe wood grain floor, and a wood grain casket with seperate chrome handles',6645,23.14,50.31);
INSERT INTO PRODUCTS VALUES('S18_4721','1957 Corvette Convertible','Classic Cars','1:18','Classic Metal Creations','1957 die cast Corvette Convertible in Roman Red with white sides and whitewall tires. 1:18 scale quality die-cast with detailed engine and underbvody. Now you can own The Classic Corvette.',1249,69.93,148.8);
INSERT INTO PRODUCTS VALUES('S18_4933','1957 Ford Thunderbird','Classic Cars','1:18','Studio M Art Models','This 1:18 scale precision die-cast replica, with its optional porthole hardtop and factory baked-enamel Thunderbird Bronze finish, is a 100% accurate rendition of this American classic.',3209,34.21,71.27);
INSERT INTO PRODUCTS VALUES('S24_1046','1970 Chevy Chevelle SS 454','Classic Cars','1:24','Unimax Art Galleries','This model features rotating wheels, working streering system and opening doors. All parts are particularly delicate due to their precise scale and require special care and attention. It should not be picked up by the doors, roof, hood or trunk.',1005,49.24,73.49);
INSERT INTO PRODUCTS VALUES('S24_1444','1970 Dodge Coronet','Classic Cars','1:24','Highway 66 Mini Classics','1:24 scale die-cast about 18 long doors open, hood opens and rubber wheels',4074,32.37,57.8);
INSERT INTO PRODUCTS VALUES('S24_1578','1997 BMW R 1100 S','Motorcycles','1:24','Autoart Studio Design','Detailed scale replica with working suspension and constructed from over 70 parts',7003,60.86,112.7);
INSERT INTO PRODUCTS VALUES('S24_1628','1966 Shelby Cobra 427 S/C','Classic Cars','1:24','Carousel DieCast Legends','This diecast model of the 1966 Shelby Cobra 427 S/C includes many authentic details and operating parts. The 1:24 scale model of this iconic lighweight sports car from the 1960s comes in silver and it''s own display case.',8197,29.18,50.31);
INSERT INTO PRODUCTS VALUES('S24_1785','1928 British Royal Navy Airplane','Planes','1:24','Classic Metal Creations','Official logos and insignias',3627,66.74,109.42);
INSERT INTO PRODUCTS VALUES('S24_1937','1939 Chevrolet Deluxe Coupe','Vintage Cars','1:24','Motor City Art Classics','This 1:24 scale die-cast replica of the 1939 Chevrolet Deluxe Coupe has the same classy look as the original. Features opening trunk, hood and doors and a showroom quality baked enamel finish.',7332,22.57,33.19);
INSERT INTO PRODUCTS VALUES('S24_2000','1960 BSA Gold Star DBD34 1960','Motorcycles','1:24','Highway 66 Mini Classics','Detailed scale replica with working suspension and constructed from over 70 parts',15,37.32,76.17);
INSERT INTO PRODUCTS VALUES('S24_2011','18th century schooner','Ships','1:24','Carousel DieCast Legends','All wood with canvas sails. Many extras including rigging, long boats, pilot house, anchors, etc. Comes with 4 masts, all square-rigged.',1898,82.34,122.89);
INSERT INTO PRODUCTS VALUES('S24_2022','1938 Cadillac V-16 Presidential Limousine','Vintage Cars','1:24','Classic Metal Creations','This 1:24 scale precision die cast replica of the 1938 Cadillac V-16 Presidential Limousine has all the details of the original, from the flags on the front to an opening back seat compartment complete with telephone and rifle. Features factory baked-enamel black finish, hood goddess ornament, working jump seats.',2847,20.61,44.8);
INSERT INTO PRODUCTS VALUES('S24_2300','1962 Volkswagen Microbus','Trucks and Buses','1:24','Autoart Studio Design','This 1:18 scale die cast replica of the 1962 Microbus is loaded with features: A working steering system, opening front doors and tailgate, and famous two-tone factory baked enamel finish, are all topped of by the sliding, real fabric, sunroof.',2327,61.34,127.79);
INSERT INTO PRODUCTS VALUES('S24_2360','1982 Ducati 900 Monster','Motorcycles','1:24','Highway 66 Mini Classics','Features two-tone paint with chrome accents, superior die-cast detail , rotating wheels , working kick stand',6840,47.1,69.26);
INSERT INTO PRODUCTS VALUES('S24_2766','1949 Jaguar XK 120','Classic Cars','1:24','Classic Metal Creations','Precision-engineered from original Jaguar specification in perfect scale ratio. Features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',2350,47.25,90.87);
INSERT INTO PRODUCTS VALUES('S24_2840','1958 Chevy Corvette Limited Edition','Classic Cars','1:24','Carousel DieCast Legends','The operating parts of this 1958 Chevy Corvette Limited Edition are particularly delicate due to their precise scale and require special care and attention. Features rotating wheels, working streering, opening doors and trunk. Color dark green.',2542,15.91,35.36);
INSERT INTO PRODUCTS VALUES('S24_2841','1900s Vintage Bi-Plane','Planes','1:24','Autoart Studio Design','Hand crafted diecast-like metal bi-plane is re-created in about 1:24 scale of antique pioneer airplane. All hand-assembled with many different parts. Hand-painted in classic yellow and features correct markings of original airplane.',5942,34.25,68.51);
INSERT INTO PRODUCTS VALUES('S24_2887','1952 Citroen-15CV','Classic Cars','1:24','Exoto Designs','Precision crafted hand-assembled 1:18 scale reproduction of the 1952 15CV, with its independent spring suspension, working steering system, opening doors and hood, detailed engine and instrument panel, all topped of with a factory fresh baked enamel finish.',1452,72.82,117.44);
INSERT INTO PRODUCTS VALUES('S24_2972','1982 Lamborghini Diablo','Classic Cars','1:24','Second Gear Diecast','This replica features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',7723,16.24,37.76);
INSERT INTO PRODUCTS VALUES('S24_3151','1912 Ford Model T Delivery Wagon','Vintage Cars','1:24','Min Lin Diecast','This model features chrome trim and grille, opening hood, opening doors, opening trunk, detailed engine, working steering system. Color white.',9173,46.91,88.51);
INSERT INTO PRODUCTS VALUES('S24_3191','1969 Chevrolet Camaro Z28','Classic Cars','1:24','Exoto Designs','1969 Z/28 Chevy Camaro 1:24 scale replica. The operating parts of this limited edition 1:24 scale diecast model car 1969 Chevy Camaro Z28- hood, trunk, wheels, streering, suspension and doors- are particularly delicate due to their precise scale and require special care and attention.',4695,50.51,85.61);
INSERT INTO PRODUCTS VALUES('S24_3371','1971 Alpine Renault 1600s','Classic Cars','1:24','Welly Diecast Productions','This 1971 Alpine Renault 1600s replica Features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',7995,38.58,61.23);
INSERT INTO PRODUCTS VALUES('S24_3420','1937 Horch 930V Limousine','Vintage Cars','1:24','Autoart Studio Design','Features opening hood, opening doors, opening trunk, wide white wall tires, front door arm rests, working steering system',2902,26.3,65.75);
INSERT INTO PRODUCTS VALUES('S24_3432','2002 Chevy Corvette','Classic Cars','1:24','Gearbox Collectibles','The operating parts of this limited edition Diecast 2002 Chevy Corvette 50th Anniversary Pace car Limited Edition are particularly delicate due to their precise scale and require special care and attention. Features rotating wheels, poseable streering, opening doors and trunk.',9446,62.11,107.08);
INSERT INTO PRODUCTS VALUES('S24_3816','1940 Ford Delivery Sedan','Vintage Cars','1:24','Carousel DieCast Legends','Chrome Trim, Chrome Grille, Opening Hood, Opening Doors, Opening Trunk, Detailed Engine, Working Steering System. Color black.',6621,48.64,83.86);
INSERT INTO PRODUCTS VALUES('S24_3856','1956 Porsche 356A Coupe','Classic Cars','1:18','Classic Metal Creations','Features include: Turnable front wheels; steering function; detailed interior; detailed engine; opening hood; opening trunk; opening doors; and detailed chassis.',6600,98.3,140.43);
INSERT INTO PRODUCTS VALUES('S24_3949','Corsair F4U ( Bird Cage);','Planes','1:24','Second Gear Diecast','Has retractable wheels and comes with a stand. Official logos and insignias.',6812,29.34,68.24);
INSERT INTO PRODUCTS VALUES('S24_3969','1936 Mercedes Benz 500k Roadster','Vintage Cars','1:24','Red Start Diecast','This model features grille-mounted chrome horn, lift-up louvered hood, fold-down rumble seat, working steering system and rubber wheels. Color black.',2081,21.75,41.03);
INSERT INTO PRODUCTS VALUES('S24_4048','1992 Porsche Cayenne Turbo Silver','Classic Cars','1:24','Exoto Designs','This replica features opening doors, superb detail and craftsmanship, working steering system, opening forward compartment, opening rear trunk with removable spare, 4 wheel independent spring suspension as well as factory baked enamel finish.',6582,69.78,118.28);
INSERT INTO PRODUCTS VALUES('S24_4258','1936 Chrysler Airflow','Vintage Cars','1:24','Second Gear Diecast','Features opening trunk,  working steering system. Color dark green.',4710,57.46,97.39);
INSERT INTO PRODUCTS VALUES('S24_4278','1900s Vintage Tri-Plane','Planes','1:24','Unimax Art Galleries','Hand crafted diecast-like metal Triplane is Re-created in about 1:24 scale of antique pioneer airplane. This antique style metal triplane is all hand-assembled with many different parts.',2756,36.23,72.45);
INSERT INTO PRODUCTS VALUES('S24_4620','1961 Chevrolet Impala','Classic Cars','1:18','Classic Metal Creations','This 1:18 scale precision die-cast reproduction of the 1961 Chevrolet Impala has all the features-doors, hood and trunk that open; detailed 409 cubic-inch engine; chrome dashboard and stick shift, two-tone interior; working steering system; all topped of with a factory baked-enamel finish.',7869,32.33,80.84);
INSERT INTO PRODUCTS VALUES('S32_1268','1980\u0092s GM Manhattan Express','Trucks and Buses','1:32','Motor City Art Classics','This 1980\u0092s era new look Manhattan express is still active, running from the Bronx to mid-town Manhattan. Has 35 opeining windows and working lights. Needs a battery.',5099,53.93,96.31);
INSERT INTO PRODUCTS VALUES('S32_1374','1997 BMW F650 ST','Motorcycles','1:32','Exoto Designs','Features official die-struck logos and baked enamel finish. Comes with stand.',178,66.92,99.89);
INSERT INTO PRODUCTS VALUES('S32_2206','1982 Ducati 996 R','Motorcycles','1:32','Gearbox Collectibles','Features rotating wheels , working kick stand. Comes with stand.',9241,24.14,40.23);
INSERT INTO PRODUCTS VALUES('S32_2509','1954 Greyhound Scenicruiser','Trucks and Buses','1:32','Classic Metal Creations','Model features bi-level seating, 50 windows, skylights & glare resistant glass, working steering system, original logos',2874,25.98,54.11);
INSERT INTO PRODUCTS VALUES('S32_3207','1950''s Chicago Surface Lines Streetcar','Trains','1:32','Gearbox Collectibles','This streetcar is a joy to see. It has 80 separate windows, electric wire guides, detailed interiors with seats, poles and drivers controls, rolling and turning wheel assemblies, plus authentic factory baked-enamel finishes (Green Hornet for Chicago and Cream and Crimson for Boston);.',8601,26.72,62.14);
INSERT INTO PRODUCTS VALUES('S32_3522','1996 Peterbilt 379 Stake Bed with Outrigger','Trucks and Buses','1:32','Red Start Diecast','This model features, opening doors, detailed engine, working steering, tinted windows, detailed interior, die-struck logos, removable stakes operating outriggers, detachable second trailer, functioning 360-degree self loader, precision molded resin trailer and trim, baked enamel finish on cab',814,33.61,64.64);
INSERT INTO PRODUCTS VALUES('S32_4289','1928 Ford Phaeton Deluxe','Vintage Cars','1:32','Highway 66 Mini Classics','This model features grille-mounted chrome horn, lift-up louvered hood, fold-down rumble seat, working steering system',136,33.02,68.79);
INSERT INTO PRODUCTS VALUES('S32_4485','1974 Ducati 350 Mk3 Desmo','Motorcycles','1:32','Second Gear Diecast','This model features two-tone paint with chrome accents, superior die-cast detail , rotating wheels , working kick stand',3341,56.13,102.05);
INSERT INTO PRODUCTS VALUES('S50_1341','1930 Buick Marquette Phaeton','Vintage Cars','1:50','Studio M Art Models','Features opening trunk,  working steering system',7062,27.06,43.64);
INSERT INTO PRODUCTS VALUES('S50_1392','Diamond T620 Semi-Skirted Tanker','Trucks and Buses','1:50','Highway 66 Mini Classics','This limited edition model is licensed and perfectly scaled for Lionel Trains. The Diamond T620 has been produced in solid precision diecast and painted with a fire baked enamel finish. It comes with a removable tanker and is a perfect model to add authenticity to your static train or car layout or to just have on display.',1016,68.29,115.75);
INSERT INTO PRODUCTS VALUES('S50_1514','1962 City of Detroit Streetcar','Trains','1:50','Classic Metal Creations','This streetcar is a joy to see. It has 99 separate windows, electric wire guides, detailed interiors with seats, poles and drivers controls, rolling and turning wheel assemblies, plus authentic factory baked-enamel finishes (Green Hornet for Chicago and Cream and Crimson for Boston);.',1645,37.49,58.58);
INSERT INTO PRODUCTS VALUES('S50_4713','2002 Yamaha YZR M1','Motorcycles','1:50','Autoart Studio Design','Features rotating wheels , working kick stand. Comes with stand.',600,34.17,81.36);
INSERT INTO PRODUCTS VALUES('S700_1138','The Schooner Bluenose','Ships','1:700','Autoart Studio Design','All wood with canvas sails. Measures 31 1/2 inches in Length, 22 inches High and 4 3/4 inches Wide. Many extras.\u000d\u000aThe schooner Bluenose was built in Nova Scotia in 1921 to fish the rough waters off the coast of Newfoundland. Because of the Bluenose racing prowess she became the pride of all Canadians. Still featured on stamps and the Canadian dime, the Bluenose was lost off Haiti in 1946.',1897,34.0,66.67);
INSERT INTO PRODUCTS VALUES('S700_1691','American Airlines: B767-300','Planes','1:700','Min Lin Diecast','Exact replia with official logos and insignias and retractable wheels',5841,51.15,91.34);
INSERT INTO PRODUCTS VALUES('S700_1938','The Mayflower','Ships','1:700','Studio M Art Models','Measures 31 1/2 inches Long x 25 1/2 inches High x 10 5/8 inches Wide\u000d\u000aAll wood with canvas sail. Extras include long boats, rigging, ladders, railing, anchors, side cannons, hand painted, etc.\u000d\u000a\u000d\u000aThe Mayfower was already old in 1620, when the pilgrims charted her to bring their band of 103 to North America.',737,43.3,86.61);
INSERT INTO PRODUCTS VALUES('S700_2047','HMS Bounty','Ships','1:700','Unimax Art Galleries','Measures 30 inches Long x 27 1/2 inches High x 4 3/4 inches Wide. \u000d\u000aMany extras including rigging, long boats, pilot house, anchors, etc. Comes with three masts, all square-rigged.',3501,39.83,90.52);
INSERT INTO PRODUCTS VALUES('S700_2466','America West Airlines B757-200','Planes','1:700','Motor City Art Classics','Official logos and insignias. Working steering system. Rotating jet engines',9653,68.8,99.72);
INSERT INTO PRODUCTS VALUES('S700_2610','The USS Constitution Ship','Ships','1:700','Red Start Diecast','All wood with canvas sails. Measures 31 1/2 Length x 22 3/8 High x 8 1/4 Width. Extras include 4 boats on deck, sea sprite on bow, anchors, copper railing, pilot houses, etc.\u000d\u000a\u000d\u000aThis was one of six warships commissioned by George Washington and launched in 1797. The nickname Old Ironsides was given the ship when British cannonballs bounced off the 21-inch oak planking of the American frigate''s hull. The Constitution has been restored and now resides in Boston Harbor.',7083,33.97,72.28);
INSERT INTO PRODUCTS VALUES('S700_2824','1982 Camaro Z28','Classic Cars','1:18','Carousel DieCast Legends','Features include opening and closing doors. Color: White. \u000d\u000aMeasures approximately 9 1/2 Long.',6934,46.53,101.15);
INSERT INTO PRODUCTS VALUES('S700_2834','ATA: B757-300','Planes','1:700','Highway 66 Mini Classics','Exact replia with official logos and insignias and retractable wheels',7106,59.33,118.65);
INSERT INTO PRODUCTS VALUES('S700_3167','F/A 18 Hornet 1/72','Planes','1:72','Motor City Art Classics','10 Wingspan with retractable landing gears.Comes with pilot',551,54.4,80.0);
INSERT INTO PRODUCTS VALUES('S700_3505','The Titanic','Ships','1:700','Carousel DieCast Legends','Completed model measures 19 1/2 inches long, 9 inches high, 3inches wide and is in barn red/black. All wood and metal.',1956,51.09,100.17);
INSERT INTO PRODUCTS VALUES('S700_3962','The Queen Mary','Ships','1:700','Welly Diecast Productions','Exact replica. Wood and Metal. Many extras including rigging, long boats, pilot house, anchors, etc. Comes with three masts, all square-rigged.',5088,53.63,99.31);
INSERT INTO PRODUCTS VALUES('S700_4002','American Airlines: MD-11S','Planes','1:700','Second Gear Diecast','Polished finish. Exact replia with official logos and insignias and retractable wheels',8820,36.27,74.03);
INSERT INTO PRODUCTS VALUES('S72_1253','Boeing X-32A JSF','Planes','1:72','Motor City Art Classics','10 Wingspan with retractable landing gears.Comes with pilot',4857,32.77,49.66);
INSERT INTO PRODUCTS VALUES('S72_3212','Pont Yacht','Ships','1:72','Unimax Art Galleries','Measures 38 inches Long x 33 3/4 inches High. Includes a stand.\u000d\u000aMany extras including rigging, long boats, pilot house, anchors, etc. Comes with 2 masts, all square-rigged',414,33.3,54.6);


-- ORDERDETAILS

INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10100,'S18_4409',22,86.51,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10100,'S24_3969',49,34.47,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10100,'S18_1749',30,171.7,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10100,'S18_2248',50,67.8,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10101,'S24_1937',45,31.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10101,'S24_2022',46,53.76,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10101,'S18_2325',25,151.28,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10101,'S18_2795',26,145.13,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10102,'S18_1342',39,123.29,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10102,'S18_1367',41,50.14,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S32_3522',45,75.63,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S700_2824',42,106.21,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S24_4258',25,114.92,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S32_1268',31,104.01,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_4668',41,47.29,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S24_2300',36,102.23,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_3320',46,104.17,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_4600',36,117.45,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_2957',35,57.46,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_3136',25,101.58,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_2432',22,54.09,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_2949',27,83.07,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S12_1666',27,125.74,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S18_1097',35,112.0,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S10_1949',26,207.87,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10103,'S10_4962',42,128.53,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S50_1514',32,53.31,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S32_3207',49,65.87,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S50_1392',33,112.28,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S24_4048',26,112.37,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S32_2509',35,47.62,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S24_1444',35,55.49,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S24_2840',44,39.6,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S18_3232',23,198.13,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S18_4027',38,140.75,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S18_2238',24,144.08,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S18_2319',29,130.09,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S12_3148',34,175.25,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10104,'S12_4473',41,112.58,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S700_3962',22,116.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S72_3212',25,56.78,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S700_2610',31,65.77,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S700_3505',39,81.14,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S700_1138',41,70.67,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S700_1938',29,70.15,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S24_3151',44,72.58,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S24_3816',50,79.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S18_4522',41,82.5,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S24_2011',43,147.47,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S18_3140',22,139.32,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S18_3259',38,113.95,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S12_1108',41,211.96,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S12_3891',29,157.45,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10105,'S10_4757',50,144.16,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_4002',48,61.44,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S72_1253',48,52.64,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_2834',32,124.58,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_3167',44,74.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_2047',30,105.91,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_2466',34,110.69,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S50_1341',39,40.15,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S700_1691',31,106.87,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S24_4278',26,63.76,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S32_4289',33,72.92,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S24_3420',31,52.6,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S24_3949',50,64.83,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S24_1785',28,88.63,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S24_2841',49,74.68,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S18_3029',41,83.44,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S18_3856',41,116.46,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S18_1662',36,146.65,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10106,'S18_2581',34,90.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S24_2000',38,83.03,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S32_1374',20,92.9,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S18_2625',29,70.87,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S24_1578',25,113.83,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S10_4698',27,224.65,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S12_2823',21,144.6,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S10_1678',30,95.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10107,'S10_2016',39,99.91,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S32_4485',31,118.38,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S50_4713',34,82.99,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S24_4620',31,68.71,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S32_2206',27,43.45,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S24_3371',30,63.07,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S24_3856',40,136.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S18_4721',44,126.48,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S24_2360',35,58.87,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S18_3482',29,139.64,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S18_3782',43,67.77,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S18_1889',38,82.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S18_3278',26,68.35,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S12_3990',39,89.38,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S12_4675',36,103.64,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S12_1099',33,159.55,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10108,'S12_3380',45,136.23,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S18_3685',47,132.8,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S24_2972',29,32.1,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S18_2870',26,121.44,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S18_3232',46,179.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S18_1129',26,168.43,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10109,'S18_1984',38,116.65,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_3432',37,100.66,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_3969',48,34.47,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_2887',46,129.18,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_3191',27,73.62,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_2022',39,44.35,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_2766',43,78.15,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_1628',29,59.37,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_1937',20,35.51,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_4933',42,61.29,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S24_1046',36,85.25,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_2795',31,163.69,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_4409',28,89.27,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_2248',32,50.25,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_2325',33,116.96,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_1589',37,146.84,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10110,'S18_1749',42,144.5,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S18_3320',39,107.15,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S24_4258',26,86.68,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S18_2957',28,64.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S18_3136',43,112.05,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S18_1342',33,99.66,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10111,'S18_1367',48,49.06,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10112,'S10_1949',29,248.59,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10112,'S18_2949',23,110.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10113,'S18_4668',50,49.81,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10113,'S32_3522',23,68.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10113,'S12_1666',21,162.64,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10113,'S18_1097',49,100.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S32_2509',28,55.73,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S700_2824',42,113.29,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S24_2840',24,30.06,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S32_1268',32,114.61,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S18_4600',41,117.45,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S24_2300',21,139.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S18_2432',45,68.67,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S18_3232',48,171.03,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S10_4962',31,138.88,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10114,'S18_2319',39,106.78,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10115,'S50_1392',27,105.33,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10115,'S24_1444',47,69.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10115,'S24_4048',44,126.56,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10115,'S12_4473',46,124.43,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10115,'S18_2238',46,160.46,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10116,'S32_3207',27,63.38,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S700_3962',45,83.42,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S72_3212',50,43.68,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S50_1514',21,49.21,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S700_1938',38,79.68,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S18_4522',23,97.42,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S24_2011',41,126.58,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S18_3259',21,95.8,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S18_4027',22,126.39,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S12_3891',39,152.26,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S18_3140',26,136.59,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S12_1108',33,182.86,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10117,'S12_3148',43,137.48,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10118,'S700_3505',36,117.2,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S72_1253',28,48.17,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S700_2610',38,65.77,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S700_4002',26,59.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S700_1138',25,76.67,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S700_2047',29,94.14,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S24_3816',35,90.57,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S24_3949',28,70.29,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S24_3151',35,87.62,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S24_3420',20,72.98,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S18_3856',27,99.52,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S24_2841',41,59.6,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S18_1662',43,160.84,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S18_3029',21,89.46,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10119,'S10_4757',46,108.8,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S700_2834',24,142.38,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S700_3167',43,76.0,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S700_1691',47,82.21,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S700_2466',24,107.7,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S32_4289',29,72.23,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S50_1341',49,50.62,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S24_4278',29,85.49,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S32_1374',22,111.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S24_1785',39,119.27,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S24_2000',34,83.79,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S18_2625',46,58.15,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S24_1578',35,98.05,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S10_4698',46,201.41,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S18_2581',29,71.81,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10120,'S10_2016',29,96.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10121,'S50_4713',44,74.85,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10121,'S24_2360',32,76.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10121,'S32_4485',25,86.74,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10121,'S10_1678',34,81.35,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10121,'S12_2823',50,165.68,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S24_4620',29,71.14,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S32_2206',31,44.66,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S24_3371',34,50.21,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S24_3856',43,127.79,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_4721',28,127.97,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S24_2972',39,30.96,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_3482',21,117.59,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_3782',35,49.74,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_3232',25,143.94,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_3278',21,73.17,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_1889',43,72.38,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_1984',31,132.29,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S12_4675',20,107.1,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S18_1129',34,147.2,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S12_3380',37,99.82,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S12_3990',32,63.84,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10122,'S12_1099',42,180.95,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10123,'S18_3685',34,156.82,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10123,'S24_1628',50,59.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10123,'S18_1589',26,118.22,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10123,'S18_2870',46,112.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_3969',46,33.23,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_3191',49,83.04,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_3432',43,121.0,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_2766',32,72.7,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_2887',25,93.95,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_1937',45,37.84,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_2022',22,45.25,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S18_4933',23,57.73,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S24_1046',22,77.9,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S18_2325',42,105.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S18_4409',36,85.59,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S18_1749',21,136.0,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10124,'S18_2248',42,53.88,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10125,'S18_2795',34,190.69,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10125,'S18_1342',32,101.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S32_3522',26,62.7,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S700_2824',45,102.16,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S24_4258',34,105.18,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S32_1268',43,96.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_4668',43,53.83,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S24_2300',27,126.51,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_3320',38,82.34,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_4600',50,141.66,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_2957',46,73.7,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_3136',30,97.39,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_2432',43,65.02,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_2949',31,90.17,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_1097',38,101.5,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S18_1367',42,54.99,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S10_4962',22,152.17,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S12_1666',21,116.17,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10126,'S10_1949',38,192.87,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S50_1514',46,69.12,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S32_3207',29,70.84,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S50_1392',46,134.27,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S24_4048',20,96.99,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S32_2509',45,51.95,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S24_1444',20,60.69,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S24_2840',39,38.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S18_3232',22,174.42,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S18_4027',25,137.88,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S18_2238',45,158.82,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S18_2319',45,139.91,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S12_3891',42,193.78,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S12_4473',24,106.65,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S12_1108',46,245.2,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10127,'S12_3148',46,160.14,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10128,'S700_1938',32,97.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10128,'S18_3259',41,117.98,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10128,'S18_4522',43,92.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10128,'S18_3140',41,135.22,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S700_3962',30,85.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S72_3212',32,64.97,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S700_2610',45,85.29,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S700_3505',42,91.15,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S24_3816',50,77.99,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S700_1138',31,60.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S24_2011',45,133.95,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S24_3151',41,94.71,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10129,'S10_4757',33,133.28,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10130,'S18_3029',40,96.34,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10130,'S18_3856',33,103.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S700_4002',26,85.13,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S72_1253',21,41.71,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S700_2047',22,85.99,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S700_2466',40,110.69,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S24_3420',29,59.18,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S24_3949',50,81.89,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S18_1662',21,132.46,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10131,'S24_2841',35,67.14,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10132,'S700_3167',36,68.8,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S700_2834',27,99.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S50_1341',27,50.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S700_1691',24,77.64,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S32_1374',23,114.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S32_4289',49,57.1,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S24_1785',41,94.1,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S24_4278',46,77.52,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10133,'S18_2581',49,69.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S24_1578',35,93.54,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S24_2000',43,83.03,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S12_2823',20,135.56,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S18_2625',30,61.78,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S10_2016',27,122.51,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S10_4698',31,226.58,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10134,'S10_1678',41,94.74,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S50_4713',44,96.0,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S32_2206',33,40.23,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S32_4485',30,89.8,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S24_3856',47,134.81,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S24_4620',23,87.31,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S24_2972',20,35.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S24_3371',27,66.13,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S18_4721',31,151.78,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S24_2360',29,61.64,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S18_3482',42,129.35,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S18_3782',45,50.36,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S18_1889',48,79.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S18_3278',45,78.0,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S12_3990',24,75.01,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S12_4675',29,97.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S12_1099',42,190.68,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10135,'S12_3380',48,125.66,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10136,'S18_1984',36,146.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10136,'S18_3232',41,203.21,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10136,'S18_1129',25,145.79,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10137,'S18_3685',31,165.3,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10137,'S24_1628',26,49.81,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10137,'S18_1589',44,99.55,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10137,'S18_2870',37,117.48,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_3969',29,38.16,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_3191',49,90.75,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_3432',21,118.86,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_2766',28,104.5,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_2887',30,138.58,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_1937',22,29.21,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_2022',33,43.01,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S18_4933',23,66.99,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S24_1046',45,84.51,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S18_2325',38,108.06,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S18_4409',47,100.31,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S18_1749',33,161.5,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10138,'S18_2248',22,48.43,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S24_4258',29,112.97,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_3136',20,90.06,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_3320',30,103.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_2949',46,120.56,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_2957',20,71.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_1367',49,43.13,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_2795',41,194.06,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10139,'S18_1342',31,102.74,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S32_3522',28,60.76,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S700_2824',36,114.3,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S24_2300',47,108.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S32_1268',26,108.83,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S18_4600',40,115.03,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S18_4668',29,43.27,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S18_1097',32,130.67,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S18_2432',46,61.99,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S10_4962',26,122.62,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S12_1666',38,127.1,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10140,'S10_1949',37,199.3,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S50_1392',44,125.01,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S24_4048',40,94.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S32_2509',24,45.99,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S24_1444',20,54.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S24_2840',21,42.43,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S18_2319',47,133.78,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S18_3232',34,142.25,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S12_4473',21,101.91,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10141,'S18_2238',39,152.27,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S72_3212',39,44.23,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S700_3505',21,111.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S700_3962',38,85.41,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S700_1138',41,64.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S700_1938',43,84.01,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S32_3207',42,74.57,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S50_1514',42,49.79,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S24_2011',33,102.0,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S24_3151',49,98.25,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S18_4027',24,157.98,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S18_4522',24,70.22,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S18_3140',47,128.39,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S18_3259',22,97.81,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S12_3148',33,151.08,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S12_3891',46,205.89,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10142,'S12_1108',33,243.13,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S72_1253',37,50.65,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_3167',28,96.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_4002',34,85.87,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_2466',26,82.77,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_2610',31,85.29,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_1691',36,109.61,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S700_2047',26,100.48,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S24_3949',28,66.19,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S50_1341',34,36.66,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S24_3420',33,77.59,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S24_3816',23,80.51,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S18_3856',34,101.64,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S24_2841',27,60.97,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S18_1662',32,164.0,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S18_3029',46,74.84,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10143,'S10_4757',49,114.24,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10144,'S32_4289',20,81.86,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S50_4713',38,81.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S700_2834',20,137.63,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S32_2206',31,35.8,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S32_4485',27,120.42,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S24_4278',33,84.77,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S32_1374',33,93.9,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S24_2000',47,83.03,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S24_2360',27,60.95,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S24_1578',43,95.8,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S24_1785',40,87.54,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S18_2581',30,85.32,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S18_2625',30,49.67,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S10_4698',33,156.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S12_2823',49,170.2,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S10_1678',45,83.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10145,'S10_2016',37,140.35,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10146,'S18_3782',47,67.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10146,'S18_4721',29,153.26,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S24_4620',31,64.67,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S24_3371',30,68.58,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S24_3856',23,126.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S18_3482',37,119.06,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S24_2972',25,42.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S18_1889',26,82.39,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S18_3278',36,86.04,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S12_3990',21,63.84,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S12_4675',33,97.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S12_1099',48,192.62,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10147,'S12_3380',31,112.74,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_3432',27,128.5,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_2887',34,129.18,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_3191',31,73.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_1628',47,56.85,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_2766',21,73.6,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_4933',29,81.25,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S24_1046',25,60.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_3685',28,129.98,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_4409',34,105.83,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_2870',27,130.68,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_3232',32,169.34,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_1589',47,124.44,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_1984',25,169.28,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10148,'S18_1129',23,117.48,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S24_3969',26,38.98,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S24_4258',20,90.57,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S24_1937',36,33.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S24_2022',49,49.28,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_2795',23,183.94,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_3320',42,94.25,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_2248',24,62.36,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_2325',33,150.01,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_1367',30,58.22,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_1749',34,158.1,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10149,'S18_1342',50,118.15,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S700_2824',20,105.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_4668',30,42.76,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S32_3522',49,58.18,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_3136',26,107.86,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_4600',49,131.98,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_2949',47,91.18,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_2957',30,49.97,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S12_1666',30,136.67,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S18_1097',34,136.5,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S10_1949',45,244.3,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10150,'S10_4962',20,159.56,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S50_1392',26,123.85,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S32_1268',27,113.65,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S32_2509',41,63.85,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S24_2300',42,121.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S24_2840',30,40.31,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S18_2432',39,69.28,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S18_3232',21,177.81,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S18_2238',43,165.37,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S18_2319',49,110.46,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10151,'S12_4473',24,138.65,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10152,'S32_3207',33,50.95,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10152,'S24_1444',25,65.31,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10152,'S24_4048',23,121.83,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10152,'S18_4027',35,129.26,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S700_3962',20,110.23,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S72_3212',50,60.06,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S700_1938',31,87.48,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S700_3505',50,88.15,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S50_1514',31,57.41,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S700_1138',43,64.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S18_4522',22,83.38,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S24_2011',40,136.41,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S18_3140',31,117.47,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S18_3259',29,88.74,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S12_3148',42,128.42,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S12_3891',49,143.61,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10153,'S12_1108',20,245.2,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10154,'S24_3151',31,91.17,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10154,'S700_2610',36,64.33,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S72_1253',34,49.16,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S700_3167',43,86.4,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S700_4002',44,85.87,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S700_2047',32,91.43,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S700_2466',20,117.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S24_3816',37,67.93,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S24_3949',44,77.11,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S24_2841',23,72.62,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S24_3420',34,55.89,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S18_3029',44,79.14,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S18_3856',29,124.93,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S10_4757',32,141.44,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10155,'S18_1662',38,171.88,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10156,'S700_1691',48,103.21,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10156,'S50_1341',20,41.02,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S700_2834',48,124.58,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S32_1374',34,118.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S32_4289',28,74.98,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S24_1785',40,102.85,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S24_4278',33,86.22,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10157,'S18_2581',33,78.57,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10158,'S24_2000',22,67.03,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S32_4485',23,102.05,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S50_4713',31,71.6,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S24_4620',23,67.1,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S32_2206',35,35.4,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S24_2360',27,80.34,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S24_3371',50,69.8,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S18_4721',32,144.34,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S24_1578',44,121.72,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S18_3482',25,145.52,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S18_3782',21,64.66,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S18_2625',42,51.48,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S18_3278',21,81.21,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S12_2823',38,164.18,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S12_3990',24,73.42,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S10_4698',22,187.85,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S12_1099',41,202.35,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S10_1678',49,106.23,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10159,'S10_2016',37,135.59,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S24_2972',42,37.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S24_3856',35,136.22,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S18_1889',38,88.55,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S18_3232',20,199.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S12_3380',46,115.09,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10160,'S12_4675',50,103.64,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_3191',20,77.05,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_3432',30,104.94,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_2766',20,107.23,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_2887',25,110.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_1046',37,72.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S24_1628',23,53.33,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_3685',36,154.0,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_4933',25,80.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_1984',48,128.03,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_2870',23,138.6,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_1129',28,134.46,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10161,'S18_1589',43,143.11,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S24_2022',43,36.29,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S24_3969',37,38.98,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_4409',39,100.31,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S24_1937',37,27.22,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_2325',38,113.15,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_2795',48,150.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_1749',29,178.5,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_2248',27,69.62,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_1342',48,91.44,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10162,'S18_1367',45,51.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S18_3320',43,116.08,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S24_4258',42,91.55,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S18_2957',48,69.96,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S18_3136',40,122.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S10_1949',21,231.44,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10163,'S18_2949',31,107.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S32_3522',49,54.94,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S700_2824',39,81.93,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S18_4668',25,53.83,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S32_1268',24,109.79,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S18_1097',36,99.17,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S18_4600',45,111.39,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S10_4962',21,168.42,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10164,'S12_1666',49,133.94,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S50_1392',48,94.92,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S50_1514',38,66.78,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S32_2509',48,45.99,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S32_3207',44,53.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S24_2840',27,31.82,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S24_4048',24,99.36,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S24_1444',25,69.36,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S24_2300',32,145.68,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_3259',50,106.89,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_4027',28,119.2,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_2432',31,71.1,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_3232',47,186.27,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_2238',29,173.55,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S18_2319',46,130.09,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S12_3891',27,205.89,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S12_4473',48,142.2,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S12_1108',44,195.33,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10165,'S12_3148',34,143.53,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10166,'S700_1938',29,103.93,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10166,'S18_3140',43,161.18,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10166,'S18_4522',26,73.73,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S72_3212',38,48.59,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S700_3962',28,107.25,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S72_1253',40,41.71,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S700_2610',46,70.11,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S700_3505',24,117.2,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S700_1138',43,75.34,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S700_2047',29,101.38,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S24_3420',32,63.12,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S24_3816',29,83.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S24_2841',21,69.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S24_3151',20,79.66,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S18_3856',34,105.87,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S24_2011',33,115.52,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S18_1662',43,134.04,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S18_3029',46,73.12,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10167,'S10_4757',44,134.64,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S700_4002',39,82.91,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S700_2834',36,125.77,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S700_3167',48,96.0,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S700_1691',28,98.65,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S700_2466',31,110.69,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S32_4289',31,73.61,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S50_1341',48,51.93,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S24_4278',48,78.25,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S32_1374',28,115.87,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S24_2000',29,75.41,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S24_3949',27,73.02,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S24_1578',50,114.95,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S24_1785',49,131.3,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S18_2581',21,70.96,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S18_2625',46,61.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S10_2016',27,135.59,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S10_4698',20,209.15,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10168,'S10_1678',36,96.66,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S32_4485',34,115.32,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S50_4713',48,80.55,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S24_4620',24,94.58,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S32_2206',26,39.83,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S24_2360',38,74.11,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S24_3371',34,50.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S18_3782',38,68.39,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S18_4721',33,148.8,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S18_3278',32,70.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S18_3482',36,123.47,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S12_2823',35,132.55,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S12_3990',36,63.84,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10169,'S12_1099',30,167.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10170,'S18_1889',20,63.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10170,'S24_3856',34,112.34,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10170,'S12_3380',47,116.27,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10170,'S12_4675',41,107.1,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10171,'S18_3232',39,140.55,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10171,'S24_2972',36,35.49,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10171,'S18_1129',35,128.8,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10171,'S18_1984',35,133.72,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S24_3191',24,81.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S24_3432',22,98.51,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S24_1628',34,42.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S24_2766',22,74.51,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S18_3685',48,114.44,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S24_1046',32,75.69,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S18_1589',42,118.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10172,'S18_2870',39,154.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S24_3969',35,33.23,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S24_4258',22,116.87,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S24_2022',27,41.22,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S24_2887',23,118.61,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_4933',39,71.98,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S24_1937',31,31.53,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_3320',29,95.24,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_4409',21,75.46,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_2957',28,53.72,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_3136',31,89.01,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_2325',31,144.93,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_2795',22,156.94,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_1749',24,146.2,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_2248',26,57.51,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_1342',43,117.12,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10173,'S18_1367',48,44.21,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10174,'S18_4668',49,44.78,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10174,'S18_1097',48,93.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10174,'S18_2949',46,121.57,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10174,'S10_1949',34,235.73,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10174,'S12_1666',43,158.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S700_2824',42,85.98,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S32_2509',50,63.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S32_3522',29,74.98,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S24_2840',37,31.12,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S32_1268',22,110.76,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S18_4600',47,108.97,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S24_2300',28,106.07,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S18_2432',41,69.28,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S18_3232',29,152.41,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S12_4473',26,136.28,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S18_2319',48,122.73,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10175,'S10_4962',33,162.51,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S50_1514',38,64.44,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S32_3207',22,64.0,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S50_1392',23,135.43,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S24_1444',27,68.78,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S24_4048',29,100.54,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S18_2238',20,183.38,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S18_4027',36,153.67,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S12_3148',47,178.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S12_3891',50,157.45,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10176,'S12_1108',33,226.5,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S700_3962',24,105.27,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S72_3212',40,50.23,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S700_2610',32,76.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S700_3505',44,92.16,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S700_1138',24,76.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S700_1938',31,88.34,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S24_2011',50,121.66,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S24_3151',45,72.58,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S18_3259',29,105.88,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S18_4522',35,74.6,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10177,'S18_3140',23,159.81,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S700_4002',45,76.25,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S72_1253',45,51.15,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S700_2047',34,96.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S700_2466',22,87.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S24_3816',21,72.12,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S24_3949',30,72.33,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S24_2841',34,80.84,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S24_3420',27,73.64,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S18_3029',41,81.72,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S18_3856',48,112.22,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S10_4757',24,145.52,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10178,'S18_1662',42,154.54,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S700_3167',39,68.8,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S700_1691',23,107.78,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S700_2834',25,105.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S32_4289',24,72.23,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S50_1341',34,42.77,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S24_4278',27,84.77,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S32_1374',45,119.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S18_2581',24,78.57,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10179,'S24_1785',47,124.74,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S50_4713',21,93.56,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S32_2206',34,45.46,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S32_4485',22,114.3,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S24_2360',35,72.03,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S24_4620',28,71.14,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S24_1578',48,111.57,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S24_2000',28,68.55,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S18_3782',21,50.36,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S18_4721',44,126.48,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S12_2823',40,168.69,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S18_2625',25,64.2,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S10_2016',42,111.8,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S10_4698',41,216.9,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10180,'S10_1678',29,86.13,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S24_3371',23,65.52,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S24_3856',25,154.47,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S24_1628',34,53.83,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S24_2972',37,42.67,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_3482',22,154.34,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_3685',39,148.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_3232',45,140.55,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_3278',30,82.82,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_1984',21,156.48,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_2870',27,143.88,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_1589',42,129.42,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_1889',22,73.92,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S12_4675',36,124.37,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S18_1129',44,123.14,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S12_3380',28,102.17,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S12_3990',20,81.4,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10181,'S12_1099',27,200.41,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_3969',23,42.26,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_3191',33,94.17,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_3432',49,127.43,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_2766',36,73.6,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_2887',20,119.79,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_1937',39,36.84,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_2022',31,36.74,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_4933',44,69.84,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S24_1046',47,74.22,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_3320',33,86.31,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_4409',36,109.52,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_2325',20,110.6,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_2795',21,145.13,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_1749',44,171.7,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_2248',38,61.15,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_1342',25,87.33,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10182,'S18_1367',32,54.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S700_2824',23,86.99,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S24_4258',47,107.13,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S32_3522',49,64.64,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_4600',21,116.24,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_4668',40,49.3,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_2957',39,68.08,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_3136',22,113.1,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_1097',21,96.84,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S18_2949',37,89.15,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S10_4962',28,122.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S12_1666',41,150.34,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10183,'S10_1949',23,233.59,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S32_3207',48,50.95,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S50_1392',45,109.96,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S32_1268',46,100.16,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S32_2509',33,62.77,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S24_2840',42,31.82,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S24_4048',49,118.28,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S24_1444',31,60.11,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S24_2300',24,145.68,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S18_2432',44,60.16,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S18_3232',28,157.49,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S18_2238',46,160.46,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S18_2319',46,130.09,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10184,'S12_4473',37,122.06,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S700_3962',22,79.45,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S72_3212',28,64.43,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S700_2610',39,57.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S700_3505',37,105.18,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S700_1138',21,54.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S700_1938',30,94.4,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S24_3151',33,74.35,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S50_1514',20,48.62,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S18_4522',47,77.24,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S24_2011',30,105.69,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S18_3259',49,80.67,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S18_4027',39,130.69,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S12_3891',43,183.4,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S18_3140',28,122.93,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S12_1108',21,184.94,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10185,'S12_3148',33,122.37,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S72_1253',28,52.14,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S24_3816',36,85.54,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S700_2047',24,99.57,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S24_2841',22,69.2,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S24_3420',21,69.04,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S18_3029',32,89.46,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S18_3856',46,106.93,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S10_4757',26,148.24,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10186,'S18_1662',32,187.65,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S700_4002',44,71.81,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S700_2466',44,105.7,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S700_3167',34,88.0,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S50_1341',41,38.84,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S700_1691',34,92.25,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S24_4278',33,59.41,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S32_4289',31,60.54,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S24_1785',46,95.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S24_3949',43,58.0,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10187,'S18_2581',45,93.77,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S700_2834',29,136.45,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S24_2000',40,91.4,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S32_1374',44,98.89,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S18_2625',32,65.42,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S24_1578',25,101.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S10_2016',38,96.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S10_4698',45,193.66,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10188,'S10_1678',48,114.84,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10189,'S12_2823',28,161.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10190,'S32_4485',42,85.72,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10190,'S50_4713',40,66.72,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10190,'S24_2360',42,76.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10190,'S32_2206',46,32.99,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S24_4620',44,66.29,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S18_4721',32,132.43,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S24_3371',48,60.01,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S18_3482',23,148.46,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S18_3782',43,72.74,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S12_3990',30,64.64,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S18_3278',36,94.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S12_1099',21,182.9,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10191,'S12_3380',40,139.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_3856',45,140.43,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_3191',32,72.77,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_3432',46,121.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_2887',23,132.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_2972',30,30.59,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_1628',47,53.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_2766',46,83.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_3685',45,118.68,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S24_1046',37,69.82,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_2870',38,130.68,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_3232',26,150.71,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_1889',45,90.86,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_1984',47,157.9,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_1129',22,150.03,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S18_1589',29,146.84,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10192,'S12_4675',27,131.28,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S24_4258',20,113.95,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S24_2022',20,50.62,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S24_3969',22,41.03,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_4933',25,76.26,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S24_1937',26,29.21,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_3320',32,79.37,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_4409',24,97.55,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_2957',24,51.84,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_3136',23,120.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_2795',22,167.06,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_2949',28,93.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_2248',42,59.33,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_2325',44,105.52,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_1367',46,53.37,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_1749',21,149.6,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10193,'S18_1342',28,110.96,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S32_3522',39,54.94,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S700_2824',26,89.01,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S24_2300',49,117.57,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S32_1268',37,97.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S18_4600',32,133.19,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S18_4668',41,44.78,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S18_1097',21,93.34,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S18_2432',45,70.49,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S10_4962',26,163.99,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S12_1666',38,129.84,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10194,'S10_1949',42,173.58,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S32_3207',33,54.68,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S50_1392',49,105.33,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S24_4048',34,108.82,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S32_2509',32,43.29,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S24_1444',44,66.47,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S24_2840',32,28.29,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S18_2319',35,103.09,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S18_3232',50,152.41,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S12_4473',49,131.54,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10195,'S18_2238',27,189.93,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S50_1514',46,62.09,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S700_1938',50,94.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S18_3259',35,101.85,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S18_4027',27,168.04,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S12_3891',38,190.32,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S18_3140',49,140.69,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S12_1108',47,189.1,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10196,'S12_3148',24,158.63,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S72_1253',29,41.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S72_3212',42,50.23,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S700_3505',27,92.16,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S700_3962',35,93.35,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S700_2047',24,90.52,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S700_2610',50,78.79,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S24_3816',22,86.38,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S700_1138',23,64.67,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S24_2011',41,110.6,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S24_3151',47,83.2,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S18_3856',22,115.4,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S18_4522',50,101.81,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S10_4757',45,118.32,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10197,'S18_3029',46,87.74,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S700_2466',42,113.68,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S700_4002',40,63.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S24_3420',27,71.67,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S24_3949',43,66.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S18_1662',42,178.19,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10198,'S24_2841',48,67.82,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10199,'S700_3167',38,82.4,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10199,'S50_1341',29,38.4,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10199,'S700_1691',48,83.12,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S700_2834',39,102.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S32_1374',35,109.88,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S32_4289',27,67.41,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S24_1785',33,98.48,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S24_4278',39,72.45,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10200,'S18_2581',28,92.93,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S24_1578',39,111.57,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S24_2000',25,73.88,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S12_2823',25,161.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S18_2625',30,64.81,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S10_2016',24,126.08,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S10_4698',49,164.61,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10201,'S10_1678',22,98.57,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S50_4713',40,89.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S32_2206',27,44.25,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S32_4485',31,102.05,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S24_2360',50,69.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S24_4620',50,87.31,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S18_3782',30,54.71,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10202,'S18_4721',43,136.9,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S24_3371',34,64.9,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S24_3856',47,148.86,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S18_3482',32,160.22,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S24_2972',21,37.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S18_3232',48,172.73,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S18_3278',33,86.04,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S12_4675',47,110.55,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S18_1889',45,85.47,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S12_3380',20,112.74,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S12_3990',44,82.99,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10203,'S12_1099',20,196.52,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_3969',39,33.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_3191',40,79.62,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_3432',48,91.02,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_2766',47,96.32,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_2887',42,101.0,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_1046',20,62.47,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S24_1628',45,49.81,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_4409',29,85.59,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_4933',45,76.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_2870',27,154.44,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_3685',35,163.88,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_2248',23,71.44,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_2325',26,123.32,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_1749',33,178.5,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_1984',38,169.28,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_1129',42,147.2,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10204,'S18_1589',40,100.8,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10205,'S24_1937',32,37.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10205,'S24_2022',24,38.08,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10205,'S18_1367',48,63.61,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10205,'S18_2795',40,187.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10205,'S18_1342',36,103.77,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S700_2824',33,117.33,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S24_4258',33,97.39,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S32_3522',36,58.82,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_3320',28,87.3,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_4668',21,53.33,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_2957',28,67.46,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_3136',30,119.38,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_1097',34,116.67,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S18_2949',37,90.17,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S10_1949',47,192.87,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10206,'S12_1666',28,144.87,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S50_1392',28,94.92,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S32_2509',27,60.06,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S32_3207',45,56.55,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S24_4048',28,106.45,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S32_1268',49,80.9,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S24_2300',46,148.24,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S24_2840',42,29.7,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_4600',47,141.66,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S24_1444',49,46.82,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_3232',25,157.49,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_4027',40,153.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_2319',43,133.78,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_2432',37,69.89,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S12_4473',34,99.54,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S18_2238',44,160.46,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10207,'S10_4962',31,131.49,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S700_3962',33,85.41,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S72_3212',42,63.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S700_2610',46,74.45,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S700_3505',37,120.2,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S700_1138',38,74.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S700_1938',40,80.55,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S24_3151',20,89.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S50_1514',30,65.61,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S18_4522',45,87.77,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S24_2011',35,122.89,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S18_3140',24,109.27,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S18_3259',48,116.97,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S12_3148',26,120.86,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S12_3891',20,155.72,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10208,'S12_1108',46,187.02,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S700_2047',33,88.71,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S72_1253',48,44.69,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S24_3420',36,77.59,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S24_3816',22,89.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S18_3856',20,124.93,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S24_2841',43,82.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S10_4757',39,133.28,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10209,'S18_3029',28,100.64,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S700_4002',42,70.33,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S700_2834',25,112.72,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S700_3167',31,86.4,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S700_1691',21,78.55,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S700_2466',26,99.72,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S32_4289',39,59.16,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S50_1341',43,41.02,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S24_4278',40,71.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S32_1374',46,79.91,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S24_2000',30,61.7,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S24_3949',29,69.6,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S18_2625',40,49.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S24_1785',27,98.48,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S18_1662',31,184.5,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S18_2581',50,76.88,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S10_2016',23,130.83,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10210,'S10_4698',34,180.1,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S32_4485',37,109.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S50_4713',40,80.55,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S24_4620',22,92.16,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S32_2206',41,42.24,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S24_2360',21,63.72,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S24_3371',48,48.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S18_4721',41,138.38,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S24_1578',25,90.16,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S18_3482',28,133.76,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S18_3782',46,54.09,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S12_3990',28,92.57,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S18_3278',35,78.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S12_1099',41,182.9,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S12_2823',36,132.55,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10211,'S10_1678',41,114.84,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_3432',46,87.81,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_3856',49,141.83,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_2972',34,43.42,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_3191',27,79.62,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_1628',45,53.33,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_2766',45,88.14,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_3685',45,141.28,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S24_1046',41,82.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_2870',40,122.76,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_3232',40,138.86,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_1889',20,66.99,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_1984',41,118.07,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_1129',29,144.37,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S18_1589',38,118.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S12_3380',39,126.84,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10212,'S12_4675',33,126.68,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10213,'S24_2887',27,103.35,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10213,'S18_4409',38,94.79,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10213,'S18_4933',25,83.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S24_2022',49,47.94,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S24_3969',44,34.88,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S18_2795',50,190.69,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S24_1937',20,34.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S18_2248',21,62.96,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S18_2325',27,133.49,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10214,'S18_1749',30,198.9,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_4668',46,45.28,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S24_4258',39,90.57,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_3136',49,107.86,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_3320',41,111.12,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_2949',49,112.45,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_2957',31,58.71,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_1342',27,89.38,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_1367',33,43.13,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S10_1949',35,173.58,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10215,'S18_1097',46,112.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10216,'S12_1666',43,133.94,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S32_3522',39,62.05,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S700_2824',31,88.0,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S24_2300',28,112.46,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S32_1268',21,106.9,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S18_2432',35,61.38,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S18_4600',38,118.66,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10217,'S10_4962',48,146.26,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10218,'S18_2319',22,121.5,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10218,'S18_3232',34,135.47,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10219,'S24_2840',21,40.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10219,'S32_2509',35,55.19,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10219,'S12_4473',48,101.91,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10219,'S18_2238',43,196.48,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S50_1514',30,68.54,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S32_3207',20,52.82,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S50_1392',37,107.65,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S24_1444',26,56.07,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S24_4048',37,136.02,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S12_3891',27,186.86,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S18_4027',50,165.16,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S12_1108',32,224.42,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10220,'S12_3148',30,157.12,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10221,'S24_2011',49,138.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10221,'S700_1938',23,97.0,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10221,'S18_3259',23,80.67,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10221,'S18_4522',39,89.53,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10221,'S18_3140',33,133.86,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S72_1253',31,45.69,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S72_3212',36,63.34,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_3962',31,95.34,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_4002',43,74.03,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_2610',36,80.95,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_3505',38,110.19,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_2047',26,102.29,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_2466',37,87.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S24_3949',48,56.64,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S700_1138',31,62.67,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S24_3420',43,70.35,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S24_3816',46,80.51,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S24_2841',32,81.53,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S24_3151',47,70.81,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S18_3029',49,94.62,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S18_3856',45,85.75,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S10_4757',49,122.4,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10222,'S18_1662',49,141.92,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S700_3167',26,67.2,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S700_1691',25,101.39,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S700_2834',29,110.34,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S32_4289',20,66.04,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S50_1341',41,46.26,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S24_4278',23,74.62,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S32_1374',21,117.87,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S24_1785',34,106.14,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S24_2000',38,69.31,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S18_2625',28,60.57,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S24_1578',32,91.29,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S10_4698',49,199.47,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S18_2581',47,100.53,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S10_1678',37,107.18,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10223,'S10_2016',47,115.37,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S50_4713',50,77.29,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S32_2206',43,39.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S32_4485',30,111.23,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S18_3782',38,58.44,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S24_2360',37,80.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10224,'S12_2823',43,141.58,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S24_4620',46,70.33,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S24_3371',24,50.21,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S24_3856',40,113.75,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_4721',35,150.29,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S24_2972',42,36.63,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_3278',37,95.69,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_3482',27,169.04,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_1889',47,64.68,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_3232',43,149.02,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S12_4675',21,127.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S18_1129',32,141.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S12_3380',25,99.82,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S12_3990',37,77.41,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10225,'S12_1099',27,167.33,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S24_1628',36,43.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S24_3432',48,92.09,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S18_3685',46,159.65,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S24_1046',21,60.26,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S18_1984',24,162.17,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S18_2870',24,134.64,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10226,'S18_1589',38,109.51,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_3969',27,43.9,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_2887',33,131.53,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_3191',40,79.62,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_2022',24,48.38,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_2766',47,88.14,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_4933',37,57.73,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S24_1937',42,29.21,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_3320',33,111.12,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_4409',34,104.91,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_2325',46,152.56,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_2795',29,192.38,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_1749',26,142.8,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_2248',28,50.85,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_1342',25,118.15,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10227,'S18_1367',31,48.52,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S24_4258',33,103.23,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S18_2957',45,63.71,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S18_3136',31,102.63,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S18_1097',32,105.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S18_2949',24,104.35,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10228,'S10_1949',29,222.87,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S700_2824',50,112.28,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S32_2509',23,54.11,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S32_3522',30,73.04,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S24_2840',33,32.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S32_1268',25,111.72,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S18_4668',39,40.25,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S24_2300',48,118.84,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S18_3232',22,189.66,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S18_4600',41,115.03,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S18_2319',26,144.82,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S18_2432',28,59.55,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S12_1666',25,138.04,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S12_4473',36,125.61,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10229,'S10_4962',50,128.53,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S50_1514',43,52.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S32_3207',46,60.9,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S50_1392',34,116.91,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S24_1444',36,54.33,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S24_4048',45,105.27,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S18_2238',49,148.99,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S18_4027',42,172.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10230,'S12_3148',43,163.17,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10231,'S12_3891',49,141.88,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10231,'S12_1108',42,199.49,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S72_3212',24,49.69,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S700_3505',48,96.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S700_3962',35,82.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S24_2011',46,122.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S700_1938',26,88.34,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S18_3259',48,95.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S18_4522',23,89.53,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10232,'S18_3140',22,163.91,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10233,'S700_1138',36,70.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10233,'S700_2610',29,82.4,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10233,'S24_3151',40,94.71,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S72_1253',40,56.12,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S24_3816',31,72.96,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S700_2047',29,87.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S24_2841',44,61.66,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S24_3420',25,57.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S18_3029',48,74.84,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S18_3856',39,125.99,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S10_4757',48,150.96,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10234,'S18_1662',50,189.23,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S700_4002',34,72.55,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S700_2834',25,96.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S700_3167',32,92.0,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S700_1691',25,103.21,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S700_2466',38,88.75,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S32_4289',34,77.73,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S50_1341',41,35.35,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S24_4278',40,81.14,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S32_1374',41,101.89,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S24_1785',23,96.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S24_3949',33,60.05,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10235,'S18_2581',24,76.03,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10236,'S18_2625',23,55.72,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10236,'S24_2000',36,87.6,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10236,'S10_2016',22,129.64,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S50_4713',20,68.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S32_2206',26,40.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S32_4485',27,115.32,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S24_1578',20,114.95,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S24_2360',26,79.65,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S12_2823',32,131.04,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S18_3782',26,52.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S10_1678',23,101.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10237,'S10_4698',39,180.1,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S24_4620',22,93.77,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S18_4721',44,144.34,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S24_3371',47,62.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S18_3278',41,73.17,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S18_3482',49,133.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S12_3380',29,109.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S12_3990',20,74.21,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10238,'S12_1099',28,206.24,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10239,'S24_2972',20,44.56,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10239,'S24_3856',29,154.47,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10239,'S18_1889',46,73.92,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10239,'S18_3232',47,150.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10239,'S12_4675',21,93.28,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10240,'S18_3685',37,161.06,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10240,'S18_1129',41,137.29,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10240,'S18_1984',37,149.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_3432',27,86.73,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_2887',28,98.65,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_3191',26,81.33,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_1628',21,40.25,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_2766',47,94.5,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_4933',30,66.99,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S24_1046',22,76.43,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_2870',44,155.76,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_4409',42,90.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_1749',41,185.3,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_2248',33,72.65,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10241,'S18_1589',21,119.46,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10242,'S24_3969',46,36.93,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10243,'S18_2325',47,130.94,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10243,'S24_1937',33,29.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S24_4258',40,86.68,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_3320',36,84.33,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S24_2022',39,45.25,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_2957',24,58.09,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_3136',29,115.19,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_2795',43,138.38,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_2949',30,117.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_1342',40,117.12,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10244,'S18_1367',20,58.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S32_3522',44,69.16,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S700_2824',44,105.2,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S18_4668',45,59.87,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S32_1268',37,111.72,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S18_1097',29,119.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S18_4600',21,113.82,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S10_4962',28,163.99,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S12_1666',38,155.8,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10245,'S10_1949',34,180.01,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S50_1392',22,133.11,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S24_4048',46,137.2,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S32_2509',35,48.7,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S24_2300',29,121.4,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S24_2840',49,36.07,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S18_3232',36,198.13,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S24_1444',44,52.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S18_2319',22,98.18,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S18_2432',30,61.99,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S12_4473',46,110.21,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10246,'S18_2238',40,163.73,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S50_1514',49,63.85,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S18_4027',48,140.75,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S32_3207',40,49.71,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S12_3148',25,175.25,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S12_3891',27,153.99,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10247,'S12_1108',44,241.05,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S72_3212',23,65.52,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S700_3505',30,108.18,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S700_3962',35,90.37,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S700_1938',40,103.93,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S700_2610',32,75.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S24_3816',23,76.31,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S700_1138',36,71.34,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S24_2011',48,145.01,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S24_3151',30,101.79,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S18_3259',42,121.01,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S18_4522',42,75.48,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S18_3029',21,73.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S18_3140',32,118.83,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10248,'S10_4757',20,145.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10249,'S700_2047',40,95.95,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10249,'S72_1253',32,57.61,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10249,'S24_2841',20,67.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10249,'S24_3420',25,69.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10249,'S18_3856',46,121.75,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S700_3167',44,67.2,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S700_4002',38,62.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S700_2466',35,111.69,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S700_2834',44,137.63,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S50_1341',36,51.93,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S700_1691',31,91.34,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S32_1374',31,105.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S32_4289',50,61.22,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S24_3949',40,75.06,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S24_4278',37,74.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S24_1785',31,88.63,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S24_2000',32,87.6,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S18_1662',45,181.34,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10250,'S18_2581',27,98.84,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S18_2625',29,61.18,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S24_1578',26,101.43,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S10_4698',43,164.61,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S12_2823',46,164.18,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S10_1678',28,113.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10251,'S10_2016',44,130.83,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S50_4713',48,72.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S32_2206',36,48.28,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S32_4485',25,113.28,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S24_2360',47,65.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S24_4620',38,87.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S18_3782',31,52.84,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S18_4721',26,136.9,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S18_3278',20,76.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10252,'S18_3482',41,164.63,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S24_3856',39,132.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S24_2972',40,42.67,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S24_3371',24,52.66,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_3232',40,169.34,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_3685',31,129.98,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_1984',33,135.14,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_2870',37,139.92,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_1589',24,140.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_1889',23,83.93,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S12_4675',41,119.77,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S18_1129',26,117.48,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S12_3380',22,109.22,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S12_3990',25,90.17,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10253,'S12_1099',24,163.44,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_3432',49,100.66,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_3969',20,43.49,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_2887',33,96.3,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_3191',42,96.74,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_1937',38,26.88,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_2766',31,100.87,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_1046',34,64.67,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S24_1628',32,60.37,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S18_4409',34,92.95,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S18_4933',30,57.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S18_2248',36,63.57,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S18_2325',41,110.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10254,'S18_1749',49,142.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10255,'S18_2795',24,155.25,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10255,'S24_2022',37,45.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10256,'S18_1342',34,95.55,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10256,'S18_1367',29,51.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10257,'S24_4258',46,78.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10257,'S18_3136',37,84.82,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10257,'S18_3320',26,89.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10257,'S18_2949',50,88.14,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10257,'S18_2957',49,53.72,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S700_2824',45,80.92,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S18_4668',21,59.87,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S32_3522',20,61.41,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S12_1666',41,162.64,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S18_1097',41,133.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10258,'S10_1949',32,240.02,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S32_2509',40,43.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S50_1392',29,105.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S24_2840',31,33.24,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S32_1268',45,86.68,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S24_1444',28,46.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S24_2300',47,112.46,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S18_3232',27,135.47,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S18_4600',41,113.82,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S18_2319',34,99.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S18_2432',30,49.22,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S12_4473',46,142.2,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S18_2238',30,189.93,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10259,'S10_4962',26,155.13,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S50_1514',21,55.65,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S700_1938',33,85.74,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S24_4048',23,102.9,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S32_3207',27,57.17,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S18_3259',29,88.74,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S18_4027',23,155.11,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S12_3891',44,171.29,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S18_3140',32,131.13,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S12_1108',46,228.58,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10260,'S12_3148',30,170.72,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S72_3212',29,50.78,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S700_3505',25,88.15,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S700_3962',50,81.43,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S700_1138',34,62.0,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S700_2610',44,68.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S24_2011',36,125.35,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S24_3151',22,91.17,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S10_4757',27,125.12,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10261,'S18_4522',20,89.53,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S72_1253',21,57.11,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S700_3167',27,76.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S700_4002',35,71.07,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S700_2047',44,94.14,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S700_2466',33,90.75,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S50_1341',49,37.97,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S700_1691',40,84.03,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S24_3949',48,61.42,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S32_4289',40,79.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S24_3420',46,70.35,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S24_3816',49,87.21,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S24_1785',34,97.38,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S24_2841',24,67.14,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S18_3029',32,84.3,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S18_3856',34,120.69,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10262,'S18_1662',49,134.04,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S32_1374',31,79.91,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S700_2834',47,116.28,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S24_2000',37,62.46,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S24_4278',24,75.35,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S18_2625',34,58.75,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S24_1578',42,102.56,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S12_2823',48,134.05,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S18_2581',33,86.17,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S10_2016',40,111.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S10_4698',41,203.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10263,'S10_1678',34,108.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S50_4713',47,89.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S32_2206',20,32.59,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S32_4485',34,97.97,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S24_2360',37,65.1,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S24_4620',47,83.27,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S18_3782',48,54.71,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10264,'S18_4721',20,120.53,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10265,'S18_3482',49,171.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10265,'S18_3278',45,86.84,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S24_3371',47,62.45,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S24_3856',24,122.17,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S24_1628',28,48.3,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S24_2972',34,40.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_3232',29,165.95,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_3685',33,152.58,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_1984',49,126.6,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_2870',20,141.24,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_1589',36,144.35,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_1889',33,74.69,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S12_4675',40,111.71,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S18_1129',21,120.31,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S12_3380',22,111.57,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S12_3990',35,76.61,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10266,'S12_1099',44,208.19,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S24_3191',44,96.74,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S24_3432',43,118.86,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S24_2766',38,87.24,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S24_2887',43,108.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S18_4933',36,75.55,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10267,'S24_1046',40,80.1,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S24_3969',30,40.62,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S24_1937',33,38.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S24_2022',40,46.14,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_3320',39,89.29,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_4409',35,87.43,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_2325',50,105.52,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_2795',35,151.88,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_1749',34,161.5,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_2248',31,49.04,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_1342',49,117.12,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10268,'S18_1367',26,64.69,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10269,'S24_4258',48,97.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10269,'S18_2957',32,63.08,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S32_3522',21,63.35,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S700_2824',46,88.0,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S18_4668',44,58.36,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S32_1268',32,85.72,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S18_3136',38,125.66,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S18_4600',38,141.66,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S18_1097',43,96.84,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S18_2949',31,96.24,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S10_4962',32,134.44,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S12_1666',28,146.24,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10270,'S10_1949',21,233.59,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S50_1392',34,98.39,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S24_4048',22,139.57,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S32_2509',35,47.62,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S24_2300',43,130.35,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S24_2840',38,41.72,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S18_3232',20,196.43,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S24_1444',45,64.74,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S18_2319',50,101.87,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S18_2432',25,69.28,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S12_4473',31,97.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10271,'S18_2238',50,183.38,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S50_1514',43,56.82,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S18_4027',25,149.36,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S32_3207',45,64.63,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S12_3148',27,158.63,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S12_3891',39,204.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10272,'S12_1108',35,166.24,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S700_3962',26,114.21,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S72_3212',37,45.86,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S700_2610',42,62.16,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S700_3505',40,86.15,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S700_1138',21,65.34,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S700_1938',21,102.2,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S24_3151',27,103.56,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S24_3816',48,83.02,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S18_4522',33,71.09,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S24_2011',22,126.58,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S18_3259',47,115.97,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S18_3856',50,85.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S18_3029',34,98.06,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S18_3140',40,125.66,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10273,'S10_4757',30,116.96,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10274,'S72_1253',32,58.6,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10274,'S24_3420',24,72.33,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10274,'S700_2047',24,90.52,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10274,'S18_1662',41,164.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10274,'S24_2841',40,65.08,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S700_4002',31,72.55,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S700_2834',48,132.89,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S700_3167',43,73.6,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S700_1691',32,89.51,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S700_2466',39,114.68,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S32_4289',28,63.97,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S50_1341',38,45.39,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S24_4278',27,62.31,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S32_1374',23,81.91,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S24_2000',30,79.98,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S24_3949',41,81.89,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S24_1578',21,102.56,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S24_1785',25,95.2,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S18_2581',35,90.39,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S18_2625',37,63.6,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S10_2016',22,132.02,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S10_4698',36,191.72,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10275,'S10_1678',45,92.83,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S50_4713',21,70.78,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S32_2206',27,36.61,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S32_4485',38,113.28,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S24_3371',20,61.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S24_4620',48,75.18,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S18_4721',48,119.04,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S24_2360',46,75.49,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S18_3482',30,130.82,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S18_3782',33,50.36,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S12_3990',38,83.79,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S18_3278',38,69.96,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S12_2823',43,120.5,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S12_3380',47,116.27,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10276,'S12_1099',50,192.62,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10277,'S12_4675',28,111.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S24_2972',31,38.89,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S24_3856',25,126.39,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_3685',31,132.8,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S24_1628',35,45.28,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_2870',39,110.88,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_3232',42,152.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_1889',29,90.86,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_1984',29,129.45,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_1129',34,137.29,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10278,'S18_1589',23,113.24,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S24_3191',33,71.06,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S24_3432',48,128.5,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S24_2766',49,79.97,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S24_2887',48,116.27,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S18_4933',26,60.58,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10279,'S24_1046',32,74.96,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S24_4258',21,78.89,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S24_2022',45,47.49,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S24_3969',33,41.85,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_4409',35,105.83,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S24_1937',20,28.88,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_3136',29,103.67,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_3320',34,102.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_2949',46,111.44,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_2957',43,68.71,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_2325',37,128.4,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_2795',22,202.5,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_1749',26,141.1,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_2248',25,62.96,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_1342',50,104.79,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_1367',27,57.68,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S10_1949',34,235.73,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10280,'S18_1097',24,116.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S700_2824',27,85.98,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S32_2509',31,55.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S32_3522',36,77.57,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S24_2840',20,40.66,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S32_1268',29,82.83,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S18_4668',44,59.87,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S24_2300',25,111.18,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S18_3232',25,167.65,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S18_4600',25,99.29,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S18_2319',48,120.28,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S18_2432',29,57.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S12_1666',25,117.54,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S12_4473',41,127.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10281,'S10_4962',44,159.56,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S50_1514',37,66.78,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S700_1938',43,86.61,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S32_3207',36,59.65,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S50_1392',38,113.44,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S24_1444',29,46.82,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S24_4048',39,123.01,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S18_3259',36,115.97,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S18_4027',31,150.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S18_2238',23,140.81,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S18_3140',43,155.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S12_3148',27,161.66,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S12_3891',24,157.45,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10282,'S12_1108',41,172.47,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S72_1253',43,57.61,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S72_3212',33,51.32,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S700_3505',22,88.15,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S700_3962',38,89.38,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S700_2047',20,94.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S700_2610',47,65.77,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S24_3816',33,72.96,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S700_1138',45,78.67,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S24_2011',42,126.58,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S24_3151',34,92.94,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S18_3856',46,125.99,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S18_4522',34,105.32,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S10_4757',25,119.68,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10283,'S18_3029',21,98.06,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S700_4002',32,64.41,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S700_2466',45,101.71,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S700_3167',25,69.6,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S50_1341',33,51.93,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S700_1691',24,83.12,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S24_4278',21,71.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S32_4289',50,81.86,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S24_3420',39,71.67,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S24_3949',21,55.96,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S24_1785',22,105.04,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S24_2841',30,73.99,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S18_1662',45,127.73,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10284,'S18_2581',31,71.81,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S50_4713',39,78.92,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S700_2834',45,119.84,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S32_2206',37,41.03,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S32_4485',26,100.01,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S24_2360',38,59.56,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S32_1374',37,98.89,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S24_1578',34,109.32,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S24_2000',39,70.08,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S12_2823',49,140.08,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S18_2625',20,49.06,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S10_2016',47,137.97,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S10_4698',27,201.41,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10285,'S10_1678',36,113.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10286,'S18_3782',38,57.2,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S24_3856',36,119.37,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S24_4620',40,88.12,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S24_2972',36,39.65,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S24_3371',20,67.97,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_3685',27,159.65,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_4721',34,126.48,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_3278',43,70.76,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_3482',40,169.04,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_2870',44,114.84,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_3232',36,162.57,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_1889',44,82.39,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_1984',24,146.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S12_4675',23,116.31,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S18_1129',41,158.52,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S12_3380',45,105.7,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S12_3990',41,69.43,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10287,'S12_1099',21,163.44,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_3432',41,118.86,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_3969',33,40.62,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_2887',48,136.23,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_3191',34,68.49,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_1937',29,38.17,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_2766',35,80.87,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_1046',36,66.14,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S24_1628',50,52.32,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_4409',35,80.99,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_4933',23,73.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_2248',28,61.75,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_2325',31,123.32,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_1589',20,146.84,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10288,'S18_1749',32,183.6,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10289,'S18_2795',43,192.38,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10289,'S24_2022',45,48.38,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10289,'S18_1342',38,120.21,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10289,'S18_1367',24,56.07,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10290,'S18_3320',26,96.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10290,'S24_4258',45,114.92,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S32_3522',32,71.75,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S700_2824',28,116.32,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S24_2300',48,112.46,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S32_1268',26,83.79,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_4600',48,110.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_4668',29,51.82,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_2957',37,50.59,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_3136',23,124.62,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_2432',26,57.73,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_2949',47,121.57,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S12_1666',41,155.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S18_1097',41,114.34,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S10_1949',37,192.87,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10291,'S10_4962',30,128.53,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S50_1392',41,121.54,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S50_1514',35,55.07,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S32_2509',50,46.53,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S32_3207',31,67.73,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S24_2840',39,30.06,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S24_4048',27,141.94,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S18_4027',44,162.29,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S24_1444',40,53.75,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S18_2319',41,110.46,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S18_3232',21,135.47,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S12_4473',21,105.47,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10292,'S18_2238',26,175.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S72_3212',32,60.06,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S24_2011',21,140.09,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S700_1938',29,71.89,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S18_3259',22,109.92,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S18_4522',49,100.94,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S12_3891',45,183.4,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S18_3140',24,117.47,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S12_1108',46,182.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10293,'S12_3148',24,176.76,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10294,'S700_3962',45,104.28,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10295,'S700_3505',34,102.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10295,'S700_1138',26,75.34,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10295,'S700_2610',44,58.55,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10295,'S10_4757',24,142.8,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10295,'S24_3151',46,84.97,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S72_1253',21,45.19,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S700_3167',22,80.8,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S700_4002',47,86.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S700_2047',34,102.29,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S700_2466',24,101.71,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S50_1341',26,48.44,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S700_1691',42,102.3,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S24_3816',22,77.15,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S24_3949',32,71.65,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S24_2841',21,71.25,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S24_3420',31,53.92,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S18_3029',21,96.34,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S18_3856',22,84.7,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10296,'S18_1662',36,157.69,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S32_4289',28,79.8,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S700_2834',35,113.9,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S24_4278',23,72.45,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S32_1374',26,109.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S24_1785',32,126.93,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S24_2000',32,65.51,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10297,'S18_2581',25,82.79,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10298,'S10_2016',39,96.34,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10298,'S18_2625',32,48.46,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S50_4713',44,80.55,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S32_2206',24,42.24,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S32_4485',38,115.32,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S24_2360',33,66.49,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S24_4620',32,80.84,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S18_4721',49,162.19,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S24_1578',47,116.08,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S12_2823',24,173.21,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S18_3782',39,55.95,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S10_1678',23,112.93,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10299,'S10_4698',29,230.46,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S24_3371',31,58.78,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S18_3278',49,78.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S18_3482',23,164.63,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S12_4675',23,122.07,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S18_1889',41,92.4,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S12_3380',29,137.4,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S12_3990',22,76.61,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10300,'S12_1099',33,167.33,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S24_3432',22,96.37,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S24_3856',50,154.47,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S24_1628',22,51.32,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S24_2972',48,34.36,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_3685',39,165.3,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S24_1046',27,72.02,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_2870',22,146.52,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_3232',23,174.42,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_1589',32,107.02,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_1984',47,159.32,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10301,'S18_1129',37,159.94,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S24_2887',45,123.31,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S24_3191',48,74.48,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S18_4933',23,72.7,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S24_2766',49,108.14,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S18_1749',43,170.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10302,'S18_4409',38,89.27,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10303,'S18_2248',46,49.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10303,'S24_3969',24,40.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S700_2824',40,105.2,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S24_4258',33,101.29,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S32_3522',36,73.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S24_1937',23,30.2,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S24_2022',44,39.42,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_3320',38,104.17,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_4668',34,49.3,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_2957',24,64.96,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_3136',26,85.87,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_2795',20,178.88,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_2949',46,100.3,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_1367',37,48.52,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_2325',24,101.7,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_1097',46,98.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S18_1342',37,95.55,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S10_1949',47,216.44,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10304,'S12_1666',39,164.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S50_1392',42,109.96,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S32_1268',28,112.68,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S32_2509',40,57.9,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S24_2840',48,31.47,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S24_4048',36,128.93,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S24_1444',45,61.85,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S24_2300',24,132.9,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S18_3232',37,201.51,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S18_4600',22,99.29,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S18_2319',36,133.78,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S18_2432',41,53.48,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S12_4473',38,125.61,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S18_2238',27,145.72,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10305,'S10_4962',38,175.81,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S700_3962',30,117.19,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S72_3212',35,59.51,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S700_2610',43,75.17,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S700_3505',32,90.15,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S700_1138',50,54.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S700_1938',38,91.81,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S32_3207',46,50.33,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S50_1514',34,60.34,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S24_2011',29,110.6,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S24_3151',31,84.08,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S18_4027',23,156.55,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S18_4522',39,90.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S18_3140',32,117.47,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S18_3259',40,91.76,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S12_3148',34,146.55,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S12_3891',20,181.67,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10306,'S12_1108',31,211.96,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S72_1253',34,53.63,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S24_3816',22,91.41,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S700_2047',34,97.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S24_2841',25,75.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S24_3420',22,71.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S18_3029',31,83.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S18_3856',48,86.81,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S10_4757',22,122.4,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10307,'S18_1662',39,189.23,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S700_4002',39,68.11,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S700_2834',31,129.33,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S700_3167',21,87.2,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S700_1691',21,105.95,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S700_2466',35,88.75,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S32_4289',46,66.04,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S50_1341',47,43.64,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S24_4278',44,83.32,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S32_1374',24,79.91,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S24_2000',47,63.22,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S24_3949',43,76.43,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S18_2625',34,52.09,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S24_1785',31,112.7,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S10_4698',20,228.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S18_2581',27,82.79,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10308,'S10_2016',34,118.94,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S50_4713',28,88.68,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S24_2360',24,56.1,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S32_4485',50,84.7,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S12_2823',26,179.24,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S24_1578',21,126.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10309,'S10_1678',41,107.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S24_4620',49,97.01,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S32_2206',36,43.05,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S24_3371',38,56.94,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S24_3856',45,122.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_4721',40,133.92,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S24_2972',33,41.91,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_3482',49,127.88,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_3782',42,67.14,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_3232',48,186.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_3278',27,80.41,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_1889',20,91.63,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_1984',24,143.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S12_4675',25,100.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S18_1129',37,168.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S12_3380',24,129.18,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S12_3990',49,81.4,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10310,'S12_1099',33,210.14,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_3432',46,92.09,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_2887',43,106.87,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_3191',25,83.04,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_1628',45,49.3,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_2766',28,93.6,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S18_4933',25,66.99,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S24_1046',26,87.45,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S18_3685',32,113.02,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S18_4409',41,81.91,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S18_1589',29,100.8,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10311,'S18_2870',43,122.76,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S24_3969',31,35.29,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S24_4258',44,111.02,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S24_1937',39,29.54,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S24_2022',23,37.63,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_3320',33,107.15,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_4668',39,56.85,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_2957',35,53.72,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_3136',38,117.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_2795',25,155.25,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_2949',37,100.3,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_2248',30,61.15,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_2325',31,152.56,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_1367',25,44.21,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_1749',48,168.3,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_1097',32,130.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S18_1342',43,89.38,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10312,'S10_1949',48,242.16,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S700_2824',30,99.13,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S32_2509',38,45.45,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S32_3522',34,56.24,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S24_2300',42,132.9,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S32_1268',27,87.64,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S18_3232',25,182.89,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S18_4600',28,102.92,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S18_2319',29,117.82,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S18_2432',34,52.87,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S10_4962',40,166.95,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10313,'S12_1666',21,127.1,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S50_1514',38,61.51,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S700_1938',23,76.22,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S32_3207',35,66.49,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S50_1392',28,121.54,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S24_2840',39,37.13,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S24_4048',38,105.27,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S18_4027',29,145.06,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S24_1444',44,53.18,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S18_3140',20,136.59,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S18_3259',23,107.9,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S12_4473',45,137.46,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S18_2238',42,137.53,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S12_3148',46,138.99,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S12_3891',36,192.05,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10314,'S12_1108',38,209.88,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S72_3212',40,55.69,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S700_3505',31,86.15,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S700_3962',37,91.37,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S24_3151',24,86.74,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S700_1138',41,62.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S18_4522',36,100.06,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10315,'S24_2011',35,120.43,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S72_1253',34,43.7,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_3167',48,75.2,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_4002',44,62.19,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_2466',23,117.67,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_2610',48,74.45,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_1691',34,82.21,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S700_2047',45,93.24,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S32_4289',24,59.16,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S50_1341',34,47.57,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S24_3816',25,92.25,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S24_3949',30,77.79,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S24_2841',34,63.71,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S24_3420',47,76.93,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S18_3856',47,86.81,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S24_1785',25,114.89,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S18_1662',27,137.19,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S18_3029',21,94.62,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10316,'S10_4757',33,125.12,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10317,'S24_4278',35,83.32,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S700_2834',50,142.38,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S24_2000',26,86.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S32_1374',47,112.88,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S18_2625',42,52.7,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S24_1578',48,134.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S10_4698',37,207.22,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S18_2581',31,100.53,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S10_1678',46,94.74,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10318,'S10_2016',45,123.7,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S32_4485',22,119.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S50_4713',45,77.29,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S24_4620',43,85.69,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S32_2206',29,38.22,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S18_4721',45,175.58,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S24_2360',31,81.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S18_3278',46,73.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S18_3782',44,59.06,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10319,'S12_2823',30,137.06,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10320,'S24_3371',26,61.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10320,'S12_3990',38,73.42,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10320,'S18_3482',25,139.64,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10320,'S12_1099',31,221.81,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10320,'S12_3380',35,138.58,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_3432',21,89.95,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_3856',26,155.88,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_2972',37,33.23,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_3191',39,84.75,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_1628',48,42.26,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_2766',30,72.7,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_3685',28,151.17,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S24_1046',30,70.55,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_2870',27,105.6,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_3232',33,172.73,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_1889',37,78.54,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_1984',25,149.36,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_1129',41,141.54,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S18_1589',44,102.04,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10321,'S12_4675',24,124.37,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S24_1937',20,131.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S24_2022',30,116.67,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_2957',41,29.87,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_3136',48,47.04,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_2795',36,161.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_2949',33,106.81,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_2325',50,250.73,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_2432',35,61.21,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_1342',43,86.3,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_1367',41,57.68,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S12_1666',27,177.19,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S18_1097',22,102.32,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S10_1949',40,150.01,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10322,'S10_4962',46,61.99,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10323,'S18_3320',33,91.27,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10323,'S18_4600',47,131.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S32_3522',48,171.03,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S700_2824',34,124.95,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S24_4258',33,189.93,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S32_1268',20,98.18,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S24_2300',31,123.24,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S24_2840',30,111.27,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S18_4668',38,179.79,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S24_1444',25,69.16,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S18_3232',27,116.87,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S18_4027',49,109.79,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S18_2238',47,153.35,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S18_2319',33,37.48,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S12_3148',27,54.33,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10324,'S12_4473',26,58.38,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S50_1514',44,134.84,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S32_3207',28,192.05,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S50_1392',38,136.59,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S24_4048',44,121.04,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S32_2509',38,232.74,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S12_3891',24,107.65,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S18_3140',24,69.12,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S10_4757',47,64.93,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10325,'S12_1108',42,64.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S700_1138',39,60.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S24_3151',41,85.85,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S24_3816',20,92.25,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S18_4522',50,86.01,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S24_2011',41,105.69,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10326,'S18_3259',32,118.99,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S72_3212',37,86.74,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S700_3505',43,80.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S700_3962',37,86.61,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S700_1938',20,173.46,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S700_2610',21,96.31,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S18_2581',45,106.26,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S18_3029',25,45.86,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10327,'S18_1662',25,112.19,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_4002',39,85.87,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_2834',33,123.4,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_3167',33,64.0,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_2047',41,101.38,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_2466',37,108.69,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S50_1341',34,51.93,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S700_1691',27,102.3,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S24_4278',43,60.86,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S32_4289',24,81.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S24_3420',20,72.98,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S24_3949',35,76.43,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S24_1785',47,87.54,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S24_2841',48,58.92,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10328,'S18_3856',34,112.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S32_1374',45,63.91,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S72_1253',44,86.13,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S24_1578',30,87.78,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S24_2000',37,94.43,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S18_2625',38,138.58,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S18_3278',38,59.1,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S12_4675',39,64.74,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S18_1889',29,101.89,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S12_3380',46,83.63,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S12_3990',33,109.32,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S12_1099',41,71.47,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S12_2823',24,147.61,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S10_2016',20,158.8,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S10_4698',26,225.7,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10329,'S10_1678',42,104.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10330,'S18_4721',50,122.02,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10330,'S24_2360',42,81.03,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10330,'S18_3482',37,119.06,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10330,'S18_3782',29,69.63,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S32_4485',32,157.08,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S50_4713',20,182.89,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S24_4620',41,139.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S32_2206',28,146.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S24_3371',25,123.14,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S24_3856',21,149.33,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_3685',26,67.91,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S24_2972',27,42.24,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_2870',26,64.9,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_3232',27,154.47,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_1749',44,74.04,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_1984',30,32.47,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_1129',46,139.87,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10331,'S18_1589',44,110.21,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_3432',31,37.18,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_3969',41,77.24,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_2887',44,42.26,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_3191',45,34.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_2022',26,85.52,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_2766',39,86.72,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_1628',20,87.96,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_1937',45,81.91,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_4933',21,165.38,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S24_1046',23,56.84,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_3136',40,39.8,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_4409',50,146.2,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_2795',24,52.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_2957',26,114.58,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_2248',38,84.25,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_2325',35,64.69,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_1342',46,95.13,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10332,'S18_1367',27,89.89,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S24_4258',39,113.44,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S32_3522',33,73.69,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S18_3320',46,246.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S18_4668',24,79.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S18_1097',29,40.25,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S18_2949',31,90.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S10_1949',26,115.5,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10333,'S12_1666',33,99.21,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S18_4600',49,138.03,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S24_2300',42,131.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S18_2432',34,61.38,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S18_3232',20,143.94,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S10_4962',26,122.62,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10334,'S18_2319',46,126.41,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10335,'S32_2509',40,60.6,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10335,'S24_2840',33,37.13,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10335,'S32_1268',44,107.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S700_2824',46,207.8,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S32_3207',31,84.71,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S50_1392',23,136.59,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S24_1444',45,132.72,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S24_4048',31,148.99,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S18_3140',48,120.38,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S18_3259',21,106.21,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S12_4473',38,167.7,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S18_2238',49,152.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S12_3148',33,123.01,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S12_3891',49,63.38,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10336,'S12_1108',33,57.22,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S700_3962',36,71.89,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S72_3212',42,97.16,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S700_1938',36,70.3,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S700_3505',31,89.38,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S24_2011',29,71.97,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S50_1514',21,109.37,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S18_4027',36,157.76,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S18_4522',29,155.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10337,'S10_4757',25,48.05,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10338,'S18_3856',45,122.81,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10338,'S18_1662',41,137.19,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10338,'S18_3029',28,82.58,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S72_1253',27,76.31,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S700_2610',50,74.35,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S700_4002',50,57.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S700_1138',22,128.02,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S700_2047',55,71.25,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_3816',42,59.36,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_3949',45,96.92,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_3151',55,195.6,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_3420',29,99.69,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_1785',21,50.65,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_2841',55,112.99,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S18_2625',30,62.16,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S24_1578',27,84.39,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S10_4698',39,76.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S18_2581',27,104.1,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10339,'S10_2016',40,68.92,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S700_2834',29,141.19,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S700_1691',30,88.6,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S700_2466',55,87.75,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S32_4289',39,59.16,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S50_1341',40,50.62,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S24_4278',40,84.77,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S32_1374',55,117.87,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10340,'S24_2000',55,79.98,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S700_3167',34,107.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S32_4485',31,71.02,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S50_4713',38,123.22,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S12_4675',55,75.2,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S24_2360',32,103.35,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S12_3380',44,95.93,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S12_3990',36,93.56,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S12_1099',45,79.65,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S12_2823',55,147.61,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10341,'S10_1678',41,188.73,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S24_3371',48,62.45,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S24_3856',42,119.37,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_4721',38,165.17,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S24_2972',39,40.4,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_3482',55,119.06,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_3782',26,55.95,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_3232',30,167.65,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_3278',25,66.74,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_1889',55,65.45,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_1984',22,143.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10342,'S18_1129',40,161.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S24_4620',30,103.29,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S32_2206',29,128.04,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S18_3685',44,84.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S24_1628',27,36.21,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S18_1589',36,162.47,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10343,'S18_2870',25,52.32,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S24_1937',20,35.18,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S18_4933',26,63.43,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S24_1046',29,59.53,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S18_2325',30,130.94,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S18_4409',21,104.91,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S18_1749',45,170.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10344,'S18_2248',40,56.91,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10345,'S24_2022',43,53.76,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S24_3432',26,95.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S24_3969',22,97.44,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S24_2887',24,87.24,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S24_3191',24,138.58,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S18_1342',42,36.11,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10346,'S24_2766',25,115.07,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_3320',26,102.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_4600',45,130.77,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_2957',34,64.96,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_3136',45,109.96,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_2795',21,229.3,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_2949',48,100.3,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_1367',21,58.95,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_2432',50,136.69,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S12_1666',29,123.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S18_1097',42,49.6,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S10_1949',30,131.49,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10347,'S10_4962',27,164.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S32_3522',31,101.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S700_2824',32,82.83,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S24_4258',39,50.31,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S32_1268',42,152.07,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S18_4668',29,245.2,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S24_2300',37,161.66,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S12_1108',48,52.36,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10348,'S12_3148',47,102.16,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S24_4048',23,138.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S32_2509',33,46.53,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S24_1444',48,47.4,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S24_2840',36,37.13,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S18_3232',48,154.1,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S18_4027',34,129.26,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S18_2238',38,176.83,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S18_2319',38,137.46,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S12_3891',26,169.56,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10349,'S12_4473',48,109.02,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S72_3212',20,112.22,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S700_3505',31,77.34,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S700_3962',25,114.19,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S700_1938',28,104.44,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S700_2610',29,75.35,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S50_1514',44,147.52,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S700_1138',46,76.67,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S32_3207',27,163.2,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S50_1392',31,71.4,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S24_3151',30,100.7,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S24_3816',25,60.34,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S18_4522',30,100.77,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S24_2011',34,50.33,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S18_3140',44,117.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S18_3259',41,93.04,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S10_4757',26,75.47,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10350,'S18_3029',43,64.97,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10351,'S24_3420',38,68.38,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10351,'S24_3949',34,59.37,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10351,'S18_3856',20,168.73,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10351,'S24_2841',25,74.68,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10351,'S18_1662',39,99.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10352,'S700_4002',22,75.51,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10352,'S72_1253',49,52.64,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10352,'S700_2047',23,102.29,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10352,'S700_2466',49,100.72,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S700_3167',43,81.95,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S700_1691',39,129.33,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S700_2834',48,68.8,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S32_4289',40,44.51,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S50_1341',40,82.21,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S24_4278',35,89.9,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S32_1374',46,81.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S18_2581',27,130.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10353,'S24_1785',28,71.73,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S24_1578',21,113.92,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S24_2000',28,69.43,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S18_2625',28,165.68,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S18_3278',36,82.26,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S12_4675',28,86.84,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S18_1889',21,110.45,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S12_3380',29,73.15,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S12_3990',23,50.88,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S12_1099',31,93.28,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S12_2823',35,182.9,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S10_2016',20,104.67,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S10_4698',42,213.03,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10354,'S10_1678',42,86.13,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S32_2206',38,39.83,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S32_4485',40,108.17,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S24_3856',32,165.71,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S24_4620',28,95.39,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S24_2972',36,38.52,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S24_3371',44,62.45,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S18_4721',25,168.14,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S24_2360',41,70.65,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S18_3482',23,138.17,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10355,'S18_3782',31,53.47,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S50_4713',26,151.45,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S24_1937',48,202.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S24_2022',26,31.86,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_2325',29,125.18,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_2795',30,148.74,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_1367',22,72.41,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_1984',27,64.69,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_1129',43,97.6,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10356,'S18_1342',50,50.18,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_4600',28,127.13,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_3136',44,117.29,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_3320',25,104.17,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_2949',41,87.13,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_2957',49,70.58,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_1097',39,98.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S18_2432',41,61.99,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S10_4962',43,134.44,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S12_1666',49,121.64,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10357,'S10_1949',32,177.87,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S700_2824',27,139.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S32_1268',41,108.0,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S32_3522',36,157.49,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S24_2840',36,82.94,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S24_4258',41,167.0,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S24_1444',44,60.76,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S24_2300',41,138.65,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S18_4027',25,101.13,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S18_4668',30,176.76,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S18_2319',20,36.42,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S18_3232',32,93.49,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S12_4473',42,64.16,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S18_2238',20,121.4,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10358,'S12_3148',49,55.34,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S50_1514',25,64.93,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S32_3207',22,195.51,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S50_1392',46,106.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S24_4048',22,118.32,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S32_2509',36,176.63,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S12_1108',42,113.44,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S12_3891',49,62.09,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10359,'S10_4757',48,54.68,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S72_3212',31,96.44,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S700_3505',35,65.77,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S700_3962',31,103.56,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S700_1938',26,97.38,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S700_2610',30,125.35,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S24_3816',22,111.16,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S700_1138',32,100.94,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S24_2841',49,56.78,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S24_3151',36,113.95,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S24_1785',22,115.2,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S24_2011',31,118.83,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_3856',40,87.15,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_4522',40,86.02,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_3140',29,175.04,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_3259',29,101.38,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_2581',41,87.48,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_3029',46,77.34,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10360,'S18_1662',50,58.67,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S72_1253',23,95.2,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_3167',44,113.68,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_4002',35,122.21,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_2466',26,105.95,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_2834',44,72.42,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_1691',20,60.54,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S700_2047',24,45.39,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S32_4289',49,72.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S50_1341',33,82.59,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S24_3949',26,142.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S24_4278',25,62.46,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S10_2016',26,51.15,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S24_3420',34,113.88,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10361,'S10_1678',20,72.55,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10362,'S24_1578',50,96.92,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10362,'S12_2823',22,176.23,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10362,'S18_2625',23,49.67,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10362,'S10_4698',22,166.55,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S24_4620',43,119.87,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S32_1374',50,131.53,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S24_3371',21,116.56,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S24_3856',31,94.58,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S24_2000',21,171.22,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S24_2360',43,61.23,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S18_3782',32,89.12,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S18_4721',28,58.18,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S18_3278',46,60.3,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S18_3482',24,172.61,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S12_4675',46,88.45,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S18_1889',22,167.57,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S12_3380',34,96.73,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S12_3990',34,81.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10363,'S12_1099',33,85.39,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10364,'S32_2206',48,48.28,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10365,'S32_4485',22,155.69,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10365,'S50_4713',44,113.28,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10365,'S18_1129',30,87.06,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10366,'S18_3232',34,184.58,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10366,'S18_1984',34,123.76,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10366,'S18_2870',49,125.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S24_2022',28,30.59,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S24_2972',36,139.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S24_1628',38,38.5,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S24_1937',23,36.29,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_4933',44,85.25,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S24_1046',21,60.37,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_3685',46,104.53,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_4409',43,62.72,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_2325',27,155.41,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_2795',32,94.79,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_1749',37,127.13,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_2248',45,197.44,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10367,'S18_1589',49,56.3,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10368,'S24_3969',46,37.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10368,'S24_3191',46,79.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10368,'S24_3432',20,99.58,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10368,'S24_2766',40,102.68,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10368,'S24_2887',31,136.23,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S24_4258',40,86.92,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_3136',21,94.22,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_3320',45,73.08,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_2949',42,109.08,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_2957',28,44.21,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_1342',44,210.01,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S18_1367',32,98.63,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10369,'S10_1949',41,110.12,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_4668',20,136.5,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S32_3522',25,126.41,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_3232',27,56.85,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_4600',29,57.53,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_2319',22,179.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_2432',22,96.86,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S12_1666',49,172.86,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S18_1097',27,144.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10370,'S10_4962',35,65.63,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S50_1392',48,56.55,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S700_2824',34,126.51,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S32_2509',20,66.47,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S32_3207',30,99.55,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S24_4048',28,50.32,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S32_1268',26,155.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S24_2300',20,172.47,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S24_2840',45,123.24,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S18_2238',25,104.09,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S24_1444',25,97.27,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S12_1108',32,111.27,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10371,'S12_4473',49,35.71,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S700_1938',44,102.2,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S24_2011',37,105.69,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S50_1514',24,58.58,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S18_4027',48,146.49,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S18_4522',41,86.89,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S18_3140',28,137.96,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S18_3259',25,84.71,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S12_3148',40,146.55,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10372,'S12_3891',34,174.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S72_1253',25,64.97,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S72_3212',29,137.19,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_3962',37,108.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_4002',45,55.62,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_2610',41,70.33,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_3505',34,96.34,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_1138',44,105.18,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S700_2047',32,84.41,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S24_3816',23,104.1,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S24_3949',39,73.0,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S24_3151',33,57.32,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S24_3420',46,66.0,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S18_3856',50,60.49,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S24_2841',38,70.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S18_1662',28,57.55,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S18_3029',22,86.74,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10373,'S10_4757',39,103.75,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S24_1578',38,110.45,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S24_1785',46,94.1,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S18_2581',42,69.27,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S18_2625',22,53.3,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S10_2016',39,135.59,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10374,'S10_4698',22,174.29,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S700_3167',44,118.38,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S700_2466',33,116.87,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S700_2834',25,66.73,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S50_4713',49,110.34,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S700_1691',37,81.87,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S32_4485',41,114.68,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S50_1341',49,65.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S32_1374',37,171.71,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S32_4289',44,82.26,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S24_2360',20,102.3,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S24_4278',43,233.48,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S12_2823',49,78.92,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S24_2000',23,106.23,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S10_1678',21,34.91,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10375,'S12_1099',45,76.0,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10376,'S12_3380',35,113.92,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S18_1984',36,120.91,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S18_3232',39,186.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S18_1129',35,168.43,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S18_1889',31,67.76,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S12_3990',24,67.83,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10377,'S12_4675',50,103.64,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S24_4620',41,119.37,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S32_2206',40,82.46,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S24_3371',46,41.54,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S24_3856',33,53.27,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S18_4721',49,67.14,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S24_2972',41,142.85,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S18_3482',43,96.49,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S18_3782',28,164.63,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S18_1589',34,42.64,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10378,'S18_3278',22,112.0,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10379,'S24_1628',32,124.08,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10379,'S18_2870',29,176.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10379,'S18_3685',32,70.83,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10379,'S18_1749',39,138.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10379,'S18_2248',27,49.3,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_3432',34,116.27,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_3969',43,95.03,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_2887',44,36.29,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_3191',44,79.06,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_2022',27,68.35,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_2766',36,37.5,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_1046',34,101.23,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S24_1937',32,70.56,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S18_4409',32,105.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S18_4933',24,189.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S18_2325',40,123.29,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S18_2795',21,47.18,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10380,'S18_1342',27,93.16,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_3136',35,122.52,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_2949',41,105.36,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_2957',40,68.08,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_1367',25,52.83,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_2432',35,48.62,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S12_1666',20,147.6,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S18_1097',48,98.0,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S10_1949',36,229.3,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10381,'S10_4962',37,168.42,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S32_3522',48,141.66,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S700_2824',34,54.84,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S24_4258',33,139.17,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S32_1268',26,104.17,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S18_4668',39,200.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S24_2300',20,132.72,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S18_3320',50,178.71,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S18_4600',39,125.4,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S12_4473',32,66.58,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S18_2238',25,88.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S12_3148',37,110.05,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S12_3891',34,95.35,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10382,'S12_1108',34,112.46,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S50_1514',38,60.06,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S32_3207',44,36.07,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S50_1392',29,106.45,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S24_4048',21,93.91,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S32_2509',32,53.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S24_1444',22,91.76,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S24_2840',40,152.24,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_4027',38,140.55,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_4522',28,58.58,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_3232',47,146.15,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_3259',26,128.48,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_2319',27,142.37,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10383,'S18_3140',24,61.52,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10384,'S700_1938',49,130.56,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10384,'S24_2011',28,80.54,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10384,'S24_3151',43,97.87,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10384,'S10_4757',34,142.55,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10385,'S700_1138',25,77.34,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10385,'S24_3816',37,85.54,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S72_3212',43,125.99,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_4002',44,86.4,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S72_1253',50,87.15,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_3505',45,92.08,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_3962',30,95.48,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_2610',37,135.61,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_3167',32,94.34,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_2047',29,85.76,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S700_2466',37,83.84,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S24_3949',41,73.32,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S24_4278',50,63.34,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S24_2841',39,55.96,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S24_3420',35,63.76,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S18_3856',22,57.55,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S24_1785',33,41.71,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S18_2581',21,74.77,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S18_3029',37,93.01,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10386,'S18_1662',25,54.57,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10387,'S32_1374',44,94.9,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S700_1691',46,218.84,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S700_2834',50,143.09,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S32_4289',35,111.97,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S50_1341',27,118.94,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S10_4698',21,86.77,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S12_2823',44,135.26,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S10_1678',42,76.36,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10388,'S10_2016',50,44.51,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S24_1578',45,102.17,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S24_2000',49,81.4,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S18_1889',49,79.22,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S18_2625',39,179.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S12_3990',36,70.26,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S12_4675',47,111.57,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S12_1099',26,99.04,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10389,'S12_3380',25,72.38,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S32_4485',45,48.98,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S50_4713',22,158.69,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S24_4620',30,82.42,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S32_2206',41,44.56,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S24_3371',46,52.84,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S24_3856',45,150.29,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S24_2360',35,65.13,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S24_2972',37,132.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_3782',36,141.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_4721',49,140.06,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_3278',40,137.29,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_3482',50,147.94,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_2325',31,98.99,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_2795',26,78.11,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_1129',36,93.77,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10390,'S18_1984',34,43.05,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S24_1937',33,252.87,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S24_2022',24,168.42,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S18_2432',44,38.5,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S18_2949',32,45.25,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S18_1342',35,158.54,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S18_1367',42,119.0,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S12_1666',39,63.2,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S18_1097',29,85.1,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S10_1949',24,100.69,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10391,'S10_4962',37,46.9,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10392,'S18_3320',36,112.11,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10392,'S18_2957',37,59.96,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10392,'S18_3136',29,86.92,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S32_3522',31,57.86,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S700_2824',21,102.23,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S24_4258',33,98.18,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S32_1268',38,145.3,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S18_4668',44,110.21,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S24_2300',33,176.83,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S18_2319',38,100.14,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S18_4600',30,120.86,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S12_4473',32,101.13,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S18_2238',20,69.81,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10393,'S12_3148',35,109.08,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S32_3207',30,60.28,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S24_4048',37,140.75,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S32_2509',36,62.77,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S24_1444',31,50.29,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S24_2840',46,38.9,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S18_3232',22,152.41,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10394,'S18_4027',37,172.34,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10395,'S50_1514',45,199.49,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10395,'S12_1108',33,69.12,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10395,'S50_1392',46,123.76,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10395,'S10_4757',32,105.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S700_1138',39,66.67,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S24_3151',27,83.2,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S24_3816',37,90.57,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S18_4522',45,105.32,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S24_2011',49,116.75,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S18_3140',33,159.81,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S18_3259',24,89.75,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10396,'S12_3891',33,185.13,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10397,'S700_3962',36,105.27,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10397,'S72_3212',34,62.24,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10397,'S700_2610',22,66.5,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10397,'S700_3505',48,108.18,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10397,'S700_1938',32,80.55,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_4002',36,87.36,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S72_1253',34,40.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_2834',23,122.21,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_3167',29,65.6,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_2047',36,108.62,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_2466',22,86.76,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S50_1341',49,36.66,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S700_1691',47,87.69,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S24_4278',45,78.25,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S32_4289',22,67.41,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S24_3420',34,71.67,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S24_3949',41,68.24,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S24_1785',43,129.12,16);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S24_2841',28,57.55,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S18_3029',28,72.26,18);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S18_3856',45,106.93,17);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S18_1662',33,127.73,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10398,'S18_2581',34,76.88,15);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S24_2000',58,89.12,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S32_1374',32,99.89,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S18_2625',30,68.44,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S24_1578',57,105.94,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S10_4698',22,158.8,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S12_2823',29,164.18,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S10_1678',40,113.88,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10399,'S10_2016',51,123.7,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S72_1253',20,56.12,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S24_3816',42,72.96,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S700_2047',46,87.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S24_2841',24,61.66,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S24_3420',38,57.2,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S18_3029',30,74.84,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S18_3856',58,125.99,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S10_4757',64,150.96,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10400,'S18_1662',34,189.23,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S700_4002',28,72.55,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S700_2834',21,96.11,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S700_3167',77,92.0,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S700_1691',11,103.21,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S700_2466',85,88.75,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S32_4289',62,77.73,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S50_1341',56,35.35,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S24_4278',52,81.14,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S32_1374',49,101.89,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S24_1785',38,96.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S24_3949',64,60.05,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10401,'S18_2581',42,76.03,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10402,'S18_2625',55,55.72,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10402,'S24_2000',59,87.6,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10402,'S10_2016',45,129.64,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S50_4713',31,68.34,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S32_2206',30,40.23,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S32_4485',45,115.32,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S24_1578',46,114.95,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S24_2360',27,79.65,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S12_2823',66,131.04,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S18_3782',36,52.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S10_1678',24,101.44,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10403,'S10_4698',66,180.1,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S24_4620',48,93.77,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S18_4721',48,144.34,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S24_3371',49,62.45,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S18_3278',90,73.17,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S18_3482',28,133.76,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S12_3380',43,109.22,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S12_3990',77,74.21,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10404,'S12_1099',64,206.24,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10405,'S24_2972',47,44.56,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10405,'S24_3856',76,154.47,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10405,'S18_1889',61,73.92,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10405,'S18_3232',55,150.71,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10405,'S12_4675',97,93.28,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10406,'S18_3685',65,161.06,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10406,'S18_1129',61,137.29,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10406,'S18_1984',48,149.36,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_3432',43,86.73,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_2887',59,98.65,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_3191',13,81.33,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_1628',64,40.25,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_2766',76,94.5,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_4933',66,66.99,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S24_1046',26,76.43,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_2870',41,155.76,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_4409',6,90.19,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_1749',76,185.3,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_2248',42,72.65,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10407,'S18_1589',59,119.46,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10408,'S24_3969',15,36.93,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10409,'S18_2325',6,130.94,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10409,'S24_1937',61,29.54,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S24_4258',50,86.68,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_3320',44,84.33,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S24_2022',31,45.25,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_2957',53,58.09,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_3136',34,115.19,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_2795',56,138.38,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_2949',47,117.52,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_1342',65,117.12,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10410,'S18_1367',44,58.22,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S32_3522',27,69.16,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S700_2824',34,105.2,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S18_4668',35,59.87,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S32_1268',26,111.72,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S18_1097',27,119.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S18_4600',46,113.82,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S10_4962',27,163.99,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S12_1666',40,155.8,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10411,'S10_1949',23,180.01,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S50_1392',26,133.11,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S24_4048',31,137.2,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S32_2509',19,48.7,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S24_2300',70,121.4,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S24_2840',30,36.07,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S18_3232',60,198.13,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S24_1444',21,52.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S18_2319',56,98.18,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S18_2432',47,61.99,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S12_4473',54,110.21,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10412,'S18_2238',41,163.73,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S50_1514',51,63.85,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S18_4027',49,140.75,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S32_3207',24,49.71,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S12_3148',47,175.25,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S12_3891',22,153.99,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10413,'S12_1108',36,241.05,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S72_3212',47,65.52,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S700_3505',28,108.18,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S700_3962',27,90.37,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S700_1938',34,103.93,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S700_2610',31,75.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S24_3816',51,76.31,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S700_1138',37,71.34,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S24_2011',23,145.01,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S24_3151',60,101.79,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S18_3259',48,121.01,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S18_4522',16,75.48,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S18_3029',44,73.98,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S18_3140',41,118.83,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10414,'S10_4757',19,145.52,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10415,'S700_2047',32,95.95,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10415,'S72_1253',42,57.61,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10415,'S24_2841',21,67.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10415,'S24_3420',18,69.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10415,'S18_3856',51,121.75,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S700_3167',39,67.2,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S700_4002',43,62.19,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S700_2466',22,111.69,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S700_2834',41,137.63,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S50_1341',37,51.93,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S700_1691',23,91.34,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S32_1374',45,105.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S32_4289',26,61.22,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S24_3949',18,75.06,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S24_4278',48,74.62,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S24_1785',47,88.63,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S24_2000',32,87.6,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S18_1662',24,181.34,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10416,'S18_2581',15,98.84,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S18_2625',36,61.18,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S24_1578',35,101.43,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S10_4698',56,164.61,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S12_2823',21,164.18,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S10_1678',66,113.88,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10417,'S10_2016',45,130.83,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S50_4713',40,72.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S32_2206',43,48.28,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S32_4485',50,113.28,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S24_2360',52,65.8,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S24_4620',10,87.31,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S18_3782',33,52.84,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S18_4721',28,136.9,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S18_3278',16,76.39,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10418,'S18_3482',27,164.63,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S24_3856',70,132.0,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S24_2972',15,42.67,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S24_3371',55,52.66,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_3232',35,169.34,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_3685',43,129.98,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_1984',34,135.14,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_2870',55,139.92,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_1589',37,140.62,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_1889',39,83.93,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S12_4675',32,119.77,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S18_1129',38,117.48,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S12_3380',10,109.22,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S12_3990',34,90.17,14);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10419,'S12_1099',12,163.44,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_3432',26,100.66,12);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_3969',15,43.49,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_2887',55,96.3,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_3191',35,96.74,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_1937',45,26.88,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_2766',39,100.87,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_1046',60,64.67,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S24_1628',37,60.37,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S18_4409',66,92.95,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S18_4933',36,57.73,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S18_2248',36,63.57,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S18_2325',45,110.6,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10420,'S18_1749',37,142.8,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10421,'S18_2795',35,155.25,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10421,'S24_2022',40,45.7,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10422,'S18_1342',51,95.55,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10422,'S18_1367',25,51.75,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10423,'S24_4258',28,78.89,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10423,'S18_3136',21,84.82,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10423,'S18_3320',21,89.29,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10423,'S18_2949',10,88.14,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10423,'S18_2957',31,53.72,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S700_2824',46,80.92,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S18_4668',26,59.87,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S32_3522',44,61.41,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S12_1666',49,162.64,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S18_1097',54,133.0,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10424,'S10_1949',50,240.02,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S32_2509',11,43.83,6);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S50_1392',18,105.33,2);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S24_2840',31,33.24,5);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S32_1268',41,86.68,11);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S24_1444',55,46.82,1);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S24_2300',49,112.46,9);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S18_3232',28,135.47,8);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S18_4600',38,113.82,13);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S18_2319',38,99.41,7);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S18_2432',19,49.22,10);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S12_4473',33,142.2,4);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S18_2238',28,189.93,3);
INSERT INTO ORDERDETAILS (ORDERNUMBER,PRODUCTCODE,QUANTITYORDERED,PRICEEACH,ORDERLINENUMBER) VALUES (10425,'S10_4962',38,155.13,12);

-- ORDERS

INSERT INTO ORDERS VALUES(10100,'2003-01-06 00:00:00.000000000','2003-01-13 00:00:00.000000000','2003-01-10 00:00:00.000000000','Shipped',NULL,363);
INSERT INTO ORDERS VALUES(10101,'2003-01-09 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-11 00:00:00.000000000','Shipped','Check on availability.',128);
INSERT INTO ORDERS VALUES(10102,'2003-01-10 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-14 00:00:00.000000000','Shipped',NULL,181);
INSERT INTO ORDERS VALUES(10103,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121);
INSERT INTO ORDERS VALUES(10104,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10105,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145);
INSERT INTO ORDERS VALUES(10106,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278);
INSERT INTO ORDERS VALUES(10107,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131);
INSERT INTO ORDERS VALUES(10108,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385);
INSERT INTO ORDERS VALUES(10109,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486);
INSERT INTO ORDERS VALUES(10110,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187);
INSERT INTO ORDERS VALUES(10111,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129);
INSERT INTO ORDERS VALUES(10112,'2003-03-24 00:00:00.000000000','2003-04-03 00:00:00.000000000','2003-03-29 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',144);
INSERT INTO ORDERS VALUES(10113,'2003-03-26 00:00:00.000000000','2003-04-02 00:00:00.000000000','2003-03-27 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10114,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172);
INSERT INTO ORDERS VALUES(10115,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424);
INSERT INTO ORDERS VALUES(10116,'2003-04-11 00:00:00.000000000','2003-04-19 00:00:00.000000000','2003-04-13 00:00:00.000000000','Shipped',NULL,381);
INSERT INTO ORDERS VALUES(10117,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148);
INSERT INTO ORDERS VALUES(10118,'2003-04-21 00:00:00.000000000','2003-04-29 00:00:00.000000000','2003-04-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',216);
INSERT INTO ORDERS VALUES(10119,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382);
INSERT INTO ORDERS VALUES(10120,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114);
INSERT INTO ORDERS VALUES(10121,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353);
INSERT INTO ORDERS VALUES(10122,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350);
INSERT INTO ORDERS VALUES(10123,'2003-05-20 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-22 00:00:00.000000000','Shipped',NULL,103);
INSERT INTO ORDERS VALUES(10124,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112);
INSERT INTO ORDERS VALUES(10125,'2003-05-21 00:00:00.000000000','2003-05-27 00:00:00.000000000','2003-05-24 00:00:00.000000000','Shipped',NULL,114);
INSERT INTO ORDERS VALUES(10126,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458);
INSERT INTO ORDERS VALUES(10127,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151);
INSERT INTO ORDERS VALUES(10128,'2003-06-06 00:00:00.000000000','2003-06-12 00:00:00.000000000','2003-06-11 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10129,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324);
INSERT INTO ORDERS VALUES(10130,'2003-06-16 00:00:00.000000000','2003-06-24 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,198);
INSERT INTO ORDERS VALUES(10131,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447);
INSERT INTO ORDERS VALUES(10132,'2003-06-25 00:00:00.000000000','2003-07-01 00:00:00.000000000','2003-06-28 00:00:00.000000000','Shipped',NULL,323);
INSERT INTO ORDERS VALUES(10133,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10134,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250);
INSERT INTO ORDERS VALUES(10135,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10136,'2003-07-04 00:00:00.000000000','2003-07-14 00:00:00.000000000','2003-07-06 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',242);
INSERT INTO ORDERS VALUES(10137,'2003-07-10 00:00:00.000000000','2003-07-20 00:00:00.000000000','2003-07-14 00:00:00.000000000','Shipped',NULL,353);
INSERT INTO ORDERS VALUES(10138,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496);
INSERT INTO ORDERS VALUES(10139,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282);
INSERT INTO ORDERS VALUES(10140,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161);
INSERT INTO ORDERS VALUES(10141,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334);
INSERT INTO ORDERS VALUES(10142,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10143,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320);
INSERT INTO ORDERS VALUES(10144,'2003-08-13 00:00:00.000000000','2003-08-21 00:00:00.000000000','2003-08-14 00:00:00.000000000','Shipped',NULL,381);
INSERT INTO ORDERS VALUES(10145,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205);
INSERT INTO ORDERS VALUES(10146,'2003-09-03 00:00:00.000000000','2003-09-13 00:00:00.000000000','2003-09-06 00:00:00.000000000','Shipped',NULL,447);
INSERT INTO ORDERS VALUES(10147,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379);
INSERT INTO ORDERS VALUES(10148,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276);
INSERT INTO ORDERS VALUES(10149,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487);
INSERT INTO ORDERS VALUES(10150,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148);
INSERT INTO ORDERS VALUES(10151,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311);
INSERT INTO ORDERS VALUES(10152,'2003-09-25 00:00:00.000000000','2003-10-03 00:00:00.000000000','2003-10-01 00:00:00.000000000','Shipped',NULL,333);
INSERT INTO ORDERS VALUES(10153,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10154,'2003-10-02 00:00:00.000000000','2003-10-12 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,219);
INSERT INTO ORDERS VALUES(10155,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186);
INSERT INTO ORDERS VALUES(10156,'2003-10-08 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-11 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10157,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473);
INSERT INTO ORDERS VALUES(10158,'2003-10-10 00:00:00.000000000','2003-10-18 00:00:00.000000000','2003-10-15 00:00:00.000000000','Shipped',NULL,121);
INSERT INTO ORDERS VALUES(10159,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321);
INSERT INTO ORDERS VALUES(10160,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347);
INSERT INTO ORDERS VALUES(10161,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227);
INSERT INTO ORDERS VALUES(10162,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321);
INSERT INTO ORDERS VALUES(10163,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424);
INSERT INTO ORDERS VALUES(10164,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452);
INSERT INTO ORDERS VALUES(10165,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148);
INSERT INTO ORDERS VALUES(10166,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-27 00:00:00.000000000','Shipped',NULL,462);
INSERT INTO ORDERS VALUES(10167,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448);
INSERT INTO ORDERS VALUES(10168,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161);
INSERT INTO ORDERS VALUES(10169,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276);
INSERT INTO ORDERS VALUES(10170,'2003-11-04 00:00:00.000000000','2003-11-12 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,452);
INSERT INTO ORDERS VALUES(10171,'2003-11-05 00:00:00.000000000','2003-11-13 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,233);
INSERT INTO ORDERS VALUES(10172,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175);
INSERT INTO ORDERS VALUES(10173,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278);
INSERT INTO ORDERS VALUES(10174,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333);
INSERT INTO ORDERS VALUES(10175,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324);
INSERT INTO ORDERS VALUES(10176,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386);
INSERT INTO ORDERS VALUES(10177,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344);
INSERT INTO ORDERS VALUES(10178,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242);
INSERT INTO ORDERS VALUES(10179,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496);
INSERT INTO ORDERS VALUES(10180,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171);
INSERT INTO ORDERS VALUES(10181,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167);
INSERT INTO ORDERS VALUES(10182,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10183,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339);
INSERT INTO ORDERS VALUES(10184,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484);
INSERT INTO ORDERS VALUES(10185,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320);
INSERT INTO ORDERS VALUES(10186,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489);
INSERT INTO ORDERS VALUES(10187,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211);
INSERT INTO ORDERS VALUES(10188,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167);
INSERT INTO ORDERS VALUES(10189,'2003-11-18 00:00:00.000000000','2003-11-25 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',205);
INSERT INTO ORDERS VALUES(10190,'2003-11-19 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10191,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259);
INSERT INTO ORDERS VALUES(10192,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363);
INSERT INTO ORDERS VALUES(10193,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471);
INSERT INTO ORDERS VALUES(10194,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146);
INSERT INTO ORDERS VALUES(10195,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319);
INSERT INTO ORDERS VALUES(10196,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455);
INSERT INTO ORDERS VALUES(10197,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216);
INSERT INTO ORDERS VALUES(10198,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385);
INSERT INTO ORDERS VALUES(10199,'2003-12-01 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,475);
INSERT INTO ORDERS VALUES(10200,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211);
INSERT INTO ORDERS VALUES(10201,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129);
INSERT INTO ORDERS VALUES(10202,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357);
INSERT INTO ORDERS VALUES(10203,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10204,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151);
INSERT INTO ORDERS VALUES(10205,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141);
INSERT INTO ORDERS VALUES(10206,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202);
INSERT INTO ORDERS VALUES(10207,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495);
INSERT INTO ORDERS VALUES(10208,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146);
INSERT INTO ORDERS VALUES(10209,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347);
INSERT INTO ORDERS VALUES(10210,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177);
INSERT INTO ORDERS VALUES(10211,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406);
INSERT INTO ORDERS VALUES(10212,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10213,'2004-01-22 00:00:00.000000000','2004-01-28 00:00:00.000000000','2004-01-27 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',489);
INSERT INTO ORDERS VALUES(10214,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458);
INSERT INTO ORDERS VALUES(10215,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475);
INSERT INTO ORDERS VALUES(10216,'2004-02-02 00:00:00.000000000','2004-02-10 00:00:00.000000000','2004-02-04 00:00:00.000000000','Shipped',NULL,256);
INSERT INTO ORDERS VALUES(10217,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166);
INSERT INTO ORDERS VALUES(10218,'2004-02-09 00:00:00.000000000','2004-02-16 00:00:00.000000000','2004-02-11 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',473);
INSERT INTO ORDERS VALUES(10219,'2004-02-10 00:00:00.000000000','2004-02-17 00:00:00.000000000','2004-02-12 00:00:00.000000000','Shipped',NULL,487);
INSERT INTO ORDERS VALUES(10220,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189);
INSERT INTO ORDERS VALUES(10221,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314);
INSERT INTO ORDERS VALUES(10222,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239);
INSERT INTO ORDERS VALUES(10223,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114);
INSERT INTO ORDERS VALUES(10224,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171);
INSERT INTO ORDERS VALUES(10225,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298);
INSERT INTO ORDERS VALUES(10226,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239);
INSERT INTO ORDERS VALUES(10227,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146);
INSERT INTO ORDERS VALUES(10228,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173);
INSERT INTO ORDERS VALUES(10229,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10230,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128);
INSERT INTO ORDERS VALUES(10231,'2004-03-19 00:00:00.000000000','2004-03-26 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,344);
INSERT INTO ORDERS VALUES(10232,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240);
INSERT INTO ORDERS VALUES(10233,'2004-03-29 00:00:00.000000000','2004-04-04 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',328);
INSERT INTO ORDERS VALUES(10234,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412);
INSERT INTO ORDERS VALUES(10235,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260);
INSERT INTO ORDERS VALUES(10236,'2004-04-03 00:00:00.000000000','2004-04-11 00:00:00.000000000','2004-04-08 00:00:00.000000000','Shipped',NULL,486);
INSERT INTO ORDERS VALUES(10237,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181);
INSERT INTO ORDERS VALUES(10238,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145);
INSERT INTO ORDERS VALUES(10239,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311);
INSERT INTO ORDERS VALUES(10240,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-20 00:00:00.000000000','Shipped',NULL,177);
INSERT INTO ORDERS VALUES(10241,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209);
INSERT INTO ORDERS VALUES(10242,'2004-04-20 00:00:00.000000000','2004-04-28 00:00:00.000000000','2004-04-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',456);
INSERT INTO ORDERS VALUES(10243,'2004-04-26 00:00:00.000000000','2004-05-03 00:00:00.000000000','2004-04-28 00:00:00.000000000','Shipped',NULL,495);
INSERT INTO ORDERS VALUES(10244,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10245,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455);
INSERT INTO ORDERS VALUES(10246,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10247,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334);
INSERT INTO ORDERS VALUES(10248,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131);
INSERT INTO ORDERS VALUES(10249,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173);
INSERT INTO ORDERS VALUES(10250,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450);
INSERT INTO ORDERS VALUES(10251,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328);
INSERT INTO ORDERS VALUES(10252,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406);
INSERT INTO ORDERS VALUES(10253,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201);
INSERT INTO ORDERS VALUES(10254,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323);
INSERT INTO ORDERS VALUES(10255,'2004-06-04 00:00:00.000000000','2004-06-12 00:00:00.000000000','2004-06-09 00:00:00.000000000','Shipped',NULL,209);
INSERT INTO ORDERS VALUES(10256,'2004-06-08 00:00:00.000000000','2004-06-16 00:00:00.000000000','2004-06-10 00:00:00.000000000','Shipped',NULL,145);
INSERT INTO ORDERS VALUES(10257,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450);
INSERT INTO ORDERS VALUES(10258,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398);
INSERT INTO ORDERS VALUES(10259,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166);
INSERT INTO ORDERS VALUES(10260,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357);
INSERT INTO ORDERS VALUES(10261,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233);
INSERT INTO ORDERS VALUES(10262,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141);
INSERT INTO ORDERS VALUES(10263,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175);
INSERT INTO ORDERS VALUES(10264,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362);
INSERT INTO ORDERS VALUES(10265,'2004-07-02 00:00:00.000000000','2004-07-09 00:00:00.000000000','2004-07-07 00:00:00.000000000','Shipped',NULL,471);
INSERT INTO ORDERS VALUES(10266,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386);
INSERT INTO ORDERS VALUES(10267,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151);
INSERT INTO ORDERS VALUES(10268,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412);
INSERT INTO ORDERS VALUES(10269,'2004-07-16 00:00:00.000000000','2004-07-22 00:00:00.000000000','2004-07-18 00:00:00.000000000','Shipped',NULL,382);
INSERT INTO ORDERS VALUES(10270,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282);
INSERT INTO ORDERS VALUES(10271,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10272,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157);
INSERT INTO ORDERS VALUES(10273,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314);
INSERT INTO ORDERS VALUES(10274,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379);
INSERT INTO ORDERS VALUES(10275,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119);
INSERT INTO ORDERS VALUES(10276,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204);
INSERT INTO ORDERS VALUES(10277,'2004-08-04 00:00:00.000000000','2004-08-12 00:00:00.000000000','2004-08-05 00:00:00.000000000','Shipped',NULL,148);
INSERT INTO ORDERS VALUES(10278,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112);
INSERT INTO ORDERS VALUES(10279,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141);
INSERT INTO ORDERS VALUES(10280,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249);
INSERT INTO ORDERS VALUES(10281,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157);
INSERT INTO ORDERS VALUES(10282,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10283,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260);
INSERT INTO ORDERS VALUES(10284,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299);
INSERT INTO ORDERS VALUES(10285,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286);
INSERT INTO ORDERS VALUES(10286,'2004-08-28 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,172);
INSERT INTO ORDERS VALUES(10287,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298);
INSERT INTO ORDERS VALUES(10288,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166);
INSERT INTO ORDERS VALUES(10289,'2004-09-03 00:00:00.000000000','2004-09-13 00:00:00.000000000','2004-09-04 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',167);
INSERT INTO ORDERS VALUES(10290,'2004-09-07 00:00:00.000000000','2004-09-15 00:00:00.000000000','2004-09-13 00:00:00.000000000','Shipped',NULL,198);
INSERT INTO ORDERS VALUES(10291,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448);
INSERT INTO ORDERS VALUES(10292,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131);
INSERT INTO ORDERS VALUES(10293,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249);
INSERT INTO ORDERS VALUES(10294,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,204);
INSERT INTO ORDERS VALUES(10295,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362);
INSERT INTO ORDERS VALUES(10296,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415);
INSERT INTO ORDERS VALUES(10297,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189);
INSERT INTO ORDERS VALUES(10298,'2004-09-27 00:00:00.000000000','2004-10-05 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,103);
INSERT INTO ORDERS VALUES(10299,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186);
INSERT INTO ORDERS VALUES(10300,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128);
INSERT INTO ORDERS VALUES(10301,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299);
INSERT INTO ORDERS VALUES(10302,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201);
INSERT INTO ORDERS VALUES(10303,'2004-10-06 00:00:00.000000000','2004-10-14 00:00:00.000000000','2004-10-09 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',484);
INSERT INTO ORDERS VALUES(10304,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256);
INSERT INTO ORDERS VALUES(10305,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286);
INSERT INTO ORDERS VALUES(10306,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187);
INSERT INTO ORDERS VALUES(10307,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339);
INSERT INTO ORDERS VALUES(10308,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319);
INSERT INTO ORDERS VALUES(10309,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121);
INSERT INTO ORDERS VALUES(10310,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259);
INSERT INTO ORDERS VALUES(10311,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141);
INSERT INTO ORDERS VALUES(10312,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10313,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202);
INSERT INTO ORDERS VALUES(10314,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227);
INSERT INTO ORDERS VALUES(10315,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119);
INSERT INTO ORDERS VALUES(10316,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240);
INSERT INTO ORDERS VALUES(10317,'2004-11-02 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,161);
INSERT INTO ORDERS VALUES(10318,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157);
INSERT INTO ORDERS VALUES(10319,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456);
INSERT INTO ORDERS VALUES(10320,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144);
INSERT INTO ORDERS VALUES(10321,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462);
INSERT INTO ORDERS VALUES(10322,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363);
INSERT INTO ORDERS VALUES(10323,'2004-11-05 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-09 00:00:00.000000000','Shipped',NULL,128);
INSERT INTO ORDERS VALUES(10324,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181);
INSERT INTO ORDERS VALUES(10325,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121);
INSERT INTO ORDERS VALUES(10326,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144);
INSERT INTO ORDERS VALUES(10327,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145);
INSERT INTO ORDERS VALUES(10328,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278);
INSERT INTO ORDERS VALUES(10329,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131);
INSERT INTO ORDERS VALUES(10330,'2004-11-16 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-21 00:00:00.000000000','Shipped',NULL,385);
INSERT INTO ORDERS VALUES(10331,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486);
INSERT INTO ORDERS VALUES(10332,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187);
INSERT INTO ORDERS VALUES(10333,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129);
INSERT INTO ORDERS VALUES(10334,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144);
INSERT INTO ORDERS VALUES(10335,'2004-11-19 00:00:00.000000000','2004-11-29 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10336,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172);
INSERT INTO ORDERS VALUES(10337,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424);
INSERT INTO ORDERS VALUES(10338,'2004-11-22 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-27 00:00:00.000000000','Shipped',NULL,381);
INSERT INTO ORDERS VALUES(10339,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398);
INSERT INTO ORDERS VALUES(10340,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216);
INSERT INTO ORDERS VALUES(10341,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382);
INSERT INTO ORDERS VALUES(10342,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114);
INSERT INTO ORDERS VALUES(10343,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353);
INSERT INTO ORDERS VALUES(10344,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350);
INSERT INTO ORDERS VALUES(10345,'2004-11-25 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,103);
INSERT INTO ORDERS VALUES(10346,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112);
INSERT INTO ORDERS VALUES(10347,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114);
INSERT INTO ORDERS VALUES(10348,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458);
INSERT INTO ORDERS VALUES(10349,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151);
INSERT INTO ORDERS VALUES(10350,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10351,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324);
INSERT INTO ORDERS VALUES(10352,'2004-12-03 00:00:00.000000000','2004-12-12 00:00:00.000000000','2004-12-09 00:00:00.000000000','Shipped',NULL,198);
INSERT INTO ORDERS VALUES(10353,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447);
INSERT INTO ORDERS VALUES(10354,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323);
INSERT INTO ORDERS VALUES(10355,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10356,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250);
INSERT INTO ORDERS VALUES(10357,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10358,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141);
INSERT INTO ORDERS VALUES(10359,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353);
INSERT INTO ORDERS VALUES(10360,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496);
INSERT INTO ORDERS VALUES(10361,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282);
INSERT INTO ORDERS VALUES(10362,'2005-01-05 00:00:00.000000000','2005-01-16 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,161);
INSERT INTO ORDERS VALUES(10363,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334);
INSERT INTO ORDERS VALUES(10364,'2005-01-06 00:00:00.000000000','2005-01-17 00:00:00.000000000','2005-01-09 00:00:00.000000000','Shipped',NULL,350);
INSERT INTO ORDERS VALUES(10365,'2005-01-07 00:00:00.000000000','2005-01-18 00:00:00.000000000','2005-01-11 00:00:00.000000000','Shipped',NULL,320);
INSERT INTO ORDERS VALUES(10366,'2005-01-10 00:00:00.000000000','2005-01-19 00:00:00.000000000','2005-01-12 00:00:00.000000000','Shipped',NULL,381);
INSERT INTO ORDERS VALUES(10367,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205);
INSERT INTO ORDERS VALUES(10368,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124);
INSERT INTO ORDERS VALUES(10369,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379);
INSERT INTO ORDERS VALUES(10370,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276);
INSERT INTO ORDERS VALUES(10371,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10372,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398);
INSERT INTO ORDERS VALUES(10373,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311);
INSERT INTO ORDERS VALUES(10374,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333);
INSERT INTO ORDERS VALUES(10375,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119);
INSERT INTO ORDERS VALUES(10376,'2005-02-08 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-13 00:00:00.000000000','Shipped',NULL,219);
INSERT INTO ORDERS VALUES(10377,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186);
INSERT INTO ORDERS VALUES(10378,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10379,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10380,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10381,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321);
INSERT INTO ORDERS VALUES(10382,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124);
INSERT INTO ORDERS VALUES(10383,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10384,'2005-02-23 00:00:00.000000000','2005-03-06 00:00:00.000000000','2005-02-27 00:00:00.000000000','Shipped',NULL,321);
INSERT INTO ORDERS VALUES(10385,'2005-02-28 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-01 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10386,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141);
INSERT INTO ORDERS VALUES(10387,'2005-03-02 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',148);
INSERT INTO ORDERS VALUES(10388,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462);
INSERT INTO ORDERS VALUES(10389,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448);
INSERT INTO ORDERS VALUES(10390,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124);
INSERT INTO ORDERS VALUES(10391,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276);
INSERT INTO ORDERS VALUES(10392,'2005-03-10 00:00:00.000000000','2005-03-18 00:00:00.000000000','2005-03-12 00:00:00.000000000','Shipped',NULL,452);
INSERT INTO ORDERS VALUES(10393,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323);
INSERT INTO ORDERS VALUES(10394,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10395,'2005-03-17 00:00:00.000000000','2005-03-24 00:00:00.000000000','2005-03-23 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',250);
INSERT INTO ORDERS VALUES(10396,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124);
INSERT INTO ORDERS VALUES(10397,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242);
INSERT INTO ORDERS VALUES(10398,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353);
INSERT INTO ORDERS VALUES(10399,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496);
INSERT INTO ORDERS VALUES(10400,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450);
INSERT INTO ORDERS VALUES(10401,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328);
INSERT INTO ORDERS VALUES(10402,'2005-04-07 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-12 00:00:00.000000000','Shipped',NULL,406);
INSERT INTO ORDERS VALUES(10403,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201);
INSERT INTO ORDERS VALUES(10404,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323);
INSERT INTO ORDERS VALUES(10405,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209);
INSERT INTO ORDERS VALUES(10406,'2005-04-15 00:00:00.000000000','2005-04-25 00:00:00.000000000','2005-04-21 00:00:00.000000000','Disputed','Customer claims container with shipment was damaged during shipping and some items were missing. I am talking to FedEx about this.',145);
INSERT INTO ORDERS VALUES(10407,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450);
INSERT INTO ORDERS VALUES(10408,'2005-04-22 00:00:00.000000000','2005-04-29 00:00:00.000000000','2005-04-27 00:00:00.000000000','Shipped',NULL,398);
INSERT INTO ORDERS VALUES(10409,'2005-04-23 00:00:00.000000000','2005-05-05 00:00:00.000000000','2005-04-24 00:00:00.000000000','Shipped',NULL,166);
INSERT INTO ORDERS VALUES(10410,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357);
INSERT INTO ORDERS VALUES(10411,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233);
INSERT INTO ORDERS VALUES(10412,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141);
INSERT INTO ORDERS VALUES(10413,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175);
INSERT INTO ORDERS VALUES(10414,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362);
INSERT INTO ORDERS VALUES(10415,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471);
INSERT INTO ORDERS VALUES(10416,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386);
INSERT INTO ORDERS VALUES(10417,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141);
INSERT INTO ORDERS VALUES(10418,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412);
INSERT INTO ORDERS VALUES(10419,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382);
INSERT INTO ORDERS VALUES(10420,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282);
INSERT INTO ORDERS VALUES(10421,'2005-05-29 00:00:00.000000000','2005-06-06 00:00:00.000000000',NULL,'In Process','Custom shipping instructions were sent to warehouse',124);
INSERT INTO ORDERS VALUES(10422,'2005-05-30 00:00:00.000000000','2005-06-11 00:00:00.000000000',NULL,'In Process',NULL,157);
INSERT INTO ORDERS VALUES(10423,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314);
INSERT INTO ORDERS VALUES(10424,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141);
INSERT INTO ORDERS VALUES(10425,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119);

-- ORDERFACT

INSERT INTO ORDERFACT VALUES(10100,'S18_1749',30,100.0,3,5151.0E0,'2003-01-06 00:00:00.000000000','2003-01-13 00:00:00.000000000','2003-01-10 00:00:00.000000000','Shipped',NULL,363,'2003-01-06',1,1,2003);
INSERT INTO ORDERFACT VALUES(10100,'S18_2248',50,67.8,2,3390.0E0,'2003-01-06 00:00:00.000000000','2003-01-13 00:00:00.000000000','2003-01-10 00:00:00.000000000','Shipped',NULL,363,'2003-01-06',1,1,2003);
INSERT INTO ORDERFACT VALUES(10100,'S18_4409',22,86.51,4,1903.22E0,'2003-01-06 00:00:00.000000000','2003-01-13 00:00:00.000000000','2003-01-10 00:00:00.000000000','Shipped',NULL,363,'2003-01-06',1,1,2003);
INSERT INTO ORDERFACT VALUES(10100,'S24_3969',49,34.47,1,1689.03E0,'2003-01-06 00:00:00.000000000','2003-01-13 00:00:00.000000000','2003-01-10 00:00:00.000000000','Shipped',NULL,363,'2003-01-06',1,1,2003);
INSERT INTO ORDERFACT VALUES(10101,'S18_2325',25,100.0,4,3782.0E0,'2003-01-09 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-11 00:00:00.000000000','Shipped','Check on availability.',128,'2003-01-09',1,1,2003);
INSERT INTO ORDERFACT VALUES(10101,'S18_2795',26,100.0,1,3773.38E0,'2003-01-09 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-11 00:00:00.000000000','Shipped','Check on availability.',128,'2003-01-09',1,1,2003);
INSERT INTO ORDERFACT VALUES(10101,'S24_1937',45,31.2,3,1404.0E0,'2003-01-09 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-11 00:00:00.000000000','Shipped','Check on availability.',128,'2003-01-09',1,1,2003);
INSERT INTO ORDERFACT VALUES(10101,'S24_2022',46,53.76,2,2472.96E0,'2003-01-09 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-11 00:00:00.000000000','Shipped','Check on availability.',128,'2003-01-09',1,1,2003);
INSERT INTO ORDERFACT VALUES(10102,'S18_1342',39,100.0,2,4808.31E0,'2003-01-10 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-14 00:00:00.000000000','Shipped',NULL,181,'2003-01-10',1,1,2003);
INSERT INTO ORDERFACT VALUES(10102,'S18_1367',41,50.14,1,2055.74E0,'2003-01-10 00:00:00.000000000','2003-01-18 00:00:00.000000000','2003-01-14 00:00:00.000000000','Shipped',NULL,181,'2003-01-10',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S10_1949',26,100.0,11,5404.62E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S10_4962',42,100.0,4,5398.26E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S12_1666',27,100.0,8,3394.98E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_1097',35,100.0,10,3920.0E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_2432',22,54.09,2,1189.98E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_2949',27,83.07,12,2242.89E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_2957',35,57.46,14,2011.1E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_3136',25,100.0,13,2539.5E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_3320',46,100.0,16,4791.82E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_4600',36,100.0,5,4228.2E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S18_4668',41,47.29,9,1938.89E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S24_2300',36,100.0,1,3680.28E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S24_4258',25,100.0,15,2873.0E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S32_1268',31,100.0,3,3224.31E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S32_3522',45,75.63,7,3403.35E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10103,'S700_2824',42,100.0,6,4460.82E0,'2003-01-29 00:00:00.000000000','2003-02-07 00:00:00.000000000','2003-02-02 00:00:00.000000000','Shipped',NULL,121,'2003-01-29',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S12_3148',34,100.0,1,5958.5E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S12_4473',41,100.0,9,4615.78E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S18_2238',24,100.0,8,3457.92E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S18_2319',29,100.0,12,3772.61E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S18_3232',23,100.0,13,4556.99E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S18_4027',38,100.0,3,5348.5E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S24_1444',35,55.49,6,1942.15E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S24_2840',44,39.6,10,1742.4E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S24_4048',26,100.0,5,2921.62E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S32_2509',35,47.62,11,1666.7E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S32_3207',49,65.87,4,3227.63E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S50_1392',33,100.0,7,3705.24E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10104,'S50_1514',32,53.31,2,1705.92E0,'2003-01-31 00:00:00.000000000','2003-02-09 00:00:00.000000000','2003-02-01 00:00:00.000000000','Shipped',NULL,141,'2003-01-31',1,1,2003);
INSERT INTO ORDERFACT VALUES(10105,'S10_4757',50,100.0,2,7208.0E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S12_1108',41,100.0,15,8690.36E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S12_3891',29,100.0,14,4566.05E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S18_3140',22,100.0,11,3065.04E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S18_3259',38,100.0,13,4330.1E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S18_4522',41,82.5,10,3382.5E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S24_2011',43,100.0,9,6341.21E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S24_3151',44,72.58,4,3193.52E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S24_3816',50,79.67,1,3983.5E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S700_1138',41,70.67,5,2897.47E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S700_1938',29,70.15,12,2034.35E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S700_2610',31,65.77,3,2038.87E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S700_3505',39,81.14,6,3164.46E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S700_3962',22,100.0,7,2556.18E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10105,'S72_3212',25,56.78,8,1419.5E0,'2003-02-11 00:00:00.000000000','2003-02-21 00:00:00.000000000','2003-02-12 00:00:00.000000000','Shipped',NULL,145,'2003-02-11',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S18_1662',36,100.0,12,5279.4E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S18_2581',34,90.39,2,3073.26E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S18_3029',41,83.44,18,3421.04E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S18_3856',41,100.0,17,4774.86E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S24_1785',28,88.63,4,2481.64E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S24_2841',49,74.68,13,3659.32E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S24_3420',31,52.6,14,1630.6E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S24_3949',50,64.83,11,3241.5E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S24_4278',26,63.76,3,1657.76E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S32_4289',33,72.92,5,2406.36E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S50_1341',39,40.15,6,1565.85E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_1691',31,100.0,7,3312.97E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_2047',30,100.0,16,3177.3E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_2466',34,100.0,9,3763.46E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_2834',32,100.0,1,3986.56E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_3167',44,74.4,8,3273.6E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S700_4002',48,61.44,10,2949.12E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10106,'S72_1253',48,52.64,15,2526.72E0,'2003-02-17 00:00:00.000000000','2003-02-24 00:00:00.000000000','2003-02-21 00:00:00.000000000','Shipped',NULL,278,'2003-02-17',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S10_1678',30,95.7,2,2871.0E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S10_2016',39,99.91,5,3896.49E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S10_4698',27,100.0,4,6065.55E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S12_2823',21,100.0,1,3036.6E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S18_2625',29,70.87,6,2055.23E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S24_1578',25,100.0,3,2845.75E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S24_2000',38,83.03,7,3155.14E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10107,'S32_1374',20,92.9,8,1858.0E0,'2003-02-24 00:00:00.000000000','2003-03-03 00:00:00.000000000','2003-02-26 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',131,'2003-02-24',1,2,2003);
INSERT INTO ORDERFACT VALUES(10108,'S12_1099',33,100.0,6,5265.15E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S12_3380',45,100.0,4,6130.35E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S12_3990',39,89.38,7,3485.82E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S12_4675',36,100.0,3,3731.04E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S18_1889',38,82.39,2,3130.82E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S18_3278',26,68.35,9,1777.1E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S18_3482',29,100.0,8,4049.56E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S18_3782',43,67.77,12,2914.11E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S18_4721',44,100.0,11,5565.12E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S24_2360',35,58.87,15,2060.45E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S24_3371',30,63.07,5,1892.1E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S24_3856',40,100.0,1,5448.8E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S24_4620',31,68.71,10,2130.01E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S32_2206',27,43.45,13,1173.15E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S32_4485',31,100.0,16,3669.78E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10108,'S50_4713',34,82.99,14,2821.66E0,'2003-03-03 00:00:00.000000000','2003-03-12 00:00:00.000000000','2003-03-08 00:00:00.000000000','Shipped',NULL,385,'2003-03-03',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S18_1129',26,100.0,4,4379.18E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S18_1984',38,100.0,3,4432.7E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S18_2870',26,100.0,1,3157.44E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S18_3232',46,100.0,5,8257.0E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S18_3685',47,100.0,2,6241.6E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10109,'S24_2972',29,32.1,6,930.9E0,'2003-03-10 00:00:00.000000000','2003-03-19 00:00:00.000000000','2003-03-11 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',486,'2003-03-10',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_1589',37,100.0,16,5433.08E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_1749',42,100.0,7,6069.0E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_2248',32,50.25,6,1608.0E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_2325',33,100.0,4,3859.68E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_2795',31,100.0,1,5074.39E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_4409',28,89.27,8,2499.56E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S18_4933',42,61.29,9,2574.18E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_1046',36,85.25,13,3069.0E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_1628',29,59.37,15,1721.73E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_1937',20,35.51,3,710.2E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_2022',39,44.35,2,1729.65E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_2766',43,78.15,11,3360.45E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_2887',46,100.0,10,5942.28E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_3191',27,73.62,12,1987.74E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_3432',37,100.0,14,3724.42E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10110,'S24_3969',48,34.47,5,1654.56E0,'2003-03-18 00:00:00.000000000','2003-03-24 00:00:00.000000000','2003-03-20 00:00:00.000000000','Shipped',NULL,187,'2003-03-18',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S18_1342',33,99.66,6,3288.78E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S18_1367',48,49.06,5,2354.88E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S18_2957',28,64.33,2,1801.24E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S18_3136',43,100.0,1,4818.15E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S18_3320',39,100.0,4,4178.85E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10111,'S24_4258',26,86.68,3,2253.68E0,'2003-03-25 00:00:00.000000000','2003-03-31 00:00:00.000000000','2003-03-30 00:00:00.000000000','Shipped',NULL,129,'2003-03-25',1,3,2003);
INSERT INTO ORDERFACT VALUES(10112,'S10_1949',29,100.0,1,7209.11E0,'2003-03-24 00:00:00.000000000','2003-04-03 00:00:00.000000000','2003-03-29 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',144,'2003-03-24',1,3,2003);
INSERT INTO ORDERFACT VALUES(10112,'S18_2949',23,100.0,2,2539.89E0,'2003-03-24 00:00:00.000000000','2003-04-03 00:00:00.000000000','2003-03-29 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',144,'2003-03-24',1,3,2003);
INSERT INTO ORDERFACT VALUES(10113,'S12_1666',21,100.0,2,3415.44E0,'2003-03-26 00:00:00.000000000','2003-04-02 00:00:00.000000000','2003-03-27 00:00:00.000000000','Shipped',NULL,124,'2003-03-26',1,3,2003);
INSERT INTO ORDERFACT VALUES(10113,'S18_1097',49,100.0,4,4916.66E0,'2003-03-26 00:00:00.000000000','2003-04-02 00:00:00.000000000','2003-03-27 00:00:00.000000000','Shipped',NULL,124,'2003-03-26',1,3,2003);
INSERT INTO ORDERFACT VALUES(10113,'S18_4668',50,49.81,3,2490.5E0,'2003-03-26 00:00:00.000000000','2003-04-02 00:00:00.000000000','2003-03-27 00:00:00.000000000','Shipped',NULL,124,'2003-03-26',1,3,2003);
INSERT INTO ORDERFACT VALUES(10113,'S32_3522',23,68.52,1,1575.96E0,'2003-03-26 00:00:00.000000000','2003-04-02 00:00:00.000000000','2003-03-27 00:00:00.000000000','Shipped',NULL,124,'2003-03-26',1,3,2003);
INSERT INTO ORDERFACT VALUES(10114,'S10_4962',31,100.0,8,4305.28E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S18_2319',39,100.0,3,4164.42E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S18_2432',45,68.67,6,3090.15E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S18_3232',48,100.0,4,8209.44E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S18_4600',41,100.0,9,4815.45E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S24_2300',21,100.0,5,2925.09E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S24_2840',24,30.06,1,721.44E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S32_1268',32,100.0,7,3667.52E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S32_2509',28,55.73,2,1560.44E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10114,'S700_2824',42,100.0,10,4758.18E0,'2003-04-01 00:00:00.000000000','2003-04-07 00:00:00.000000000','2003-04-02 00:00:00.000000000','Shipped',NULL,172,'2003-04-01',2,4,2003);
INSERT INTO ORDERFACT VALUES(10115,'S12_4473',46,100.0,5,5723.78E0,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424,'2003-04-04',2,4,2003);
INSERT INTO ORDERFACT VALUES(10115,'S18_2238',46,100.0,4,7381.16E0,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424,'2003-04-04',2,4,2003);
INSERT INTO ORDERFACT VALUES(10115,'S24_1444',47,69.36,2,3259.92E0,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424,'2003-04-04',2,4,2003);
INSERT INTO ORDERFACT VALUES(10115,'S24_4048',44,100.0,1,5568.64E0,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424,'2003-04-04',2,4,2003);
INSERT INTO ORDERFACT VALUES(10115,'S50_1392',27,100.0,3,2843.91E0,'2003-04-04 00:00:00.000000000','2003-04-12 00:00:00.000000000','2003-04-07 00:00:00.000000000','Shipped',NULL,424,'2003-04-04',2,4,2003);
INSERT INTO ORDERFACT VALUES(10116,'S32_3207',27,63.38,1,1711.26E0,'2003-04-11 00:00:00.000000000','2003-04-19 00:00:00.000000000','2003-04-13 00:00:00.000000000','Shipped',NULL,381,'2003-04-11',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S12_1108',33,100.0,9,6034.38E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S12_3148',43,100.0,10,5911.64E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S12_3891',39,100.0,8,5938.14E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S18_3140',26,100.0,5,3551.34E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S18_3259',21,95.8,7,2011.8E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S18_4027',22,100.0,12,2780.58E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S18_4522',23,97.42,4,2240.66E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S24_2011',41,100.0,3,5189.78E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S50_1514',21,49.21,11,1033.41E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S700_1938',38,79.68,6,3027.84E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S700_3962',45,83.42,1,3753.9E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10117,'S72_3212',50,43.68,2,2184.0E0,'2003-04-16 00:00:00.000000000','2003-04-24 00:00:00.000000000','2003-04-17 00:00:00.000000000','Shipped',NULL,148,'2003-04-16',2,4,2003);
INSERT INTO ORDERFACT VALUES(10118,'S700_3505',36,100.0,1,4219.2E0,'2003-04-21 00:00:00.000000000','2003-04-29 00:00:00.000000000','2003-04-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',216,'2003-04-21',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S10_4757',46,100.0,11,5004.8E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S18_1662',43,100.0,3,6916.12E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S18_3029',21,89.46,9,1878.66E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S18_3856',27,99.52,8,2687.04E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S24_2841',41,59.6,4,2443.6E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S24_3151',35,87.62,13,3066.7E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S24_3420',20,72.98,5,1459.6E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S24_3816',35,90.57,10,3169.95E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S24_3949',28,70.29,2,1968.12E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S700_1138',25,76.67,14,1916.75E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S700_2047',29,94.14,7,2730.06E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S700_2610',38,65.77,12,2499.26E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S700_4002',26,59.22,1,1539.72E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10119,'S72_1253',28,48.17,6,1348.76E0,'2003-04-28 00:00:00.000000000','2003-05-05 00:00:00.000000000','2003-05-02 00:00:00.000000000','Shipped',NULL,382,'2003-04-28',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S10_2016',29,96.34,3,2793.86E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S10_4698',46,100.0,2,9264.86E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S18_2581',29,71.81,8,2082.49E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S18_2625',46,58.15,4,2674.9E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S24_1578',35,98.05,1,3431.75E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S24_1785',39,100.0,10,4651.53E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S24_2000',34,83.79,5,2848.86E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S24_4278',29,85.49,9,2479.21E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S32_1374',22,100.0,6,2461.36E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S32_4289',29,72.23,11,2094.67E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S50_1341',49,50.62,12,2480.38E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S700_1691',47,82.21,13,3863.87E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S700_2466',24,100.0,15,2584.8E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S700_2834',24,100.0,7,3417.12E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10120,'S700_3167',43,76.0,14,3268.0E0,'2003-04-29 00:00:00.000000000','2003-05-08 00:00:00.000000000','2003-05-01 00:00:00.000000000','Shipped',NULL,114,'2003-04-29',2,4,2003);
INSERT INTO ORDERFACT VALUES(10121,'S10_1678',34,81.35,5,2765.9E0,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353,'2003-05-07',2,5,2003);
INSERT INTO ORDERFACT VALUES(10121,'S12_2823',50,100.0,4,8284.0E0,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353,'2003-05-07',2,5,2003);
INSERT INTO ORDERFACT VALUES(10121,'S24_2360',32,76.88,2,2460.16E0,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353,'2003-05-07',2,5,2003);
INSERT INTO ORDERFACT VALUES(10121,'S32_4485',25,86.74,3,2168.5E0,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353,'2003-05-07',2,5,2003);
INSERT INTO ORDERFACT VALUES(10121,'S50_4713',44,74.85,1,3293.4E0,'2003-05-07 00:00:00.000000000','2003-05-13 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,353,'2003-05-07',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S12_1099',42,100.0,10,7599.9E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S12_3380',37,99.82,8,3693.34E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S12_3990',32,63.84,11,2042.88E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S12_4675',20,100.0,7,2142.0E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_1129',34,100.0,2,5004.8E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_1889',43,72.38,6,3112.34E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_1984',31,100.0,1,4100.99E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_3232',25,100.0,3,3598.5E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_3278',21,73.17,13,1536.57E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_3482',21,100.0,12,2469.39E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_3782',35,49.74,16,1740.9E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S18_4721',28,100.0,15,3583.16E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S24_2972',39,30.96,4,1207.44E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S24_3371',34,50.21,9,1707.14E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S24_3856',43,100.0,5,5494.97E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S24_4620',29,71.14,14,2063.06E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10122,'S32_2206',31,44.66,17,1384.46E0,'2003-05-08 00:00:00.000000000','2003-05-16 00:00:00.000000000','2003-05-13 00:00:00.000000000','Shipped',NULL,350,'2003-05-08',2,5,2003);
INSERT INTO ORDERFACT VALUES(10123,'S18_1589',26,100.0,2,3073.72E0,'2003-05-20 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-22 00:00:00.000000000','Shipped',NULL,103,'2003-05-20',2,5,2003);
INSERT INTO ORDERFACT VALUES(10123,'S18_2870',46,100.0,3,5161.2E0,'2003-05-20 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-22 00:00:00.000000000','Shipped',NULL,103,'2003-05-20',2,5,2003);
INSERT INTO ORDERFACT VALUES(10123,'S18_3685',34,100.0,4,5331.88E0,'2003-05-20 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-22 00:00:00.000000000','Shipped',NULL,103,'2003-05-20',2,5,2003);
INSERT INTO ORDERFACT VALUES(10123,'S24_1628',50,59.87,1,2993.5E0,'2003-05-20 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-22 00:00:00.000000000','Shipped',NULL,103,'2003-05-20',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S18_1749',21,100.0,6,2856.0E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S18_2248',42,53.88,5,2262.96E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S18_2325',42,100.0,3,4431.84E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S18_4409',36,85.59,7,3081.24E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S18_4933',23,57.73,8,1327.79E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_1046',22,77.9,12,1713.8E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_1937',45,37.84,2,1702.8E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_2022',22,45.25,1,995.5E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_2766',32,72.7,10,2326.4E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_2887',25,93.95,9,2348.75E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_3191',49,83.04,11,4068.96E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_3432',43,100.0,13,5203.0E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10124,'S24_3969',46,33.23,4,1528.58E0,'2003-05-21 00:00:00.000000000','2003-05-29 00:00:00.000000000','2003-05-25 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',112,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10125,'S18_1342',32,100.0,1,3254.72E0,'2003-05-21 00:00:00.000000000','2003-05-27 00:00:00.000000000','2003-05-24 00:00:00.000000000','Shipped',NULL,114,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10125,'S18_2795',34,100.0,2,6483.46E0,'2003-05-21 00:00:00.000000000','2003-05-27 00:00:00.000000000','2003-05-24 00:00:00.000000000','Shipped',NULL,114,'2003-05-21',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S10_1949',38,100.0,11,7329.06E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S10_4962',22,100.0,4,3347.74E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S12_1666',21,100.0,8,2439.57E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_1097',38,100.0,10,3857.0E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_1367',42,54.99,17,2309.58E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_2432',43,65.02,2,2795.86E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_2949',31,90.17,12,2795.27E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_2957',46,73.7,14,3390.2E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_3136',30,97.39,13,2921.7E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_3320',38,82.34,16,3128.92E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_4600',50,100.0,5,7083.0E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S18_4668',43,53.83,9,2314.69E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S24_2300',27,100.0,1,3415.77E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S24_4258',34,100.0,15,3576.12E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S32_1268',43,96.31,3,4141.33E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S32_3522',26,62.7,7,1630.2E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10126,'S700_2824',45,100.0,6,4597.2E0,'2003-05-28 00:00:00.000000000','2003-06-07 00:00:00.000000000','2003-06-02 00:00:00.000000000','Shipped',NULL,458,'2003-05-28',2,5,2003);
INSERT INTO ORDERFACT VALUES(10127,'S12_1108',46,100.0,2,11279.2E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S12_3148',46,100.0,3,7366.44E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S12_3891',42,100.0,1,8138.76E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S12_4473',24,100.0,11,2559.6E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S18_2238',45,100.0,10,7146.9E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S18_2319',45,100.0,14,6295.95E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S18_3232',22,100.0,15,3837.24E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S18_4027',25,100.0,5,3447.0E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S24_1444',20,60.69,8,1213.8E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S24_2840',39,38.19,12,1489.41E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S24_4048',20,96.99,7,1939.8E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S32_2509',45,51.95,13,2337.75E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S32_3207',29,70.84,6,2054.36E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S50_1392',46,100.0,9,6176.42E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10127,'S50_1514',46,69.12,4,3179.52E0,'2003-06-03 00:00:00.000000000','2003-06-09 00:00:00.000000000','2003-06-06 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',151,'2003-06-03',2,6,2003);
INSERT INTO ORDERFACT VALUES(10128,'S18_3140',41,100.0,2,5544.02E0,'2003-06-06 00:00:00.000000000','2003-06-12 00:00:00.000000000','2003-06-11 00:00:00.000000000','Shipped',NULL,141,'2003-06-06',2,6,2003);
INSERT INTO ORDERFACT VALUES(10128,'S18_3259',41,100.0,4,4837.18E0,'2003-06-06 00:00:00.000000000','2003-06-12 00:00:00.000000000','2003-06-11 00:00:00.000000000','Shipped',NULL,141,'2003-06-06',2,6,2003);
INSERT INTO ORDERFACT VALUES(10128,'S18_4522',43,92.16,1,3962.88E0,'2003-06-06 00:00:00.000000000','2003-06-12 00:00:00.000000000','2003-06-11 00:00:00.000000000','Shipped',NULL,141,'2003-06-06',2,6,2003);
INSERT INTO ORDERFACT VALUES(10128,'S700_1938',32,97.0,3,3104.0E0,'2003-06-06 00:00:00.000000000','2003-06-12 00:00:00.000000000','2003-06-11 00:00:00.000000000','Shipped',NULL,141,'2003-06-06',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S10_4757',33,100.0,2,4398.24E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S24_2011',45,100.0,9,6027.75E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S24_3151',41,94.71,4,3883.11E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S24_3816',50,77.99,1,3899.5E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S700_1138',31,60.0,5,1860.0E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S700_2610',45,85.29,3,3838.05E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S700_3505',42,91.15,6,3828.3E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S700_3962',30,85.41,7,2562.3E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10129,'S72_3212',32,64.97,8,2079.04E0,'2003-06-12 00:00:00.000000000','2003-06-18 00:00:00.000000000','2003-06-14 00:00:00.000000000','Shipped',NULL,324,'2003-06-12',2,6,2003);
INSERT INTO ORDERFACT VALUES(10130,'S18_3029',40,96.34,2,3853.6E0,'2003-06-16 00:00:00.000000000','2003-06-24 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,198,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10130,'S18_3856',33,100.0,1,3423.75E0,'2003-06-16 00:00:00.000000000','2003-06-24 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,198,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S18_1662',21,100.0,4,2781.66E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S24_2841',35,67.14,5,2349.9E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S24_3420',29,59.18,6,1716.22E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S24_3949',50,81.89,3,4094.5E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S700_2047',22,85.99,8,1891.78E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S700_2466',40,100.0,1,4427.6E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S700_4002',26,85.13,2,2213.38E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10131,'S72_1253',21,41.71,7,875.91E0,'2003-06-16 00:00:00.000000000','2003-06-25 00:00:00.000000000','2003-06-21 00:00:00.000000000','Shipped',NULL,447,'2003-06-16',2,6,2003);
INSERT INTO ORDERFACT VALUES(10132,'S700_3167',36,68.8,1,2476.8E0,'2003-06-25 00:00:00.000000000','2003-07-01 00:00:00.000000000','2003-06-28 00:00:00.000000000','Shipped',NULL,323,'2003-06-25',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S18_2581',49,69.27,3,3394.23E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S24_1785',41,94.1,5,3858.1E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S24_4278',46,77.52,4,3565.92E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S32_1374',23,100.0,1,2642.01E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S32_4289',49,57.1,6,2797.9E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S50_1341',27,50.19,7,1355.13E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S700_1691',24,77.64,8,1863.36E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10133,'S700_2834',27,99.67,2,2691.09E0,'2003-06-27 00:00:00.000000000','2003-07-04 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,141,'2003-06-27',2,6,2003);
INSERT INTO ORDERFACT VALUES(10134,'S10_1678',41,94.74,2,3884.34E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S10_2016',27,100.0,5,3307.77E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S10_4698',31,100.0,4,7023.98E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S12_2823',20,100.0,1,2711.2E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S18_2625',30,61.78,6,1853.4E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S24_1578',35,93.54,3,3273.9E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10134,'S24_2000',43,83.03,7,3570.29E0,'2003-07-01 00:00:00.000000000','2003-07-10 00:00:00.000000000','2003-07-05 00:00:00.000000000','Shipped',NULL,250,'2003-07-01',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S12_1099',42,100.0,7,8008.56E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S12_3380',48,100.0,5,6031.68E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S12_3990',24,75.01,8,1800.24E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S12_4675',29,97.89,4,2838.81E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S18_1889',48,79.31,3,3806.88E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S18_3278',45,78.0,10,3510.0E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S18_3482',42,100.0,9,5432.7E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S18_3782',45,50.36,13,2266.2E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S18_4721',31,100.0,12,4705.18E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S24_2360',29,61.64,16,1787.56E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S24_2972',20,35.87,1,717.4E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S24_3371',27,66.13,6,1785.51E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S24_3856',47,100.0,2,6336.07E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S24_4620',23,87.31,11,2008.13E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S32_2206',33,40.23,14,1327.59E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S32_4485',30,89.8,17,2694.0E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10135,'S50_4713',44,96.0,15,4224.0E0,'2003-07-02 00:00:00.000000000','2003-07-12 00:00:00.000000000','2003-07-03 00:00:00.000000000','Shipped',NULL,124,'2003-07-02',3,7,2003);
INSERT INTO ORDERFACT VALUES(10136,'S18_1129',25,100.0,2,3644.75E0,'2003-07-04 00:00:00.000000000','2003-07-14 00:00:00.000000000','2003-07-06 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',242,'2003-07-04',3,7,2003);
INSERT INTO ORDERFACT VALUES(10136,'S18_1984',36,100.0,1,5274.72E0,'2003-07-04 00:00:00.000000000','2003-07-14 00:00:00.000000000','2003-07-06 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',242,'2003-07-04',3,7,2003);
INSERT INTO ORDERFACT VALUES(10136,'S18_3232',41,100.0,3,8331.61E0,'2003-07-04 00:00:00.000000000','2003-07-14 00:00:00.000000000','2003-07-06 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',242,'2003-07-04',3,7,2003);
INSERT INTO ORDERFACT VALUES(10137,'S18_1589',44,99.55,2,4380.2E0,'2003-07-10 00:00:00.000000000','2003-07-20 00:00:00.000000000','2003-07-14 00:00:00.000000000','Shipped',NULL,353,'2003-07-10',3,7,2003);
INSERT INTO ORDERFACT VALUES(10137,'S18_2870',37,100.0,3,4346.76E0,'2003-07-10 00:00:00.000000000','2003-07-20 00:00:00.000000000','2003-07-14 00:00:00.000000000','Shipped',NULL,353,'2003-07-10',3,7,2003);
INSERT INTO ORDERFACT VALUES(10137,'S18_3685',31,100.0,4,5124.3E0,'2003-07-10 00:00:00.000000000','2003-07-20 00:00:00.000000000','2003-07-14 00:00:00.000000000','Shipped',NULL,353,'2003-07-10',3,7,2003);
INSERT INTO ORDERFACT VALUES(10137,'S24_1628',26,49.81,1,1295.06E0,'2003-07-10 00:00:00.000000000','2003-07-20 00:00:00.000000000','2003-07-14 00:00:00.000000000','Shipped',NULL,353,'2003-07-10',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S18_1749',33,100.0,6,5329.5E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S18_2248',22,48.43,5,1065.46E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S18_2325',38,100.0,3,4106.28E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S18_4409',47,100.0,7,4714.57E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S18_4933',23,66.99,8,1540.77E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_1046',45,84.51,12,3802.95E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_1937',22,29.21,2,642.62E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_2022',33,43.01,1,1419.33E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_2766',28,100.0,10,2926.0E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_2887',30,100.0,9,4157.4E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_3191',49,90.75,11,4446.75E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_3432',21,100.0,13,2496.06E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10138,'S24_3969',29,38.16,4,1106.64E0,'2003-07-07 00:00:00.000000000','2003-07-16 00:00:00.000000000','2003-07-13 00:00:00.000000000','Shipped',NULL,496,'2003-07-07',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_1342',31,100.0,7,3184.94E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_1367',49,43.13,6,2113.37E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_2795',41,100.0,8,7956.46E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_2949',46,100.0,1,5545.76E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_2957',20,71.2,3,1424.0E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_3136',20,90.06,2,1801.2E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S18_3320',30,100.0,5,3095.4E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10139,'S24_4258',29,100.0,4,3276.13E0,'2003-07-16 00:00:00.000000000','2003-07-23 00:00:00.000000000','2003-07-21 00:00:00.000000000','Shipped',NULL,282,'2003-07-16',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S10_1949',37,100.0,11,7374.1E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S10_4962',26,100.0,4,3188.12E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S12_1666',38,100.0,8,4829.8E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S18_1097',32,100.0,10,4181.44E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S18_2432',46,61.99,2,2851.54E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S18_4600',40,100.0,5,4601.2E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S18_4668',29,43.27,9,1254.83E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S24_2300',47,100.0,1,5105.14E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S32_1268',26,100.0,3,2829.58E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S32_3522',28,60.76,7,1701.28E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10140,'S700_2824',36,100.0,6,4114.8E0,'2003-07-24 00:00:00.000000000','2003-08-02 00:00:00.000000000','2003-07-30 00:00:00.000000000','Shipped',NULL,161,'2003-07-24',3,7,2003);
INSERT INTO ORDERFACT VALUES(10141,'S12_4473',21,100.0,5,2140.11E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S18_2238',39,100.0,4,5938.53E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S18_2319',47,100.0,8,6287.66E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S18_3232',34,100.0,9,4836.5E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S24_1444',20,54.33,2,1086.6E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S24_2840',21,42.43,6,891.03E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S24_4048',40,94.62,1,3784.8E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S32_2509',24,45.99,7,1103.76E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10141,'S50_1392',44,100.0,3,5500.44E0,'2003-08-01 00:00:00.000000000','2003-08-09 00:00:00.000000000','2003-08-04 00:00:00.000000000','Shipped',NULL,334,'2003-08-01',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S12_1108',33,100.0,12,8023.29E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S12_3148',33,100.0,13,4985.64E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S12_3891',46,100.0,11,9470.94E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S18_3140',47,100.0,8,6034.33E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S18_3259',22,97.81,10,2151.82E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S18_4027',24,100.0,15,3791.52E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S18_4522',24,70.22,7,1685.28E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S24_2011',33,100.0,6,3366.0E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S24_3151',49,98.25,1,4814.25E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S32_3207',42,74.57,16,3131.94E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S50_1514',42,49.79,14,2091.18E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S700_1138',41,64.0,2,2624.0E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S700_1938',43,84.01,9,3612.43E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S700_3505',21,100.0,3,2334.99E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S700_3962',38,85.41,4,3245.58E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10142,'S72_3212',39,44.23,5,1724.97E0,'2003-08-08 00:00:00.000000000','2003-08-16 00:00:00.000000000','2003-08-13 00:00:00.000000000','Shipped',NULL,124,'2003-08-08',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S10_4757',49,100.0,15,5597.76E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S18_1662',32,100.0,7,5248.0E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S18_3029',46,74.84,13,3442.64E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S18_3856',34,100.0,12,3455.76E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S24_2841',27,60.97,8,1646.19E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S24_3420',33,77.59,9,2560.47E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S24_3816',23,80.51,14,1851.73E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S24_3949',28,66.19,6,1853.32E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S50_1341',34,36.66,1,1246.44E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_1691',36,100.0,2,3945.96E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_2047',26,100.0,11,2612.48E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_2466',26,82.77,4,2152.02E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_2610',31,85.29,16,2643.99E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_3167',28,96.0,3,2688.0E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S700_4002',34,85.87,5,2919.58E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10143,'S72_1253',37,50.65,10,1874.05E0,'2003-08-10 00:00:00.000000000','2003-08-18 00:00:00.000000000','2003-08-12 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',320,'2003-08-10',3,8,2003);
INSERT INTO ORDERFACT VALUES(10144,'S32_4289',20,81.86,1,1637.2E0,'2003-08-13 00:00:00.000000000','2003-08-21 00:00:00.000000000','2003-08-14 00:00:00.000000000','Shipped',NULL,381,'2003-08-13',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S10_1678',45,83.26,6,3746.7E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S10_2016',37,100.0,9,5192.95E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S10_4698',33,100.0,8,5176.38E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S12_2823',49,100.0,5,8339.8E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S18_2581',30,85.32,14,2559.6E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S18_2625',30,49.67,10,1490.1E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S24_1578',43,95.8,7,4119.4E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S24_1785',40,87.54,16,3501.6E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S24_2000',47,83.03,11,3902.41E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S24_2360',27,60.95,3,1645.65E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S24_4278',33,84.77,15,2797.41E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S32_1374',33,93.9,12,3098.7E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S32_2206',31,35.8,1,1109.8E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S32_4485',27,100.0,4,3251.34E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S50_4713',38,81.36,2,3091.68E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10145,'S700_2834',20,100.0,13,2752.6E0,'2003-08-25 00:00:00.000000000','2003-09-02 00:00:00.000000000','2003-08-31 00:00:00.000000000','Shipped',NULL,205,'2003-08-25',3,8,2003);
INSERT INTO ORDERFACT VALUES(10146,'S18_3782',47,67.14,2,3155.58E0,'2003-09-03 00:00:00.000000000','2003-09-13 00:00:00.000000000','2003-09-06 00:00:00.000000000','Shipped',NULL,447,'2003-09-03',3,9,2003);
INSERT INTO ORDERFACT VALUES(10146,'S18_4721',29,100.0,1,4444.54E0,'2003-09-03 00:00:00.000000000','2003-09-13 00:00:00.000000000','2003-09-06 00:00:00.000000000','Shipped',NULL,447,'2003-09-03',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S12_1099',48,100.0,7,9245.76E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S12_3380',31,100.0,5,3494.94E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S12_3990',21,63.84,8,1340.64E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S12_4675',33,97.89,4,3230.37E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S18_1889',26,82.39,3,2142.14E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S18_3278',36,86.04,10,3097.44E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S18_3482',37,100.0,9,4405.22E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S24_2972',25,42.67,1,1066.75E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S24_3371',30,68.58,6,2057.4E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S24_3856',23,100.0,2,2906.97E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10147,'S24_4620',31,64.67,11,2004.77E0,'2003-09-05 00:00:00.000000000','2003-09-12 00:00:00.000000000','2003-09-09 00:00:00.000000000','Shipped',NULL,379,'2003-09-05',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_1129',23,100.0,13,2702.04E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_1589',47,100.0,9,5848.68E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_1984',25,100.0,12,4232.0E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_2870',27,100.0,10,3528.36E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_3232',32,100.0,14,5418.88E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_3685',28,100.0,11,3639.44E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_4409',34,100.0,1,3598.22E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S18_4933',29,81.25,2,2356.25E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_1046',25,60.26,6,1506.5E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_1628',47,56.85,8,2671.95E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_2766',21,73.6,4,1545.6E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_2887',34,100.0,3,4392.12E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_3191',31,73.62,5,2282.22E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10148,'S24_3432',27,100.0,7,3469.5E0,'2003-09-11 00:00:00.000000000','2003-09-21 00:00:00.000000000','2003-09-15 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',276,'2003-09-11',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_1342',50,100.0,4,5907.5E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_1367',30,58.22,3,1746.6E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_1749',34,100.0,11,5375.4E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_2248',24,62.36,10,1496.64E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_2325',33,100.0,8,4950.33E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_2795',23,100.0,5,4230.62E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S18_3320',42,94.25,2,3958.5E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S24_1937',36,33.19,7,1194.84E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S24_2022',49,49.28,6,2414.72E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S24_3969',26,38.98,9,1013.48E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10149,'S24_4258',20,90.57,1,1811.4E0,'2003-09-12 00:00:00.000000000','2003-09-18 00:00:00.000000000','2003-09-17 00:00:00.000000000','Shipped',NULL,487,'2003-09-12',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S10_1949',45,100.0,8,10993.5E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S10_4962',20,100.0,1,3191.2E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S12_1666',30,100.0,5,4100.1E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_1097',34,100.0,7,4641.0E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_2949',47,91.18,9,4285.46E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_2957',30,49.97,11,1499.1E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_3136',26,100.0,10,2804.36E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_4600',49,100.0,2,6467.02E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S18_4668',30,42.76,6,1282.8E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S32_3522',49,58.18,4,2850.82E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10150,'S700_2824',20,100.0,3,2104.0E0,'2003-09-19 00:00:00.000000000','2003-09-27 00:00:00.000000000','2003-09-21 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',148,'2003-09-19',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S12_4473',24,100.0,3,3327.6E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S18_2238',43,100.0,2,7110.91E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S18_2319',49,100.0,6,5412.54E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S18_2432',39,69.28,9,2701.92E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S18_3232',21,100.0,7,3734.01E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S24_2300',42,100.0,8,5098.8E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S24_2840',30,40.31,4,1209.3E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S32_1268',27,100.0,10,3068.55E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S32_2509',41,63.85,5,2617.85E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10151,'S50_1392',26,100.0,1,3220.1E0,'2003-09-21 00:00:00.000000000','2003-09-30 00:00:00.000000000','2003-09-24 00:00:00.000000000','Shipped',NULL,311,'2003-09-21',3,9,2003);
INSERT INTO ORDERFACT VALUES(10152,'S18_4027',35,100.0,1,4524.1E0,'2003-09-25 00:00:00.000000000','2003-10-03 00:00:00.000000000','2003-10-01 00:00:00.000000000','Shipped',NULL,333,'2003-09-25',3,9,2003);
INSERT INTO ORDERFACT VALUES(10152,'S24_1444',25,65.31,4,1632.75E0,'2003-09-25 00:00:00.000000000','2003-10-03 00:00:00.000000000','2003-10-01 00:00:00.000000000','Shipped',NULL,333,'2003-09-25',3,9,2003);
INSERT INTO ORDERFACT VALUES(10152,'S24_4048',23,100.0,3,2802.09E0,'2003-09-25 00:00:00.000000000','2003-10-03 00:00:00.000000000','2003-10-01 00:00:00.000000000','Shipped',NULL,333,'2003-09-25',3,9,2003);
INSERT INTO ORDERFACT VALUES(10152,'S32_3207',33,50.95,2,1681.35E0,'2003-09-25 00:00:00.000000000','2003-10-03 00:00:00.000000000','2003-10-01 00:00:00.000000000','Shipped',NULL,333,'2003-09-25',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S12_1108',20,100.0,11,4904.0E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S12_3148',42,100.0,12,5393.64E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S12_3891',49,100.0,10,7036.89E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S18_3140',31,100.0,7,3641.57E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S18_3259',29,88.74,9,2573.46E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S18_4522',22,83.38,6,1834.36E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S24_2011',40,100.0,5,5456.4E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S50_1514',31,57.41,13,1779.71E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S700_1138',43,64.67,1,2780.81E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S700_1938',31,87.48,8,2711.88E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S700_3505',50,88.15,2,4407.5E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S700_3962',20,100.0,3,2204.6E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10153,'S72_3212',50,60.06,4,3003.0E0,'2003-09-28 00:00:00.000000000','2003-10-05 00:00:00.000000000','2003-10-03 00:00:00.000000000','Shipped',NULL,141,'2003-09-28',3,9,2003);
INSERT INTO ORDERFACT VALUES(10154,'S24_3151',31,91.17,2,2826.27E0,'2003-10-02 00:00:00.000000000','2003-10-12 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,219,'2003-10-02',4,10,2003);
INSERT INTO ORDERFACT VALUES(10154,'S700_2610',36,64.33,1,2315.88E0,'2003-10-02 00:00:00.000000000','2003-10-12 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,219,'2003-10-02',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S10_4757',32,100.0,13,4526.08E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S18_1662',38,100.0,5,6531.44E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S18_3029',44,79.14,11,3482.16E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S18_3856',29,100.0,10,3622.97E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S24_2841',23,72.62,6,1670.26E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S24_3420',34,55.89,7,1900.26E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S24_3816',37,67.93,12,2513.41E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S24_3949',44,77.11,4,3392.84E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S700_2047',32,91.43,9,2925.76E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S700_2466',20,100.0,2,2353.4E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S700_3167',43,86.4,1,3715.2E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S700_4002',44,85.87,3,3778.28E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10155,'S72_1253',34,49.16,8,1671.44E0,'2003-10-06 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,186,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10156,'S50_1341',20,41.02,1,820.4E0,'2003-10-08 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-11 00:00:00.000000000','Shipped',NULL,141,'2003-10-08',4,10,2003);
INSERT INTO ORDERFACT VALUES(10156,'S700_1691',48,100.0,2,4954.08E0,'2003-10-08 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-11 00:00:00.000000000','Shipped',NULL,141,'2003-10-08',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S18_2581',33,78.57,3,2592.81E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S24_1785',40,100.0,5,4114.0E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S24_4278',33,86.22,4,2845.26E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S32_1374',34,100.0,1,4041.58E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S32_4289',28,74.98,6,2099.44E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10157,'S700_2834',48,100.0,2,5979.84E0,'2003-10-09 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-14 00:00:00.000000000','Shipped',NULL,473,'2003-10-09',4,10,2003);
INSERT INTO ORDERFACT VALUES(10158,'S24_2000',22,67.03,1,1474.66E0,'2003-10-10 00:00:00.000000000','2003-10-18 00:00:00.000000000','2003-10-15 00:00:00.000000000','Shipped',NULL,121,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S10_1678',49,100.0,14,5205.27E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S10_2016',37,100.0,17,5016.83E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S10_4698',22,100.0,16,4132.7E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S12_1099',41,100.0,2,8296.35E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S12_2823',38,100.0,13,6238.84E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S12_3990',24,73.42,3,1762.08E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S18_2625',42,51.48,18,2162.16E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S18_3278',21,81.21,5,1705.41E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S18_3482',25,100.0,4,3638.0E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S18_3782',21,64.66,8,1357.86E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S18_4721',32,100.0,7,4618.88E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S24_1578',44,100.0,15,5355.68E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S24_2360',27,80.34,11,2169.18E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S24_3371',50,69.8,1,3490.0E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S24_4620',23,67.1,6,1543.3E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S32_2206',35,35.4,9,1239.0E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S32_4485',23,100.0,12,2347.15E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10159,'S50_4713',31,71.6,10,2219.6E0,'2003-10-10 00:00:00.000000000','2003-10-19 00:00:00.000000000','2003-10-16 00:00:00.000000000','Shipped',NULL,321,'2003-10-10',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S12_3380',46,100.0,6,5294.14E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S12_4675',50,100.0,5,5182.0E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S18_1889',38,88.55,4,3364.9E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S18_3232',20,100.0,1,3996.4E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S24_2972',42,37.0,2,1554.0E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10160,'S24_3856',35,100.0,3,4767.7E0,'2003-10-11 00:00:00.000000000','2003-10-17 00:00:00.000000000','2003-10-17 00:00:00.000000000','Shipped',NULL,347,'2003-10-11',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_1129',28,100.0,12,3764.88E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_1589',43,100.0,8,6153.73E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_1984',48,100.0,11,6145.44E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_2870',23,100.0,9,3187.8E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_3685',36,100.0,10,5544.0E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S18_4933',25,80.54,1,2013.5E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_1046',37,72.76,5,2692.12E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_1628',23,53.33,7,1226.59E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_2766',20,100.0,3,2144.6E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_2887',25,100.0,2,2759.75E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_3191',20,77.05,4,1541.0E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10161,'S24_3432',30,100.0,6,3148.2E0,'2003-10-17 00:00:00.000000000','2003-10-25 00:00:00.000000000','2003-10-20 00:00:00.000000000','Shipped',NULL,227,'2003-10-17',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_1342',48,91.44,2,4389.12E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_1367',45,51.21,1,2304.45E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_1749',29,100.0,9,5176.5E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_2248',27,69.62,8,1879.74E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_2325',38,100.0,6,4299.7E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_2795',48,100.0,3,7209.12E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S18_4409',39,100.0,10,3912.09E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S24_1937',37,27.22,5,1007.14E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S24_2022',43,36.29,4,1560.47E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10162,'S24_3969',37,38.98,7,1442.26E0,'2003-10-18 00:00:00.000000000','2003-10-26 00:00:00.000000000','2003-10-19 00:00:00.000000000','Shipped',NULL,321,'2003-10-18',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S10_1949',21,100.0,1,4860.24E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S18_2949',31,100.0,2,3329.09E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S18_2957',48,69.96,4,3358.08E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S18_3136',40,100.0,3,4900.8E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S18_3320',43,100.0,6,4991.44E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10163,'S24_4258',42,91.55,5,3845.1E0,'2003-10-20 00:00:00.000000000','2003-10-27 00:00:00.000000000','2003-10-24 00:00:00.000000000','Shipped',NULL,424,'2003-10-20',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S10_4962',21,100.0,2,3536.82E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S12_1666',49,100.0,6,6563.06E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S18_1097',36,99.17,8,3570.12E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S18_4600',45,100.0,3,5012.55E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S18_4668',25,53.83,7,1345.75E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S32_1268',24,100.0,1,2634.96E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S32_3522',49,54.94,5,2692.06E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10164,'S700_2824',39,81.93,4,3195.27E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-23 00:00:00.000000000','Resolved','This order was disputed, but resolved on 11/1/2003; Customer doesn''t like the colors and precision of the models.',452,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S12_1108',44,100.0,3,8594.52E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S12_3148',34,100.0,4,4880.02E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S12_3891',27,100.0,2,5559.03E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S12_4473',48,100.0,12,6825.6E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_2238',29,100.0,11,5032.95E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_2319',46,100.0,15,5984.14E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_2432',31,71.1,18,2204.1E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_3232',47,100.0,16,8754.69E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_3259',50,100.0,1,5344.5E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S18_4027',28,100.0,6,3337.6E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S24_1444',25,69.36,9,1734.0E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S24_2300',32,100.0,17,4661.76E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S24_2840',27,31.82,13,859.14E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S24_4048',24,99.36,8,2384.64E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S32_2509',48,45.99,14,2207.52E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S32_3207',44,53.44,7,2351.36E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S50_1392',48,94.92,10,4556.16E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10165,'S50_1514',38,66.78,5,2537.64E0,'2003-10-22 00:00:00.000000000','2003-10-31 00:00:00.000000000','2003-12-26 00:00:00.000000000','Shipped','This order was on hold because customers''s credit limit had been exceeded. Order will ship when payment is received',148,'2003-10-22',4,10,2003);
INSERT INTO ORDERFACT VALUES(10166,'S18_3140',43,100.0,2,6930.74E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-27 00:00:00.000000000','Shipped',NULL,462,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10166,'S18_4522',26,73.73,1,1916.98E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-27 00:00:00.000000000','Shipped',NULL,462,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10166,'S700_1938',29,100.0,3,3013.97E0,'2003-10-21 00:00:00.000000000','2003-10-30 00:00:00.000000000','2003-10-27 00:00:00.000000000','Shipped',NULL,462,'2003-10-21',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S10_4757',44,100.0,9,5924.16E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S18_1662',43,100.0,1,5763.72E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S18_3029',46,73.12,7,3363.52E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S18_3856',34,100.0,6,3599.58E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S24_2011',33,100.0,16,3812.16E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S24_2841',21,69.88,2,1467.48E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S24_3151',20,79.66,11,1593.2E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S24_3420',32,63.12,3,2019.84E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S24_3816',29,83.86,8,2431.94E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S700_1138',43,75.34,12,3239.62E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S700_2047',29,100.0,5,2940.02E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S700_2610',46,70.11,10,3225.06E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S700_3505',24,100.0,13,2812.8E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S700_3962',28,100.0,14,3003.0E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S72_1253',40,41.71,4,1668.4E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10167,'S72_3212',38,48.59,15,1846.42E0,'2003-10-23 00:00:00.000000000','2003-10-30 00:00:00.000000000',NULL,'Cancelled','Customer called to cancel. The warehouse was notified in time and the order didn''t ship. They have a new VP of Sales and are shifting their sales model. Our VP of Sales should contact them.',448,'2003-10-23',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S10_1678',36,96.66,1,3479.76E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S10_2016',27,100.0,4,3660.93E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S10_4698',20,100.0,3,4183.0E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S18_2581',21,70.96,9,1490.16E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S18_2625',46,61.18,5,2814.28E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S24_1578',50,100.0,2,5747.5E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S24_1785',49,100.0,11,6433.7E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S24_2000',29,75.41,6,2186.89E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S24_3949',27,73.02,18,1971.54E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S24_4278',48,78.25,10,3756.0E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S32_1374',28,100.0,7,3244.36E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S32_4289',31,73.61,12,2281.91E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S50_1341',48,51.93,13,2492.64E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S700_1691',28,98.65,14,2762.2E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S700_2466',31,100.0,16,3431.39E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S700_2834',36,100.0,8,4527.72E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S700_3167',48,96.0,15,4608.0E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10168,'S700_4002',39,82.91,17,3233.49E0,'2003-10-28 00:00:00.000000000','2003-11-03 00:00:00.000000000','2003-11-01 00:00:00.000000000','Shipped',NULL,161,'2003-10-28',4,10,2003);
INSERT INTO ORDERFACT VALUES(10169,'S12_1099',30,100.0,2,5019.9E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S12_2823',35,100.0,13,4639.25E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S12_3990',36,63.84,3,2298.24E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S18_3278',32,70.76,5,2264.32E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S18_3482',36,100.0,4,4444.92E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S18_3782',38,68.39,8,2598.82E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S18_4721',33,100.0,7,4910.4E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S24_2360',38,74.11,11,2816.18E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S24_3371',34,50.21,1,1707.14E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S24_4620',24,94.58,6,2269.92E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S32_2206',26,39.83,9,1035.58E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S32_4485',34,100.0,12,3920.88E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10169,'S50_4713',48,80.55,10,3866.4E0,'2003-11-04 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,276,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10170,'S12_3380',47,100.0,4,5464.69E0,'2003-11-04 00:00:00.000000000','2003-11-12 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,452,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10170,'S12_4675',41,100.0,3,4391.1E0,'2003-11-04 00:00:00.000000000','2003-11-12 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,452,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10170,'S18_1889',20,63.14,2,1262.8E0,'2003-11-04 00:00:00.000000000','2003-11-12 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,452,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10170,'S24_3856',34,100.0,1,3819.56E0,'2003-11-04 00:00:00.000000000','2003-11-12 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,452,'2003-11-04',4,11,2003);
INSERT INTO ORDERFACT VALUES(10171,'S18_1129',35,100.0,2,4508.0E0,'2003-11-05 00:00:00.000000000','2003-11-13 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,233,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10171,'S18_1984',35,100.0,1,4680.2E0,'2003-11-05 00:00:00.000000000','2003-11-13 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,233,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10171,'S18_3232',39,100.0,3,5481.45E0,'2003-11-05 00:00:00.000000000','2003-11-13 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,233,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10171,'S24_2972',36,35.49,4,1277.64E0,'2003-11-05 00:00:00.000000000','2003-11-13 00:00:00.000000000','2003-11-07 00:00:00.000000000','Shipped',NULL,233,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S18_1589',42,100.0,6,4965.24E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S18_2870',39,100.0,7,6023.16E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S18_3685',48,100.0,8,5493.12E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S24_1046',32,75.69,3,2422.08E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S24_1628',34,42.76,5,1453.84E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S24_2766',22,74.51,1,1639.22E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S24_3191',24,81.33,2,1951.92E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10172,'S24_3432',22,98.51,4,2167.22E0,'2003-11-05 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-11 00:00:00.000000000','Shipped',NULL,175,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_1342',43,100.0,6,5036.16E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_1367',48,44.21,5,2122.08E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_1749',24,100.0,13,3508.8E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_2248',26,57.51,12,1495.26E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_2325',31,100.0,10,4492.83E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_2795',22,100.0,7,3452.68E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_2957',28,53.72,2,1504.16E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_3136',31,89.01,1,2759.31E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_3320',29,95.24,4,2761.96E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_4409',21,75.46,14,1584.66E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S18_4933',39,71.98,15,2807.22E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S24_1937',31,31.53,9,977.43E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S24_2022',27,41.22,8,1112.94E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S24_2887',23,100.0,16,2728.03E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S24_3969',35,33.23,11,1163.05E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10173,'S24_4258',22,100.0,3,2571.14E0,'2003-11-05 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',278,'2003-11-05',4,11,2003);
INSERT INTO ORDERFACT VALUES(10174,'S10_1949',34,100.0,4,8014.82E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10174,'S12_1666',43,100.0,1,6817.22E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10174,'S18_1097',48,93.34,3,4480.32E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10174,'S18_2949',46,100.0,5,5592.22E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10174,'S18_4668',49,44.78,2,2194.22E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped',NULL,333,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S10_4962',33,100.0,9,5362.83E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S12_4473',26,100.0,1,3543.28E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S18_2319',48,100.0,4,5891.04E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S18_2432',41,69.28,7,2840.48E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S18_3232',29,100.0,5,4419.89E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S18_4600',47,100.0,10,5121.59E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S24_2300',28,100.0,6,2969.96E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S24_2840',37,31.12,2,1151.44E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S32_1268',22,100.0,8,2436.72E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S32_2509',50,63.31,3,3165.5E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S32_3522',29,74.98,12,2174.42E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10175,'S700_2824',42,85.98,11,3611.16E0,'2003-11-06 00:00:00.000000000','2003-11-14 00:00:00.000000000','2003-11-09 00:00:00.000000000','Shipped',NULL,324,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S12_1108',33,100.0,2,7474.5E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S12_3148',47,100.0,3,8378.69E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S12_3891',50,100.0,1,7872.5E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S18_2238',20,100.0,10,3667.6E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S18_4027',36,100.0,5,5532.12E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S24_1444',27,68.78,8,1857.06E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S24_4048',29,100.0,7,2915.66E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S32_3207',22,64.0,6,1408.0E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S50_1392',23,100.0,9,3114.89E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10176,'S50_1514',38,64.44,4,2448.72E0,'2003-11-06 00:00:00.000000000','2003-11-15 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,386,'2003-11-06',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S18_3140',23,100.0,9,3675.63E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S18_3259',29,100.0,11,3070.52E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S18_4522',35,74.6,8,2611.0E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S24_2011',50,100.0,7,6083.0E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S24_3151',45,72.58,2,3266.1E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S700_1138',24,76.0,3,1824.0E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S700_1938',31,88.34,10,2738.54E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S700_2610',32,76.62,1,2451.84E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S700_3505',44,92.16,4,4055.04E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S700_3962',24,100.0,5,2526.48E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10177,'S72_3212',40,50.23,6,2009.2E0,'2003-11-07 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-12 00:00:00.000000000','Shipped',NULL,344,'2003-11-07',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S10_4757',24,100.0,12,3492.48E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S18_1662',42,100.0,4,6490.68E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S18_3029',41,81.72,10,3350.52E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S18_3856',48,100.0,9,5386.56E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S24_2841',34,80.84,5,2748.56E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S24_3420',27,73.64,6,1988.28E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S24_3816',21,72.12,11,1514.52E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S24_3949',30,72.33,3,2169.9E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S700_2047',34,96.86,8,3293.24E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S700_2466',22,87.75,1,1930.5E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S700_4002',45,76.25,2,3431.25E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10178,'S72_1253',45,51.15,7,2301.75E0,'2003-11-08 00:00:00.000000000','2003-11-16 00:00:00.000000000','2003-11-10 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',242,'2003-11-08',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S18_2581',24,78.57,3,1885.68E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S24_1785',47,100.0,5,5862.78E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S24_4278',27,84.77,4,2288.79E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S32_1374',45,100.0,1,5394.15E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S32_4289',24,72.23,6,1733.52E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S50_1341',34,42.77,7,1454.18E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S700_1691',23,100.0,8,2478.94E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S700_2834',25,100.0,2,2640.0E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10179,'S700_3167',39,68.8,9,2683.2E0,'2003-11-11 00:00:00.000000000','2003-11-17 00:00:00.000000000','2003-11-13 00:00:00.000000000','Cancelled','Customer cancelled due to urgent budgeting issues. Must be cautious when dealing with them in the future. Since order shipped already we must discuss who would cover the shipping charges.',496,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S10_1678',29,86.13,9,2497.77E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S10_2016',42,100.0,12,4695.6E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S10_4698',41,100.0,11,8892.9E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S12_2823',40,100.0,8,6747.6E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S18_2625',25,64.2,13,1605.0E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S18_3782',21,50.36,3,1057.56E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S18_4721',44,100.0,2,5565.12E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S24_1578',48,100.0,10,5355.36E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S24_2000',28,68.55,14,1919.4E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S24_2360',35,72.03,6,2521.05E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S24_4620',28,71.14,1,1991.92E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S32_2206',34,45.46,4,1545.64E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S32_4485',22,100.0,7,2514.6E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10180,'S50_4713',21,93.56,5,1964.76E0,'2003-11-11 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-14 00:00:00.000000000','Shipped',NULL,171,'2003-11-11',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S12_1099',27,100.0,14,5411.07E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S12_3380',28,100.0,12,2860.76E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S12_3990',20,81.4,15,1628.0E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S12_4675',36,100.0,11,4477.32E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_1129',44,100.0,6,5418.16E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_1589',42,100.0,2,5435.64E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_1889',22,73.92,10,1626.24E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_1984',21,100.0,5,3286.08E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_2870',27,100.0,3,3884.76E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_3232',45,100.0,7,6324.75E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_3278',30,82.82,17,2484.6E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_3482',22,100.0,16,3395.48E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S18_3685',39,100.0,4,5785.26E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S24_1628',34,53.83,1,1830.22E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S24_2972',37,42.67,8,1578.79E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S24_3371',23,65.52,13,1506.96E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10181,'S24_3856',25,100.0,9,3861.75E0,'2003-11-12 00:00:00.000000000','2003-11-19 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped',NULL,167,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_1342',25,87.33,3,2183.25E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_1367',32,54.45,2,1742.4E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_1749',44,100.0,10,7554.8E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_2248',38,61.15,9,2323.7E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_2325',20,100.0,7,2212.0E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_2795',21,100.0,4,3047.73E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_3320',33,86.31,1,2848.23E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_4409',36,100.0,11,3942.72E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S18_4933',44,69.84,12,3072.96E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_1046',47,74.22,16,3488.34E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_1937',39,36.84,6,1436.76E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_2022',31,36.74,5,1138.94E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_2766',36,73.6,14,2649.6E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_2887',20,100.0,13,2395.8E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_3191',33,94.17,15,3107.61E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_3432',49,100.0,17,6244.07E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10182,'S24_3969',23,42.26,8,971.98E0,'2003-11-12 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped',NULL,124,'2003-11-12',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S10_1949',23,100.0,8,5372.57E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S10_4962',28,100.0,1,3433.36E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S12_1666',41,100.0,5,6163.94E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_1097',21,96.84,7,2033.64E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_2949',37,89.15,9,3298.55E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_2957',39,68.08,11,2655.12E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_3136',22,100.0,10,2488.2E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_4600',21,100.0,2,2441.04E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S18_4668',40,49.3,6,1972.0E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S24_4258',47,100.0,12,5035.11E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S32_3522',49,64.64,4,3167.36E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10183,'S700_2824',23,86.99,3,2000.77E0,'2003-11-13 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-15 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',339,'2003-11-13',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S12_4473',37,100.0,6,4516.22E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S18_2238',46,100.0,5,7381.16E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S18_2319',46,100.0,9,5984.14E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S18_2432',44,60.16,12,2647.04E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S18_3232',28,100.0,10,4409.72E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S24_1444',31,60.11,3,1863.41E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S24_2300',24,100.0,11,3496.32E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S24_2840',42,31.82,7,1336.44E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S24_4048',49,100.0,2,5795.72E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S32_1268',46,100.0,13,4607.36E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S32_2509',33,62.77,8,2071.41E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S32_3207',48,50.95,1,2445.6E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10184,'S50_1392',45,100.0,4,4948.2E0,'2003-11-14 00:00:00.000000000','2003-11-22 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,484,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S12_1108',21,100.0,13,3883.74E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S12_3148',33,100.0,14,4038.21E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S12_3891',43,100.0,12,7886.2E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S18_3140',28,100.0,9,3442.04E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S18_3259',49,80.67,11,3952.83E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S18_4027',39,100.0,16,5096.91E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S18_4522',47,77.24,8,3630.28E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S24_2011',30,100.0,7,3170.7E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S24_3151',33,74.35,2,2453.55E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S50_1514',20,48.62,15,972.4E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S700_1138',21,54.0,3,1134.0E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S700_1938',30,94.4,10,2832.0E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S700_2610',39,57.82,1,2254.98E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S700_3505',37,100.0,4,3891.66E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S700_3962',22,79.45,5,1747.9E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10185,'S72_3212',28,64.43,6,1804.04E0,'2003-11-14 00:00:00.000000000','2003-11-21 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,320,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S10_4757',26,100.0,9,3854.24E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S18_1662',32,100.0,1,6004.8E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S18_3029',32,89.46,7,2862.72E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S18_3856',46,100.0,6,4918.78E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S24_2841',22,69.2,2,1522.4E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S24_3420',21,69.04,3,1449.84E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S24_3816',36,85.54,8,3079.44E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S700_2047',24,99.57,5,2389.68E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10186,'S72_1253',28,52.14,4,1459.92E0,'2003-11-14 00:00:00.000000000','2003-11-20 00:00:00.000000000','2003-11-18 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with the VP of Sales',489,'2003-11-14',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S18_2581',45,93.77,1,4219.65E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S24_1785',46,95.2,3,4379.2E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S24_3949',43,58.0,10,2494.0E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S24_4278',33,59.41,2,1960.53E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S32_4289',31,60.54,4,1876.74E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S50_1341',41,38.84,5,1592.44E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S700_1691',34,92.25,6,3136.5E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S700_2466',44,100.0,8,4650.8E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S700_3167',34,88.0,7,2992.0E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10187,'S700_4002',44,71.81,9,3159.64E0,'2003-11-15 00:00:00.000000000','2003-11-24 00:00:00.000000000','2003-11-16 00:00:00.000000000','Shipped',NULL,211,'2003-11-15',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S10_1678',48,100.0,1,5512.32E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S10_2016',38,96.34,4,3660.92E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S10_4698',45,100.0,3,8714.7E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S18_2625',32,65.42,5,2093.44E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S24_1578',25,100.0,2,2535.75E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S24_2000',40,91.4,6,3656.0E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S32_1374',44,98.89,7,4351.16E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10188,'S700_2834',29,100.0,8,3957.05E0,'2003-11-18 00:00:00.000000000','2003-11-26 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped',NULL,167,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10189,'S12_2823',28,100.0,1,4512.48E0,'2003-11-18 00:00:00.000000000','2003-11-25 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',205,'2003-11-18',4,11,2003);
INSERT INTO ORDERFACT VALUES(10190,'S24_2360',42,76.19,3,3199.98E0,'2003-11-19 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,141,'2003-11-19',4,11,2003);
INSERT INTO ORDERFACT VALUES(10190,'S32_2206',46,32.99,1,1517.54E0,'2003-11-19 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,141,'2003-11-19',4,11,2003);
INSERT INTO ORDERFACT VALUES(10190,'S32_4485',42,85.72,4,3600.24E0,'2003-11-19 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,141,'2003-11-19',4,11,2003);
INSERT INTO ORDERFACT VALUES(10190,'S50_4713',40,66.72,2,2668.8E0,'2003-11-19 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-20 00:00:00.000000000','Shipped',NULL,141,'2003-11-19',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S12_1099',21,100.0,3,3840.9E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S12_3380',40,100.0,1,5590.0E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S12_3990',30,64.64,4,1939.2E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S18_3278',36,94.88,6,3415.68E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S18_3482',23,100.0,5,3414.58E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S18_3782',43,72.74,9,3127.82E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S18_4721',32,100.0,8,4237.76E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S24_3371',48,60.01,2,2880.48E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10191,'S24_4620',44,66.29,7,2916.76E0,'2003-11-20 00:00:00.000000000','2003-11-30 00:00:00.000000000','2003-11-24 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',259,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S12_4675',27,100.0,16,3544.56E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_1129',22,100.0,11,3300.66E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_1589',29,100.0,7,4258.36E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_1889',45,90.86,15,4088.7E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_1984',47,100.0,10,7421.3E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_2870',38,100.0,8,4965.84E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_3232',26,100.0,12,3918.46E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S18_3685',45,100.0,9,5340.6E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_1046',37,69.82,4,2583.34E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_1628',47,53.83,6,2530.01E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_2766',46,83.6,2,3845.6E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_2887',23,100.0,1,3052.33E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_2972',30,30.59,13,917.7E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_3191',32,72.77,3,2328.64E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_3432',46,100.0,5,5566.0E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10192,'S24_3856',45,100.0,14,6319.35E0,'2003-11-20 00:00:00.000000000','2003-11-29 00:00:00.000000000','2003-11-25 00:00:00.000000000','Shipped',NULL,363,'2003-11-20',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_1342',28,100.0,7,3106.88E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_1367',46,53.37,6,2455.02E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_1749',21,100.0,14,3141.6E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_2248',42,59.33,13,2491.86E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_2325',44,100.0,11,4642.88E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_2795',22,100.0,8,3675.32E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_2949',28,93.21,1,2609.88E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_2957',24,51.84,3,1244.16E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_3136',23,100.0,2,2769.89E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_3320',32,79.37,5,2539.84E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_4409',24,97.55,15,2341.2E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S18_4933',25,76.26,16,1906.5E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S24_1937',26,29.21,10,759.46E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S24_2022',20,50.62,9,1012.4E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S24_3969',22,41.03,12,902.66E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10193,'S24_4258',20,100.0,4,2279.0E0,'2003-11-21 00:00:00.000000000','2003-11-28 00:00:00.000000000','2003-11-27 00:00:00.000000000','Shipped',NULL,471,'2003-11-21',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S10_1949',42,100.0,11,7290.36E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S10_4962',26,100.0,4,4263.74E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S12_1666',38,100.0,8,4933.92E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S18_1097',21,93.34,10,1960.14E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S18_2432',45,70.49,2,3172.05E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S18_4600',32,100.0,5,4262.08E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S18_4668',41,44.78,9,1835.98E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S24_2300',49,100.0,1,5760.93E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S32_1268',37,97.27,3,3598.99E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S32_3522',39,54.94,7,2142.66E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10194,'S700_2824',26,89.01,6,2314.26E0,'2003-11-25 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-11-26 00:00:00.000000000','Shipped',NULL,146,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S12_4473',49,100.0,6,6445.46E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S18_2238',27,100.0,5,5128.11E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S18_2319',35,100.0,9,3608.15E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S18_3232',50,100.0,10,7620.5E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S24_1444',44,66.47,3,2924.68E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S24_2840',32,28.29,7,905.28E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S24_4048',34,100.0,2,3699.88E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S32_2509',32,43.29,8,1385.28E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S32_3207',33,54.68,1,1804.44E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10195,'S50_1392',49,100.0,4,5161.17E0,'2003-11-25 00:00:00.000000000','2003-12-01 00:00:00.000000000','2003-11-28 00:00:00.000000000','Shipped',NULL,319,'2003-11-25',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S12_1108',47,100.0,5,8887.7E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S12_3148',24,100.0,6,3807.12E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S12_3891',38,100.0,4,7232.16E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S18_3140',49,100.0,1,6893.81E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S18_3259',35,100.0,3,3564.75E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S18_4027',27,100.0,8,4537.08E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S50_1514',46,62.09,7,2856.14E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10196,'S700_1938',50,94.4,2,4720.0E0,'2003-11-26 00:00:00.000000000','2003-12-03 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped',NULL,455,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S10_4757',45,100.0,6,5324.4E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S18_3029',46,87.74,4,4036.04E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S18_3856',22,100.0,3,2538.8E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S18_4522',50,100.0,14,5090.5E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S24_2011',41,100.0,13,4534.6E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S24_3151',47,83.2,8,3910.4E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S24_3816',22,86.38,5,1900.36E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S700_1138',23,64.67,9,1487.41E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S700_2047',24,90.52,2,2172.48E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S700_2610',50,78.79,7,3939.5E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S700_3505',27,92.16,10,2488.32E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S700_3962',35,93.35,11,3267.25E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S72_1253',29,41.71,1,1209.59E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10197,'S72_3212',42,50.23,12,2109.66E0,'2003-11-26 00:00:00.000000000','2003-12-02 00:00:00.000000000','2003-12-01 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',216,'2003-11-26',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S18_1662',42,100.0,4,7483.98E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S24_2841',48,67.82,5,3255.36E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S24_3420',27,71.67,6,1935.09E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S24_3949',43,66.19,3,2846.17E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S700_2466',42,100.0,1,4774.56E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10198,'S700_4002',40,63.67,2,2546.8E0,'2003-11-27 00:00:00.000000000','2003-12-06 00:00:00.000000000','2003-12-03 00:00:00.000000000','Shipped',NULL,385,'2003-11-27',4,11,2003);
INSERT INTO ORDERFACT VALUES(10199,'S50_1341',29,38.4,1,1113.6E0,'2003-12-01 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,475,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10199,'S700_1691',48,83.12,2,3989.76E0,'2003-12-01 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,475,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10199,'S700_3167',38,82.4,3,3131.2E0,'2003-12-01 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,475,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S18_2581',28,92.93,3,2602.04E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S24_1785',33,98.48,5,3249.84E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S24_4278',39,72.45,4,2825.55E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S32_1374',35,100.0,1,3845.8E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S32_4289',27,67.41,6,1820.07E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10200,'S700_2834',39,100.0,2,3979.56E0,'2003-12-01 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,211,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S10_1678',22,98.57,2,2168.54E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S10_2016',24,100.0,5,3025.92E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S10_4698',49,100.0,4,8065.89E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S12_2823',25,100.0,1,4029.0E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S18_2625',30,64.81,6,1944.3E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S24_1578',39,100.0,3,4351.23E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10201,'S24_2000',25,73.88,7,1847.0E0,'2003-12-01 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-02 00:00:00.000000000','Shipped',NULL,129,'2003-12-01',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S18_3782',30,54.71,3,1641.3E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S18_4721',43,100.0,2,5886.7E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S24_2360',50,69.26,6,3463.0E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S24_4620',50,87.31,1,4365.5E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S32_2206',27,44.25,4,1194.75E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S32_4485',31,100.0,7,3163.55E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10202,'S50_4713',40,89.5,5,3580.0E0,'2003-12-02 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-06 00:00:00.000000000','Shipped',NULL,357,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S12_1099',20,100.0,8,3930.4E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S12_3380',20,100.0,6,2254.8E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S12_3990',44,82.99,9,3651.56E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S12_4675',47,100.0,5,5195.85E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S18_1889',45,85.47,4,3846.15E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S18_3232',48,100.0,1,8291.04E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S18_3278',33,86.04,11,2839.32E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S18_3482',32,100.0,10,5127.04E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S24_2972',21,37.0,2,777.0E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S24_3371',34,64.9,7,2206.6E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10203,'S24_3856',47,100.0,3,6996.42E0,'2003-12-02 00:00:00.000000000','2003-12-11 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',NULL,141,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_1129',42,100.0,17,6182.4E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_1589',40,100.0,13,4032.0E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_1749',33,100.0,4,5890.5E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_1984',38,100.0,16,6432.64E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_2248',23,71.44,3,1643.12E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_2325',26,100.0,1,3206.32E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_2870',27,100.0,14,4169.88E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_3685',35,100.0,15,5735.8E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_4409',29,85.59,5,2482.11E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S18_4933',45,76.26,6,3431.7E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_1046',20,62.47,10,1249.4E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_1628',45,49.81,12,2241.45E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_2766',47,96.32,8,4527.04E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_2887',42,100.0,7,4242.0E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_3191',40,79.62,9,3184.8E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_3432',48,91.02,11,4368.96E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10204,'S24_3969',39,33.23,2,1295.97E0,'2003-12-02 00:00:00.000000000','2003-12-10 00:00:00.000000000','2003-12-04 00:00:00.000000000','Shipped',NULL,151,'2003-12-02',4,12,2003);
INSERT INTO ORDERFACT VALUES(10205,'S18_1342',36,100.0,2,3735.72E0,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141,'2003-12-03',4,12,2003);
INSERT INTO ORDERFACT VALUES(10205,'S18_1367',48,63.61,1,3053.28E0,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141,'2003-12-03',4,12,2003);
INSERT INTO ORDERFACT VALUES(10205,'S18_2795',40,100.0,3,7492.4E0,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141,'2003-12-03',4,12,2003);
INSERT INTO ORDERFACT VALUES(10205,'S24_1937',32,37.17,5,1189.44E0,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141,'2003-12-03',4,12,2003);
INSERT INTO ORDERFACT VALUES(10205,'S24_2022',24,38.08,4,913.92E0,'2003-12-03 00:00:00.000000000','2003-12-09 00:00:00.000000000','2003-12-07 00:00:00.000000000','Shipped',' I need all the information I can get on our competitors.',141,'2003-12-03',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S10_1949',47,100.0,6,9064.89E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S12_1666',28,100.0,3,4056.36E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_1097',34,100.0,5,3966.78E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_2949',37,90.17,7,3336.29E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_2957',28,67.46,9,1888.88E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_3136',30,100.0,8,3581.4E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_3320',28,87.3,11,2444.4E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S18_4668',21,53.33,4,1119.93E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S24_4258',33,97.39,10,3213.87E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S32_3522',36,58.82,2,2117.52E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10206,'S700_2824',33,100.0,1,3871.89E0,'2003-12-05 00:00:00.000000000','2003-12-13 00:00:00.000000000','2003-12-08 00:00:00.000000000','Shipped','Can we renegotiate this one?',202,'2003-12-05',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S10_4962',31,100.0,15,4076.19E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S12_4473',34,99.54,7,3384.36E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_2238',44,100.0,6,7060.24E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_2319',43,100.0,10,5752.54E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_2432',37,69.89,13,2585.93E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_3232',25,100.0,11,3937.25E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_4027',40,100.0,1,6146.8E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S18_4600',47,100.0,16,6658.02E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S24_1444',49,46.82,4,2294.18E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S24_2300',46,100.0,12,6819.04E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S24_2840',42,29.7,8,1247.4E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S24_4048',28,100.0,3,2980.6E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S32_1268',49,80.9,14,3964.1E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S32_2509',27,60.06,9,1621.62E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S32_3207',45,56.55,2,2544.75E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10207,'S50_1392',28,94.92,5,2657.76E0,'2003-12-09 00:00:00.000000000','2003-12-17 00:00:00.000000000','2003-12-11 00:00:00.000000000','Shipped','Check on availability.',495,'2003-12-09',4,12,2003);
INSERT INTO ORDERFACT VALUES(10208,'S12_1108',46,100.0,13,8602.92E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S12_3148',26,100.0,14,3142.36E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S12_3891',20,100.0,12,3114.4E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S18_3140',24,100.0,9,2622.48E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S18_3259',48,100.0,11,5614.56E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S18_4522',45,87.77,8,3949.65E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S24_2011',35,100.0,7,4301.15E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S24_3151',20,89.4,2,1788.0E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S50_1514',30,65.61,15,1968.3E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S700_1138',38,74.67,3,2837.46E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S700_1938',40,80.55,10,3222.0E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S700_2610',46,74.45,1,3424.7E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S700_3505',37,100.0,4,4447.4E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S700_3962',33,85.41,5,2818.53E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10208,'S72_3212',42,63.88,6,2682.96E0,'2004-01-02 00:00:00.000000000','2004-01-11 00:00:00.000000000','2004-01-04 00:00:00.000000000','Shipped',NULL,146,'2004-01-02',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S10_4757',39,100.0,8,5197.92E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S18_3029',28,100.0,6,2817.92E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S18_3856',20,100.0,5,2498.6E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S24_2841',43,82.21,1,3535.03E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S24_3420',36,77.59,2,2793.24E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S24_3816',22,89.73,7,1974.06E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S700_2047',33,88.71,4,2927.43E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10209,'S72_1253',48,44.69,3,2145.12E0,'2004-01-09 00:00:00.000000000','2004-01-15 00:00:00.000000000','2004-01-12 00:00:00.000000000','Shipped',NULL,347,'2004-01-09',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S10_2016',23,100.0,2,3009.09E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S10_4698',34,100.0,1,6123.4E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S18_1662',31,100.0,17,5719.5E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S18_2581',50,76.88,7,3844.0E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S18_2625',40,49.67,3,1986.8E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S24_1785',27,98.48,9,2658.96E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S24_2000',30,61.7,4,1851.0E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S24_3949',29,69.6,16,2018.4E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S24_4278',40,71.0,8,2840.0E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S32_1374',46,79.91,5,3675.86E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S32_4289',39,59.16,10,2307.24E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S50_1341',43,41.02,11,1763.86E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S700_1691',21,78.55,12,1649.55E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S700_2466',26,99.72,14,2592.72E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S700_2834',25,100.0,6,2818.0E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S700_3167',31,86.4,13,2678.4E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10210,'S700_4002',42,70.33,15,2953.86E0,'2004-01-12 00:00:00.000000000','2004-01-22 00:00:00.000000000','2004-01-20 00:00:00.000000000','Shipped',NULL,177,'2004-01-12',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S10_1678',41,100.0,14,4708.44E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S12_1099',41,100.0,2,7498.9E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S12_2823',36,100.0,13,4771.8E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S12_3990',28,92.57,3,2591.96E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S18_3278',35,78.0,5,2730.0E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S18_3482',28,100.0,4,3745.28E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S18_3782',46,54.09,8,2488.14E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S18_4721',41,100.0,7,5673.58E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S24_1578',25,90.16,15,2254.0E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S24_2360',21,63.72,11,1338.12E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S24_3371',48,48.98,1,2351.04E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S24_4620',22,92.16,6,2027.52E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S32_2206',41,42.24,9,1731.84E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S32_4485',37,100.0,12,4040.03E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10211,'S50_4713',40,80.55,10,3222.0E0,'2004-01-15 00:00:00.000000000','2004-01-25 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,406,'2004-01-15',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S12_3380',39,100.0,16,4946.76E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S12_4675',33,100.0,15,4180.44E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_1129',29,100.0,10,4186.73E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_1589',38,100.0,6,4492.36E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_1889',20,66.99,14,1339.8E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_1984',41,100.0,9,4840.87E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_2870',40,100.0,7,4910.4E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_3232',40,100.0,11,5554.4E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S18_3685',45,100.0,8,6357.6E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_1046',41,82.31,3,3374.71E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_1628',45,53.33,5,2399.85E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_2766',45,88.14,1,3966.3E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_2972',34,43.42,12,1476.28E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_3191',27,79.62,2,2149.74E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_3432',46,87.81,4,4039.26E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10212,'S24_3856',49,100.0,13,6949.67E0,'2004-01-16 00:00:00.000000000','2004-01-24 00:00:00.000000000','2004-01-18 00:00:00.000000000','Shipped',NULL,141,'2004-01-16',1,1,2004);
INSERT INTO ORDERFACT VALUES(10213,'S18_4409',38,94.79,1,3602.02E0,'2004-01-22 00:00:00.000000000','2004-01-28 00:00:00.000000000','2004-01-27 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',489,'2004-01-22',1,1,2004);
INSERT INTO ORDERFACT VALUES(10213,'S18_4933',25,83.39,2,2084.75E0,'2004-01-22 00:00:00.000000000','2004-01-28 00:00:00.000000000','2004-01-27 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',489,'2004-01-22',1,1,2004);
INSERT INTO ORDERFACT VALUES(10213,'S24_2887',27,100.0,3,2790.45E0,'2004-01-22 00:00:00.000000000','2004-01-28 00:00:00.000000000','2004-01-27 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',489,'2004-01-22',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S18_1749',30,100.0,7,5967.0E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S18_2248',21,62.96,6,1322.16E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S18_2325',27,100.0,4,3604.23E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S18_2795',50,100.0,1,9534.5E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S24_1937',20,34.19,3,683.8E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S24_2022',49,47.94,2,2349.06E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10214,'S24_3969',44,34.88,5,1534.72E0,'2004-01-26 00:00:00.000000000','2004-02-04 00:00:00.000000000','2004-01-29 00:00:00.000000000','Shipped',NULL,458,'2004-01-26',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S10_1949',35,100.0,3,6075.3E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_1097',46,100.0,2,5152.0E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_1342',27,89.38,10,2413.26E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_1367',33,43.13,9,1423.29E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_2949',49,100.0,4,5510.05E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_2957',31,58.71,6,1820.01E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_3136',49,100.0,5,5285.14E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_3320',41,100.0,8,4555.92E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S18_4668',46,45.28,1,2082.88E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10215,'S24_4258',39,90.57,7,3532.23E0,'2004-01-29 00:00:00.000000000','2004-02-08 00:00:00.000000000','2004-02-01 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',475,'2004-01-29',1,1,2004);
INSERT INTO ORDERFACT VALUES(10216,'S12_1666',43,100.0,1,5759.42E0,'2004-02-02 00:00:00.000000000','2004-02-10 00:00:00.000000000','2004-02-04 00:00:00.000000000','Shipped',NULL,256,'2004-02-02',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S10_4962',48,100.0,4,7020.48E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S18_2432',35,61.38,2,2148.3E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S18_4600',38,100.0,5,4509.08E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S24_2300',28,100.0,1,3148.88E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S32_1268',21,100.0,3,2244.9E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S32_3522',39,62.05,7,2419.95E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10217,'S700_2824',31,88.0,6,2728.0E0,'2004-02-04 00:00:00.000000000','2004-02-14 00:00:00.000000000','2004-02-06 00:00:00.000000000','Shipped',NULL,166,'2004-02-04',1,2,2004);
INSERT INTO ORDERFACT VALUES(10218,'S18_2319',22,100.0,1,2673.0E0,'2004-02-09 00:00:00.000000000','2004-02-16 00:00:00.000000000','2004-02-11 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',473,'2004-02-09',1,2,2004);
INSERT INTO ORDERFACT VALUES(10218,'S18_3232',34,100.0,2,4605.98E0,'2004-02-09 00:00:00.000000000','2004-02-16 00:00:00.000000000','2004-02-11 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',473,'2004-02-09',1,2,2004);
INSERT INTO ORDERFACT VALUES(10219,'S12_4473',48,100.0,2,4891.68E0,'2004-02-10 00:00:00.000000000','2004-02-17 00:00:00.000000000','2004-02-12 00:00:00.000000000','Shipped',NULL,487,'2004-02-10',1,2,2004);
INSERT INTO ORDERFACT VALUES(10219,'S18_2238',43,100.0,1,8448.64E0,'2004-02-10 00:00:00.000000000','2004-02-17 00:00:00.000000000','2004-02-12 00:00:00.000000000','Shipped',NULL,487,'2004-02-10',1,2,2004);
INSERT INTO ORDERFACT VALUES(10219,'S24_2840',21,40.31,3,846.51E0,'2004-02-10 00:00:00.000000000','2004-02-17 00:00:00.000000000','2004-02-12 00:00:00.000000000','Shipped',NULL,487,'2004-02-10',1,2,2004);
INSERT INTO ORDERFACT VALUES(10219,'S32_2509',35,55.19,4,1931.65E0,'2004-02-10 00:00:00.000000000','2004-02-17 00:00:00.000000000','2004-02-12 00:00:00.000000000','Shipped',NULL,487,'2004-02-10',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S12_1108',32,100.0,2,7181.44E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S12_3148',30,100.0,3,4713.6E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S12_3891',27,100.0,1,5045.22E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S18_4027',50,100.0,5,8258.0E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S24_1444',26,56.07,8,1457.82E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S24_4048',37,100.0,7,5032.74E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S32_3207',20,52.82,6,1056.4E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S50_1392',37,100.0,9,3983.05E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10220,'S50_1514',30,68.54,4,2056.2E0,'2004-02-12 00:00:00.000000000','2004-02-19 00:00:00.000000000','2004-02-16 00:00:00.000000000','Shipped',NULL,189,'2004-02-12',1,2,2004);
INSERT INTO ORDERFACT VALUES(10221,'S18_3140',33,100.0,3,4417.38E0,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314,'2004-02-18',1,2,2004);
INSERT INTO ORDERFACT VALUES(10221,'S18_3259',23,80.67,5,1855.41E0,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314,'2004-02-18',1,2,2004);
INSERT INTO ORDERFACT VALUES(10221,'S18_4522',39,89.53,2,3491.67E0,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314,'2004-02-18',1,2,2004);
INSERT INTO ORDERFACT VALUES(10221,'S24_2011',49,100.0,1,6804.63E0,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314,'2004-02-18',1,2,2004);
INSERT INTO ORDERFACT VALUES(10221,'S700_1938',23,97.0,4,2231.0E0,'2004-02-18 00:00:00.000000000','2004-02-26 00:00:00.000000000','2004-02-19 00:00:00.000000000','Shipped',NULL,314,'2004-02-18',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S10_4757',49,100.0,12,5997.6E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S18_1662',49,100.0,4,6954.08E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S18_3029',49,94.62,10,4636.38E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S18_3856',45,85.75,9,3858.75E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S24_2841',32,81.53,5,2608.96E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S24_3151',47,70.81,14,3328.07E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S24_3420',43,70.35,6,3025.05E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S24_3816',46,80.51,11,3703.46E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S24_3949',48,56.64,3,2718.72E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_1138',31,62.67,15,1942.77E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_2047',26,100.0,8,2659.54E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_2466',37,87.75,1,3246.75E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_2610',36,80.95,13,2914.2E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_3505',38,100.0,16,4187.22E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_3962',31,95.34,17,2955.54E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S700_4002',43,74.03,2,3183.29E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S72_1253',31,45.69,7,1416.39E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10222,'S72_3212',36,63.34,18,2280.24E0,'2004-02-19 00:00:00.000000000','2004-02-27 00:00:00.000000000','2004-02-20 00:00:00.000000000','Shipped',NULL,239,'2004-02-19',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S10_1678',37,100.0,1,3965.66E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S10_2016',47,100.0,4,5422.39E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S10_4698',49,100.0,3,9774.03E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S18_2581',47,100.0,9,4724.91E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S18_2625',28,60.57,5,1695.96E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S24_1578',32,91.29,2,2921.28E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S24_1785',34,100.0,11,3608.76E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S24_2000',38,69.31,6,2633.78E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S24_4278',23,74.62,10,1716.26E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S32_1374',21,100.0,7,2475.27E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S32_4289',20,66.04,12,1320.8E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S50_1341',41,46.26,13,1896.66E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S700_1691',25,100.0,14,2534.75E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S700_2834',29,100.0,8,3199.86E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10223,'S700_3167',26,67.2,15,1747.2E0,'2004-02-20 00:00:00.000000000','2004-02-29 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,114,'2004-02-20',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S12_2823',43,100.0,6,6087.94E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S18_3782',38,58.44,1,2220.72E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S24_2360',37,80.34,4,2972.58E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S32_2206',43,39.43,2,1695.49E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S32_4485',30,100.0,5,3336.9E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10224,'S50_4713',50,77.29,3,3864.5E0,'2004-02-21 00:00:00.000000000','2004-03-02 00:00:00.000000000','2004-02-26 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',171,'2004-02-21',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S12_1099',27,100.0,9,4517.91E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S12_3380',25,99.82,7,2495.5E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S12_3990',37,77.41,10,2864.17E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S12_4675',21,100.0,6,2684.43E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_1129',32,100.0,1,4529.28E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_1889',47,64.68,5,3039.96E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_3232',43,100.0,2,6407.86E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_3278',37,95.69,12,3540.53E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_3482',27,100.0,11,4564.08E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S18_4721',35,100.0,14,5260.15E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S24_2972',42,36.63,3,1538.46E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S24_3371',24,50.21,8,1205.04E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S24_3856',40,100.0,4,4550.0E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10225,'S24_4620',46,70.33,13,3235.18E0,'2004-02-22 00:00:00.000000000','2004-03-01 00:00:00.000000000','2004-02-24 00:00:00.000000000','Shipped',NULL,298,'2004-02-22',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S18_1589',38,100.0,4,4161.38E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S18_1984',24,100.0,7,3892.08E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S18_2870',24,100.0,5,3231.36E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S18_3685',46,100.0,6,7343.9E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S24_1046',21,60.26,1,1265.46E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S24_1628',36,43.27,3,1557.72E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10226,'S24_3432',48,92.09,2,4420.32E0,'2004-02-26 00:00:00.000000000','2004-03-06 00:00:00.000000000','2004-03-02 00:00:00.000000000','Shipped',NULL,239,'2004-02-26',1,2,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_1342',25,100.0,3,2953.75E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_1367',31,48.52,2,1504.12E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_1749',26,100.0,10,3712.8E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_2248',28,50.85,9,1423.8E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_2325',46,100.0,7,7017.76E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_2795',29,100.0,4,5579.02E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_3320',33,100.0,1,3666.96E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_4409',34,100.0,11,3566.94E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S18_4933',37,57.73,12,2136.01E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_1937',42,29.21,6,1226.82E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_2022',24,48.38,5,1161.12E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_2766',47,88.14,14,4142.58E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_2887',33,100.0,13,4340.49E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_3191',40,79.62,15,3184.8E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10227,'S24_3969',27,43.9,8,1185.3E0,'2004-03-02 00:00:00.000000000','2004-03-12 00:00:00.000000000','2004-03-08 00:00:00.000000000','Shipped',NULL,146,'2004-03-02',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S10_1949',29,100.0,2,6463.23E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S18_1097',32,100.0,1,3360.0E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S18_2949',24,100.0,3,2504.4E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S18_2957',45,63.71,5,2866.95E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S18_3136',31,100.0,4,3181.53E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10228,'S24_4258',33,100.0,6,3406.59E0,'2004-03-10 00:00:00.000000000','2004-03-18 00:00:00.000000000','2004-03-13 00:00:00.000000000','Shipped',NULL,173,'2004-03-10',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S10_4962',50,100.0,9,6426.5E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S12_1666',25,100.0,13,3451.0E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S12_4473',36,100.0,1,4521.96E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S18_2319',26,100.0,4,3765.32E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S18_2432',28,59.55,7,1667.4E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S18_3232',22,100.0,5,4172.52E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S18_4600',41,100.0,10,4716.23E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S18_4668',39,40.25,14,1569.75E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S24_2300',48,100.0,6,5704.32E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S24_2840',33,32.88,2,1085.04E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S32_1268',25,100.0,8,2793.0E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S32_2509',23,54.11,3,1244.53E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S32_3522',30,73.04,12,2191.2E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10229,'S700_2824',50,100.0,11,5614.0E0,'2004-03-11 00:00:00.000000000','2004-03-20 00:00:00.000000000','2004-03-12 00:00:00.000000000','Shipped',NULL,124,'2004-03-11',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S12_3148',43,100.0,1,7016.31E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S18_2238',49,100.0,8,7300.51E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S18_4027',42,100.0,3,7238.28E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S24_1444',36,54.33,6,1955.88E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S24_4048',45,100.0,5,4737.15E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S32_3207',46,60.9,4,2801.4E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S50_1392',34,100.0,7,3974.94E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10230,'S50_1514',43,52.14,2,2242.02E0,'2004-03-15 00:00:00.000000000','2004-03-24 00:00:00.000000000','2004-03-20 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',128,'2004-03-15',1,3,2004);
INSERT INTO ORDERFACT VALUES(10231,'S12_1108',42,100.0,2,8378.58E0,'2004-03-19 00:00:00.000000000','2004-03-26 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,344,'2004-03-19',1,3,2004);
INSERT INTO ORDERFACT VALUES(10231,'S12_3891',49,100.0,1,6952.12E0,'2004-03-19 00:00:00.000000000','2004-03-26 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,344,'2004-03-19',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S18_3140',22,100.0,6,3606.02E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S18_3259',48,95.8,8,4598.4E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S18_4522',23,89.53,5,2059.19E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S24_2011',46,100.0,4,5652.94E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S700_1938',26,88.34,7,2296.84E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S700_3505',48,96.16,1,4615.68E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S700_3962',35,82.43,2,2885.05E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10232,'S72_3212',24,49.69,3,1192.56E0,'2004-03-20 00:00:00.000000000','2004-03-30 00:00:00.000000000','2004-03-25 00:00:00.000000000','Shipped',NULL,240,'2004-03-20',1,3,2004);
INSERT INTO ORDERFACT VALUES(10233,'S24_3151',40,94.71,2,3788.4E0,'2004-03-29 00:00:00.000000000','2004-04-04 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',328,'2004-03-29',1,3,2004);
INSERT INTO ORDERFACT VALUES(10233,'S700_1138',36,70.67,3,2544.12E0,'2004-03-29 00:00:00.000000000','2004-04-04 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',328,'2004-03-29',1,3,2004);
INSERT INTO ORDERFACT VALUES(10233,'S700_2610',29,82.4,1,2389.6E0,'2004-03-29 00:00:00.000000000','2004-04-04 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',328,'2004-03-29',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S10_4757',48,100.0,9,7246.08E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S18_1662',50,100.0,1,9461.5E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S18_3029',48,74.84,7,3592.32E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S18_3856',39,100.0,6,4913.61E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S24_2841',44,61.66,2,2713.04E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S24_3420',25,57.2,3,1430.0E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S24_3816',31,72.96,8,2261.76E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S700_2047',29,87.8,5,2546.2E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10234,'S72_1253',40,56.12,4,2244.8E0,'2004-03-30 00:00:00.000000000','2004-04-05 00:00:00.000000000','2004-04-02 00:00:00.000000000','Shipped',NULL,412,'2004-03-30',1,3,2004);
INSERT INTO ORDERFACT VALUES(10235,'S18_2581',24,76.03,3,1824.72E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S24_1785',23,96.29,5,2214.67E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S24_3949',33,60.05,12,1981.65E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S24_4278',40,81.14,4,3245.6E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S32_1374',41,100.0,1,4177.49E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S32_4289',34,77.73,6,2642.82E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S50_1341',41,35.35,7,1449.35E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S700_1691',25,100.0,8,2580.25E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S700_2466',38,88.75,10,3372.5E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S700_2834',25,96.11,2,2402.75E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S700_3167',32,92.0,9,2944.0E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10235,'S700_4002',34,72.55,11,2466.7E0,'2004-04-02 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-06 00:00:00.000000000','Shipped',NULL,260,'2004-04-02',2,4,2004);
INSERT INTO ORDERFACT VALUES(10236,'S10_2016',22,100.0,1,2852.08E0,'2004-04-03 00:00:00.000000000','2004-04-11 00:00:00.000000000','2004-04-08 00:00:00.000000000','Shipped',NULL,486,'2004-04-03',2,4,2004);
INSERT INTO ORDERFACT VALUES(10236,'S18_2625',23,55.72,2,1281.56E0,'2004-04-03 00:00:00.000000000','2004-04-11 00:00:00.000000000','2004-04-08 00:00:00.000000000','Shipped',NULL,486,'2004-04-03',2,4,2004);
INSERT INTO ORDERFACT VALUES(10236,'S24_2000',36,87.6,3,3153.6E0,'2004-04-03 00:00:00.000000000','2004-04-11 00:00:00.000000000','2004-04-08 00:00:00.000000000','Shipped',NULL,486,'2004-04-03',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S10_1678',23,100.0,7,2333.12E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S10_4698',39,100.0,9,7023.9E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S12_2823',32,100.0,6,4193.28E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S18_3782',26,52.22,1,1357.72E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S24_1578',20,100.0,8,2299.0E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S24_2360',26,79.65,4,2070.9E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S32_2206',26,40.23,2,1045.98E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S32_4485',27,100.0,5,3113.64E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10237,'S50_4713',20,68.34,3,1366.8E0,'2004-04-05 00:00:00.000000000','2004-04-12 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,181,'2004-04-05',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S12_1099',28,100.0,3,5774.72E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S12_3380',29,100.0,1,3167.38E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S12_3990',20,74.21,4,1484.2E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S18_3278',41,73.17,6,2999.97E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S18_3482',49,100.0,5,6554.24E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S18_4721',44,100.0,8,6350.96E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S24_3371',47,62.45,2,2935.15E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10238,'S24_4620',22,93.77,7,2062.94E0,'2004-04-09 00:00:00.000000000','2004-04-16 00:00:00.000000000','2004-04-10 00:00:00.000000000','Shipped',NULL,145,'2004-04-09',2,4,2004);
INSERT INTO ORDERFACT VALUES(10239,'S12_4675',21,93.28,5,1958.88E0,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311,'2004-04-12',2,4,2004);
INSERT INTO ORDERFACT VALUES(10239,'S18_1889',46,73.92,4,3400.32E0,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311,'2004-04-12',2,4,2004);
INSERT INTO ORDERFACT VALUES(10239,'S18_3232',47,100.0,1,7083.37E0,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311,'2004-04-12',2,4,2004);
INSERT INTO ORDERFACT VALUES(10239,'S24_2972',20,44.56,2,891.2E0,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311,'2004-04-12',2,4,2004);
INSERT INTO ORDERFACT VALUES(10239,'S24_3856',29,100.0,3,4479.63E0,'2004-04-12 00:00:00.000000000','2004-04-21 00:00:00.000000000','2004-04-17 00:00:00.000000000','Shipped',NULL,311,'2004-04-12',2,4,2004);
INSERT INTO ORDERFACT VALUES(10240,'S18_1129',41,100.0,3,5628.89E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-20 00:00:00.000000000','Shipped',NULL,177,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10240,'S18_1984',37,100.0,2,5526.32E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-20 00:00:00.000000000','Shipped',NULL,177,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10240,'S18_3685',37,100.0,1,5959.22E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-20 00:00:00.000000000','Shipped',NULL,177,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_1589',21,100.0,11,2508.66E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_1749',41,100.0,2,7597.3E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_2248',33,72.65,1,2397.45E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_2870',44,100.0,12,6853.44E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_4409',42,90.19,3,3787.98E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S18_4933',30,66.99,4,2009.7E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_1046',22,76.43,8,1681.46E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_1628',21,40.25,10,845.25E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_2766',47,94.5,6,4441.5E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_2887',28,98.65,5,2762.2E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_3191',26,81.33,7,2114.58E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10241,'S24_3432',27,86.73,9,2341.71E0,'2004-04-13 00:00:00.000000000','2004-04-20 00:00:00.000000000','2004-04-19 00:00:00.000000000','Shipped',NULL,209,'2004-04-13',2,4,2004);
INSERT INTO ORDERFACT VALUES(10242,'S24_3969',46,36.93,1,1698.78E0,'2004-04-20 00:00:00.000000000','2004-04-28 00:00:00.000000000','2004-04-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',456,'2004-04-20',2,4,2004);
INSERT INTO ORDERFACT VALUES(10243,'S18_2325',47,100.0,2,6154.18E0,'2004-04-26 00:00:00.000000000','2004-05-03 00:00:00.000000000','2004-04-28 00:00:00.000000000','Shipped',NULL,495,'2004-04-26',2,4,2004);
INSERT INTO ORDERFACT VALUES(10243,'S24_1937',33,29.54,1,974.82E0,'2004-04-26 00:00:00.000000000','2004-05-03 00:00:00.000000000','2004-04-28 00:00:00.000000000','Shipped',NULL,495,'2004-04-26',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_1342',40,100.0,7,4684.8E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_1367',20,58.22,6,1164.4E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_2795',43,100.0,8,5950.34E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_2949',30,100.0,1,3525.6E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_2957',24,58.09,3,1394.16E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_3136',29,100.0,2,3340.51E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S18_3320',36,84.33,5,3035.88E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S24_2022',39,45.25,9,1764.75E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10244,'S24_4258',40,86.68,4,3467.2E0,'2004-04-29 00:00:00.000000000','2004-05-09 00:00:00.000000000','2004-05-04 00:00:00.000000000','Shipped',NULL,141,'2004-04-29',2,4,2004);
INSERT INTO ORDERFACT VALUES(10245,'S10_1949',34,100.0,9,6120.34E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S10_4962',28,100.0,2,4591.72E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S12_1666',38,100.0,6,5920.4E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S18_1097',29,100.0,8,3451.0E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S18_4600',21,100.0,3,2390.22E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S18_4668',45,59.87,7,2694.15E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S32_1268',37,100.0,1,4133.64E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S32_3522',44,69.16,5,3043.04E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10245,'S700_2824',44,100.0,4,4628.8E0,'2004-05-04 00:00:00.000000000','2004-05-12 00:00:00.000000000','2004-05-09 00:00:00.000000000','Shipped',NULL,455,'2004-05-04',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S12_4473',46,100.0,5,5069.66E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S18_2238',40,100.0,4,6549.2E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S18_2319',22,98.18,8,2159.96E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S18_2432',30,61.99,11,1859.7E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S18_3232',36,100.0,9,7132.68E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S24_1444',44,52.6,2,2314.4E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S24_2300',29,100.0,10,3520.6E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S24_2840',49,36.07,6,1767.43E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S24_4048',46,100.0,1,6311.2E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S32_2509',35,48.7,7,1704.5E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10246,'S50_1392',22,100.0,3,2928.42E0,'2004-05-05 00:00:00.000000000','2004-05-13 00:00:00.000000000','2004-05-06 00:00:00.000000000','Shipped',NULL,141,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S12_1108',44,100.0,2,10606.2E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S12_3148',25,100.0,3,4381.25E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S12_3891',27,100.0,1,4157.73E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S18_4027',48,100.0,5,6756.0E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S32_3207',40,49.71,6,1988.4E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10247,'S50_1514',49,63.85,4,3128.65E0,'2004-05-05 00:00:00.000000000','2004-05-11 00:00:00.000000000','2004-05-08 00:00:00.000000000','Shipped',NULL,334,'2004-05-05',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S10_4757',20,100.0,3,2910.4E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S18_3029',21,73.98,1,1553.58E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S18_3140',32,100.0,12,3802.56E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S18_3259',42,100.0,14,5082.42E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S18_4522',42,75.48,11,3170.16E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S24_2011',48,100.0,10,6960.48E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S24_3151',30,100.0,5,3053.7E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S24_3816',23,76.31,2,1755.13E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S700_1138',36,71.34,6,2568.24E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S700_1938',40,100.0,13,4157.2E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S700_2610',32,75.89,4,2428.48E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S700_3505',30,100.0,7,3245.4E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S700_3962',35,90.37,8,3162.95E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10248,'S72_3212',23,65.52,9,1506.96E0,'2004-05-07 00:00:00.000000000','2004-05-14 00:00:00.000000000',NULL,'Cancelled','Order was mistakenly placed. The warehouse noticed the lack of documentation.',131,'2004-05-07',2,5,2004);
INSERT INTO ORDERFACT VALUES(10249,'S18_3856',46,100.0,5,5600.5E0,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173,'2004-05-08',2,5,2004);
INSERT INTO ORDERFACT VALUES(10249,'S24_2841',20,67.82,1,1356.4E0,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173,'2004-05-08',2,5,2004);
INSERT INTO ORDERFACT VALUES(10249,'S24_3420',25,69.7,2,1742.5E0,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173,'2004-05-08',2,5,2004);
INSERT INTO ORDERFACT VALUES(10249,'S700_2047',40,95.95,4,3838.0E0,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173,'2004-05-08',2,5,2004);
INSERT INTO ORDERFACT VALUES(10249,'S72_1253',32,57.61,3,1843.52E0,'2004-05-08 00:00:00.000000000','2004-05-17 00:00:00.000000000','2004-05-11 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',173,'2004-05-08',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S18_1662',45,100.0,14,8160.3E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S18_2581',27,98.84,4,2668.68E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S24_1785',31,88.63,6,2747.53E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S24_2000',32,87.6,1,2803.2E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S24_3949',40,75.06,13,3002.4E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S24_4278',37,74.62,5,2760.94E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S32_1374',31,100.0,2,3282.28E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S32_4289',50,61.22,7,3061.0E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S50_1341',36,51.93,8,1869.48E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S700_1691',31,91.34,9,2831.54E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S700_2466',35,100.0,11,3909.15E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S700_2834',44,100.0,3,6055.72E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S700_3167',44,67.2,10,2956.8E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10250,'S700_4002',38,62.19,12,2363.22E0,'2004-05-11 00:00:00.000000000','2004-05-19 00:00:00.000000000','2004-05-15 00:00:00.000000000','Shipped',NULL,450,'2004-05-11',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S10_1678',28,100.0,2,3188.64E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S10_2016',44,100.0,5,5756.52E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S10_4698',43,100.0,4,7078.23E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S12_2823',46,100.0,1,7552.28E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S18_2625',29,61.18,6,1774.22E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10251,'S24_1578',26,100.0,3,2637.18E0,'2004-05-18 00:00:00.000000000','2004-05-24 00:00:00.000000000','2004-05-24 00:00:00.000000000','Shipped',NULL,328,'2004-05-18',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S18_3278',20,76.39,2,1527.8E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S18_3482',41,100.0,1,6749.83E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S18_3782',31,52.84,5,1638.04E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S18_4721',26,100.0,4,3559.4E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S24_2360',47,65.8,8,3092.6E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S24_4620',38,87.31,3,3317.78E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S32_2206',36,48.28,6,1738.08E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S32_4485',25,100.0,9,2832.0E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10252,'S50_4713',48,72.41,7,3475.68E0,'2004-05-26 00:00:00.000000000','2004-06-04 00:00:00.000000000','2004-05-29 00:00:00.000000000','Shipped',NULL,406,'2004-05-26',2,5,2004);
INSERT INTO ORDERFACT VALUES(10253,'S12_1099',24,100.0,13,3922.56E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S12_3380',22,100.0,11,2402.84E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S12_3990',25,90.17,14,2254.25E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S12_4675',41,100.0,10,4910.57E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_1129',26,100.0,5,3054.48E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_1589',24,100.0,1,3374.88E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_1889',23,83.93,9,1930.39E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_1984',33,100.0,4,4459.62E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_2870',37,100.0,2,5177.04E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_3232',40,100.0,6,6773.6E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S18_3685',31,100.0,3,4029.38E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S24_2972',40,42.67,7,1706.8E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S24_3371',24,52.66,12,1263.84E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10253,'S24_3856',39,100.0,8,5148.0E0,'2004-06-01 00:00:00.000000000','2004-06-09 00:00:00.000000000','2004-06-02 00:00:00.000000000','Cancelled','Customer disputed the order and we agreed to cancel it. We must be more cautions with this customer going forward, since they are very hard to please. We must cover the shipping fees.',201,'2004-06-01',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S18_1749',49,100.0,5,6997.2E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S18_2248',36,63.57,4,2288.52E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S18_2325',41,100.0,2,4534.6E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S18_4409',34,92.95,6,3160.3E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S18_4933',30,57.73,7,1731.9E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_1046',34,64.67,11,2198.78E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_1628',32,60.37,13,1931.84E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_1937',38,26.88,1,1021.44E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_2766',31,100.0,9,3126.97E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_2887',33,96.3,8,3177.9E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_3191',42,96.74,10,4063.08E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_3432',49,100.0,12,4932.34E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10254,'S24_3969',20,43.49,3,869.8E0,'2004-06-03 00:00:00.000000000','2004-06-13 00:00:00.000000000','2004-06-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',323,'2004-06-03',2,6,2004);
INSERT INTO ORDERFACT VALUES(10255,'S18_2795',24,100.0,1,3726.0E0,'2004-06-04 00:00:00.000000000','2004-06-12 00:00:00.000000000','2004-06-09 00:00:00.000000000','Shipped',NULL,209,'2004-06-04',2,6,2004);
INSERT INTO ORDERFACT VALUES(10255,'S24_2022',37,45.7,2,1690.9E0,'2004-06-04 00:00:00.000000000','2004-06-12 00:00:00.000000000','2004-06-09 00:00:00.000000000','Shipped',NULL,209,'2004-06-04',2,6,2004);
INSERT INTO ORDERFACT VALUES(10256,'S18_1342',34,95.55,2,3248.7E0,'2004-06-08 00:00:00.000000000','2004-06-16 00:00:00.000000000','2004-06-10 00:00:00.000000000','Shipped',NULL,145,'2004-06-08',2,6,2004);
INSERT INTO ORDERFACT VALUES(10256,'S18_1367',29,51.75,1,1500.75E0,'2004-06-08 00:00:00.000000000','2004-06-16 00:00:00.000000000','2004-06-10 00:00:00.000000000','Shipped',NULL,145,'2004-06-08',2,6,2004);
INSERT INTO ORDERFACT VALUES(10257,'S18_2949',50,88.14,1,4407.0E0,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450,'2004-06-14',2,6,2004);
INSERT INTO ORDERFACT VALUES(10257,'S18_2957',49,53.72,3,2632.28E0,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450,'2004-06-14',2,6,2004);
INSERT INTO ORDERFACT VALUES(10257,'S18_3136',37,84.82,2,3138.34E0,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450,'2004-06-14',2,6,2004);
INSERT INTO ORDERFACT VALUES(10257,'S18_3320',26,89.29,5,2321.54E0,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450,'2004-06-14',2,6,2004);
INSERT INTO ORDERFACT VALUES(10257,'S24_4258',46,78.89,4,3628.94E0,'2004-06-14 00:00:00.000000000','2004-06-24 00:00:00.000000000','2004-06-15 00:00:00.000000000','Shipped',NULL,450,'2004-06-14',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S10_1949',32,100.0,6,7680.64E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S12_1666',41,100.0,3,6668.24E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S18_1097',41,100.0,5,5453.0E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S18_4668',21,59.87,4,1257.27E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S32_3522',20,61.41,2,1228.2E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10258,'S700_2824',45,80.92,1,3641.4E0,'2004-06-15 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-23 00:00:00.000000000','Shipped',NULL,398,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S10_4962',26,100.0,12,4033.38E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S12_4473',46,100.0,4,6541.2E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S18_2238',30,100.0,3,5697.9E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S18_2319',34,99.41,7,3379.94E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S18_2432',30,49.22,10,1476.6E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S18_3232',27,100.0,8,3657.69E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S18_4600',41,100.0,13,4666.62E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S24_1444',28,46.82,1,1310.96E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S24_2300',47,100.0,9,5285.62E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S24_2840',31,33.24,5,1030.44E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S32_1268',45,86.68,11,3900.6E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S32_2509',40,43.83,6,1753.2E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10259,'S50_1392',29,100.0,2,3054.57E0,'2004-06-15 00:00:00.000000000','2004-06-22 00:00:00.000000000','2004-06-17 00:00:00.000000000','Shipped',NULL,166,'2004-06-15',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S12_1108',46,100.0,5,10514.7E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S12_3148',30,100.0,6,5121.6E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S12_3891',44,100.0,4,7536.76E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S18_3140',32,100.0,1,4196.16E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S18_3259',29,88.74,3,2573.46E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S18_4027',23,100.0,8,3567.53E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S24_4048',23,100.0,10,2366.7E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S32_3207',27,57.17,9,1543.59E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S50_1514',21,55.65,7,1168.65E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10260,'S700_1938',33,85.74,2,2829.42E0,'2004-06-16 00:00:00.000000000','2004-06-22 00:00:00.000000000',NULL,'Cancelled','Customer heard complaints from their customers and called to cancel this order. Will notify the Sales Manager.',357,'2004-06-16',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S10_4757',27,100.0,1,3378.24E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S18_4522',20,89.53,9,1790.6E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S24_2011',36,100.0,8,4512.6E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S24_3151',22,91.17,3,2005.74E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S700_1138',34,62.0,4,2108.0E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S700_2610',44,68.67,2,3021.48E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S700_3505',25,88.15,5,2203.75E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S700_3962',50,81.43,6,4071.5E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10261,'S72_3212',29,50.78,7,1472.62E0,'2004-06-17 00:00:00.000000000','2004-06-25 00:00:00.000000000','2004-06-22 00:00:00.000000000','Shipped',NULL,233,'2004-06-17',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S18_1662',49,100.0,9,6567.96E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S18_3029',32,84.3,15,2697.6E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S18_3856',34,100.0,14,4103.46E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S24_1785',34,97.38,1,3310.92E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S24_2841',24,67.14,10,1611.36E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S24_3420',46,70.35,11,3236.1E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S24_3816',49,87.21,16,4273.29E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S24_3949',48,61.42,8,2948.16E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S32_4289',40,79.11,2,3164.4E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S50_1341',49,37.97,3,1860.53E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S700_1691',40,84.03,4,3361.2E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S700_2047',44,94.14,13,4142.16E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S700_2466',33,90.75,6,2994.75E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S700_3167',27,76.0,5,2052.0E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S700_4002',35,71.07,7,2487.45E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10262,'S72_1253',21,57.11,12,1199.31E0,'2004-06-24 00:00:00.000000000','2004-07-01 00:00:00.000000000',NULL,'Cancelled','This customer found a better offer from one of our competitors. Will call back to renegotiate.',141,'2004-06-24',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S10_1678',34,100.0,2,3676.76E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S10_2016',40,100.0,5,4472.0E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S10_4698',41,100.0,4,8336.94E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S12_2823',48,100.0,1,6434.4E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S18_2581',33,86.17,10,2843.61E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S18_2625',34,58.75,6,1997.5E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S24_1578',42,100.0,3,4307.52E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S24_2000',37,62.46,7,2311.02E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S24_4278',24,75.35,11,1808.4E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S32_1374',31,79.91,8,2477.21E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10263,'S700_2834',47,100.0,9,5465.16E0,'2004-06-28 00:00:00.000000000','2004-07-04 00:00:00.000000000','2004-07-02 00:00:00.000000000','Shipped',NULL,175,'2004-06-28',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S18_3782',48,54.71,3,2626.08E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S18_4721',20,100.0,2,2410.6E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S24_2360',37,65.1,6,2408.7E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S24_4620',47,83.27,1,3913.69E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S32_2206',20,32.59,4,651.8E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S32_4485',34,97.97,7,3330.98E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10264,'S50_4713',47,89.5,5,4206.5E0,'2004-06-30 00:00:00.000000000','2004-07-06 00:00:00.000000000','2004-07-01 00:00:00.000000000','Shipped','Customer will send a truck to our local warehouse on 7/1/2004',362,'2004-06-30',2,6,2004);
INSERT INTO ORDERFACT VALUES(10265,'S18_3278',45,86.84,2,3907.8E0,'2004-07-02 00:00:00.000000000','2004-07-09 00:00:00.000000000','2004-07-07 00:00:00.000000000','Shipped',NULL,471,'2004-07-02',3,7,2004);
INSERT INTO ORDERFACT VALUES(10265,'S18_3482',49,100.0,1,8427.02E0,'2004-07-02 00:00:00.000000000','2004-07-09 00:00:00.000000000','2004-07-07 00:00:00.000000000','Shipped',NULL,471,'2004-07-02',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S12_1099',44,100.0,14,9160.36E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S12_3380',22,100.0,12,2454.54E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S12_3990',35,76.61,15,2681.35E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S12_4675',40,100.0,11,4468.4E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_1129',21,100.0,6,2526.51E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_1589',36,100.0,2,5196.6E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_1889',33,74.69,10,2464.77E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_1984',49,100.0,5,6203.4E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_2870',20,100.0,3,2824.8E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_3232',29,100.0,7,4812.55E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S18_3685',33,100.0,4,5035.14E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S24_1628',28,48.3,1,1352.4E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S24_2972',34,40.4,8,1373.6E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S24_3371',47,62.45,13,2935.15E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10266,'S24_3856',24,100.0,9,2932.08E0,'2004-07-06 00:00:00.000000000','2004-07-14 00:00:00.000000000','2004-07-10 00:00:00.000000000','Shipped',NULL,386,'2004-07-06',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S18_4933',36,75.55,1,2719.8E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S24_1046',40,80.1,5,3204.0E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S24_2766',38,87.24,3,3315.12E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S24_2887',43,100.0,2,4645.72E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S24_3191',44,96.74,4,4256.56E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10267,'S24_3432',43,100.0,6,5110.98E0,'2004-07-07 00:00:00.000000000','2004-07-17 00:00:00.000000000','2004-07-09 00:00:00.000000000','Shipped',NULL,151,'2004-07-07',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_1342',49,100.0,3,5738.88E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_1367',26,64.69,2,1681.94E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_1749',34,100.0,10,5491.0E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_2248',31,49.04,9,1520.24E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_2325',50,100.0,7,5276.0E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_2795',35,100.0,4,5315.8E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_3320',39,89.29,1,3482.31E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S18_4409',35,87.43,11,3060.05E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S24_1937',33,38.83,6,1281.39E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S24_2022',40,46.14,5,1845.6E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10268,'S24_3969',30,40.62,8,1218.6E0,'2004-07-12 00:00:00.000000000','2004-07-18 00:00:00.000000000','2004-07-14 00:00:00.000000000','Shipped',NULL,412,'2004-07-12',3,7,2004);
INSERT INTO ORDERFACT VALUES(10269,'S18_2957',32,63.08,1,2018.56E0,'2004-07-16 00:00:00.000000000','2004-07-22 00:00:00.000000000','2004-07-18 00:00:00.000000000','Shipped',NULL,382,'2004-07-16',3,7,2004);
INSERT INTO ORDERFACT VALUES(10269,'S24_4258',48,97.39,2,4674.72E0,'2004-07-16 00:00:00.000000000','2004-07-22 00:00:00.000000000','2004-07-18 00:00:00.000000000','Shipped',NULL,382,'2004-07-16',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S10_1949',21,100.0,9,4905.39E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S10_4962',32,100.0,2,4302.08E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S12_1666',28,100.0,6,4094.72E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S18_1097',43,96.84,8,4164.12E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S18_2949',31,96.24,10,2983.44E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S18_3136',38,100.0,11,4775.08E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S18_4600',38,100.0,3,5383.08E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S18_4668',44,58.36,7,2567.84E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S32_1268',32,85.72,1,2743.04E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S32_3522',21,63.35,5,1330.35E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10270,'S700_2824',46,88.0,4,4048.0E0,'2004-07-19 00:00:00.000000000','2004-07-27 00:00:00.000000000','2004-07-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',282,'2004-07-19',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S12_4473',31,97.17,5,3012.27E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S18_2238',50,100.0,4,9169.0E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S18_2319',50,100.0,8,5093.5E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S18_2432',25,69.28,11,1732.0E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S18_3232',20,100.0,9,3928.6E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S24_1444',45,64.74,2,2913.3E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S24_2300',43,100.0,10,5605.05E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S24_2840',38,41.72,6,1585.36E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S24_4048',22,100.0,1,3070.54E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S32_2509',35,47.62,7,1666.7E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10271,'S50_1392',34,98.39,3,3345.26E0,'2004-07-20 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-23 00:00:00.000000000','Shipped',NULL,124,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S12_1108',35,100.0,2,5818.4E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S12_3148',27,100.0,3,4283.01E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S12_3891',39,100.0,1,7962.24E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S18_4027',25,100.0,5,3734.0E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S32_3207',45,64.63,6,2908.35E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10272,'S50_1514',43,56.82,4,2443.26E0,'2004-07-20 00:00:00.000000000','2004-07-26 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,157,'2004-07-20',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S10_4757',30,100.0,4,3508.8E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S18_3029',34,98.06,2,3334.04E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S18_3140',40,100.0,13,5026.4E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S18_3259',47,100.0,15,5450.59E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S18_3856',50,85.75,1,4287.5E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S18_4522',33,71.09,12,2345.97E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S24_2011',22,100.0,11,2784.76E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S24_3151',27,100.0,6,2796.12E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S24_3816',48,83.02,3,3984.96E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S700_1138',21,65.34,7,1372.14E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S700_1938',21,100.0,14,2146.2E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S700_2610',42,62.16,5,2610.72E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S700_3505',40,86.15,8,3446.0E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S700_3962',26,100.0,9,2969.46E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10273,'S72_3212',37,45.86,10,1696.82E0,'2004-07-21 00:00:00.000000000','2004-07-28 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,314,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10274,'S18_1662',41,100.0,1,6724.0E0,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10274,'S24_2841',40,65.08,2,2603.2E0,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10274,'S24_3420',24,72.33,3,1735.92E0,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10274,'S700_2047',24,90.52,5,2172.48E0,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10274,'S72_1253',32,58.6,4,1875.2E0,'2004-07-21 00:00:00.000000000','2004-07-29 00:00:00.000000000','2004-07-22 00:00:00.000000000','Shipped',NULL,379,'2004-07-21',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S10_1678',45,92.83,1,4177.35E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S10_2016',22,100.0,4,2904.44E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S10_4698',36,100.0,3,6901.92E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S18_2581',35,90.39,9,3163.65E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S18_2625',37,63.6,5,2353.2E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S24_1578',21,100.0,2,2153.76E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S24_1785',25,95.2,11,2380.0E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S24_2000',30,79.98,6,2399.4E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S24_3949',41,81.89,18,3357.49E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S24_4278',27,62.31,10,1682.37E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S32_1374',23,81.91,7,1883.93E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S32_4289',28,63.97,12,1791.16E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S50_1341',38,45.39,13,1724.82E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S700_1691',32,89.51,14,2864.32E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S700_2466',39,100.0,16,4472.52E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S700_2834',48,100.0,8,6378.72E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S700_3167',43,73.6,15,3164.8E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10275,'S700_4002',31,72.55,17,2249.05E0,'2004-07-23 00:00:00.000000000','2004-08-02 00:00:00.000000000','2004-07-29 00:00:00.000000000','Shipped',NULL,119,'2004-07-23',3,7,2004);
INSERT INTO ORDERFACT VALUES(10276,'S12_1099',50,100.0,3,9631.0E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S12_2823',43,100.0,14,5181.5E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S12_3380',47,100.0,1,5464.69E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S12_3990',38,83.79,4,3184.02E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S18_3278',38,69.96,6,2658.48E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S18_3482',30,100.0,5,3924.6E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S18_3782',33,50.36,9,1661.88E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S18_4721',48,100.0,8,5713.92E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S24_2360',46,75.49,12,3472.54E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S24_3371',20,61.23,2,1224.6E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S24_4620',48,75.18,7,3608.64E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S32_2206',27,36.61,10,988.47E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S32_4485',38,100.0,13,4304.64E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10276,'S50_4713',21,70.78,11,1486.38E0,'2004-08-02 00:00:00.000000000','2004-08-11 00:00:00.000000000','2004-08-08 00:00:00.000000000','Shipped',NULL,204,'2004-08-02',3,8,2004);
INSERT INTO ORDERFACT VALUES(10277,'S12_4675',28,100.0,1,3127.88E0,'2004-08-04 00:00:00.000000000','2004-08-12 00:00:00.000000000','2004-08-05 00:00:00.000000000','Shipped',NULL,148,'2004-08-04',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_1129',34,100.0,6,4667.86E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_1589',23,100.0,2,2604.52E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_1889',29,90.86,10,2634.94E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_1984',29,100.0,5,3754.05E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_2870',39,100.0,3,4324.32E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_3232',42,100.0,7,6401.22E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S18_3685',31,100.0,4,4116.8E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S24_1628',35,45.28,1,1584.8E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S24_2972',31,38.89,8,1205.59E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10278,'S24_3856',25,100.0,9,3159.75E0,'2004-08-06 00:00:00.000000000','2004-08-16 00:00:00.000000000','2004-08-09 00:00:00.000000000','Shipped',NULL,112,'2004-08-06',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S18_4933',26,60.58,1,1575.08E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S24_1046',32,74.96,5,2398.72E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S24_2766',49,79.97,3,3918.53E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S24_2887',48,100.0,2,5580.96E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S24_3191',33,71.06,4,2344.98E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10279,'S24_3432',48,100.0,6,6168.0E0,'2004-08-09 00:00:00.000000000','2004-08-19 00:00:00.000000000','2004-08-15 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',141,'2004-08-09',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S10_1949',34,100.0,2,8014.82E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_1097',24,100.0,1,2800.08E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_1342',50,100.0,9,5239.5E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_1367',27,57.68,8,1557.36E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_1749',26,100.0,16,3668.6E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_2248',25,62.96,15,1574.0E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_2325',37,100.0,13,4750.8E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_2795',22,100.0,10,4455.0E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_2949',46,100.0,3,5126.24E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_2957',43,68.71,5,2954.53E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_3136',29,100.0,4,3006.43E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_3320',34,100.0,7,3474.46E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S18_4409',35,100.0,17,3704.05E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S24_1937',20,28.88,12,577.6E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S24_2022',45,47.49,11,2137.05E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S24_3969',33,41.85,14,1381.05E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10280,'S24_4258',21,78.89,6,1656.69E0,'2004-08-17 00:00:00.000000000','2004-08-27 00:00:00.000000000','2004-08-19 00:00:00.000000000','Shipped',NULL,249,'2004-08-17',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S10_4962',44,100.0,9,7020.64E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S12_1666',25,100.0,13,2938.5E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S12_4473',41,100.0,1,5247.18E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S18_2319',48,100.0,4,5773.44E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S18_2432',29,57.73,7,1674.17E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S18_3232',25,100.0,5,4191.25E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S18_4600',25,99.29,10,2482.25E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S18_4668',44,59.87,14,2634.28E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S24_2300',25,100.0,6,2779.5E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S24_2840',20,40.66,2,813.2E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S32_1268',29,82.83,8,2402.07E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S32_2509',31,55.19,3,1710.89E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S32_3522',36,77.57,12,2792.52E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10281,'S700_2824',27,85.98,11,2321.46E0,'2004-08-19 00:00:00.000000000','2004-08-28 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,157,'2004-08-19',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S12_1108',41,100.0,5,7071.27E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S12_3148',27,100.0,6,4364.82E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S12_3891',24,100.0,4,3778.8E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S18_2238',23,100.0,13,3238.63E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S18_3140',43,100.0,1,6695.53E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S18_3259',36,100.0,3,4174.92E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S18_4027',31,100.0,8,4674.8E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S24_1444',29,46.82,11,1357.78E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S24_4048',39,100.0,10,4797.39E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S32_3207',36,59.65,9,2147.4E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S50_1392',38,100.0,12,4310.72E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S50_1514',37,66.78,7,2470.86E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10282,'S700_1938',43,86.61,2,3724.23E0,'2004-08-20 00:00:00.000000000','2004-08-26 00:00:00.000000000','2004-08-22 00:00:00.000000000','Shipped',NULL,124,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S10_4757',25,100.0,6,2992.0E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S18_3029',21,98.06,4,2059.26E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S18_3856',46,100.0,3,5795.54E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S18_4522',34,100.0,14,3580.88E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S24_2011',42,100.0,13,5316.36E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S24_3151',34,92.94,8,3159.96E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S24_3816',33,72.96,5,2407.68E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S700_1138',45,78.67,9,3540.15E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S700_2047',20,94.14,2,1882.8E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S700_2610',47,65.77,7,3091.19E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S700_3505',22,88.15,10,1939.3E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S700_3962',38,89.38,11,3396.44E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S72_1253',43,57.61,1,2477.23E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10283,'S72_3212',33,51.32,12,1693.56E0,'2004-08-20 00:00:00.000000000','2004-08-30 00:00:00.000000000','2004-08-23 00:00:00.000000000','Shipped',NULL,260,'2004-08-20',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S18_1662',45,100.0,11,5747.85E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S18_2581',31,71.81,1,2226.11E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S24_1785',22,100.0,3,2310.88E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S24_2841',30,73.99,12,2219.7E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S24_3420',39,71.67,13,2795.13E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S24_3949',21,55.96,10,1175.16E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S24_4278',21,71.0,2,1491.0E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S32_4289',50,81.86,4,4093.0E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S50_1341',33,51.93,5,1713.69E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S700_1691',24,83.12,6,1994.88E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S700_2466',45,100.0,8,4576.95E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S700_3167',25,69.6,7,1740.0E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10284,'S700_4002',32,64.41,9,2061.12E0,'2004-08-21 00:00:00.000000000','2004-08-29 00:00:00.000000000','2004-08-26 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',299,'2004-08-21',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S10_1678',36,100.0,6,4099.68E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S10_2016',47,100.0,9,6484.59E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S10_4698',27,100.0,8,5438.07E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S12_2823',49,100.0,5,6863.92E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S18_2625',20,49.06,10,981.2E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S24_1578',34,100.0,7,3716.88E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S24_2000',39,70.08,11,2733.12E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S24_2360',38,59.56,3,2263.28E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S32_1374',37,98.89,12,3658.93E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S32_2206',37,41.03,1,1518.11E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S32_4485',26,100.0,4,2600.26E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S50_4713',39,78.92,2,3077.88E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10285,'S700_2834',45,100.0,13,5392.8E0,'2004-08-27 00:00:00.000000000','2004-09-04 00:00:00.000000000','2004-08-31 00:00:00.000000000','Shipped',NULL,286,'2004-08-27',3,8,2004);
INSERT INTO ORDERFACT VALUES(10286,'S18_3782',38,57.2,1,2173.6E0,'2004-08-28 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,172,'2004-08-28',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S12_1099',21,100.0,12,3432.24E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S12_3380',45,100.0,10,4756.5E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S12_3990',41,69.43,13,2846.63E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S12_4675',23,100.0,9,2675.13E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_1129',41,100.0,4,6499.32E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_1889',44,82.39,8,3625.16E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_1984',24,100.0,3,3516.48E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_2870',44,100.0,1,5052.96E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_3232',36,100.0,5,5852.52E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_3278',43,70.76,15,3042.68E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_3482',40,100.0,14,6761.6E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_3685',27,100.0,2,4310.55E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S18_4721',34,100.0,17,4300.32E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S24_2972',36,39.65,6,1427.4E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S24_3371',20,67.97,11,1359.4E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S24_3856',36,100.0,7,4297.32E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10287,'S24_4620',40,88.12,16,3524.8E0,'2004-08-30 00:00:00.000000000','2004-09-06 00:00:00.000000000','2004-09-01 00:00:00.000000000','Shipped',NULL,298,'2004-08-30',3,8,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_1589',20,100.0,14,2936.8E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_1749',32,100.0,5,5875.2E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_2248',28,61.75,4,1729.0E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_2325',31,100.0,2,3822.92E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_4409',35,80.99,6,2834.65E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S18_4933',23,73.41,7,1688.43E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_1046',36,66.14,11,2381.04E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_1628',50,52.32,13,2616.0E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_1937',29,38.17,1,1106.93E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_2766',35,80.87,9,2830.45E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_2887',48,100.0,8,6539.04E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_3191',34,68.49,10,2328.66E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_3432',41,100.0,12,4873.26E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10288,'S24_3969',33,40.62,3,1340.46E0,'2004-09-01 00:00:00.000000000','2004-09-11 00:00:00.000000000','2004-09-05 00:00:00.000000000','Shipped',NULL,166,'2004-09-01',3,9,2004);
INSERT INTO ORDERFACT VALUES(10289,'S18_1342',38,100.0,2,4567.98E0,'2004-09-03 00:00:00.000000000','2004-09-13 00:00:00.000000000','2004-09-04 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',167,'2004-09-03',3,9,2004);
INSERT INTO ORDERFACT VALUES(10289,'S18_1367',24,56.07,1,1345.68E0,'2004-09-03 00:00:00.000000000','2004-09-13 00:00:00.000000000','2004-09-04 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',167,'2004-09-03',3,9,2004);
INSERT INTO ORDERFACT VALUES(10289,'S18_2795',43,100.0,3,8272.34E0,'2004-09-03 00:00:00.000000000','2004-09-13 00:00:00.000000000','2004-09-04 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',167,'2004-09-03',3,9,2004);
INSERT INTO ORDERFACT VALUES(10289,'S24_2022',45,48.38,4,2177.1E0,'2004-09-03 00:00:00.000000000','2004-09-13 00:00:00.000000000','2004-09-04 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',167,'2004-09-03',3,9,2004);
INSERT INTO ORDERFACT VALUES(10290,'S18_3320',26,96.23,2,2501.98E0,'2004-09-07 00:00:00.000000000','2004-09-15 00:00:00.000000000','2004-09-13 00:00:00.000000000','Shipped',NULL,198,'2004-09-07',3,9,2004);
INSERT INTO ORDERFACT VALUES(10290,'S24_4258',45,100.0,1,5171.4E0,'2004-09-07 00:00:00.000000000','2004-09-15 00:00:00.000000000','2004-09-13 00:00:00.000000000','Shipped',NULL,198,'2004-09-07',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S10_1949',37,100.0,11,7136.19E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S10_4962',30,100.0,4,3855.9E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S12_1666',41,100.0,8,6387.8E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_1097',41,100.0,10,4687.94E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_2432',26,57.73,2,1500.98E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_2949',47,100.0,12,5713.79E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_2957',37,50.59,14,1871.83E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_3136',23,100.0,13,2866.26E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_4600',48,100.0,5,5288.64E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S18_4668',29,51.82,9,1502.78E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S24_2300',48,100.0,1,5398.08E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S32_1268',26,83.79,3,2178.54E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S32_3522',32,71.75,7,2296.0E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10291,'S700_2824',28,100.0,6,3256.96E0,'2004-09-08 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,448,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S12_4473',21,100.0,8,2214.87E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S18_2238',26,100.0,7,4554.94E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S18_2319',41,100.0,11,4528.86E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S18_3232',21,100.0,12,2844.87E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S18_4027',44,100.0,2,7140.76E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S24_1444',40,53.75,5,2150.0E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S24_2840',39,30.06,9,1172.34E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S24_4048',27,100.0,4,3832.38E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S32_2509',50,46.53,10,2326.5E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S32_3207',31,67.73,3,2099.63E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S50_1392',41,100.0,6,4983.14E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10292,'S50_1514',35,55.07,1,1927.45E0,'2004-09-08 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-11 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',131,'2004-09-08',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S12_1108',46,100.0,8,8411.56E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S12_3148',24,100.0,9,4242.24E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S12_3891',45,100.0,7,8253.0E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S18_3140',24,100.0,4,2819.28E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S18_3259',22,100.0,6,2418.24E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S18_4522',49,100.0,3,4946.06E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S24_2011',21,100.0,2,2941.89E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S700_1938',29,71.89,5,2084.81E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10293,'S72_3212',32,60.06,1,1921.92E0,'2004-09-09 00:00:00.000000000','2004-09-18 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,249,'2004-09-09',3,9,2004);
INSERT INTO ORDERFACT VALUES(10294,'S700_3962',45,100.0,1,4692.6E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped',NULL,204,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10295,'S10_4757',24,100.0,1,3427.2E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10295,'S24_3151',46,84.97,3,3908.62E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10295,'S700_1138',26,75.34,4,1958.84E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10295,'S700_2610',44,58.55,2,2576.2E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10295,'S700_3505',34,100.0,5,3473.78E0,'2004-09-10 00:00:00.000000000','2004-09-17 00:00:00.000000000','2004-09-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',362,'2004-09-10',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S18_1662',36,100.0,7,5676.84E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S18_3029',21,96.34,13,2023.14E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S18_3856',22,84.7,12,1863.4E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S24_2841',21,71.25,8,1496.25E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S24_3420',31,53.92,9,1671.52E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S24_3816',22,77.15,14,1697.3E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S24_3949',32,71.65,6,2292.8E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S50_1341',26,48.44,1,1259.44E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S700_1691',42,100.0,2,4296.6E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S700_2047',34,100.0,11,3477.86E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S700_2466',24,100.0,4,2441.04E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S700_3167',22,80.8,3,1777.6E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S700_4002',47,86.62,5,4071.14E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10296,'S72_1253',21,45.19,10,948.99E0,'2004-09-15 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-16 00:00:00.000000000','Shipped',NULL,415,'2004-09-15',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S18_2581',25,82.79,4,2069.75E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S24_1785',32,100.0,6,4061.76E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S24_2000',32,65.51,1,2096.32E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S24_4278',23,72.45,5,1666.35E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S32_1374',26,100.0,2,2856.88E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S32_4289',28,79.8,7,2234.4E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10297,'S700_2834',35,100.0,3,3986.5E0,'2004-09-16 00:00:00.000000000','2004-09-22 00:00:00.000000000','2004-09-21 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',189,'2004-09-16',3,9,2004);
INSERT INTO ORDERFACT VALUES(10298,'S10_2016',39,96.34,1,3757.26E0,'2004-09-27 00:00:00.000000000','2004-10-05 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,103,'2004-09-27',3,9,2004);
INSERT INTO ORDERFACT VALUES(10298,'S18_2625',32,48.46,2,1550.72E0,'2004-09-27 00:00:00.000000000','2004-10-05 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,103,'2004-09-27',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S10_1678',23,100.0,9,2597.39E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S10_4698',29,100.0,11,6683.34E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S12_2823',24,100.0,8,4157.04E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S18_3782',39,55.95,3,2182.05E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S18_4721',49,100.0,2,7947.31E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S24_1578',47,100.0,10,5455.76E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S24_2360',33,66.49,6,2194.17E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S24_4620',32,80.84,1,2586.88E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S32_2206',24,42.24,4,1013.76E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S32_4485',38,100.0,7,4382.16E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10299,'S50_4713',44,80.55,5,3544.2E0,'2004-09-30 00:00:00.000000000','2004-10-10 00:00:00.000000000','2004-10-01 00:00:00.000000000','Shipped',NULL,186,'2004-09-30',3,9,2004);
INSERT INTO ORDERFACT VALUES(10300,'S12_1099',33,100.0,5,5521.89E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S12_3380',29,100.0,3,3984.6E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S12_3990',22,76.61,6,1685.42E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S12_4675',23,100.0,2,2807.61E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S18_1889',41,92.4,1,3788.4E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S18_3278',49,78.8,8,3861.2E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S18_3482',23,100.0,7,3786.49E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10300,'S24_3371',31,58.78,4,1822.18E0,'2003-10-04 00:00:00.000000000','2003-10-13 00:00:00.000000000','2003-10-09 00:00:00.000000000','Shipped',NULL,128,'2003-10-04',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_1129',37,100.0,8,5917.78E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_1589',32,100.0,4,3424.64E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_1984',47,100.0,7,7488.04E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_2870',22,100.0,5,3223.44E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_3232',23,100.0,9,4011.66E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S18_3685',39,100.0,6,6446.7E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S24_1046',27,72.02,1,1944.54E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S24_1628',22,51.32,3,1129.04E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S24_2972',48,34.36,10,1649.28E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S24_3432',22,96.37,2,2120.14E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10301,'S24_3856',50,100.0,11,7723.5E0,'2003-10-05 00:00:00.000000000','2003-10-15 00:00:00.000000000','2003-10-08 00:00:00.000000000','Shipped',NULL,299,'2003-10-05',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S18_1749',43,100.0,1,7310.0E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S18_4409',38,89.27,2,3392.26E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S18_4933',23,72.7,3,1672.1E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S24_2766',49,100.0,5,5298.86E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S24_2887',45,100.0,4,5548.95E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10302,'S24_3191',48,74.48,6,3575.04E0,'2003-10-06 00:00:00.000000000','2003-10-16 00:00:00.000000000','2003-10-07 00:00:00.000000000','Shipped',NULL,201,'2003-10-06',4,10,2003);
INSERT INTO ORDERFACT VALUES(10303,'S18_2248',46,49.04,2,2255.84E0,'2004-10-06 00:00:00.000000000','2004-10-14 00:00:00.000000000','2004-10-09 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',484,'2004-10-06',4,10,2004);
INSERT INTO ORDERFACT VALUES(10303,'S24_3969',24,40.21,1,965.04E0,'2004-10-06 00:00:00.000000000','2004-10-14 00:00:00.000000000','2004-10-09 00:00:00.000000000','Shipped','Customer inquired about remote controlled models and gold models.',484,'2004-10-06',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S10_1949',47,100.0,6,10172.7E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S12_1666',39,100.0,3,6396.0E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_1097',46,98.0,5,4508.0E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_1342',37,95.55,13,3535.35E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_1367',37,48.52,12,1795.24E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_2325',24,100.0,17,2440.8E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_2795',20,100.0,14,3577.6E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_2949',46,100.0,7,4613.8E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_2957',24,64.96,9,1559.04E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_3136',26,85.87,8,2232.62E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_3320',38,100.0,11,3958.46E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S18_4668',34,49.3,4,1676.2E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S24_1937',23,30.2,16,694.6E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S24_2022',44,39.42,15,1734.48E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S24_4258',33,100.0,10,3342.57E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S32_3522',36,73.04,2,2629.44E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10304,'S700_2824',40,100.0,1,4208.0E0,'2004-10-11 00:00:00.000000000','2004-10-20 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,256,'2004-10-11',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S10_4962',38,100.0,13,6680.78E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S12_4473',38,100.0,5,4773.18E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S18_2238',27,100.0,4,3934.44E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S18_2319',36,100.0,8,4816.08E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S18_2432',41,53.48,11,2192.68E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S18_3232',37,100.0,9,7455.87E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S18_4600',22,99.29,14,2184.38E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S24_1444',45,61.85,2,2783.25E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S24_2300',24,100.0,10,3189.6E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S24_2840',48,31.47,6,1510.56E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S24_4048',36,100.0,1,4641.48E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S32_1268',28,100.0,12,3155.04E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S32_2509',40,57.9,7,2316.0E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10305,'S50_1392',42,100.0,3,4618.32E0,'2004-10-13 00:00:00.000000000','2004-10-22 00:00:00.000000000','2004-10-15 00:00:00.000000000','Shipped','Check on availability.',286,'2004-10-13',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S12_1108',31,100.0,13,6570.76E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S12_3148',34,100.0,14,4982.7E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S12_3891',20,100.0,12,3633.4E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S18_3140',32,100.0,9,3759.04E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S18_3259',40,91.76,11,3670.4E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S18_4027',23,100.0,16,3600.65E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S18_4522',39,90.4,8,3525.6E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S24_2011',29,100.0,7,3207.4E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S24_3151',31,84.08,2,2606.48E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S32_3207',46,50.33,17,2315.18E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S50_1514',34,60.34,15,2051.56E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S700_1138',50,54.0,3,2700.0E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S700_1938',38,91.81,10,3488.78E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S700_2610',43,75.17,1,3232.31E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S700_3505',32,90.15,4,2884.8E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S700_3962',30,100.0,5,3515.7E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10306,'S72_3212',35,59.51,6,2082.85E0,'2004-10-14 00:00:00.000000000','2004-10-21 00:00:00.000000000','2004-10-17 00:00:00.000000000','Shipped',NULL,187,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S10_4757',22,100.0,9,2692.8E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S18_1662',39,100.0,1,7379.97E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S18_3029',31,83.44,7,2586.64E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S18_3856',48,86.81,6,4166.88E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S24_2841',25,75.36,2,1884.0E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S24_3420',22,71.67,3,1576.74E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S24_3816',22,91.41,8,2011.02E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S700_2047',34,97.76,5,3323.84E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10307,'S72_1253',34,53.63,4,1823.42E0,'2004-10-14 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped',NULL,339,'2004-10-14',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S10_2016',34,100.0,2,4043.96E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S10_4698',20,100.0,1,4570.4E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S18_2581',27,82.79,7,2235.33E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S18_2625',34,52.09,3,1771.06E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S24_1785',31,100.0,9,3493.7E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S24_2000',47,63.22,4,2971.34E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S24_3949',43,76.43,16,3286.49E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S24_4278',44,83.32,8,3666.08E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S32_1374',24,79.91,5,1917.84E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S32_4289',46,66.04,10,3037.84E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S50_1341',47,43.64,11,2051.08E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S700_1691',21,100.0,12,2224.95E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S700_2466',35,88.75,14,3106.25E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S700_2834',31,100.0,6,4009.23E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S700_3167',21,87.2,13,1831.2E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10308,'S700_4002',39,68.11,15,2656.29E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',319,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S10_1678',41,100.0,5,4394.38E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S12_2823',26,100.0,4,4660.24E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S24_1578',21,100.0,6,2650.62E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S24_2360',24,56.1,2,1346.4E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S32_4485',50,84.7,3,4235.0E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10309,'S50_4713',28,88.68,1,2483.04E0,'2004-10-15 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,121,'2004-10-15',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S12_1099',33,100.0,10,6934.62E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S12_3380',24,100.0,8,3100.32E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S12_3990',49,81.4,11,3988.6E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S12_4675',25,100.0,7,2504.75E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_1129',37,100.0,2,6231.91E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_1889',20,91.63,6,1832.6E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_1984',24,100.0,1,3448.08E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_3232',48,100.0,3,8940.96E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_3278',27,80.41,13,2171.07E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_3482',49,100.0,12,6266.12E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_3782',42,67.14,16,2819.88E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S18_4721',40,100.0,15,5356.8E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S24_2972',33,41.91,4,1383.03E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S24_3371',38,56.94,9,2163.72E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S24_3856',45,100.0,5,5497.65E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S24_4620',49,97.01,14,4753.49E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10310,'S32_2206',36,43.05,17,1549.8E0,'2004-10-16 00:00:00.000000000','2004-10-24 00:00:00.000000000','2004-10-18 00:00:00.000000000','Shipped',NULL,259,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S18_1589',29,100.0,9,2923.2E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S18_2870',43,100.0,10,5278.68E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S18_3685',32,100.0,11,3616.64E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S18_4409',41,81.91,1,3358.31E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S18_4933',25,66.99,2,1674.75E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_1046',26,87.45,6,2273.7E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_1628',45,49.3,8,2218.5E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_2766',28,93.6,4,2620.8E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_2887',43,100.0,3,4595.41E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_3191',25,83.04,5,2076.0E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10311,'S24_3432',46,92.09,7,4236.14E0,'2004-10-16 00:00:00.000000000','2004-10-23 00:00:00.000000000','2004-10-20 00:00:00.000000000','Shipped','Difficult to negotiate with customer. We need more marketing materials',141,'2004-10-16',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S10_1949',48,100.0,3,11623.7E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_1097',32,100.0,2,4181.44E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_1342',43,89.38,10,3843.34E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_1367',25,44.21,9,1105.25E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_1749',48,100.0,17,8078.4E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_2248',30,61.15,16,1834.5E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_2325',31,100.0,14,4729.36E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_2795',25,100.0,11,3881.25E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_2949',37,100.0,4,3711.1E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_2957',35,53.72,6,1880.2E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_3136',38,100.0,5,4457.02E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_3320',33,100.0,8,3535.95E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S18_4668',39,56.85,1,2217.15E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S24_1937',39,29.54,13,1152.06E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S24_2022',23,37.63,12,865.49E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S24_3969',31,35.29,15,1093.99E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10312,'S24_4258',44,100.0,7,4884.88E0,'2004-10-21 00:00:00.000000000','2004-10-27 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,124,'2004-10-21',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S10_4962',40,100.0,7,6678.0E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S12_1666',21,100.0,11,2669.1E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S18_2319',29,100.0,2,3416.78E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S18_2432',34,52.87,5,1797.58E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S18_3232',25,100.0,3,4572.25E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S18_4600',28,100.0,8,2881.76E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S24_2300',42,100.0,4,5581.8E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S32_1268',27,87.64,6,2366.28E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S32_2509',38,45.45,1,1727.1E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S32_3522',34,56.24,10,1912.16E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10313,'S700_2824',30,99.13,9,2973.9E0,'2004-10-22 00:00:00.000000000','2004-10-28 00:00:00.000000000','2004-10-25 00:00:00.000000000','Shipped','Customer requested that FedEx Ground is used for this shipping',202,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S12_1108',38,100.0,5,7975.44E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S12_3148',46,100.0,6,6393.54E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S12_3891',36,100.0,4,6913.8E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S12_4473',45,100.0,14,6185.7E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S18_2238',42,100.0,13,5776.26E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S18_3140',20,100.0,1,2731.8E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S18_3259',23,100.0,3,2481.7E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S18_4027',29,100.0,8,4206.74E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S24_1444',44,53.18,11,2339.92E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S24_2840',39,37.13,15,1448.07E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S24_4048',38,100.0,10,4000.26E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S32_3207',35,66.49,9,2327.15E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S50_1392',28,100.0,12,3403.12E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S50_1514',38,61.51,7,2337.38E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10314,'S700_1938',23,76.22,2,1753.06E0,'2004-10-22 00:00:00.000000000','2004-11-01 00:00:00.000000000','2004-10-23 00:00:00.000000000','Shipped',NULL,227,'2004-10-22',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S18_4522',36,100.0,7,3602.16E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S24_2011',35,100.0,6,4215.05E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S24_3151',24,86.74,1,2081.76E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S700_1138',41,62.0,2,2542.0E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S700_3505',31,86.15,3,2670.65E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S700_3962',37,91.37,4,3380.69E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10315,'S72_3212',40,55.69,5,2227.6E0,'2004-10-29 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-10-30 00:00:00.000000000','Shipped',NULL,119,'2004-10-29',4,10,2004);
INSERT INTO ORDERFACT VALUES(10316,'S10_4757',33,100.0,17,4128.96E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S18_1662',27,100.0,9,3704.13E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S18_3029',21,94.62,15,1987.02E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S18_3856',47,86.81,14,4080.07E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S24_1785',25,100.0,1,2872.25E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S24_2841',34,63.71,10,2166.14E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S24_3420',47,76.93,11,3615.71E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S24_3816',25,92.25,16,2306.25E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S24_3949',30,77.79,8,2333.7E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S32_4289',24,59.16,2,1419.84E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S50_1341',34,47.57,3,1617.38E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_1691',34,82.21,4,2795.14E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_2047',45,93.24,13,4195.8E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_2466',23,100.0,6,2706.41E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_2610',48,74.45,18,3573.6E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_3167',48,75.2,5,3609.6E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S700_4002',44,62.19,7,2736.36E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10316,'S72_1253',34,43.7,12,1485.8E0,'2004-11-01 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped','Customer requested that ad materials (such as posters, pamphlets); be included in the shippment',240,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10317,'S24_4278',35,83.32,1,2916.2E0,'2004-11-02 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,161,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S10_1678',46,94.74,1,4358.04E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S10_2016',45,100.0,4,5566.5E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S10_4698',37,100.0,3,7667.14E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S18_2581',31,100.0,9,3116.43E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S18_2625',42,52.7,5,2213.4E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S24_1578',48,100.0,2,6437.28E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S24_2000',26,86.83,6,2257.58E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S32_1374',47,100.0,7,5305.36E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10318,'S700_2834',50,100.0,8,7119.0E0,'2004-11-02 00:00:00.000000000','2004-11-09 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,157,'2004-11-02',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S12_2823',30,100.0,9,4111.8E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S18_3278',46,73.98,1,3403.08E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S18_3782',44,59.06,4,2598.64E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S18_4721',45,100.0,3,7901.1E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S24_2360',31,81.73,7,2533.63E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S24_4620',43,85.69,2,3684.67E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S32_2206',29,38.22,5,1108.38E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S32_4485',22,100.0,8,2626.8E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10319,'S50_4713',45,77.29,6,3478.05E0,'2004-11-03 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-06 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',456,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10320,'S12_1099',31,100.0,3,6876.11E0,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10320,'S12_3380',35,100.0,1,4850.3E0,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10320,'S12_3990',38,73.42,4,2789.96E0,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10320,'S18_3482',25,100.0,5,3491.0E0,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10320,'S24_3371',26,61.23,2,1591.98E0,'2004-11-03 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,144,'2004-11-03',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S12_4675',24,100.0,15,2984.88E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_1129',41,100.0,10,5803.14E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_1589',44,100.0,6,4489.76E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_1889',37,78.54,14,2905.98E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_1984',25,100.0,9,3734.0E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_2870',27,100.0,7,2851.2E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_3232',33,100.0,11,5700.09E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S18_3685',28,100.0,8,4232.76E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_1046',30,70.55,3,2116.5E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_1628',48,42.26,5,2028.48E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_2766',30,72.7,1,2181.0E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_2972',37,33.23,12,1229.51E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_3191',39,84.75,2,3305.25E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_3432',21,89.95,4,1888.95E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10321,'S24_3856',26,100.0,13,4052.88E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-07 00:00:00.000000000','Shipped',NULL,462,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S10_1949',40,100.0,1,6000.4E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S10_4962',46,61.99,8,2851.54E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S12_1666',27,100.0,9,4784.13E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_1097',22,100.0,10,2251.04E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_1342',43,86.3,14,3710.9E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_1367',41,57.68,5,2364.88E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_2325',50,100.0,6,12536.5E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_2432',35,61.21,11,2142.35E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_2795',36,100.0,2,5797.44E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_2949',33,100.0,12,3524.73E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_2957',41,29.87,13,1224.67E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S18_3136',48,47.04,7,2257.92E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S24_1937',20,100.0,3,2624.0E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10322,'S24_2022',30,100.0,4,3500.1E0,'2004-11-04 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped','Customer has worked with some of our vendors in the past and is aware of their MSRP',363,'2004-11-04',4,11,2004);
INSERT INTO ORDERFACT VALUES(10323,'S18_3320',33,91.27,2,3011.91E0,'2004-11-05 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-09 00:00:00.000000000','Shipped',NULL,128,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10323,'S18_4600',47,100.0,1,6203.06E0,'2004-11-05 00:00:00.000000000','2004-11-12 00:00:00.000000000','2004-11-09 00:00:00.000000000','Shipped',NULL,128,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S12_3148',27,54.33,1,1466.91E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S12_4473',26,58.38,7,1517.88E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S18_2238',47,100.0,8,7207.45E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S18_2319',33,37.48,10,1236.84E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S18_3232',27,100.0,12,3155.49E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S18_4027',49,100.0,13,5379.71E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S18_4668',38,100.0,6,6832.02E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S24_1444',25,69.16,14,1729.0E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S24_2300',31,100.0,2,3820.44E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S24_2840',30,100.0,9,3338.1E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S24_4258',33,100.0,3,6267.69E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S32_1268',20,98.18,11,1963.6E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S32_3522',48,100.0,4,8209.44E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10324,'S700_2824',34,100.0,5,4248.3E0,'2004-11-05 00:00:00.000000000','2004-11-11 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,181,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S10_4757',47,64.93,6,3051.71E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S12_1108',42,64.0,8,2688.0E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S12_3891',24,100.0,1,2583.6E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S18_3140',24,69.12,9,1658.88E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S24_4048',44,100.0,5,5325.76E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S32_2509',38,100.0,3,8844.12E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S32_3207',28,100.0,2,5377.4E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S50_1392',38,100.0,4,5190.42E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10325,'S50_1514',44,100.0,7,5932.96E0,'2004-11-05 00:00:00.000000000','2004-11-13 00:00:00.000000000','2004-11-08 00:00:00.000000000','Shipped',NULL,121,'2004-11-05',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S18_3259',32,100.0,6,3807.68E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S18_4522',50,86.01,5,4300.5E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S24_2011',41,100.0,4,4333.29E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S24_3151',41,85.85,3,3519.85E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S24_3816',20,92.25,2,1845.0E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10326,'S700_1138',39,60.0,1,2340.0E0,'2004-11-09 00:00:00.000000000','2004-11-16 00:00:00.000000000','2004-11-10 00:00:00.000000000','Shipped',NULL,144,'2004-11-09',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S18_1662',25,100.0,6,2804.75E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S18_2581',45,100.0,8,4781.7E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S18_3029',25,45.86,5,1146.5E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S700_1938',20,100.0,7,3469.2E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S700_2610',21,96.31,1,2022.51E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S700_3505',43,80.0,2,3440.0E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S700_3962',37,86.61,3,3204.57E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10327,'S72_3212',37,86.74,4,3209.38E0,'2004-11-10 00:00:00.000000000','2004-11-19 00:00:00.000000000','2004-11-13 00:00:00.000000000','Resolved','Order was disputed and resolved on 12/1/04. The Sales Manager was involved. Customer claims the scales of the models don''t match what was discussed.',145,'2004-11-10',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S18_3856',34,100.0,6,3815.48E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S24_1785',47,87.54,14,4114.38E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S24_2841',48,58.92,1,2828.16E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S24_3420',20,72.98,2,1459.6E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S24_3949',35,76.43,3,2675.05E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S24_4278',43,60.86,4,2616.98E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S32_4289',24,81.17,5,1948.08E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S50_1341',34,51.93,7,1765.62E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_1691',27,100.0,8,2762.1E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_2047',41,100.0,9,4156.58E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_2466',37,100.0,10,4021.53E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_2834',33,100.0,11,4072.2E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_3167',33,64.0,13,2112.0E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10328,'S700_4002',39,85.87,12,3348.93E0,'2004-11-12 00:00:00.000000000','2004-11-21 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped','Customer very concerned about the exact color of the models. There is high risk that he may dispute the order because there is a slight color mismatch',278,'2004-11-12',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S10_1678',42,100.0,1,4396.14E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S10_2016',20,100.0,2,3176.0E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S10_4698',26,100.0,3,5868.2E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S12_1099',41,71.47,5,2930.27E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S12_2823',24,100.0,6,3542.64E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S12_3380',46,83.63,13,3846.98E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S12_3990',33,100.0,14,3607.56E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S12_4675',39,64.74,15,2524.86E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S18_1889',29,100.0,9,2954.81E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S18_2625',38,100.0,12,5266.04E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S18_3278',38,59.1,10,2245.8E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S24_1578',30,87.78,7,2633.4E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S24_2000',37,94.43,4,3493.91E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S32_1374',45,63.91,11,2875.95E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10329,'S72_1253',44,86.13,8,3789.72E0,'2004-11-15 00:00:00.000000000','2004-11-24 00:00:00.000000000','2004-11-16 00:00:00.000000000','Shipped',NULL,131,'2004-11-15',4,11,2004);
INSERT INTO ORDERFACT VALUES(10330,'S18_3482',37,100.0,3,4405.22E0,'2004-11-16 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-21 00:00:00.000000000','Shipped',NULL,385,'2004-11-16',4,11,2004);
INSERT INTO ORDERFACT VALUES(10330,'S18_3782',29,69.63,2,2019.27E0,'2004-11-16 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-21 00:00:00.000000000','Shipped',NULL,385,'2004-11-16',4,11,2004);
INSERT INTO ORDERFACT VALUES(10330,'S18_4721',50,100.0,4,6101.0E0,'2004-11-16 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-21 00:00:00.000000000','Shipped',NULL,385,'2004-11-16',4,11,2004);
INSERT INTO ORDERFACT VALUES(10330,'S24_2360',42,81.03,1,3403.26E0,'2004-11-16 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-21 00:00:00.000000000','Shipped',NULL,385,'2004-11-16',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_1129',46,100.0,6,6434.02E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_1589',44,100.0,14,4849.24E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_1749',44,74.04,7,3257.76E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_1984',30,32.47,8,974.1E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_2870',26,64.9,10,1687.4E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_3232',27,100.0,11,4170.69E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S18_3685',26,67.91,12,1765.66E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S24_2972',27,42.24,13,1140.48E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S24_3371',25,100.0,9,3078.5E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S24_3856',21,100.0,1,3135.93E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S24_4620',41,100.0,2,5715.4E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S32_2206',28,100.0,3,4102.56E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S32_4485',32,100.0,4,5026.56E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10331,'S50_4713',20,100.0,5,3657.8E0,'2004-11-17 00:00:00.000000000','2004-11-23 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped','Customer requested special shippment. The instructions were passed along to the warehouse',486,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_1342',46,95.13,15,4375.98E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_1367',27,89.89,16,2427.03E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_2248',38,84.25,9,3201.5E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_2325',35,64.69,8,2264.15E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_2795',24,52.67,1,1264.08E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_2957',26,100.0,17,2979.08E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_3136',40,39.8,18,1592.0E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_4409',50,100.0,2,7310.0E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S18_4933',21,100.0,3,3472.98E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_1046',23,56.84,4,1307.32E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_1628',20,87.96,5,1759.2E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_1937',45,81.91,6,3685.95E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_2022',26,85.52,10,2223.52E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_2766',39,86.72,7,3382.08E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_2887',44,42.26,11,1859.44E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_3191',45,34.19,12,1538.55E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_3432',31,37.18,13,1152.58E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10332,'S24_3969',41,77.24,14,3166.84E0,'2004-11-17 00:00:00.000000000','2004-11-25 00:00:00.000000000','2004-11-18 00:00:00.000000000','Shipped',NULL,187,'2004-11-17',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S10_1949',26,100.0,3,3003.0E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S12_1666',33,99.21,6,3273.93E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S18_1097',29,40.25,7,1167.25E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S18_2949',31,90.17,5,2795.27E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S18_3320',46,100.0,2,11336.7E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S18_4668',24,79.86,8,1916.64E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S24_4258',39,100.0,1,4424.16E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10333,'S32_3522',33,73.69,4,2431.77E0,'2004-11-18 00:00:00.000000000','2004-11-27 00:00:00.000000000','2004-11-20 00:00:00.000000000','Shipped',NULL,129,'2004-11-18',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S10_4962',26,100.0,2,3188.12E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S18_2319',46,100.0,6,5814.86E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S18_2432',34,61.38,1,2086.92E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S18_3232',20,100.0,3,2878.8E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S18_4600',49,100.0,4,6763.47E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10334,'S24_2300',42,100.0,5,5528.04E0,'2004-11-19 00:00:00.000000000','2004-11-28 00:00:00.000000000',NULL,'On Hold','The outstaniding balance for this customer exceeds their credit limit. Order will be shipped when a payment is received.',144,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10335,'S24_2840',33,37.13,2,1225.29E0,'2004-11-19 00:00:00.000000000','2004-11-29 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped',NULL,124,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10335,'S32_1268',44,100.0,1,4746.28E0,'2004-11-19 00:00:00.000000000','2004-11-29 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped',NULL,124,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10335,'S32_2509',40,60.6,3,2424.0E0,'2004-11-19 00:00:00.000000000','2004-11-29 00:00:00.000000000','2004-11-23 00:00:00.000000000','Shipped',NULL,124,'2004-11-19',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S12_1108',33,57.22,10,1888.26E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S12_3148',33,100.0,11,4059.33E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S12_3891',49,63.38,1,3105.62E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S12_4473',38,100.0,3,6372.6E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S18_2238',49,100.0,6,7460.74E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S18_3140',48,100.0,12,5778.24E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S18_3259',21,100.0,7,2230.41E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S24_1444',45,100.0,4,5972.4E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S24_4048',31,100.0,5,4618.69E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S32_3207',31,84.71,9,2626.01E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S50_1392',23,100.0,8,3141.57E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10336,'S700_2824',46,100.0,2,9558.8E0,'2004-11-20 00:00:00.000000000','2004-11-26 00:00:00.000000000','2004-11-24 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',172,'2004-11-20',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S10_4757',25,48.05,8,1201.25E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S18_4027',36,100.0,3,5679.36E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S18_4522',29,100.0,2,4498.19E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S24_2011',29,71.97,4,2087.13E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S50_1514',21,100.0,6,2296.77E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S700_1938',36,70.3,9,2530.8E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S700_3505',31,89.38,1,2770.78E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S700_3962',36,71.89,7,2588.04E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10337,'S72_3212',42,97.16,5,4080.72E0,'2004-11-21 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,424,'2004-11-21',4,11,2004);
INSERT INTO ORDERFACT VALUES(10338,'S18_1662',41,100.0,1,5624.79E0,'2004-11-22 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-27 00:00:00.000000000','Shipped',NULL,381,'2004-11-22',4,11,2004);
INSERT INTO ORDERFACT VALUES(10338,'S18_3029',28,82.58,3,2312.24E0,'2004-11-22 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-27 00:00:00.000000000','Shipped',NULL,381,'2004-11-22',4,11,2004);
INSERT INTO ORDERFACT VALUES(10338,'S18_3856',45,100.0,2,5526.45E0,'2004-11-22 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-27 00:00:00.000000000','Shipped',NULL,381,'2004-11-22',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S10_2016',40,68.92,4,2756.8E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S10_4698',39,76.67,3,2990.13E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S18_2581',27,100.0,2,2810.7E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S18_2625',30,62.16,1,1864.8E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_1578',27,84.39,10,2278.53E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_1785',21,50.65,7,1063.65E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_2841',55,100.0,12,6214.45E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_3151',55,100.0,13,10758.0E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_3420',29,99.69,14,2891.01E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_3816',42,59.36,16,2493.12E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S24_3949',45,96.92,11,4361.4E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S700_1138',22,100.0,5,2816.44E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S700_2047',55,71.25,15,3918.75E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S700_2610',50,74.35,9,3717.5E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S700_4002',50,57.86,8,2893.0E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10339,'S72_1253',27,76.31,6,2060.37E0,'2004-11-23 00:00:00.000000000','2004-11-30 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,398,'2004-11-23',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S24_2000',55,79.98,8,4398.9E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S24_4278',40,84.77,1,3390.8E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S32_1374',55,100.0,2,6482.85E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S32_4289',39,59.16,3,2307.24E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S50_1341',40,50.62,4,2024.8E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S700_1691',30,88.6,5,2658.0E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S700_2466',55,87.75,7,4826.25E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10340,'S700_2834',29,100.0,6,4094.51E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-25 00:00:00.000000000','Shipped','Customer is interested in buying more Ferrari models',216,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S10_1678',41,100.0,9,7737.93E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S12_1099',45,79.65,2,3584.25E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S12_2823',55,100.0,8,8118.55E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S12_3380',44,95.93,1,4220.92E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S12_3990',36,93.56,10,3368.16E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S12_4675',55,75.2,7,4136.0E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S24_2360',32,100.0,6,3307.2E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S32_4485',31,71.02,4,2201.62E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S50_4713',38,100.0,3,4682.36E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10341,'S700_3167',34,100.0,5,3644.12E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,382,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_1129',40,100.0,2,6454.4E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_1889',55,65.45,1,3599.75E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_1984',22,100.0,3,3160.74E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_3232',30,100.0,4,5029.5E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_3278',25,66.74,5,1668.5E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_3482',55,100.0,7,6548.3E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_3782',26,55.95,8,1454.7E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S18_4721',38,100.0,11,6276.46E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S24_2972',39,40.4,9,1575.6E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S24_3371',48,62.45,10,2997.6E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10342,'S24_3856',42,100.0,6,5013.54E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,114,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S18_1589',36,100.0,4,5848.92E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S18_2870',25,52.32,3,1308.0E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S18_3685',44,84.88,2,3734.72E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S24_1628',27,36.21,6,977.67E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S24_4620',30,100.0,1,3098.7E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10343,'S32_2206',29,100.0,5,3713.16E0,'2004-11-24 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,353,'2004-11-24',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S18_1749',45,100.0,1,7650.0E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S18_2248',40,56.91,2,2276.4E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S18_2325',30,100.0,3,3928.2E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S18_4409',21,100.0,4,2203.11E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S18_4933',26,63.43,5,1649.18E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S24_1046',29,59.53,7,1726.37E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10344,'S24_1937',20,35.18,6,703.6E0,'2004-11-25 00:00:00.000000000','2004-12-02 00:00:00.000000000','2004-11-29 00:00:00.000000000','Shipped',NULL,350,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10345,'S24_2022',43,53.76,1,2311.68E0,'2004-11-25 00:00:00.000000000','2004-12-01 00:00:00.000000000','2004-11-26 00:00:00.000000000','Shipped',NULL,103,'2004-11-25',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S18_1342',42,36.11,3,1516.62E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S24_2766',25,100.0,1,2876.75E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S24_2887',24,87.24,5,2093.76E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S24_3191',24,100.0,2,3325.92E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S24_3432',26,95.88,6,2492.88E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10346,'S24_3969',22,97.44,4,2143.68E0,'2004-11-29 00:00:00.000000000','2004-12-05 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped',NULL,112,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S10_1949',30,100.0,1,3944.7E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S10_4962',27,100.0,2,4428.0E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S12_1666',29,100.0,3,3586.43E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_1097',42,49.6,5,2083.2E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_1367',21,58.95,7,1237.95E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_2432',50,100.0,8,6834.5E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_2795',21,100.0,6,4815.3E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_2949',48,100.0,9,4814.4E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_2957',34,64.96,10,2208.64E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_3136',45,100.0,11,4948.2E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_3320',26,100.0,12,2656.94E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10347,'S18_4600',45,100.0,4,5884.65E0,'2004-11-29 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-11-30 00:00:00.000000000','Shipped','Can we deliver the new Ford Mustang models by end-of-quarter?',114,'2004-11-29',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S12_1108',48,52.36,8,2513.28E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S12_3148',47,100.0,4,4801.52E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S18_4668',29,100.0,6,7110.8E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S24_2300',37,100.0,1,5981.42E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S24_4258',39,50.31,2,1962.09E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S32_1268',42,100.0,3,6386.94E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S32_3522',31,100.0,5,3139.99E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10348,'S700_2824',32,82.83,7,2650.56E0,'2004-11-01 00:00:00.000000000','2004-11-08 00:00:00.000000000','2004-11-05 00:00:00.000000000','Shipped',NULL,458,'2004-11-01',4,11,2004);
INSERT INTO ORDERFACT VALUES(10349,'S12_3891',26,100.0,10,4408.56E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S12_4473',48,100.0,9,5232.96E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S18_2238',38,100.0,8,6719.54E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S18_2319',38,100.0,7,5223.48E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S18_3232',48,100.0,6,7396.8E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S18_4027',34,100.0,5,4394.84E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S24_1444',48,47.4,4,2275.2E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S24_2840',36,37.13,3,1336.68E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S24_4048',23,100.0,2,3182.97E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10349,'S32_2509',33,46.53,1,1535.49E0,'2004-12-01 00:00:00.000000000','2004-12-07 00:00:00.000000000','2004-12-03 00:00:00.000000000','Shipped',NULL,151,'2004-12-01',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S10_4757',26,75.47,5,1962.22E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S18_3029',43,64.97,6,2793.71E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S18_3140',44,100.0,1,5191.12E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S18_3259',41,93.04,2,3814.64E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S18_4522',30,100.0,3,3023.1E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S24_2011',34,50.33,7,1711.22E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S24_3151',30,100.0,9,3021.0E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S24_3816',25,60.34,10,1508.5E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S32_3207',27,100.0,14,4406.4E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S50_1392',31,71.4,8,2213.4E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S50_1514',44,100.0,17,6490.88E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S700_1138',46,76.67,11,3526.82E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S700_1938',28,100.0,4,2924.32E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S700_2610',29,75.35,12,2185.15E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S700_3505',31,77.34,13,2397.54E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S700_3962',25,100.0,16,2854.75E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10350,'S72_3212',20,100.0,15,2244.4E0,'2004-12-02 00:00:00.000000000','2004-12-08 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,141,'2004-12-02',4,12,2004);
INSERT INTO ORDERFACT VALUES(10351,'S18_1662',39,99.52,1,3881.28E0,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10351,'S18_3856',20,100.0,2,3374.6E0,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10351,'S24_2841',25,74.68,5,1867.0E0,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10351,'S24_3420',38,68.38,4,2598.44E0,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10351,'S24_3949',34,59.37,3,2018.58E0,'2004-12-03 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-07 00:00:00.000000000','Shipped',NULL,324,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10352,'S700_2047',23,100.0,3,2352.67E0,'2004-12-03 00:00:00.000000000','2004-12-12 00:00:00.000000000','2004-12-09 00:00:00.000000000','Shipped',NULL,198,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10352,'S700_2466',49,100.0,2,4935.28E0,'2004-12-03 00:00:00.000000000','2004-12-12 00:00:00.000000000','2004-12-09 00:00:00.000000000','Shipped',NULL,198,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10352,'S700_4002',22,75.51,1,1661.22E0,'2004-12-03 00:00:00.000000000','2004-12-12 00:00:00.000000000','2004-12-09 00:00:00.000000000','Shipped',NULL,198,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10352,'S72_1253',49,52.64,4,2579.36E0,'2004-12-03 00:00:00.000000000','2004-12-12 00:00:00.000000000','2004-12-09 00:00:00.000000000','Shipped',NULL,198,'2004-12-03',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S18_2581',27,100.0,1,3515.67E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S24_1785',28,71.73,2,2008.44E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S24_4278',35,89.9,3,3146.5E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S32_1374',46,81.17,5,3733.82E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S32_4289',40,44.51,7,1780.4E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S50_1341',40,82.21,8,3288.4E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S700_1691',39,100.0,9,5043.87E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S700_2834',48,68.8,4,3302.4E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10353,'S700_3167',43,81.95,6,3523.85E0,'2004-12-04 00:00:00.000000000','2004-12-11 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,447,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S10_1678',42,86.13,6,3617.46E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S10_2016',20,100.0,2,2093.4E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S10_4698',42,100.0,3,8947.26E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S12_1099',31,93.28,9,2891.68E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S12_2823',35,100.0,4,6401.5E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S12_3380',29,73.15,11,2121.35E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S12_3990',23,50.88,12,1170.24E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S12_4675',28,86.84,13,2431.52E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S18_1889',21,100.0,8,2319.45E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S18_2625',28,100.0,10,4639.04E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S18_3278',36,82.26,7,2961.36E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S24_1578',21,100.0,5,2392.32E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10354,'S24_2000',28,69.43,1,1944.04E0,'2004-12-04 00:00:00.000000000','2004-12-10 00:00:00.000000000','2004-12-05 00:00:00.000000000','Shipped',NULL,323,'2004-12-04',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S18_3482',23,100.0,7,3177.91E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S18_3782',31,53.47,1,1657.57E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S18_4721',25,100.0,2,4203.5E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S24_2360',41,70.65,3,2896.65E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S24_2972',36,38.52,4,1386.72E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S24_3371',44,62.45,6,2747.8E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S24_3856',32,100.0,8,5302.72E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S24_4620',28,95.39,9,2670.92E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S32_2206',38,39.83,10,1513.54E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10355,'S32_4485',40,100.0,5,4326.8E0,'2004-12-07 00:00:00.000000000','2004-12-14 00:00:00.000000000','2004-12-13 00:00:00.000000000','Shipped',NULL,141,'2004-12-07',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_1129',43,97.6,8,4196.8E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_1342',50,50.18,9,2509.0E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_1367',22,72.41,6,1593.02E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_1984',27,64.69,2,1746.63E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_2325',29,100.0,3,3630.22E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S18_2795',30,100.0,1,4462.2E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S24_1937',48,100.0,5,9720.0E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S24_2022',26,31.86,7,828.36E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10356,'S50_4713',26,100.0,4,3937.7E0,'2004-12-09 00:00:00.000000000','2004-12-15 00:00:00.000000000','2004-12-12 00:00:00.000000000','Shipped',NULL,250,'2004-12-09',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S10_1949',32,100.0,10,5691.84E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S10_4962',43,100.0,9,5780.92E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S12_1666',49,100.0,8,5960.36E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_1097',39,98.0,1,3822.0E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_2432',41,61.99,7,2541.59E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_2949',41,87.13,6,3572.33E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_2957',49,70.58,5,3458.42E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_3136',44,100.0,4,5160.76E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_3320',25,100.0,3,2604.25E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10357,'S18_4600',28,100.0,2,3559.64E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-14 00:00:00.000000000','Shipped',NULL,124,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S12_3148',49,55.34,5,2711.66E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S12_4473',42,64.16,9,2694.72E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S18_2238',20,100.0,10,2428.0E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S18_2319',20,36.42,11,728.4E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S18_3232',32,93.49,12,2991.68E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S18_4027',25,100.0,13,2528.25E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S18_4668',30,100.0,8,5302.8E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S24_1444',44,60.76,14,2673.44E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S24_2300',41,100.0,7,5684.65E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S24_2840',36,82.94,4,2985.84E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S24_4258',41,100.0,6,6847.0E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S32_1268',41,100.0,1,4428.0E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S32_3522',36,100.0,2,5669.64E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10358,'S700_2824',27,100.0,3,3761.37E0,'2004-12-10 00:00:00.000000000','2004-12-16 00:00:00.000000000','2004-12-16 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',141,'2004-12-10',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S10_4757',48,54.68,6,2624.64E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S12_1108',42,100.0,8,4764.48E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S12_3891',49,62.09,5,3042.41E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S24_4048',22,100.0,7,2603.04E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S32_2509',36,100.0,3,6358.68E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S32_3207',22,100.0,1,4301.22E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S50_1392',46,100.0,2,4896.7E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10359,'S50_1514',25,64.93,4,1623.25E0,'2004-12-15 00:00:00.000000000','2004-12-23 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,353,'2004-12-15',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_1662',50,58.67,12,2933.5E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_2581',41,87.48,13,3586.68E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_3029',46,77.34,14,3557.64E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_3140',29,100.0,8,5076.16E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_3259',29,100.0,18,2940.02E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_3856',40,87.15,15,3486.0E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S18_4522',40,86.02,1,3440.8E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S24_1785',22,100.0,17,2534.4E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S24_2011',31,100.0,2,3683.73E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S24_2841',49,56.78,16,2782.22E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S24_3151',36,100.0,3,4102.2E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S24_3816',22,100.0,4,2445.52E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S700_1138',32,100.0,5,3230.08E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S700_1938',26,97.38,6,2531.88E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S700_2610',30,100.0,7,3760.5E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S700_3505',35,65.77,9,2301.95E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S700_3962',31,100.0,10,3210.36E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10360,'S72_3212',31,96.44,11,2989.64E0,'2004-12-16 00:00:00.000000000','2004-12-22 00:00:00.000000000','2004-12-18 00:00:00.000000000','Shipped',NULL,496,'2004-12-16',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S10_1678',20,72.55,13,1451.0E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S10_2016',26,51.15,8,1329.9E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S24_3420',34,100.0,6,3871.92E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S24_3949',26,100.0,7,3710.98E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S24_4278',25,62.46,1,1561.5E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S32_4289',49,72.33,2,3544.17E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S50_1341',33,82.59,3,2725.47E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_1691',20,60.54,4,1210.8E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_2047',24,45.39,14,1089.36E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_2466',26,100.0,9,2754.7E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_2834',44,72.42,5,3186.48E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_3167',44,100.0,10,5001.92E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S700_4002',35,100.0,11,4277.35E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10361,'S72_1253',23,95.2,12,2189.6E0,'2004-12-17 00:00:00.000000000','2004-12-24 00:00:00.000000000','2004-12-20 00:00:00.000000000','Shipped',NULL,282,'2004-12-17',4,12,2004);
INSERT INTO ORDERFACT VALUES(10362,'S10_4698',22,100.0,4,3664.1E0,'2005-01-05 00:00:00.000000000','2005-01-16 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,161,'2005-01-05',1,1,2005);
INSERT INTO ORDERFACT VALUES(10362,'S12_2823',22,100.0,1,3877.06E0,'2005-01-05 00:00:00.000000000','2005-01-16 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,161,'2005-01-05',1,1,2005);
INSERT INTO ORDERFACT VALUES(10362,'S18_2625',23,49.67,3,1142.41E0,'2005-01-05 00:00:00.000000000','2005-01-16 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,161,'2005-01-05',1,1,2005);
INSERT INTO ORDERFACT VALUES(10362,'S24_1578',50,96.92,2,4846.0E0,'2005-01-05 00:00:00.000000000','2005-01-16 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,161,'2005-01-05',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S12_1099',33,85.39,3,2817.87E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S12_3380',34,96.73,4,3288.82E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S12_3990',34,81.62,5,2775.08E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S12_4675',46,88.45,6,4068.7E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S18_1889',22,100.0,7,3686.54E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S18_3278',46,60.3,10,2773.8E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S18_3482',24,100.0,11,4142.64E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S18_3782',32,89.12,12,2851.84E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S18_4721',28,58.18,13,1629.04E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S24_2000',21,100.0,8,3595.62E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S24_2360',43,61.23,14,2632.89E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S24_3371',21,100.0,15,2447.76E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S24_3856',31,94.58,1,2931.98E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S24_4620',43,100.0,9,5154.41E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10363,'S32_1374',50,100.0,2,6576.5E0,'2005-01-06 00:00:00.000000000','2005-01-12 00:00:00.000000000','2005-01-10 00:00:00.000000000','Shipped',NULL,334,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10364,'S32_2206',48,48.28,1,2317.44E0,'2005-01-06 00:00:00.000000000','2005-01-17 00:00:00.000000000','2005-01-09 00:00:00.000000000','Shipped',NULL,350,'2005-01-06',1,1,2005);
INSERT INTO ORDERFACT VALUES(10365,'S18_1129',30,87.06,1,2611.8E0,'2005-01-07 00:00:00.000000000','2005-01-18 00:00:00.000000000','2005-01-11 00:00:00.000000000','Shipped',NULL,320,'2005-01-07',1,1,2005);
INSERT INTO ORDERFACT VALUES(10365,'S32_4485',22,100.0,3,3425.18E0,'2005-01-07 00:00:00.000000000','2005-01-18 00:00:00.000000000','2005-01-11 00:00:00.000000000','Shipped',NULL,320,'2005-01-07',1,1,2005);
INSERT INTO ORDERFACT VALUES(10365,'S50_4713',44,100.0,2,4984.32E0,'2005-01-07 00:00:00.000000000','2005-01-18 00:00:00.000000000','2005-01-11 00:00:00.000000000','Shipped',NULL,320,'2005-01-07',1,1,2005);
INSERT INTO ORDERFACT VALUES(10366,'S18_1984',34,100.0,3,4207.84E0,'2005-01-10 00:00:00.000000000','2005-01-19 00:00:00.000000000','2005-01-12 00:00:00.000000000','Shipped',NULL,381,'2005-01-10',1,1,2005);
INSERT INTO ORDERFACT VALUES(10366,'S18_2870',49,100.0,2,6144.6E0,'2005-01-10 00:00:00.000000000','2005-01-19 00:00:00.000000000','2005-01-12 00:00:00.000000000','Shipped',NULL,381,'2005-01-10',1,1,2005);
INSERT INTO ORDERFACT VALUES(10366,'S18_3232',34,100.0,1,6275.72E0,'2005-01-10 00:00:00.000000000','2005-01-19 00:00:00.000000000','2005-01-12 00:00:00.000000000','Shipped',NULL,381,'2005-01-10',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_1589',49,56.3,1,2758.7E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_1749',37,100.0,3,4703.81E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_2248',45,100.0,4,8884.8E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_2325',27,100.0,5,4196.07E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_2795',32,94.79,7,3033.28E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_3685',46,100.0,6,4808.38E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_4409',43,62.72,8,2696.96E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S18_4933',44,85.25,9,3751.0E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S24_1046',21,60.37,10,1267.77E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S24_1628',38,38.5,11,1463.0E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S24_1937',23,36.29,13,834.67E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S24_2022',28,30.59,12,856.52E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10367,'S24_2972',36,100.0,2,5018.4E0,'2005-01-12 00:00:00.000000000','2005-01-21 00:00:00.000000000','2005-01-16 00:00:00.000000000','Resolved','This order was disputed and resolved on 2/1/2005. Customer claimed that container with shipment was damaged. FedEx''s investigation proved this wrong.',205,'2005-01-12',1,1,2005);
INSERT INTO ORDERFACT VALUES(10368,'S24_2766',40,100.0,2,4107.2E0,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124,'2005-01-19',1,1,2005);
INSERT INTO ORDERFACT VALUES(10368,'S24_2887',31,100.0,5,4223.13E0,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124,'2005-01-19',1,1,2005);
INSERT INTO ORDERFACT VALUES(10368,'S24_3191',46,79.62,1,3662.52E0,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124,'2005-01-19',1,1,2005);
INSERT INTO ORDERFACT VALUES(10368,'S24_3432',20,99.58,4,1991.6E0,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124,'2005-01-19',1,1,2005);
INSERT INTO ORDERFACT VALUES(10368,'S24_3969',46,37.34,3,1717.64E0,'2005-01-19 00:00:00.000000000','2005-01-27 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped','Can we renegotiate this one?',124,'2005-01-19',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S10_1949',41,100.0,2,4514.92E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_1342',44,100.0,8,9240.44E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_1367',32,98.63,7,3156.16E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_2949',42,100.0,1,4581.36E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_2957',28,44.21,6,1237.88E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_3136',21,94.22,5,1978.62E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S18_3320',45,73.08,4,3288.6E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10369,'S24_4258',40,86.92,3,3476.8E0,'2005-01-20 00:00:00.000000000','2005-01-28 00:00:00.000000000','2005-01-24 00:00:00.000000000','Shipped',NULL,379,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S10_4962',35,65.63,4,2297.05E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S12_1666',49,100.0,8,8470.14E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_1097',27,100.0,1,3911.49E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_2319',22,100.0,5,3949.0E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_2432',22,96.86,7,2130.92E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_3232',27,56.85,9,1534.95E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_4600',29,57.53,6,1668.37E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S18_4668',20,100.0,2,2730.0E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10370,'S32_3522',25,100.0,3,3160.25E0,'2005-01-20 00:00:00.000000000','2005-02-01 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,276,'2005-01-20',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S12_1108',32,100.0,6,3560.64E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S12_4473',49,35.71,4,1749.79E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S18_2238',25,100.0,7,2602.25E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S24_1444',25,97.27,12,2431.75E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S24_2300',20,100.0,5,3449.4E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S24_2840',45,100.0,8,5545.8E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S24_4048',28,50.32,9,1408.96E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S32_1268',26,100.0,1,4044.04E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S32_2509',20,66.47,2,1329.4E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S32_3207',30,99.55,11,2986.5E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S50_1392',48,56.55,10,2714.4E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10371,'S700_2824',34,100.0,3,4301.34E0,'2005-01-23 00:00:00.000000000','2005-02-03 00:00:00.000000000','2005-01-25 00:00:00.000000000','Shipped',NULL,124,'2005-01-23',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S12_3148',40,100.0,4,5862.0E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S12_3891',34,100.0,1,5941.5E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S18_3140',28,100.0,3,3862.88E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S18_3259',25,84.71,5,2117.75E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S18_4027',48,100.0,6,7031.52E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S18_4522',41,86.89,7,3562.49E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S24_2011',37,100.0,8,3910.53E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S50_1514',24,58.58,9,1405.92E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10372,'S700_1938',44,100.0,2,4496.8E0,'2005-01-26 00:00:00.000000000','2005-02-05 00:00:00.000000000','2005-01-28 00:00:00.000000000','Shipped',NULL,398,'2005-01-26',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S10_4757',39,100.0,3,4046.25E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S18_1662',28,57.55,4,1611.4E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S18_3029',22,86.74,5,1908.28E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S18_3856',50,60.49,6,3024.5E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S24_2841',38,70.44,7,2676.72E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S24_3151',33,57.32,12,1891.56E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S24_3420',46,66.0,11,3036.0E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S24_3816',23,100.0,10,2394.3E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S24_3949',39,73.0,13,2847.0E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_1138',44,100.0,14,4627.92E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_2047',32,84.41,15,2701.12E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_2610',41,70.33,16,2883.53E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_3505',34,96.34,2,3275.56E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_3962',37,100.0,8,4025.6E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S700_4002',45,55.62,17,2502.9E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S72_1253',25,64.97,9,1624.25E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10373,'S72_3212',29,100.0,1,3978.51E0,'2005-01-31 00:00:00.000000000','2005-02-08 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,311,'2005-01-31',1,1,2005);
INSERT INTO ORDERFACT VALUES(10374,'S10_2016',39,100.0,5,5288.01E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10374,'S10_4698',22,100.0,1,3834.38E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10374,'S18_2581',42,69.27,2,2909.34E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10374,'S18_2625',22,53.3,4,1172.6E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10374,'S24_1578',38,100.0,6,4197.1E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10374,'S24_1785',46,94.1,3,4328.6E0,'2005-02-02 00:00:00.000000000','2005-02-09 00:00:00.000000000','2005-02-03 00:00:00.000000000','Shipped',NULL,333,'2005-02-02',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S10_1678',21,34.91,12,733.11E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S12_1099',45,76.0,7,3420.0E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S12_2823',49,78.92,13,3867.08E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S24_2000',23,100.0,9,2443.29E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S24_2360',20,100.0,14,2046.0E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S24_4278',43,100.0,2,10039.6E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S32_1374',37,100.0,3,6353.27E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S32_4289',44,82.26,4,3619.44E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S32_4485',41,100.0,15,4701.88E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S50_1341',49,65.8,5,3224.2E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S50_4713',49,100.0,8,5406.66E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S700_1691',37,81.87,6,3029.19E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S700_2466',33,100.0,1,3856.71E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S700_2834',25,66.73,10,1668.25E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10375,'S700_3167',44,100.0,11,5208.72E0,'2005-02-03 00:00:00.000000000','2005-02-10 00:00:00.000000000','2005-02-06 00:00:00.000000000','Shipped',NULL,119,'2005-02-03',1,2,2005);
INSERT INTO ORDERFACT VALUES(10376,'S12_3380',35,100.0,1,3987.2E0,'2005-02-08 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-13 00:00:00.000000000','Shipped',NULL,219,'2005-02-08',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S12_3990',24,67.83,5,1627.92E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S12_4675',50,100.0,1,5182.0E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S18_1129',35,100.0,2,5895.05E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S18_1889',31,67.76,4,2100.56E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S18_1984',36,100.0,6,4352.76E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10377,'S18_3232',39,100.0,3,7264.53E0,'2005-02-09 00:00:00.000000000','2005-02-21 00:00:00.000000000','2005-02-12 00:00:00.000000000','Shipped','Cautious optimism. We have happy customers here, if we can keep them well stocked.  I need all the information I can get on the planned shippments of Porches',186,'2005-02-09',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S18_1589',34,42.64,5,1449.76E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S18_3278',22,100.0,4,2464.0E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S18_3482',43,96.49,10,4149.07E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S18_3782',28,100.0,9,4609.64E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S18_4721',49,67.14,8,3289.86E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S24_2972',41,100.0,7,5856.85E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S24_3371',46,41.54,6,1910.84E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S24_3856',33,53.27,3,1757.91E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S24_4620',41,100.0,2,4894.17E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10378,'S32_2206',40,82.46,1,3298.4E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10379,'S18_1749',39,100.0,2,5399.55E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10379,'S18_2248',27,49.3,1,1331.1E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10379,'S18_2870',29,100.0,5,5127.2E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10379,'S18_3685',32,70.83,4,2266.56E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10379,'S24_1628',32,100.0,3,3970.56E0,'2005-02-10 00:00:00.000000000','2005-02-18 00:00:00.000000000','2005-02-11 00:00:00.000000000','Shipped',NULL,141,'2005-02-10',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S18_1342',27,93.16,13,2515.32E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S18_2325',40,100.0,10,4931.6E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S18_2795',21,47.18,8,990.78E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S18_4409',32,100.0,1,3376.64E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S18_4933',24,100.0,2,4536.0E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_1046',34,100.0,3,3441.82E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_1937',32,70.56,4,2257.92E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_2022',27,68.35,5,1845.45E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_2766',36,37.5,6,1350.0E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_2887',44,36.29,7,1596.76E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_3191',44,79.06,9,3478.64E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_3432',34,100.0,11,3953.18E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10380,'S24_3969',43,95.03,12,4086.29E0,'2005-02-16 00:00:00.000000000','2005-02-24 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,141,'2005-02-16',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S10_1949',36,100.0,3,8254.8E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S10_4962',37,100.0,6,6231.54E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S12_1666',20,100.0,1,2952.0E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_1097',48,98.0,2,4704.0E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_1367',25,52.83,9,1320.75E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_2432',35,48.62,7,1701.7E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_2949',41,100.0,8,4319.76E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_2957',40,68.08,4,2723.2E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10381,'S18_3136',35,100.0,5,4288.2E0,'2005-02-17 00:00:00.000000000','2005-02-25 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped',NULL,321,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S12_1108',34,100.0,10,3823.64E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S12_3148',37,100.0,11,4071.85E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S12_3891',34,95.35,12,3241.9E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S12_4473',32,66.58,13,2130.56E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S18_2238',25,88.0,5,2200.0E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S18_3320',50,100.0,7,8935.5E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S18_4600',39,100.0,1,4890.6E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S18_4668',39,100.0,2,7827.3E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S24_2300',20,100.0,3,2654.4E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S24_4258',33,100.0,4,4592.61E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S32_1268',26,100.0,6,2708.42E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S32_3522',48,100.0,8,6799.68E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10382,'S700_2824',34,54.84,9,1864.56E0,'2005-02-17 00:00:00.000000000','2005-02-23 00:00:00.000000000','2005-02-18 00:00:00.000000000','Shipped','Custom shipping instructions sent to warehouse',124,'2005-02-17',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_2319',27,100.0,11,3843.99E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_3140',24,61.52,9,1476.48E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_3232',47,100.0,6,6869.05E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_3259',26,100.0,12,3340.48E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_4027',38,100.0,1,5340.9E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S18_4522',28,58.58,7,1640.24E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S24_1444',22,91.76,2,2018.72E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S24_2840',40,100.0,3,6089.6E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S24_4048',21,93.91,4,1972.11E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S32_2509',32,53.18,5,1701.76E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S32_3207',44,36.07,8,1587.08E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S50_1392',29,100.0,13,3087.05E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10383,'S50_1514',38,60.06,10,2282.28E0,'2005-02-22 00:00:00.000000000','2005-03-02 00:00:00.000000000','2005-02-25 00:00:00.000000000','Shipped',NULL,141,'2005-02-22',1,2,2005);
INSERT INTO ORDERFACT VALUES(10384,'S10_4757',34,100.0,4,4846.7E0,'2005-02-23 00:00:00.000000000','2005-03-06 00:00:00.000000000','2005-02-27 00:00:00.000000000','Shipped',NULL,321,'2005-02-23',1,2,2005);
INSERT INTO ORDERFACT VALUES(10384,'S24_2011',28,80.54,3,2255.12E0,'2005-02-23 00:00:00.000000000','2005-03-06 00:00:00.000000000','2005-02-27 00:00:00.000000000','Shipped',NULL,321,'2005-02-23',1,2,2005);
INSERT INTO ORDERFACT VALUES(10384,'S24_3151',43,97.87,2,4208.41E0,'2005-02-23 00:00:00.000000000','2005-03-06 00:00:00.000000000','2005-02-27 00:00:00.000000000','Shipped',NULL,321,'2005-02-23',1,2,2005);
INSERT INTO ORDERFACT VALUES(10384,'S700_1938',49,100.0,1,6397.44E0,'2005-02-23 00:00:00.000000000','2005-03-06 00:00:00.000000000','2005-02-27 00:00:00.000000000','Shipped',NULL,321,'2005-02-23',1,2,2005);
INSERT INTO ORDERFACT VALUES(10385,'S24_3816',37,85.54,2,3164.98E0,'2005-02-28 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-01 00:00:00.000000000','Shipped',NULL,124,'2005-02-28',1,2,2005);
INSERT INTO ORDERFACT VALUES(10385,'S700_1138',25,77.34,1,1933.5E0,'2005-02-28 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-01 00:00:00.000000000','Shipped',NULL,124,'2005-02-28',1,2,2005);
INSERT INTO ORDERFACT VALUES(10386,'S18_1662',25,54.57,7,1364.25E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S18_2581',21,74.77,18,1570.17E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S18_3029',37,93.01,5,3441.37E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S18_3856',22,57.55,6,1266.1E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S24_1785',33,41.71,11,1376.43E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S24_2841',39,55.96,1,2182.44E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S24_3420',35,63.76,9,2231.6E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S24_3949',41,73.32,12,3006.12E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S24_4278',50,63.34,8,3167.0E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_2047',29,85.76,13,2487.04E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_2466',37,83.84,14,3102.08E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_2610',37,100.0,10,5017.57E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_3167',32,94.34,17,3018.88E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_3505',45,92.08,2,4143.6E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_3962',30,95.48,3,2864.4E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S700_4002',44,86.4,15,3801.6E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S72_1253',50,87.15,16,4357.5E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10386,'S72_3212',43,100.0,4,5417.57E0,'2005-03-01 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Resolved','Disputed then Resolved on 3/15/2005. Customer doesn''t like the craftsmaship of the models.',141,'2005-03-01',1,3,2005);
INSERT INTO ORDERFACT VALUES(10387,'S32_1374',44,94.9,1,4175.6E0,'2005-03-02 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-06 00:00:00.000000000','Shipped','We need to keep in close contact with their Marketing VP. He is the decision maker for all their purchases.',148,'2005-03-02',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S10_1678',42,76.36,4,3207.12E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S10_2016',50,44.51,5,2225.5E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S10_4698',21,86.77,7,1822.17E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S12_2823',44,100.0,6,5951.44E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S32_4289',35,100.0,8,3918.95E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S50_1341',27,100.0,1,3211.38E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S700_1691',46,100.0,2,10066.6E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10388,'S700_2834',50,100.0,3,7154.5E0,'2005-03-03 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-09 00:00:00.000000000','Shipped',NULL,462,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S12_1099',26,99.04,4,2575.04E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S12_3380',25,72.38,6,1809.5E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S12_3990',36,70.26,7,2529.36E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S12_4675',47,100.0,8,5243.79E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S18_1889',49,79.22,3,3881.78E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S18_2625',39,100.0,5,6981.0E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S24_1578',45,100.0,1,4597.65E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10389,'S24_2000',49,81.4,2,3988.6E0,'2005-03-03 00:00:00.000000000','2005-03-09 00:00:00.000000000','2005-03-08 00:00:00.000000000','Shipped',NULL,448,'2005-03-03',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_1129',36,93.77,14,3375.72E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_1984',34,43.05,15,1463.7E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_2325',31,98.99,16,3068.69E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_2795',26,78.11,7,2030.86E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_3278',40,100.0,9,5491.6E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_3482',50,100.0,1,7397.0E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_3782',36,100.0,2,5079.96E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S18_4721',49,100.0,3,6862.94E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S24_2360',35,65.13,4,2279.55E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S24_2972',37,100.0,5,4894.73E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S24_3371',46,52.84,6,2430.64E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S24_3856',45,100.0,8,6763.05E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S24_4620',30,82.42,10,2472.6E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S32_2206',41,44.56,11,1826.96E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S32_4485',45,48.98,12,2204.1E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10390,'S50_4713',22,100.0,13,3491.18E0,'2005-03-04 00:00:00.000000000','2005-03-11 00:00:00.000000000','2005-03-07 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',124,'2005-03-04',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S10_1949',24,100.0,4,2416.56E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S10_4962',37,46.9,7,1735.3E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S12_1666',39,63.2,9,2464.8E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S18_1097',29,85.1,10,2467.9E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S18_1342',35,100.0,2,5548.9E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S18_1367',42,100.0,3,4998.0E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S18_2432',44,38.5,5,1694.0E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S18_2949',32,45.25,6,1448.0E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S24_1937',33,100.0,8,8344.71E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10391,'S24_2022',24,100.0,1,4042.08E0,'2005-03-09 00:00:00.000000000','2005-03-20 00:00:00.000000000','2005-03-15 00:00:00.000000000','Shipped',NULL,276,'2005-03-09',1,3,2005);
INSERT INTO ORDERFACT VALUES(10392,'S18_2957',37,59.96,3,2218.52E0,'2005-03-10 00:00:00.000000000','2005-03-18 00:00:00.000000000','2005-03-12 00:00:00.000000000','Shipped',NULL,452,'2005-03-10',1,3,2005);
INSERT INTO ORDERFACT VALUES(10392,'S18_3136',29,86.92,2,2520.68E0,'2005-03-10 00:00:00.000000000','2005-03-18 00:00:00.000000000','2005-03-12 00:00:00.000000000','Shipped',NULL,452,'2005-03-10',1,3,2005);
INSERT INTO ORDERFACT VALUES(10392,'S18_3320',36,100.0,1,4035.96E0,'2005-03-10 00:00:00.000000000','2005-03-18 00:00:00.000000000','2005-03-12 00:00:00.000000000','Shipped',NULL,452,'2005-03-10',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S12_3148',35,100.0,8,3817.8E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S12_4473',32,100.0,10,3236.16E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S18_2238',20,69.81,11,1396.2E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S18_2319',38,100.0,7,3805.32E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S18_4600',30,100.0,9,3625.8E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S18_4668',44,100.0,1,4849.24E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S24_2300',33,100.0,2,5835.39E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S24_4258',33,98.18,3,3239.94E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S32_1268',38,100.0,4,5521.4E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S32_3522',31,57.86,5,1793.66E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10393,'S700_2824',21,100.0,6,2146.83E0,'2005-03-11 00:00:00.000000000','2005-03-22 00:00:00.000000000','2005-03-14 00:00:00.000000000','Shipped','They want to reevaluate their terms agreement with Finance.',323,'2005-03-11',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S18_3232',22,100.0,5,3353.02E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S18_4027',37,100.0,1,6376.58E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S24_1444',31,50.29,2,1558.99E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S24_2840',46,38.9,6,1789.4E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S24_4048',37,100.0,7,5207.75E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S32_2509',36,62.77,3,2259.72E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10394,'S32_3207',30,60.28,4,1808.4E0,'2005-03-15 00:00:00.000000000','2005-03-25 00:00:00.000000000','2005-03-19 00:00:00.000000000','Shipped',NULL,141,'2005-03-15',1,3,2005);
INSERT INTO ORDERFACT VALUES(10395,'S10_4757',32,100.0,2,3370.56E0,'2005-03-17 00:00:00.000000000','2005-03-24 00:00:00.000000000','2005-03-23 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',250,'2005-03-17',1,3,2005);
INSERT INTO ORDERFACT VALUES(10395,'S12_1108',33,69.12,1,2280.96E0,'2005-03-17 00:00:00.000000000','2005-03-24 00:00:00.000000000','2005-03-23 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',250,'2005-03-17',1,3,2005);
INSERT INTO ORDERFACT VALUES(10395,'S50_1392',46,100.0,4,5692.96E0,'2005-03-17 00:00:00.000000000','2005-03-24 00:00:00.000000000','2005-03-23 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',250,'2005-03-17',1,3,2005);
INSERT INTO ORDERFACT VALUES(10395,'S50_1514',45,100.0,3,8977.05E0,'2005-03-17 00:00:00.000000000','2005-03-24 00:00:00.000000000','2005-03-23 00:00:00.000000000','Shipped','We must be cautions with this customer. Their VP of Sales resigned. Company may be heading down.',250,'2005-03-17',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S12_3891',33,100.0,3,6109.29E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S18_3140',33,100.0,2,5273.73E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S18_3259',24,89.75,4,2154.0E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S18_4522',45,100.0,5,4739.4E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S24_2011',49,100.0,6,5720.75E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S24_3151',27,83.2,7,2246.4E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S24_3816',37,90.57,8,3351.09E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10396,'S700_1138',39,66.67,1,2600.13E0,'2005-03-23 00:00:00.000000000','2005-04-02 00:00:00.000000000','2005-03-28 00:00:00.000000000','Shipped',NULL,124,'2005-03-23',1,3,2005);
INSERT INTO ORDERFACT VALUES(10397,'S700_1938',32,80.55,5,2577.6E0,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242,'2005-03-28',1,3,2005);
INSERT INTO ORDERFACT VALUES(10397,'S700_2610',22,66.5,4,1463.0E0,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242,'2005-03-28',1,3,2005);
INSERT INTO ORDERFACT VALUES(10397,'S700_3505',48,100.0,3,5192.64E0,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242,'2005-03-28',1,3,2005);
INSERT INTO ORDERFACT VALUES(10397,'S700_3962',36,100.0,2,3789.72E0,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242,'2005-03-28',1,3,2005);
INSERT INTO ORDERFACT VALUES(10397,'S72_3212',34,62.24,1,2116.16E0,'2005-03-28 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-04-01 00:00:00.000000000','Shipped',NULL,242,'2005-03-28',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S18_1662',33,100.0,11,4215.09E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S18_2581',34,76.88,15,2613.92E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S18_3029',28,72.26,18,2023.28E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S18_3856',45,100.0,17,4811.85E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S24_1785',43,100.0,16,5552.16E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S24_2841',28,57.55,3,1611.4E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S24_3420',34,71.67,13,2436.78E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S24_3949',41,68.24,2,2797.84E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S24_4278',45,78.25,14,3521.25E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S32_4289',22,67.41,4,1483.02E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S50_1341',49,36.66,5,1796.34E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_1691',47,87.69,6,4121.43E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_2047',36,100.0,7,3910.32E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_2466',22,86.76,8,1908.72E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_2834',23,100.0,9,2810.83E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_3167',29,65.6,10,1902.4E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S700_4002',36,87.36,12,3144.96E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10398,'S72_1253',34,40.22,1,1367.48E0,'2005-03-30 00:00:00.000000000','2005-04-09 00:00:00.000000000','2005-03-31 00:00:00.000000000','Shipped',NULL,353,'2005-03-30',1,3,2005);
INSERT INTO ORDERFACT VALUES(10399,'S10_1678',40,100.0,8,4555.2E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S10_2016',51,100.0,7,6308.7E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S10_4698',22,100.0,6,3493.6E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S12_2823',29,100.0,5,4761.22E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S18_2625',30,68.44,4,2053.2E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S24_1578',57,100.0,3,6038.58E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S24_2000',58,89.12,2,5168.96E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10399,'S32_1374',32,99.89,1,3196.48E0,'2005-04-01 00:00:00.000000000','2005-04-12 00:00:00.000000000','2005-04-03 00:00:00.000000000','Shipped',NULL,496,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S10_4757',64,100.0,9,9661.44E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S18_1662',34,100.0,1,6433.82E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S18_3029',30,74.84,7,2245.2E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S18_3856',58,100.0,6,7307.42E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S24_2841',24,61.66,2,1479.84E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S24_3420',38,57.2,3,2173.6E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S24_3816',42,72.96,8,3064.32E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S700_2047',46,87.8,5,4038.8E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10400,'S72_1253',20,56.12,4,1122.4E0,'2005-04-01 00:00:00.000000000','2005-04-11 00:00:00.000000000','2005-04-04 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',450,'2005-04-01',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S18_2581',42,76.03,3,3193.26E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S24_1785',38,96.29,5,3659.02E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S24_3949',64,60.05,12,3843.2E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S24_4278',52,81.14,4,4219.28E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S32_1374',49,100.0,1,4992.61E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S32_4289',62,77.73,6,4819.26E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S50_1341',56,35.35,7,1979.6E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S700_1691',11,100.0,8,1135.31E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S700_2466',85,88.75,10,7543.75E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S700_2834',21,96.11,2,2018.31E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S700_3167',77,92.0,9,7084.0E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10401,'S700_4002',28,72.55,11,2031.4E0,'2005-04-03 00:00:00.000000000','2005-04-14 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',328,'2005-04-03',2,4,2005);
INSERT INTO ORDERFACT VALUES(10402,'S10_2016',45,100.0,1,5833.8E0,'2005-04-07 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-12 00:00:00.000000000','Shipped',NULL,406,'2005-04-07',2,4,2005);
INSERT INTO ORDERFACT VALUES(10402,'S18_2625',55,55.72,2,3064.6E0,'2005-04-07 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-12 00:00:00.000000000','Shipped',NULL,406,'2005-04-07',2,4,2005);
INSERT INTO ORDERFACT VALUES(10402,'S24_2000',59,87.6,3,5168.4E0,'2005-04-07 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-12 00:00:00.000000000','Shipped',NULL,406,'2005-04-07',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S10_1678',24,100.0,7,2434.56E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S10_4698',66,100.0,9,11886.6E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S12_2823',66,100.0,6,8648.64E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S18_3782',36,52.22,1,1879.92E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S24_1578',46,100.0,8,5287.7E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S24_2360',27,79.65,4,2150.55E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S32_2206',30,40.23,2,1206.9E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S32_4485',45,100.0,5,5189.4E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10403,'S50_4713',31,68.34,3,2118.54E0,'2005-04-08 00:00:00.000000000','2005-04-18 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,201,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S12_1099',64,100.0,3,13199.4E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S12_3380',43,100.0,1,4696.46E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S12_3990',77,74.21,4,5714.17E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S18_3278',90,73.17,6,6585.3E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S18_3482',28,100.0,5,3745.28E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S18_4721',48,100.0,8,6928.32E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S24_3371',49,62.45,2,3060.05E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10404,'S24_4620',48,93.77,7,4500.96E0,'2005-04-08 00:00:00.000000000','2005-04-14 00:00:00.000000000','2005-04-11 00:00:00.000000000','Shipped',NULL,323,'2005-04-08',2,4,2005);
INSERT INTO ORDERFACT VALUES(10405,'S12_4675',97,93.28,5,9048.16E0,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209,'2005-04-14',2,4,2005);
INSERT INTO ORDERFACT VALUES(10405,'S18_1889',61,73.92,4,4509.12E0,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209,'2005-04-14',2,4,2005);
INSERT INTO ORDERFACT VALUES(10405,'S18_3232',55,100.0,1,8289.05E0,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209,'2005-04-14',2,4,2005);
INSERT INTO ORDERFACT VALUES(10405,'S24_2972',47,44.56,2,2094.32E0,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209,'2005-04-14',2,4,2005);
INSERT INTO ORDERFACT VALUES(10405,'S24_3856',76,100.0,3,11739.7E0,'2005-04-14 00:00:00.000000000','2005-04-24 00:00:00.000000000','2005-04-20 00:00:00.000000000','Shipped',NULL,209,'2005-04-14',2,4,2005);
INSERT INTO ORDERFACT VALUES(10406,'S18_1129',61,100.0,3,8374.69E0,'2005-04-15 00:00:00.000000000','2005-04-25 00:00:00.000000000','2005-04-21 00:00:00.000000000','Disputed','Customer claims container with shipment was damaged during shipping and some items were missing. I am talking to FedEx about this.',145,'2005-04-15',2,4,2005);
INSERT INTO ORDERFACT VALUES(10406,'S18_1984',48,100.0,2,7169.28E0,'2005-04-15 00:00:00.000000000','2005-04-25 00:00:00.000000000','2005-04-21 00:00:00.000000000','Disputed','Customer claims container with shipment was damaged during shipping and some items were missing. I am talking to FedEx about this.',145,'2005-04-15',2,4,2005);
INSERT INTO ORDERFACT VALUES(10406,'S18_3685',65,100.0,1,10468.9E0,'2005-04-15 00:00:00.000000000','2005-04-25 00:00:00.000000000','2005-04-21 00:00:00.000000000','Disputed','Customer claims container with shipment was damaged during shipping and some items were missing. I am talking to FedEx about this.',145,'2005-04-15',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_1589',59,100.0,11,7048.14E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_1749',76,100.0,2,14082.8E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_2248',42,72.65,1,3051.3E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_2870',41,100.0,12,6386.16E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_4409',6,90.19,3,541.14E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S18_4933',66,66.99,4,4421.34E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_1046',26,76.43,8,1987.18E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_1628',64,40.25,10,2576.0E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_2766',76,94.5,6,7182.0E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_2887',59,98.65,5,5820.35E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_3191',13,81.33,7,1057.29E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10407,'S24_3432',43,86.73,9,3729.39E0,'2005-04-22 00:00:00.000000000','2005-05-04 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',450,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10408,'S24_3969',15,36.93,1,553.95E0,'2005-04-22 00:00:00.000000000','2005-04-29 00:00:00.000000000','2005-04-27 00:00:00.000000000','Shipped',NULL,398,'2005-04-22',2,4,2005);
INSERT INTO ORDERFACT VALUES(10409,'S18_2325',6,100.0,2,785.64E0,'2005-04-23 00:00:00.000000000','2005-05-05 00:00:00.000000000','2005-04-24 00:00:00.000000000','Shipped',NULL,166,'2005-04-23',2,4,2005);
INSERT INTO ORDERFACT VALUES(10409,'S24_1937',61,29.54,1,1801.94E0,'2005-04-23 00:00:00.000000000','2005-05-05 00:00:00.000000000','2005-04-24 00:00:00.000000000','Shipped',NULL,166,'2005-04-23',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_1342',65,100.0,7,7612.8E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_1367',44,58.22,6,2561.68E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_2795',56,100.0,8,7749.28E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_2949',47,100.0,1,5523.44E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_2957',53,58.09,3,3078.77E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_3136',34,100.0,2,3916.46E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S18_3320',44,84.33,5,3710.52E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S24_2022',31,45.25,9,1402.75E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10410,'S24_4258',50,86.68,4,4334.0E0,'2005-04-29 00:00:00.000000000','2005-05-10 00:00:00.000000000','2005-04-30 00:00:00.000000000','Shipped',NULL,357,'2005-04-29',2,4,2005);
INSERT INTO ORDERFACT VALUES(10411,'S10_1949',23,100.0,9,4140.23E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S10_4962',27,100.0,2,4427.73E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S12_1666',40,100.0,6,6232.0E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S18_1097',27,100.0,8,3213.0E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S18_4600',46,100.0,3,5235.72E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S18_4668',35,59.87,7,2095.45E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S32_1268',26,100.0,1,2904.72E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S32_3522',27,69.16,5,1867.32E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10411,'S700_2824',34,100.0,4,3576.8E0,'2005-05-01 00:00:00.000000000','2005-05-08 00:00:00.000000000','2005-05-06 00:00:00.000000000','Shipped',NULL,233,'2005-05-01',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S12_4473',54,100.0,5,5951.34E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S18_2238',41,100.0,4,6712.93E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S18_2319',56,98.18,8,5498.08E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S18_2432',47,61.99,11,2913.53E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S18_3232',60,100.0,9,11887.8E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S24_1444',21,52.6,2,1104.6E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S24_2300',70,100.0,10,8498.0E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S24_2840',30,36.07,6,1082.1E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S24_4048',31,100.0,1,4253.2E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S32_2509',19,48.7,7,925.3E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10412,'S50_1392',26,100.0,3,3460.86E0,'2005-05-03 00:00:00.000000000','2005-05-13 00:00:00.000000000','2005-05-05 00:00:00.000000000','Shipped',NULL,141,'2005-05-03',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S12_1108',36,100.0,2,8677.8E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S12_3148',47,100.0,3,8236.75E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S12_3891',22,100.0,1,3387.78E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S18_4027',49,100.0,5,6896.75E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S32_3207',24,49.71,6,1193.04E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10413,'S50_1514',51,63.85,4,3256.35E0,'2005-05-05 00:00:00.000000000','2005-05-14 00:00:00.000000000','2005-05-09 00:00:00.000000000','Shipped','Customer requested that DHL is used for this shipping',175,'2005-05-05',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S10_4757',19,100.0,3,2764.88E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S18_3029',44,73.98,1,3255.12E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S18_3140',41,100.0,12,4872.03E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S18_3259',48,100.0,14,5808.48E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S18_4522',16,75.48,11,1207.68E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S24_2011',23,100.0,10,3335.23E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S24_3151',60,100.0,5,6107.4E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S24_3816',51,76.31,2,3891.81E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S700_1138',37,71.34,6,2639.58E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S700_1938',34,100.0,13,3533.62E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S700_2610',31,75.89,4,2352.59E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S700_3505',28,100.0,7,3029.04E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S700_3962',27,90.37,8,2439.99E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10414,'S72_3212',47,65.52,9,3079.44E0,'2005-05-06 00:00:00.000000000','2005-05-13 00:00:00.000000000',NULL,'On Hold','Customer credit limit exceeded. Will ship when a payment is received.',362,'2005-05-06',2,5,2005);
INSERT INTO ORDERFACT VALUES(10415,'S18_3856',51,100.0,5,6209.25E0,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471,'2005-05-09',2,5,2005);
INSERT INTO ORDERFACT VALUES(10415,'S24_2841',21,67.82,1,1424.22E0,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471,'2005-05-09',2,5,2005);
INSERT INTO ORDERFACT VALUES(10415,'S24_3420',18,69.7,2,1254.6E0,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471,'2005-05-09',2,5,2005);
INSERT INTO ORDERFACT VALUES(10415,'S700_2047',32,95.95,4,3070.4E0,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471,'2005-05-09',2,5,2005);
INSERT INTO ORDERFACT VALUES(10415,'S72_1253',42,57.61,3,2419.62E0,'2005-05-09 00:00:00.000000000','2005-05-20 00:00:00.000000000','2005-05-12 00:00:00.000000000','Disputed','Customer claims the scales of the models don''t match what was discussed. I keep all the paperwork though to prove otherwise',471,'2005-05-09',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S18_1662',24,100.0,14,4352.16E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S18_2581',15,98.84,4,1482.6E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S24_1785',47,88.63,6,4165.61E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S24_2000',32,87.6,1,2803.2E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S24_3949',18,75.06,13,1351.08E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S24_4278',48,74.62,5,3581.76E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S32_1374',45,100.0,2,4764.6E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S32_4289',26,61.22,7,1591.72E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S50_1341',37,51.93,8,1921.41E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S700_1691',23,91.34,9,2100.82E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S700_2466',22,100.0,11,2457.18E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S700_2834',41,100.0,3,5642.83E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S700_3167',39,67.2,10,2620.8E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10416,'S700_4002',43,62.19,12,2674.17E0,'2005-05-10 00:00:00.000000000','2005-05-16 00:00:00.000000000','2005-05-14 00:00:00.000000000','Shipped',NULL,386,'2005-05-10',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S10_1678',66,100.0,2,7516.08E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S10_2016',45,100.0,5,5887.35E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S10_4698',56,100.0,4,9218.16E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S12_2823',21,100.0,1,3447.78E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S18_2625',36,61.18,6,2202.48E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10417,'S24_1578',35,100.0,3,3550.05E0,'2005-05-13 00:00:00.000000000','2005-05-19 00:00:00.000000000','2005-05-19 00:00:00.000000000','Disputed','Customer doesn''t like the colors and precision of the models.',141,'2005-05-13',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S18_3278',16,76.39,2,1222.24E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S18_3482',27,100.0,1,4445.01E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S18_3782',33,52.84,5,1743.72E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S18_4721',28,100.0,4,3833.2E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S24_2360',52,65.8,8,3421.6E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S24_4620',10,87.31,3,873.1E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S32_2206',43,48.28,6,2076.04E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S32_4485',50,100.0,9,5664.0E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10418,'S50_4713',40,72.41,7,2896.4E0,'2005-05-16 00:00:00.000000000','2005-05-24 00:00:00.000000000','2005-05-20 00:00:00.000000000','Shipped',NULL,412,'2005-05-16',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S12_1099',12,100.0,13,1961.28E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S12_3380',10,100.0,11,1092.2E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S12_3990',34,90.17,14,3065.78E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S12_4675',32,100.0,10,3832.64E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_1129',38,100.0,5,4464.24E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_1589',37,100.0,1,5202.94E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_1889',39,83.93,9,3273.27E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_1984',34,100.0,4,4594.76E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_2870',55,100.0,2,7695.6E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_3232',35,100.0,6,5926.9E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S18_3685',43,100.0,3,5589.14E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S24_2972',15,42.67,7,640.05E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S24_3371',55,52.66,12,2896.3E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10419,'S24_3856',70,100.0,8,9240.0E0,'2005-05-17 00:00:00.000000000','2005-05-28 00:00:00.000000000','2005-05-19 00:00:00.000000000','Shipped',NULL,382,'2005-05-17',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S18_1749',37,100.0,5,5283.6E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S18_2248',36,63.57,4,2288.52E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S18_2325',45,100.0,2,4977.0E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S18_4409',66,92.95,6,6134.7E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S18_4933',36,57.73,7,2078.28E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_1046',60,64.67,11,3880.2E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_1628',37,60.37,13,2233.69E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_1937',45,26.88,1,1209.6E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_2766',39,100.0,9,3933.93E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_2887',55,96.3,8,5296.5E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_3191',35,96.74,10,3385.9E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_3432',26,100.0,12,2617.16E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10420,'S24_3969',15,43.49,3,652.35E0,'2005-05-29 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,282,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10421,'S18_2795',35,100.0,1,5433.75E0,'2005-05-29 00:00:00.000000000','2005-06-06 00:00:00.000000000',NULL,'In Process','Custom shipping instructions were sent to warehouse',124,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10421,'S24_2022',40,45.7,2,1828.0E0,'2005-05-29 00:00:00.000000000','2005-06-06 00:00:00.000000000',NULL,'In Process','Custom shipping instructions were sent to warehouse',124,'2005-05-29',2,5,2005);
INSERT INTO ORDERFACT VALUES(10422,'S18_1342',51,95.55,2,4873.05E0,'2005-05-30 00:00:00.000000000','2005-06-11 00:00:00.000000000',NULL,'In Process',NULL,157,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10422,'S18_1367',25,51.75,1,1293.75E0,'2005-05-30 00:00:00.000000000','2005-06-11 00:00:00.000000000',NULL,'In Process',NULL,157,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10423,'S18_2949',10,88.14,1,881.4E0,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10423,'S18_2957',31,53.72,3,1665.32E0,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10423,'S18_3136',21,84.82,2,1781.22E0,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10423,'S18_3320',21,89.29,5,1875.09E0,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10423,'S24_4258',28,78.89,4,2208.92E0,'2005-05-30 00:00:00.000000000','2005-06-05 00:00:00.000000000',NULL,'In Process',NULL,314,'2005-05-30',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S10_1949',50,100.0,6,12001.0E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S12_1666',49,100.0,3,7969.36E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S18_1097',54,100.0,5,7182.0E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S18_4668',26,59.87,4,1556.62E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S32_3522',44,61.41,2,2702.04E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10424,'S700_2824',46,80.92,1,3722.32E0,'2005-05-31 00:00:00.000000000','2005-06-08 00:00:00.000000000',NULL,'In Process',NULL,141,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S10_4962',38,100.0,12,5894.94E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S12_4473',33,100.0,4,4692.6E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S18_2238',28,100.0,3,5318.04E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S18_2319',38,99.41,7,3777.58E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S18_2432',19,49.22,10,935.18E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S18_3232',28,100.0,8,3793.16E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S18_4600',38,100.0,13,4325.16E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S24_1444',55,46.82,1,2575.1E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S24_2300',49,100.0,9,5510.54E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S24_2840',31,33.24,5,1030.44E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S32_1268',41,86.68,11,3553.88E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S32_2509',11,43.83,6,482.13E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);
INSERT INTO ORDERFACT VALUES(10425,'S50_1392',18,100.0,2,1895.94E0,'2005-05-31 00:00:00.000000000','2005-06-07 00:00:00.000000000',NULL,'In Process',NULL,119,'2005-05-31',2,5,2005);

-- PAYMENTS

INSERT INTO PAYMENTS VALUES(103,'HQ336336','2004-10-19 00:00:00.000000000',5307.98);
INSERT INTO PAYMENTS VALUES(103,'JM555205','2003-06-05 00:00:00.000000000',16560.3);
INSERT INTO PAYMENTS VALUES(103,'OM314933','2004-12-18 00:00:00.000000000',2311.68);
INSERT INTO PAYMENTS VALUES(112,'BO864823','2004-12-17 00:00:00.000000000',14449.61);
INSERT INTO PAYMENTS VALUES(112,'HQ55022','2003-06-06 00:00:00.000000000',33847.62);
INSERT INTO PAYMENTS VALUES(112,'ND748579','2004-08-20 00:00:00.000000000',34453.85);
INSERT INTO PAYMENTS VALUES(114,'GG31455','2003-05-20 00:00:00.000000000',50397.66);
INSERT INTO PAYMENTS VALUES(114,'MA765515','2004-12-15 00:00:00.000000000',85591.32);
INSERT INTO PAYMENTS VALUES(114,'NP603840','2003-05-31 00:00:00.000000000',9738.18);
INSERT INTO PAYMENTS VALUES(114,'NR27552','2004-03-10 00:00:00.000000000',49637.57);
INSERT INTO PAYMENTS VALUES(119,'DB933704','2004-11-14 00:00:00.000000000',20719.91);
INSERT INTO PAYMENTS VALUES(119,'LN373447','2004-08-08 00:00:00.000000000',56002.9);
INSERT INTO PAYMENTS VALUES(119,'NG94694','2005-02-22 00:00:00.000000000',59617.44);
INSERT INTO PAYMENTS VALUES(121,'DB889831','2003-02-16 00:00:00.000000000',54702.0);
INSERT INTO PAYMENTS VALUES(121,'FD317790','2003-10-28 00:00:00.000000000',1474.66);
INSERT INTO PAYMENTS VALUES(121,'KI831359','2004-11-04 00:00:00.000000000',19769.68);
INSERT INTO PAYMENTS VALUES(121,'MA302151','2004-11-28 00:00:00.000000000',40652.85);
INSERT INTO PAYMENTS VALUES(124,'AE215433','2005-02-18 00:00:00.000000000',51826.36);
INSERT INTO PAYMENTS VALUES(124,'AQ50522','2005-06-03 00:00:00.000000000',32194.79);
INSERT INTO PAYMENTS VALUES(124,'BG255406','2004-08-28 00:00:00.000000000',93928.73);
INSERT INTO PAYMENTS VALUES(124,'CQ287967','2003-04-11 00:00:00.000000000',12398.56);
INSERT INTO PAYMENTS VALUES(124,'ET64396','2005-04-16 00:00:00.000000000',121972.78);
INSERT INTO PAYMENTS VALUES(124,'HI366474','2004-12-27 00:00:00.000000000',50547.68);
INSERT INTO PAYMENTS VALUES(124,'HR86578','2004-11-02 00:00:00.000000000',63075.06);
INSERT INTO PAYMENTS VALUES(124,'KI131716','2003-08-15 00:00:00.000000000',122368.67);
INSERT INTO PAYMENTS VALUES(124,'LF217299','2004-03-26 00:00:00.000000000',48922.77);
INSERT INTO PAYMENTS VALUES(124,'NT141748','2003-11-25 00:00:00.000000000',50360.89);
INSERT INTO PAYMENTS VALUES(128,'DI925118','2003-01-28 00:00:00.000000000',11432.34);
INSERT INTO PAYMENTS VALUES(128,'FA465482','2003-10-18 00:00:00.000000000',27257.79);
INSERT INTO PAYMENTS VALUES(128,'FH668230','2004-03-24 00:00:00.000000000',37266.49);
INSERT INTO PAYMENTS VALUES(128,'IP383901','2004-11-18 00:00:00.000000000',9214.97);
INSERT INTO PAYMENTS VALUES(129,'DM826140','2004-12-08 00:00:00.000000000',30348.72);
INSERT INTO PAYMENTS VALUES(129,'ID449593','2003-12-11 00:00:00.000000000',25431.88);
INSERT INTO PAYMENTS VALUES(129,'PI42991','2003-04-09 00:00:00.000000000',18695.58);
INSERT INTO PAYMENTS VALUES(131,'CL442705','2003-03-12 00:00:00.000000000',25783.76);
INSERT INTO PAYMENTS VALUES(131,'KG113538','2004-05-22 00:00:00.000000000',45357.66);
INSERT INTO PAYMENTS VALUES(131,'MA724562','2004-12-02 00:00:00.000000000',53152.28);
INSERT INTO PAYMENTS VALUES(131,'NB445135','2004-09-11 00:00:00.000000000',39775.74);
INSERT INTO PAYMENTS VALUES(141,'AU364101','2003-07-19 00:00:00.000000000',39615.82);
INSERT INTO PAYMENTS VALUES(141,'DB583216','2004-11-01 00:00:00.000000000',34872.13);
INSERT INTO PAYMENTS VALUES(141,'DL460618','2005-05-19 00:00:00.000000000',22353.86);
INSERT INTO PAYMENTS VALUES(141,'HJ32686','2004-01-30 00:00:00.000000000',65165.17);
INSERT INTO PAYMENTS VALUES(141,'ID10962','2004-12-31 00:00:00.000000000',133588.75);
INSERT INTO PAYMENTS VALUES(141,'IN446258','2005-03-25 00:00:00.000000000',95065.46);
INSERT INTO PAYMENTS VALUES(141,'JE105477','2005-03-18 00:00:00.000000000',90135.87);
INSERT INTO PAYMENTS VALUES(141,'JN355280','2003-10-26 00:00:00.000000000',53502.3);
INSERT INTO PAYMENTS VALUES(141,'JN722010','2003-02-25 00:00:00.000000000',44621.96);
INSERT INTO PAYMENTS VALUES(141,'KT52578','2003-12-09 00:00:00.000000000',72487.5);
INSERT INTO PAYMENTS VALUES(141,'MC46946','2004-07-09 00:00:00.000000000',91328.4);
INSERT INTO PAYMENTS VALUES(141,'MF629602','2004-08-16 00:00:00.000000000',21986.27);
INSERT INTO PAYMENTS VALUES(141,'NU627706','2004-05-17 00:00:00.000000000',28327.64);
INSERT INTO PAYMENTS VALUES(144,'IR846303','2004-12-12 00:00:00.000000000',66005.88);
INSERT INTO PAYMENTS VALUES(144,'LA685678','2003-04-09 00:00:00.000000000',9749.0);
INSERT INTO PAYMENTS VALUES(145,'CN328545','2004-07-03 00:00:00.000000000',4749.45);
INSERT INTO PAYMENTS VALUES(145,'ED39322','2004-04-26 00:00:00.000000000',31329.56);
INSERT INTO PAYMENTS VALUES(145,'HR182688','2004-12-01 00:00:00.000000000',24078.61);
INSERT INTO PAYMENTS VALUES(145,'JJ246391','2003-02-20 00:00:00.000000000',58871.11);
INSERT INTO PAYMENTS VALUES(146,'FP549817','2004-03-18 00:00:00.000000000',46802.27);
INSERT INTO PAYMENTS VALUES(146,'FU793410','2004-01-16 00:00:00.000000000',54536.87);
INSERT INTO PAYMENTS VALUES(146,'LJ160635','2003-12-10 00:00:00.000000000',41535.11);
INSERT INTO PAYMENTS VALUES(148,'BI507030','2003-04-22 00:00:00.000000000',43657.47);
INSERT INTO PAYMENTS VALUES(148,'DD635282','2004-08-11 00:00:00.000000000',3127.88);
INSERT INTO PAYMENTS VALUES(148,'KM172879','2003-12-26 00:00:00.000000000',122028.73);
INSERT INTO PAYMENTS VALUES(148,'ME497970','2005-03-27 00:00:00.000000000',4175.6);
INSERT INTO PAYMENTS VALUES(151,'BF686658','2003-12-22 00:00:00.000000000',64316.09);
INSERT INTO PAYMENTS VALUES(151,'GB852215','2004-07-26 00:00:00.000000000',23252.18);
INSERT INTO PAYMENTS VALUES(151,'IP568906','2003-06-18 00:00:00.000000000',68462.15);
INSERT INTO PAYMENTS VALUES(151,'KI884577','2004-12-14 00:00:00.000000000',41706.52);
INSERT INTO PAYMENTS VALUES(157,'HI618861','2004-11-19 00:00:00.000000000',44040.73);
INSERT INTO PAYMENTS VALUES(157,'NN711988','2004-09-07 00:00:00.000000000',71930.61);
INSERT INTO PAYMENTS VALUES(161,'BR352384','2004-11-14 00:00:00.000000000',2916.2);
INSERT INTO PAYMENTS VALUES(161,'BR478494','2003-11-18 00:00:00.000000000',62305.47);
INSERT INTO PAYMENTS VALUES(161,'KG644125','2005-02-02 00:00:00.000000000',13529.57);
INSERT INTO PAYMENTS VALUES(161,'NI908214','2003-08-05 00:00:00.000000000',42031.83);
INSERT INTO PAYMENTS VALUES(166,'BQ327613','2004-09-16 00:00:00.000000000',42902.84);
INSERT INTO PAYMENTS VALUES(166,'DC979307','2004-07-07 00:00:00.000000000',45788.72);
INSERT INTO PAYMENTS VALUES(166,'LA318629','2004-02-28 00:00:00.000000000',24219.59);
INSERT INTO PAYMENTS VALUES(167,'ED743615','2004-09-19 00:00:00.000000000',16363.1);
INSERT INTO PAYMENTS VALUES(167,'GN228846','2003-12-03 00:00:00.000000000',95277.18);
INSERT INTO PAYMENTS VALUES(171,'GB878038','2004-03-15 00:00:00.000000000',20178.13);
INSERT INTO PAYMENTS VALUES(171,'IL104425','2003-11-22 00:00:00.000000000',48874.28);
INSERT INTO PAYMENTS VALUES(172,'AD832091','2004-09-09 00:00:00.000000000',2173.6);
INSERT INTO PAYMENTS VALUES(172,'CE51751','2004-12-04 00:00:00.000000000',56812.67);
INSERT INTO PAYMENTS VALUES(172,'EH208589','2003-04-20 00:00:00.000000000',38217.41);
INSERT INTO PAYMENTS VALUES(173,'GP545698','2004-05-13 00:00:00.000000000',14380.92);
INSERT INTO PAYMENTS VALUES(173,'IG462397','2004-03-29 00:00:00.000000000',21782.7);
INSERT INTO PAYMENTS VALUES(175,'IO448913','2003-11-19 00:00:00.000000000',26115.8);
INSERT INTO PAYMENTS VALUES(175,'PI15215','2004-07-10 00:00:00.000000000',44130.52);
INSERT INTO PAYMENTS VALUES(177,'AU750837','2004-04-17 00:00:00.000000000',17114.43);
INSERT INTO PAYMENTS VALUES(177,'CI381435','2004-01-19 00:00:00.000000000',50490.64);
INSERT INTO PAYMENTS VALUES(181,'CM564612','2004-04-25 00:00:00.000000000',24804.34);
INSERT INTO PAYMENTS VALUES(181,'GQ132144','2003-01-30 00:00:00.000000000',6864.05);
INSERT INTO PAYMENTS VALUES(181,'OH367219','2004-11-16 00:00:00.000000000',56372.87);
INSERT INTO PAYMENTS VALUES(186,'AE192287','2005-03-10 00:00:00.000000000',26422.82);
INSERT INTO PAYMENTS VALUES(186,'AK412714','2003-10-27 00:00:00.000000000',42083.5);
INSERT INTO PAYMENTS VALUES(186,'KA602407','2004-10-21 00:00:00.000000000',42744.06);
INSERT INTO PAYMENTS VALUES(187,'AM968797','2004-11-03 00:00:00.000000000',57827.61);
INSERT INTO PAYMENTS VALUES(187,'BQ39062','2004-12-08 00:00:00.000000000',48962.28);
INSERT INTO PAYMENTS VALUES(187,'KL124726','2003-03-27 00:00:00.000000000',51017.92);
INSERT INTO PAYMENTS VALUES(189,'BO711618','2004-10-03 00:00:00.000000000',18971.96);
INSERT INTO PAYMENTS VALUES(189,'NM916675','2004-03-01 00:00:00.000000000',38784.47);
INSERT INTO PAYMENTS VALUES(198,'FI192930','2004-12-06 00:00:00.000000000',11528.53);
INSERT INTO PAYMENTS VALUES(198,'HQ920205','2003-07-06 00:00:00.000000000',7277.35);
INSERT INTO PAYMENTS VALUES(198,'IS946883','2004-09-21 00:00:00.000000000',7673.38);
INSERT INTO PAYMENTS VALUES(201,'DP677013','2003-10-20 00:00:00.000000000',26797.21);
INSERT INTO PAYMENTS VALUES(201,'OO846801','2004-06-15 00:00:00.000000000',50408.25);
INSERT INTO PAYMENTS VALUES(202,'HI358554','2003-12-18 00:00:00.000000000',38662.21);
INSERT INTO PAYMENTS VALUES(202,'IQ627690','2004-11-08 00:00:00.000000000',36576.71);
INSERT INTO PAYMENTS VALUES(204,'GC697638','2004-08-13 00:00:00.000000000',52505.36);
INSERT INTO PAYMENTS VALUES(204,'IS150005','2004-09-24 00:00:00.000000000',4692.6);
INSERT INTO PAYMENTS VALUES(205,'GL756480','2003-12-04 00:00:00.000000000',4512.48);
INSERT INTO PAYMENTS VALUES(205,'LL562733','2003-09-05 00:00:00.000000000',55776.12);
INSERT INTO PAYMENTS VALUES(205,'NM739638','2005-02-06 00:00:00.000000000',44273.36);
INSERT INTO PAYMENTS VALUES(209,'ED520529','2004-06-21 00:00:00.000000000',5416.9);
INSERT INTO PAYMENTS VALUES(209,'PH785937','2004-05-04 00:00:00.000000000',39341.23);
INSERT INTO PAYMENTS VALUES(211,'BJ535230','2003-12-09 00:00:00.000000000',48784.36);
INSERT INTO PAYMENTS VALUES(216,'BG407567','2003-05-09 00:00:00.000000000',4219.2);
INSERT INTO PAYMENTS VALUES(216,'ML780814','2004-12-06 00:00:00.000000000',21249.77);
INSERT INTO PAYMENTS VALUES(216,'MM342086','2003-12-14 00:00:00.000000000',44009.31);
INSERT INTO PAYMENTS VALUES(219,'BN17870','2005-03-02 00:00:00.000000000',3987.2);
INSERT INTO PAYMENTS VALUES(219,'BR941480','2003-10-18 00:00:00.000000000',5142.15);
INSERT INTO PAYMENTS VALUES(227,'MQ413968','2003-10-31 00:00:00.000000000',40321.61);
INSERT INTO PAYMENTS VALUES(227,'NU21326','2004-11-02 00:00:00.000000000',60273.94);
INSERT INTO PAYMENTS VALUES(233,'II180006','2004-07-01 00:00:00.000000000',24564.53);
INSERT INTO PAYMENTS VALUES(233,'JG981190','2003-11-18 00:00:00.000000000',15947.29);
INSERT INTO PAYMENTS VALUES(239,'NQ865547','2004-03-15 00:00:00.000000000',87489.23);
INSERT INTO PAYMENTS VALUES(240,'IF245157','2004-11-16 00:00:00.000000000',51334.16);
INSERT INTO PAYMENTS VALUES(240,'JO719695','2004-03-28 00:00:00.000000000',26906.68);
INSERT INTO PAYMENTS VALUES(242,'AF40894','2003-11-22 00:00:00.000000000',38098.24);
INSERT INTO PAYMENTS VALUES(242,'HR224331','2005-06-03 00:00:00.000000000',15139.12);
INSERT INTO PAYMENTS VALUES(242,'KI744716','2003-07-21 00:00:00.000000000',17251.08);
INSERT INTO PAYMENTS VALUES(249,'IJ399820','2004-09-19 00:00:00.000000000',38039.0);
INSERT INTO PAYMENTS VALUES(249,'NE404084','2004-09-04 00:00:00.000000000',56078.26);
INSERT INTO PAYMENTS VALUES(250,'EQ12267','2005-05-17 00:00:00.000000000',20321.53);
INSERT INTO PAYMENTS VALUES(250,'HD284647','2004-12-30 00:00:00.000000000',32623.93);
INSERT INTO PAYMENTS VALUES(250,'HN114306','2003-07-18 00:00:00.000000000',25624.88);
INSERT INTO PAYMENTS VALUES(256,'EP227123','2004-02-10 00:00:00.000000000',5759.42);
INSERT INTO PAYMENTS VALUES(256,'HE84936','2004-10-22 00:00:00.000000000',59074.88);
INSERT INTO PAYMENTS VALUES(259,'EU280955','2004-11-06 00:00:00.000000000',68943.4);
INSERT INTO PAYMENTS VALUES(259,'GB361972','2003-12-07 00:00:00.000000000',31363.18);
INSERT INTO PAYMENTS VALUES(260,'IO164641','2004-08-30 00:00:00.000000000',43332.35);
INSERT INTO PAYMENTS VALUES(260,'NH776924','2004-04-24 00:00:00.000000000',31302.5);
INSERT INTO PAYMENTS VALUES(276,'EM979878','2005-02-09 00:00:00.000000000',29852.17);
INSERT INTO PAYMENTS VALUES(276,'KM841847','2003-11-13 00:00:00.000000000',41791.95);
INSERT INTO PAYMENTS VALUES(276,'LE432182','2003-09-28 00:00:00.000000000',47191.76);
INSERT INTO PAYMENTS VALUES(276,'OJ819725','2005-04-30 00:00:00.000000000',35160.25);
INSERT INTO PAYMENTS VALUES(278,'BJ483870','2004-12-05 00:00:00.000000000',41696.69);
INSERT INTO PAYMENTS VALUES(278,'GP636783','2003-03-02 00:00:00.000000000',56181.32);
INSERT INTO PAYMENTS VALUES(278,'NI983021','2003-11-24 00:00:00.000000000',40077.71);
INSERT INTO PAYMENTS VALUES(282,'IA793562','2003-08-03 00:00:00.000000000',28397.26);
INSERT INTO PAYMENTS VALUES(282,'JT819493','2004-08-02 00:00:00.000000000',41297.14);
INSERT INTO PAYMENTS VALUES(282,'OD327378','2005-01-03 00:00:00.000000000',37905.15);
INSERT INTO PAYMENTS VALUES(286,'DR578578','2004-10-28 00:00:00.000000000',54251.66);
INSERT INTO PAYMENTS VALUES(286,'KH910279','2004-09-05 00:00:00.000000000',48828.72);
INSERT INTO PAYMENTS VALUES(298,'AJ574927','2004-03-13 00:00:00.000000000',50432.55);
INSERT INTO PAYMENTS VALUES(298,'LF501133','2004-09-18 00:00:00.000000000',67281.01);
INSERT INTO PAYMENTS VALUES(299,'AD304085','2003-10-24 00:00:00.000000000',45078.76);
INSERT INTO PAYMENTS VALUES(299,'NR157385','2004-09-05 00:00:00.000000000',34145.47);
INSERT INTO PAYMENTS VALUES(311,'DG336041','2005-02-15 00:00:00.000000000',49055.4);
INSERT INTO PAYMENTS VALUES(311,'FA728475','2003-10-06 00:00:00.000000000',37501.58);
INSERT INTO PAYMENTS VALUES(311,'NQ966143','2004-04-25 00:00:00.000000000',17813.4);
INSERT INTO PAYMENTS VALUES(314,'LQ244073','2004-08-09 00:00:00.000000000',47760.48);
INSERT INTO PAYMENTS VALUES(314,'MD809704','2004-03-03 00:00:00.000000000',18800.09);
INSERT INTO PAYMENTS VALUES(319,'HL685576','2004-11-06 00:00:00.000000000',46873.04);
INSERT INTO PAYMENTS VALUES(319,'OM548174','2003-12-07 00:00:00.000000000',38682.95);
INSERT INTO PAYMENTS VALUES(320,'GJ597719','2005-01-18 00:00:00.000000000',11021.3);
INSERT INTO PAYMENTS VALUES(320,'HO576374','2003-08-20 00:00:00.000000000',45738.39);
INSERT INTO PAYMENTS VALUES(320,'MU817160','2003-11-24 00:00:00.000000000',52191.44);
INSERT INTO PAYMENTS VALUES(321,'DJ15149','2003-11-03 00:00:00.000000000',95678.88);
INSERT INTO PAYMENTS VALUES(321,'LA556321','2005-03-15 00:00:00.000000000',54203.62);
INSERT INTO PAYMENTS VALUES(323,'AL493079','2005-05-23 00:00:00.000000000',39267.74);
INSERT INTO PAYMENTS VALUES(323,'ES347491','2004-06-24 00:00:00.000000000',40034.67);
INSERT INTO PAYMENTS VALUES(323,'HG738664','2003-07-05 00:00:00.000000000',2476.8);
INSERT INTO PAYMENTS VALUES(323,'PQ803830','2004-12-24 00:00:00.000000000',43930.62);
INSERT INTO PAYMENTS VALUES(324,'DQ409197','2004-12-13 00:00:00.000000000',13739.9);
INSERT INTO PAYMENTS VALUES(324,'FP443161','2003-07-07 00:00:00.000000000',32376.29);
INSERT INTO PAYMENTS VALUES(324,'HB150714','2003-11-23 00:00:00.000000000',42688.31);
INSERT INTO PAYMENTS VALUES(328,'EN930356','2004-04-16 00:00:00.000000000',8722.12);
INSERT INTO PAYMENTS VALUES(328,'NR631421','2004-05-30 00:00:00.000000000',27987.07);
INSERT INTO PAYMENTS VALUES(333,'HL209210','2003-11-15 00:00:00.000000000',27098.8);
INSERT INTO PAYMENTS VALUES(333,'JK479662','2003-10-17 00:00:00.000000000',10640.29);
INSERT INTO PAYMENTS VALUES(333,'NF959653','2005-03-01 00:00:00.000000000',21730.03);
INSERT INTO PAYMENTS VALUES(334,'CS435306','2005-01-27 00:00:00.000000000',51373.49);
INSERT INTO PAYMENTS VALUES(334,'HH517378','2003-08-16 00:00:00.000000000',31569.43);
INSERT INTO PAYMENTS VALUES(334,'LF737277','2004-05-22 00:00:00.000000000',31018.23);
INSERT INTO PAYMENTS VALUES(339,'AP286625','2004-10-24 00:00:00.000000000',27445.31);
INSERT INTO PAYMENTS VALUES(339,'DA98827','2003-11-28 00:00:00.000000000',40061.66);
INSERT INTO PAYMENTS VALUES(344,'AF246722','2003-11-24 00:00:00.000000000',34311.35);
INSERT INTO PAYMENTS VALUES(344,'NJ906924','2004-04-02 00:00:00.000000000',15330.7);
INSERT INTO PAYMENTS VALUES(347,'DG700707','2004-01-18 00:00:00.000000000',23889.32);
INSERT INTO PAYMENTS VALUES(347,'LG808674','2003-10-24 00:00:00.000000000',24159.14);
INSERT INTO PAYMENTS VALUES(350,'BQ602907','2004-12-11 00:00:00.000000000',20136.86);
INSERT INTO PAYMENTS VALUES(350,'CI471510','2003-05-25 00:00:00.000000000',52481.84);
INSERT INTO PAYMENTS VALUES(350,'OB648482','2005-01-29 00:00:00.000000000',2317.44);
INSERT INTO PAYMENTS VALUES(353,'CO351193','2005-01-10 00:00:00.000000000',48895.59);
INSERT INTO PAYMENTS VALUES(353,'ED878227','2003-07-21 00:00:00.000000000',15146.32);
INSERT INTO PAYMENTS VALUES(353,'GT878649','2003-05-21 00:00:00.000000000',18971.96);
INSERT INTO PAYMENTS VALUES(353,'HJ618252','2005-06-09 00:00:00.000000000',52029.07);
INSERT INTO PAYMENTS VALUES(357,'AG240323','2003-12-16 00:00:00.000000000',23294.8);
INSERT INTO PAYMENTS VALUES(357,'NB291497','2004-07-01 00:00:00.000000000',41418.55);
INSERT INTO PAYMENTS VALUES(362,'FP170292','2004-07-11 00:00:00.000000000',19548.35);
INSERT INTO PAYMENTS VALUES(362,'OG208861','2004-09-21 00:00:00.000000000',15344.64);
INSERT INTO PAYMENTS VALUES(363,'HL575273','2004-11-17 00:00:00.000000000',55570.6);
INSERT INTO PAYMENTS VALUES(363,'IS232033','2003-01-16 00:00:00.000000000',12133.25);
INSERT INTO PAYMENTS VALUES(363,'PN238558','2003-12-05 00:00:00.000000000',63981.45);
INSERT INTO PAYMENTS VALUES(379,'CA762595','2005-02-12 00:00:00.000000000',31474.78);
INSERT INTO PAYMENTS VALUES(379,'FR499138','2003-09-16 00:00:00.000000000',34992.4);
INSERT INTO PAYMENTS VALUES(379,'GB890854','2004-08-02 00:00:00.000000000',15110.8);
INSERT INTO PAYMENTS VALUES(381,'BC726082','2004-12-03 00:00:00.000000000',13463.48);
INSERT INTO PAYMENTS VALUES(381,'CC475233','2003-04-19 00:00:00.000000000',1711.26);
INSERT INTO PAYMENTS VALUES(381,'GB117430','2005-02-03 00:00:00.000000000',16628.16);
INSERT INTO PAYMENTS VALUES(381,'MS154481','2003-08-22 00:00:00.000000000',1637.2);
INSERT INTO PAYMENTS VALUES(382,'CC871084','2003-05-12 00:00:00.000000000',38629.14);
INSERT INTO PAYMENTS VALUES(382,'CT821147','2004-08-01 00:00:00.000000000',6693.28);
INSERT INTO PAYMENTS VALUES(382,'PH29054','2004-11-27 00:00:00.000000000',37353.16);
INSERT INTO PAYMENTS VALUES(385,'BN347084','2003-12-02 00:00:00.000000000',22841.96);
INSERT INTO PAYMENTS VALUES(385,'CP804873','2004-11-19 00:00:00.000000000',15928.75);
INSERT INTO PAYMENTS VALUES(385,'EK785462','2003-03-09 00:00:00.000000000',55245.02);
INSERT INTO PAYMENTS VALUES(386,'DO106109','2003-11-18 00:00:00.000000000',44669.74);
INSERT INTO PAYMENTS VALUES(386,'HG438769','2004-07-18 00:00:00.000000000',56421.65);
INSERT INTO PAYMENTS VALUES(398,'AJ478695','2005-02-14 00:00:00.000000000',38191.39);
INSERT INTO PAYMENTS VALUES(398,'DO787644','2004-06-21 00:00:00.000000000',25928.75);
INSERT INTO PAYMENTS VALUES(398,'KB54275','2004-11-29 00:00:00.000000000',44802.04);
INSERT INTO PAYMENTS VALUES(406,'HJ217687','2004-01-28 00:00:00.000000000',51172.65);
INSERT INTO PAYMENTS VALUES(406,'NA197101','2004-06-17 00:00:00.000000000',27931.21);
INSERT INTO PAYMENTS VALUES(412,'GH197075','2004-07-25 00:00:00.000000000',35911.81);
INSERT INTO PAYMENTS VALUES(412,'PJ434867','2004-04-14 00:00:00.000000000',36409.31);
INSERT INTO PAYMENTS VALUES(415,'ER54537','2004-09-28 00:00:00.000000000',34993.92);
INSERT INTO PAYMENTS VALUES(424,'KF480160','2004-12-07 00:00:00.000000000',27733.04);
INSERT INTO PAYMENTS VALUES(424,'LM271923','2003-04-16 00:00:00.000000000',24777.41);
INSERT INTO PAYMENTS VALUES(424,'OA595449','2003-10-31 00:00:00.000000000',25284.75);
INSERT INTO PAYMENTS VALUES(447,'AO757239','2003-09-15 00:00:00.000000000',7600.12);
INSERT INTO PAYMENTS VALUES(447,'ER615123','2003-06-25 00:00:00.000000000',20350.95);
INSERT INTO PAYMENTS VALUES(447,'OU516561','2004-12-17 00:00:00.000000000',29343.35);
INSERT INTO PAYMENTS VALUES(448,'EQ620556','2003-11-06 00:00:00.000000000',48710.92);
INSERT INTO PAYMENTS VALUES(448,'FS299615','2005-04-18 00:00:00.000000000',31606.72);
INSERT INTO PAYMENTS VALUES(448,'KR822727','2004-09-30 00:00:00.000000000',53941.69);
INSERT INTO PAYMENTS VALUES(450,'EF485824','2004-06-21 00:00:00.000000000',64600.34);
INSERT INTO PAYMENTS VALUES(452,'ED473873','2003-11-15 00:00:00.000000000',28550.59);
INSERT INTO PAYMENTS VALUES(452,'FN640986','2003-11-20 00:00:00.000000000',14938.15);
INSERT INTO PAYMENTS VALUES(452,'HG635467','2005-05-03 00:00:00.000000000',8775.16);
INSERT INTO PAYMENTS VALUES(455,'HA777606','2003-12-05 00:00:00.000000000',42498.76);
INSERT INTO PAYMENTS VALUES(455,'IR662429','2004-05-12 00:00:00.000000000',36973.31);
INSERT INTO PAYMENTS VALUES(456,'GJ715659','2004-11-13 00:00:00.000000000',31446.15);
INSERT INTO PAYMENTS VALUES(456,'MO743231','2004-04-30 00:00:00.000000000',1698.78);
INSERT INTO PAYMENTS VALUES(458,'DD995006','2004-11-15 00:00:00.000000000',34546.6);
INSERT INTO PAYMENTS VALUES(458,'NA377824','2004-02-06 00:00:00.000000000',24995.47);
INSERT INTO PAYMENTS VALUES(458,'OO606861','2003-06-13 00:00:00.000000000',61073.21);
INSERT INTO PAYMENTS VALUES(462,'ED203908','2005-04-15 00:00:00.000000000',37557.7);
INSERT INTO PAYMENTS VALUES(462,'GC60330','2003-11-08 00:00:00.000000000',11861.69);
INSERT INTO PAYMENTS VALUES(462,'PE176846','2004-11-27 00:00:00.000000000',49504.38);
INSERT INTO PAYMENTS VALUES(471,'AB661578','2004-07-28 00:00:00.000000000',12334.82);
INSERT INTO PAYMENTS VALUES(471,'CO645196','2003-12-10 00:00:00.000000000',37878.55);
INSERT INTO PAYMENTS VALUES(473,'LL427009','2004-02-17 00:00:00.000000000',7278.98);
INSERT INTO PAYMENTS VALUES(473,'PC688499','2003-10-27 00:00:00.000000000',21672.93);
INSERT INTO PAYMENTS VALUES(475,'JP113227','2003-12-09 00:00:00.000000000',8234.56);
INSERT INTO PAYMENTS VALUES(475,'PB951268','2004-02-13 00:00:00.000000000',37850.08);
INSERT INTO PAYMENTS VALUES(484,'GK294076','2004-10-26 00:00:00.000000000',3220.88);
INSERT INTO PAYMENTS VALUES(484,'JH546765','2003-11-29 00:00:00.000000000',51502.74);
INSERT INTO PAYMENTS VALUES(486,'BL66528','2004-04-14 00:00:00.000000000',7287.24);
INSERT INTO PAYMENTS VALUES(486,'HS86661','2004-11-23 00:00:00.000000000',48996.1);
INSERT INTO PAYMENTS VALUES(486,'JB117768','2003-03-20 00:00:00.000000000',27398.82);
INSERT INTO PAYMENTS VALUES(487,'AH612904','2003-09-28 00:00:00.000000000',34100.03);
INSERT INTO PAYMENTS VALUES(487,'PT550181','2004-02-29 00:00:00.000000000',16118.48);
INSERT INTO PAYMENTS VALUES(489,'OC773849','2003-12-04 00:00:00.000000000',27541.82);
INSERT INTO PAYMENTS VALUES(489,'PO860906','2004-01-31 00:00:00.000000000',8477.22);
INSERT INTO PAYMENTS VALUES(495,'BH167026','2003-12-26 00:00:00.000000000',63730.78);
INSERT INTO PAYMENTS VALUES(495,'FN155234','2004-05-14 00:00:00.000000000',7129.0);
INSERT INTO PAYMENTS VALUES(496,'EU531600','2005-06-25 00:00:00.000000000',34332.29);
INSERT INTO PAYMENTS VALUES(496,'MB342426','2003-07-16 00:00:00.000000000',37754.33);
INSERT INTO PAYMENTS VALUES(496,'MN89921','2004-12-31 00:00:00.000000000',58593.28);
INSERT INTO PAYMENTS VALUES(496,'PL783960','2003-11-29 00:00:00.000000000',26421.24);


-- TRIAL_BALANCE 

INSERT INTO TRIAL_BALANCE VALUES('I',4100,'Revenue','Direct Sales','Direct Sales',400000);
INSERT INTO TRIAL_BALANCE VALUES('I',4200,'Revenue','Channel Sales','Channel Sales',150000);
INSERT INTO TRIAL_BALANCE VALUES('I',5010,'Cost of goods','Cost of goods available for sale','Beginning inventory',-40000);
INSERT INTO TRIAL_BALANCE VALUES('I',5020,'Cost of goods','Cost of goods available for sale','Net purchases',-325000);
INSERT INTO TRIAL_BALANCE VALUES('I',5040,'Cost of goods','Ending inventory','Ending inventory',35000);
INSERT INTO TRIAL_BALANCE VALUES('E',5110,'Expenses','Selling expenses','Sales salaries',-48000);
INSERT INTO TRIAL_BALANCE VALUES('E',5120,'Expenses','Selling expenses','Nonrecurring item',-12000);
INSERT INTO TRIAL_BALANCE VALUES('E',5130,'Expenses','Selling expenses','Other',-13000);
INSERT INTO TRIAL_BALANCE VALUES('E',5310,'Expenses','General and administrative expenses','Office salaries',-27100);
INSERT INTO TRIAL_BALANCE VALUES('E',5320,'Expenses','General and administrative expenses','Depreciation',-5500);
INSERT INTO TRIAL_BALANCE VALUES('E',5330,'Expenses','General and administrative expenses','Amortization',-3200);
INSERT INTO TRIAL_BALANCE VALUES('E',5340,'Expenses','General and administrative expenses','Bad debt',-4500);
INSERT INTO TRIAL_BALANCE VALUES('E',5350,'Expenses','General and administrative expenses','Other',-24200);
INSERT INTO TRIAL_BALANCE VALUES('I',6110,'Other revenues','Interest','Interest',5200);
INSERT INTO TRIAL_BALANCE VALUES('I',6120,'Other revenues','Dividends','Dividends',7200);
INSERT INTO TRIAL_BALANCE VALUES('I',6130,'Other revenues','Gain on sale of equipment','Gain on sale of equipment',8600);
INSERT INTO TRIAL_BALANCE VALUES('E',7110,'Other expenses','Interest','Interest',-9400);
INSERT INTO TRIAL_BALANCE VALUES('E',7120,'Other expenses','Writeoff - goodwill','Writeoff - goodwill',-5000);
INSERT INTO TRIAL_BALANCE VALUES('E',7130,'Other expenses','Unusual item - loss on sale of long-term investment','Unusual item - loss on sale of long-term investment',-5100);
INSERT INTO TRIAL_BALANCE VALUES('E',7200,'Income tax expense','Income tax expense','Income tax expense',-33600);
INSERT INTO TRIAL_BALANCE VALUES('I',9100,'Extraordinary item - gain on disposal of business segment','Extraordinary item - gain on disposal of business segment','Extraordinary item - gain on disposal of business segment',24000);
INSERT INTO TRIAL_BALANCE VALUES('I',9200,'Other Comprehensive Income','Other Comprehensive Income','Other Comprehensive Income',12000);

-- QUADRANT_ACTUALS

INSERT INTO QUADRANT_ACTUALS VALUES('Central','Sales','District Manager',682625,617250,-65375);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Sales','Senior Sales Rep',497223,484820,-12403);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Sales','Sales Rep',675975,612500,-63475);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Sales','Account Executive',409975,422500,12525);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Sales','Pre-Sales',649375,593500,-55875);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Executive Management','CEO',549625,522250,-27375);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Executive Management','SVP WW Operations',476000,725887,249887);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Executive Management','SVP Strategic Development',383242,403405,20163);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Executive Management','SVP Partnerships',367415,392100,24685);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Finance','CFO',770272,719855,-50417);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Finance','Administrative Assistant',827861,760990,-66871);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Finance','IS',570759,577346,6587);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Finance','Controller',570373,577070,6697);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Finance','Payroll',367415,432100,64685);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','Administration',549625,552250,2625);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','SVP HR',574895,570300,-4595);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','HR Generalists',856190,771225,-84965);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','HR Training',397473,443570,46097);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','Sexual Harassment',530473,538570,8097);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Human Resource','EOE',530207,538380,8173);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','CMO',827861,760990,-66871);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','Product Marketing Mgr',693531,665040,-28491);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','Analyst Relations',383375,443500,60125);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','Press Relations',497296,524872,27576);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','Graphics',782375,728500,-53875);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Marketing & Communication','Writer',405985,459650,53665);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','CTO',405985,459650,53665);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','VP Engineering',383242,443405,60163);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','Senior Engineer',770272,719855,-50417);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','Engineer',695925,666750,-29175);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','QA Manager',374863,437420,62557);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Product Development','QA Engineer',367415,432100,64685);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Professional Services','SVP Services',4042220,4180000,137780);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Professional Services','Services Mgr',4401586,4680000,278414);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Professional Services','Senior Consultant',3994859,3980000,-14859);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Professional Services','Staff Consultant',3824426,4180000,355574);
INSERT INTO QUADRANT_ACTUALS VALUES('Central','Professional Services','Trainer',3804948,3380000,-424948);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Sales','District Manager',700000,700250,250);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Sales','Senior Sales Rep',421200,433299,12099);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Sales','Sales Rep',690000,690675,675);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Sales','Account Executive',290000,307675,17675);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Sales','Pre-Sales',650000,652375,2375);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Executive Management','CEO',500000,488750,-11250);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Executive Management','SVP WW Operations',249800,249184,-616);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Executive Management','SVP Strategic Development',226000,226395,395);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Executive Management','SVP Partnerships',531780,519179,-12601);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Finance','CFO',831800,816449,-15351);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Finance','Administrative Assistant',918400,899368,-19032);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Finance','IS',531780,529179,-2601);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Finance','Controller',531200,528624,-2576);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Finance','Payroll',226000,236395,10395);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','Administration',500000,498750,-1250);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','SVP HR',538000,535135,-2865);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','HR Generalists',961000,940158,-20842);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','HR Training',271200,279674,8474);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','Sexual Harassment',471200,471174,-26);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Human Resource','EOE',470800,470791,-9);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','CMO',918400,894368,-24032);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','Product Marketing Mgr',716400,700953,-15447);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','Analyst Relations',250000,254375,4375);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','Press Relations',421310,418404,-2906);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','Graphics',850000,828875,-21125);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Marketing & Communication','Writer',284000,286930,2930);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','CTO',284000,286930,2930);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','VP Engineering',249800,254184,4384);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','Senior Engineer',831800,811449,-20351);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','Engineer',720000,704400,-15600);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','QA Manager',237200,242119,4919);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Product Development','QA Engineer',226000,231395,5395);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Professional Services','SVP Services',3793000,3900000,107000);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Professional Services','Services Mgr',4333400,4500000,166600);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Professional Services','Senior Consultant',3721780,3900000,178220);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Professional Services','Staff Consultant',3465490,3500000,34510);
INSERT INTO QUADRANT_ACTUALS VALUES('Eastern','Professional Services','Trainer',3436200,3300000,-136200);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Sales','District Manager',700000,690250,-9750);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Sales','Senior Sales Rep',421200,423299,2099);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Sales','Sales Rep',690000,680675,-9325);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Sales','Account Executive',290000,297675,7675);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Sales','Pre-Sales',650000,642375,-7625);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Executive Management','CEO',500000,498750,-1250);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Executive Management','SVP WW Operations',249800,259184,9384);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Executive Management','SVP Strategic Development',226000,236395,10395);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Executive Management','SVP Partnerships',531780,529179,-2601);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Finance','CFO',831800,816449,-15351);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Finance','Administrative Assistant',918400,899368,-19032);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Finance','IS',531780,529179,-2601);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Finance','Controller',531200,528624,-2576);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Finance','Payroll',226000,236395,10395);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','Administration',500000,498750,-1250);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','SVP HR',538000,535135,-2865);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','HR Generalists',961000,940158,-20842);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','HR Training',271200,279674,8474);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','Sexual Harassment',471200,471174,-26);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Human Resource','EOE',470800,470791,-9);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','CMO',918400,897368,-21032);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','Product Marketing Mgr',716400,703953,-12447);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','Analyst Relations',250000,257375,7375);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','Press Relations',421310,421404,94);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','Graphics',850000,831875,-18125);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Marketing & Communication','Writer',284000,289930,5930);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','CTO',284000,289930,5930);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','VP Engineering',249800,257184,7384);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','Senior Engineer',831800,814449,-17351);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','Engineer',720000,707400,-12600);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','QA Manager',237200,245119,7919);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Product Development','QA Engineer',226000,234395,8395);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Professional Services','SVP Services',3793000,3818000,25000);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Professional Services','Services Mgr',4333400,4318000,-15400);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Professional Services','Senior Consultant',3721780,3718000,-3780);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Professional Services','Staff Consultant',3465490,3618000,152510);
INSERT INTO QUADRANT_ACTUALS VALUES('Southern','Professional Services','Trainer',3436200,2918000,-518200);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Sales','District Manager',700000,688250,-11750);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Sales','Senior Sales Rep',421200,421299,99);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Sales','Sales Rep',690000,678675,-11325);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Sales','Account Executive',290000,295675,5675);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Sales','Pre-Sales',650000,640375,-9625);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Executive Management','CEO',500000,478750,-21250);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Executive Management','SVP WW Operations',249800,239184,-10616);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Executive Management','SVP Strategic Development',226000,216395,-9605);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Executive Management','SVP Partnerships',531780,509179,-22601);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Finance','CFO',831800,814449,-17351);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Finance','Administrative Assistant',918400,897368,-21032);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Finance','IS',531780,527179,-4601);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Finance','Controller',531200,526624,-4576);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Finance','Payroll',226000,234395,8395);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','Administration',500000,496750,-3250);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','SVP HR',538000,533135,-4865);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','HR Generalists',961000,938158,-22842);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','HR Training',271200,277674,6474);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','Sexual Harassment',471200,469174,-2026);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Human Resource','EOE',470800,468791,-2009);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','CMO',918400,897368,-21032);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','Product Marketing Mgr',716400,703953,-12447);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','Analyst Relations',250000,257375,7375);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','Press Relations',421310,421404,94);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','Graphics',850000,831875,-18125);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Marketing & Communication','Writer',284000,289930,5930);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','CTO',284000,289930,5930);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','VP Engineering',249800,257184,7384);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','Senior Engineer',831800,814449,-17351);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','Engineer',720000,707400,-12600);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','QA Manager',237200,245119,7919);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Product Development','QA Engineer',226000,234395,8395);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Professional Services','SVP Services',3793000,3818000,25000);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Professional Services','Services Mgr',4333400,4418000,84600);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Professional Services','Senior Consultant',3721780,3718000,-3780);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Professional Services','Staff Consultant',3465490,3336206,-129284);
INSERT INTO QUADRANT_ACTUALS VALUES('Western','Professional Services','Trainer',3436200,2918000,-518200);
